Welcome

 Return to Introduction

Help for FileBoss V3.1

January 2016

2016-01-03

Welcome!

Welcome to FileBoss, the professional tool for managing your files and file system. Whether you're tired of the limitations of Windows Explorer and dual-pane file managers, need a heavy duty tool for working with thousands of files in controlled environments or just want a helpful and reliable friend when dealing with your files, FileBoss is for you.

For Those Upgrading From Previous Versions

To see all the new and improved features and updated functions see What's New.

Help Guide & How To Do Everything

FileBoss manipulates files and folders in so many ways even its authors sometimes forget how powerful it is. But this is not a problem with the Help Guide that can walk you through how to do anything. To display it simply press Ctrl+G or select Help > Show Help Guide from the main menu. For more see Help Guide.

Searching

FileBoss provides powerful yet simple ways to search for files all accessible from the Find menu.

Files by name, Recently modified or created files, Files that haven't been modified during a specified time period, files containing text, files with long file / path names, by attributes, size and any combination of all those attributes. For more see Finding Files a Quick Overview.

File Times

File Times can be displayed in the traditional format or by age or calendar period.

Normal
The is the normal mode used by Windows Explorer and other file managers

By Age
Shows how old the files and folders are, e.g. 9 hours ago, 3 months ago.

By Calendar
Shows file times by calendar period, e.g. yesterday, in February, 2006.

For more see Display modes for File Times.

Working with Search Results: Virtual Folders

Virtual Folders - normally the result of a search - allow to utilize the full potential and power of FileBoss. And all the commands and routines you use to manipulate files and folders in Explore View work the same in Virtual Folders. For more on Virtual Folders and Explore View see the topic Two Views - One Engine.

Sticky Select, Easily Select Multiple Files and Folders

Sticky Select allows you to select many entries without accidentally losing any current selections. (It is a bit like constantly holding down the Ctrl key while clicking in other programs such as Windows Explorer.) Toggle Sticky Mode on and off with Select > Sticky Selections from the main menu.

For more about Sticky Selections and the many other convenient ways to select the files and folders you want to work with see Selecting Files and Folders.

The Command Bar

The command is a power user's dream allowing quick entry of commands, file filters, hide commands, paths to go to and more. Just press F8 to display and go to the Command Bar. For all the details see Using the Command Bar.

Drop Zones

While Drop Zones are just a small part of FileBoss they are incredibly powerful. So much so that once you have used you may wonder how life could have been good before you found them. For more see Using Drop Zones

Ref: HID_HELP_INTRODUCTION


Two Views - One Engine

Explore View - Traditional Look, Untraditional Power and Flexibility

Sample Explore View

Sample Explore View

FileBoss has two fundamental ways of looking at your file system, Explore View and Virtual Folders. But whichever view you use to find and select files the same powerful commands and routines are available to manipulate the files and folders you select.

Explore View is outwardly similar to Windows Explorer. As you select folders in the left pane (the folder tree) the contents are displayed in the right window pane.

Easy and reliable selections

with Sticky Select and many other advanced selection tools that allow, among other things, to open or delete files while other files remain selected.

Persistency

All open Windows are reopened when FileBoss restarts (optional, of course)

Tabbed windows

for easy access

Favorites (Bookmarks)

for quick access to common locations and user-specified places

Simple to Complex file filtering

with multiple, easily configured filters

Hiding entries

by type or individually

Touchable

on one level or penetrating through subfolders

Easy Drag & Drop

with selectable default action (copy, move, or create short cuts)

Sophisticated copy engine

that not only deftly handles error conditions but also records which files have been copied and which have not

Can display folders connected to Drop Zones

that are treated like any other Explore View

Allows external tools

to be selected based on file types and name patterns

Allows Auto-Viewers

to be defined that are automatically activated when files of specific types have the focus. Auto-Viewers can be quickly turned on and off as needed.

Renaming

can be accomplished one file at a time or in groups with search and replace, sequential and common transformations (case change, space deletion and replacements, etc.)

Intrinsic file duplication

command (makes copies of files with just two clicks).

Up to 50 Explore Views

open at one time. (Configurable from 10 to 50.)

And this list doesn't even include many of the main features of FileBoss accessible via this interface such as Copying -- Moving -- Duplicating Folders -- Changing Attributes and much, much more

Virtual Folders - Selectively Manipulate Files by the Thousands

Sample Virtual Folder Window

Sample Virtual Folder Window

The main advantage of Virtual Folders over Explore Views is that Virtual Folders allow manipulating (whether it be copying, renaming, duplicating, weeding out, comparing or any other vital operation to keep you computer running smoothly) thousands of files at once rather than just those in one folder.

At its simplest, creating a Virtual Folder is just a matter of specifying a folder and clicking OK. FileBoss will then collect all the files in and below the specified folder and present them in a traditional manner.

A single Virtual Folder can contain files

from one folder, several folders, whole drives and even multiple drives (or parts there of) across networks

Selected files in a Virtual Folder can be copied while retaining their original tree structure

Note this is not the same as copying all the files in all the folders below the top folder (though that is easy to do too) but rather copies only the selected files in those folders.

Files can be compared from multiple sources

Removing obsolete files and general disk cleanup

becomes much easier as all files in a Virtual Folder can be sorted together for easy evaluation

Finding duplicate files

among hundreds of thousands becomes a two-click operation

Using explicit, multiple file and folder specifications

for which files to include and which files to exclude you can tailor a Virtual Folder to fit your exact needs (more about this power in the next section)

A Virtual Folder is an ideal source of files

used in other programs. For instance one Virtual Folder could reference all the graphic files used for a specific project (no matter where they reside on your system) and they could be dragged to the your graphics program as and when needed.

More about creating and using Virtual Folders

Virtual Folderns are easily saved to disk

for later recall. A Virtual Folder can be saved as a definition so that when it is reopened it will automatically scan for files or it can be saved as a Virtual Folder where all the entries in the Virtual Folder can be quickly restored without reference to what is actually on disk.

Virtual Folders are simple to edit

entries in a Virtual Folder can be removed so that the trees can be seen instead of the forest.

Multiple Virtual Folders

can be active at the the same time - limited only by your computer's memory.

Persistency

whether explicitly saved to disk or not Virtual Folders that were open when FileBoss last closed are automatically reopened when FileBoss is next started. (Naturally this can be turned off and on at your discretion.)

Shifting back and forth between Virtual Folders and Explore Views

is simple: just right-click on a folder and select the 'Explore Folder in New Window' option. Or, after right-clicking on a folder, select 'Create Virtual Folder from Folder' to start another, more specific Virtual Folder. (Note that both of these commands are available in any FileBoss window as long as the folder belongs to the file System (not a virtual folder such as My Computer or My Network.)

Note that Virtual Folders have a different color for their left pane than Explore Views. This is just to make it easier to know which is which. The colors can, of course, be changed in the Options > Program Options... dialog.

Ref: DOC_GENERAL_TWO_VIEWS


Plain English Licensing Terms

The Utility Factory realizes that many people use more than one computer and have two or more computers in their home. We have designed the license terms to be flexible, easy to understand and reasonable.

If you have any questions about licensing please contact sales at:

sales@theutilityfactory.com

For the full lawyer-type license click here.

Single Computer, Personal License

The single-computer, personal license allows you to install FileBoss on one computer for your personal or home office use. It is not valid for normal business use (other than in a home office).

Whole-Home License

If have purchased the whole-home license upgrade FileBoss may be installed on all computers in your single family home, including laptops and in a home office. For example if you, you spouse and three children all live in your house then FileBoss may be installed on all there computers and laptops for as long as they are living in the same house.

Business License

A business license is required by any business (except for home offices) installing FileBoss on their computers.

Multiple business licenses allow you to install FileBoss on the number of computers for which the license has been issued.

Example #1: if you install five computers shared by ten people then you only need a five user license.

Example #2: if you install FileBoss on one server and then load and run it twenty computers you will need 20 licenses (but this not advised since FileBoss will store some of its configuration data on the computer where it is run from so different users will be overwriting each others configuration and activity files.)

FileBoss is not licensed on a concurrent user basis. Concurrent user licensing is where the number of required licenses is calculated by the maximum number of users that will be using a program at the same time. Rather it is licensed by computer.

Ref: HIDH_PLAIN_LICENSE


Help Guide

Quick and Easy Help Gude

The Help Guide (Ctrl-G or Help > Show Help Guide...) displays a docked or floating window providing quick access to many useful topics in the main help system. The topics it contains also provide a great overview of what FileBoss can do.

· Double-click an entry to display topic in help window
· The Help Guide can remain open while you work
· Closing the Help Guide will not close any Help Windows
· Floats or docks along the edges of the workspace
· Open by Pressing Ctrl-G or Selecting Help > Show Help Guide... from main menu or clicking its its command button
· To float a docked window double-click its title bar. To dock it again either double click again or drag it to the new place where you want it docked.

Help Guide

Ref: HIDD_HELP_GUIDE


Explore Folders

Exploring Folders in New Tabs

Exploring Folders in New Tabs

There are a number of ways to open folders in new tabs. The following is a quick overview of some of them

From the list of Favorites

From the list of Drives

A list of drives is on the Favorites menu (both from the button as shown above and from the Files > Favorites > main menu).

Direct Entry on the Command Bar

Hit F8 to show the command bar (or go to if it is already visible) and type in or paste the path to the folder you are interested in. You can even paste the full path to a file, FileBoss is smart enough to strip the filename and open the folder.

If the active tab is an Explore view that view will be set to the new folder. If it is not then a new Explore tab will opened to display the folder.

To force the folder being opened in a new tab us the NEW command in the Command Bar, e.g.

new C:\Plays\DocFiles\Hamlet\ACT_3\Scene_2

By Right-Clicking over a Folder

Hold the mouse cursor over the folder you want to open and right-click to get the following menu (or one similar to it).

Creating Virtual Folders

Results of one of the Find Commands

Creating Dynamic Virtual Folders


Explore Tab: Hiding Entries

Controlling what is visible in an Explorer Tab

Hides or displays groups of folders defined by special attributes or other conditions as defined below.

Note that these are global settings and changes will affect all Explorer tabs both current and future. These settings are not present and do not affect Virtual Folders.

Hidden, System, Hidden and System

Hide all files and folders that have the Hidden, System, or Hidden and System attributes set. The Hidden and System setting requires both attributes to be set for the file or folder to be excluded.

$<folders>

Hide all folders when the name starts with a dollar sign. Folders with a name starting with a dollar sign are frequently special folders used by the Windows operating system.

$<files>

Hide all files when the name starts with a dollar sign. Files with a name starting with a dollar sign are frequently special files used by the Windows operating system.

Exclude None, Exclude All

Turns all of the above settings off or on. However the Folders setting is not affected.

Folders

Excludes or includes folders in the contents (right-hand) window. This toggles their display on and off.

Options for the display of folders can also be changed using the Explorer > Display Folders at > command from the main menu. These commands allow you to hide the folders or to display them at the top or bottom of the list.

Seeing the Changes

Seeing the Changes

The changes you make in this menu will be displayed in the contents window (on the right) immediately. Changes to the Navigation window (on the left) will only be displayed when a folder is collapsed and reopened. This allows you to compare the before and after (left- and right-hand windows) to see how the changes affected what is displayed.

The changes you have made will be seen immediately


Specify Folders and Files in Find Dialogs

How to Specify the Files You Want

How to tell FileBoss which Files You Want

Many of FileBoss's powerful tools work on Virtual Folders (collections of files and folders located in across multiple folders and even across multiple drive). To allow highly targeted actions, FileBoss provides a means to specifically include (and exclude) specific groups of files.

Specifying Files to Include and/or Exclude

Including Multiple Paths

Separate multiple paths with the bar character '|'.

To scan the My Documents directory on drive C: and the Temp directory on drive D: enter:

C:\My Documents | D:\Temp

(There is no need to worry about how many paths you enter: the maximum length of this field is over 65,000 characters!)

Including Patterns

If you want files on all of drive D: and in the My Documents and My Installations folders on drive C: enter the following.

D:\ | C:\My *s

(Of course, the entry C:\My * would include all folders in the root of drive C: which began with My then a space and end with an s.)

The use of a wild card in an included path is restricted to the last element of the path. For instance, the following examples will not work:

D:\*\Backup

C:\My *\*

C:\Program Files\Iront*\FileBoss

But the following will:

C:\My *s

(It would return files in folders C:\My Videos and C:\My Pictures if present.)

To search both the Normal and Nermal directories on drive D: you could enter either:

D:\Normal|D:\Nermal

or

D:\N?rmal

Excluding Folders

Specific folders can be excluded from the search by preceding the folder with the minus sign, '-'. If the name of the folder actually begins with a minus sign, simply type another minus sign first, e.g. "--My Folder".

Consider the following example:

C:\My Documents | -Temp | -Backup | D:\

Paths to be excluded can contain the normal wildcard characters, * and ?. (Use full paths, e.g. C:\house\pictures) to avoid excluding all paths, e.g. every folder named 'pictures'. This can be especially important when using wildcards.)

Note that the order of the entries is ignored: in the above example any Temp and Backup folders will be ignored on drive D: as well in C:\My Documents. To exclude those directories only on drive C: enter the following:

C:\My Documents | -C:\*\Temp | -C:\*\Backup | D:\

Using Wildcards for Folders to be Excluded

Using wildcards in folders to be excluded is almost exactly the same as it is to use them in paths to be scanned. For instance:

C:\|-C:\C*s

Would search all of drive C: except for files and folders in and below any root folders beginning with a 'C' and ending in 's'.

Specifying Folders to Include and/or Exclude in a search

Specifying which Files & Folders

Enter the names or name patterns of files

Leaving the field empty is the same as specifying a single asterisk (*) or the traditional (*.*) meaning include all files.

Multiple File Patterns

Separate multiple patterns with the bar character (|).

Wildcards in File Patterns

The common wildcard characters (*) and (?) can be used when specifying groups of file to be included.

The entry *.tmp | *.bak | ~* will find all files with the extension tmp and bak as well as all files beginning with the tilde character (~).

Excluding Files and Groups of Files

Specific files and groups of files can be excluded from the search by preceding the files with a minus sign, (-). If the name actually begins with a minus sign, simply put another in front of it, e.g. --notations.txt.

To create a Virtual Folder that includes all files except temporary and backup files you could enter

-*.tmp | -*.bak | -~*

(Note that there is no *.* or just * in the beginning. Remember that if there is no include specification then *.* (all) is assumed.

For example the these two patterns are equivalent: -*.zip and *.* | -*.zip (include all files except those with the zip extension).

Ref: DOC_GENERAL_INC_EXC_FILE_SPECS


Manage Tab Groups

Creating and Working with Multiple Tab Groups

Multiple Tab Groups

Note that if you create a second tab group it will remain, i.e. it can not be removed directly. But you can easily close it at any time by either dragging all of its tabs to another group or by closing all of its tabs.

When all the tabs in a tab group have been moved or closed the tab group will automatically close.

Creating & Using Tab Groups

When more than one tab is available you can either create a new tab group or move one of the tabs to another existing tab group.

The Button on the View specific toolbar (at the top of FileBoss's work space by default) will change depending on the options available for the active tab.

Using the Main Menu to work with Tab Groups

For more options use the Windows | Tab Groups > menu items where you can also create vertical tab groups.

Two Tab Groups with Two Tabs Each

The screen shot to the right shows two tab groups each containing two tabs. This is the default layout for new tab groups.

Positioning Tab Groups

You can move the splitter bar between tab groups left or right (up or down for vertical tab groups) by:

· moving the mouse cursor over the wide bar between the two groups
· click and hold down the mouse button
· drag the bar to where you want it to be
· release the button.

Repositioned Tab Group

Tab Dimming

When Tab Dimming is turned on FileBoss will dim all inactive tabs making it easier to tell which is the active tab. Tab dimming is only active when there is more than one Tab Group present.

To toggle Tab Dimming on and off use the Options > Program Options... command from the main menu and select the General tab from the list on the left and check or clear the Darken Inactive Tabs box as appropriate. This can also be set using the Configuration Wizard (Ctrl+Alt+W).

Whether tab dimming is on or not is a matter of personal preference with some users loving it and other hating it.

Vertical Tab Groups Too

You can have Vertical tab groups too. Use the Windows >Tab Groups > menu items to create a vertical tab group.

Horizontal and Vertical tab groups are mutually exclusive - you can not have both at the same time.


Running FileBoss in Administrator Mode

Running FileBoss in administrator mode is particularly important in Windows Vista, Windows 7 and above. (By default earlier versions of Windows do not normally restrict access to files and folders, in other words Administrator mode is on by default.)

There are four ways to run FileBoss in administrator mode to satisfy different needs.

· Run as Administrator for one time only
· Create a special link for running in Administrator mode
· Run as Administrator from within FileBoss
· Have Windows always run FileBoss in Administrator mode

Note that some documentation refers to Administrator mode a being Elevated.

Running as Administrator one time only

To run FileBoss in administrator mode once right click on its icon on the desktop or elsewhere and select Run as administrator from the popup menu.

As with the other methods Windows will ask you to confirm the action.

Create a special link for running in Administrator mode

To create a special icon on the desktop for running FileBoss in Administrator mode:

1. Click on the original icon
2. Press Ctrl-C to copy the shortcut
3. Press Ctrl-V to paste a duplicate icon on the desktop
4. Rename the new icon to something like FileBoss Admin
5. Right-click on the new icon and select the Shortcut tab
6. In the Target field add /elevate to the end of the line as shown below
7. Click OK

As with the other methods Windows will ask you to confirm whenever you click on the Administrator icon.

Now you can click on the left icon to run FileBoss normally or on the right icon to run FileBoss in Administrator mode.

Run as Administrator from within FileBoss

To start a session of FileBoss in Administrator mode:

1. Press F8 to put the cursor in the Command bar
2. Type Run as Admin
3. Press Enter or click the green arrow to the right of the field.

(elevate can be used instead of run as admin)

FileBoss will then start a new instance in Administrator mode and Windows will ask you for confirmation to run the program.

After confirmation there will be two instances of FileBoss, the first in regular mode and the second in Administrator mode.

Have Windows always run FileBoss in Administrator mode

This method will tell windows to always run FileBoss in Administrator mode not how it is started, whether that be by clicking an icon, selected it from the Start or any other menu.

Right-click on the FileBoss icon or entry on the Start menu and select the Compatibility tab

1. In the Target field add /elevate to the end of the line as shown below
2. Check the Run this program as an administrator check box as highlighted below.
3. Click OK


Select Files and Folders

Selecting Files and Folders

Select Files Your Way

Many of FileBoss's features (e.g. copy, delete, touch, rename, drag and drop, etc.) operate on files and folders you have selected. And since FileBoss can manipulate thousands of files at a time, easy and varied methods of selection are extremely important.

FileBoss provides a number of different methods for selecting files and folders so that you can use the way that suits your needs best. It also expands on the common Windows conventions for selecting files (e.g. Sticky Selection Mode, Locked Selection and Persistent Selections) to make all of your file manipulation tasks faster and more accurate.

Selecting by Menu Commands

Select... and Deselect... (Filename, Times, Attributes or other Criteria)

Displays dialog where you can specify which files (or folders) should be selected or deselected. The criteria includes pattern matching for file names, file attributes, a range of file sizes, ranges for the accessed, modified and created file times.

All (Ctrl+A)
Selects all files and folders except, as noted above, any entries that have been hidden.

Files
Selects all files. (If clicked while the Ctrl key is held down, any selected files will be deselected)

Select Folders
Selects all folders. (If clicked while the Ctrl key is held down, any selected folders will be deselected)

None (Ctrl+E)
Deselects all files and folders. If none were selected nothing is changed.

Reverse
Selects items which are not currently selected and deselects all those that are.

Sticky Selections
Specifies that when an entry is clicked with the mouse other selected entries will not be automatically deselected. This allows you to quickly selected multiple entries and ranges of entries without worrying about loosing the selected status of previously selected items.

When Sticky Mode is not active, hold down the Ctrl key while clicking the mouse to make the selections additive just like in many other programs..

When Sticky Mode is active, hold down the B key while clicking the mouse to temporarily cancel Sticky Mode.

Sticky Selections is on by default.

Lock Selections

Prevents any changes to the selection status of files by clicking or clicking and dragging the mouse. Note that this only applies to actions of the mouse. You can still change selections with toolbar buttons, menu commands and keyboard.

Statistics

Displays the properties box showing how many files and folders are selected, their total size in bytes and other information about the types of files selected.

(Please Note: None of these commands, or any other select command, will affect entries that have been hidden. Hidden files are those that can't be seen because they are inactive. )

Using the Mouse with Sticky Mode and Locked Selections

Using the Mouse with Sticky Mode and Lock Selections

Click on any item to select or deselect it. Hold down the left mouse button while dragging across multiple files to select contiguous files, hold down the Shift key while dragging the mouse to deselect contiguous files.

One of the great annoyances of using the Windows Explorer program that comes with Windows (and, indeed with many other programs) is that when you select multiple files by holding down the Ctrl key while clicking on the files you want oft times the all the selected files become deselected unintentionally. And, you cannot manipulate one file (such as rename or delete it) while keeping other files selected.

FileBoss solves this problem with Sticky Selection Mode

Sticky Selections

Specifies that when an entry is clicked with the mouse other selected entries will not be automatically deselected. This allows you to quickly selected multiple entries and ranges of entries without worrying about loosing the selected status of previously selected items.

When Sticky Mode is not active, hold down the Ctrl key while clicking the mouse to make the selections additive just like in many other programs.

When Sticky Mode is active, hold down the Ctrl key while clicking the mouse to temporarily cancel Sticky Mode.

Sticky Selections is on by default.

Lock Selections

Prevents any changes to the selection status of files by clicking or clicking and dragging the mouse. Note that this only applies to actions of the mouse. You can still change selections with toolbar buttons, menu commands and keyboard.

Selecting by Keyboard

You can select and deselect files and folders in the File View using the Space Bar or the Arrow keys along with the Shift and Ctrl keys.

by moving around with the up and down arrow keys (and the Page Up, Page Down keys)

Quickly:

Space Bar to select or deselect (toggle selection status)

Shift + Arrow keys to select as highlight moves

Shift+Ctrl + Arrow keys to deselect.

How to Do It

· Use the Up and Down arrow keys or the Page Up / Page Down keys to move to the file you want to select or deselect.
· To select the highlighted file tap the space bar. If the file is already selected tapping the Space Bar will deselect it.
· To select a range of files starting with the current file, hold down a Shift key while using the Up or Down Arrow keys to move the highlight bar. To deselect a range of files, hold down the Ctrl key along with the Shift Key.

(Note: Selecting and deselecting files with the keyboard can be done even with the selection status locked. Locking only prevents the selection state from being changed with the mouse.)

Selecting by Filename Patterns, Date & Times, File Sizes and Attributes

Selecting by Description displays a dialog box where you can describe the files you want to either select or deselect.

Your description can include one or more of the following:

· Multiple filename patterns to include (or even exclude from the operation).
· From - To ranges for file times - created, accessed and modified
· From - To file sizes
· File attributes

(Note: Selecting and deselecting files with the keyboard can be done even with the selection status locked. Locking only prevents the selection state from being changed with the mouse.)

For more information on this option see the Help for the Select Dialog by clicking here.

Selecting with Toolbar buttons

From left to right the buttons represent the commands:

Select All

Selects all files and folders except, as noted above, any entries that have been hidden.

Select Files

Selects all files. (If clicked while the Ctrl key is held down, any selected files will be deselected)

Select Folders

Selects all folders. (If clicked while the Ctrl key is held down, any selected folders will be deselected)

Clear all Selections

Deselects all files and folders. If none were selected nothing is changed.

Reverse Selected and Non-Selected Entries

Selects and items which are not currently selected and deselects all those that are.

Select by Filename, Times, Attributes or other Criteria

Displays dialog where you can specify which files (or folders) should be selected. The criteria includes pattern matching for file names, file attributes, a range of file sizes, ranges for the accessed, modified and created file times.

Sticky Selections

Specifies that when an entry is clicked with the mouse other selected entries will not be automatically deselected. This allows you to quickly selected multiple entries and ranges of entries without worrying about loosing the selected status of previously selected items.

When Sticky Mode is not active, hold down the Ctrl key while clicking the mouse to make the selections additive just like in many other programs..

When Sticky Mode is active, hold down the Ctrl key while clicking the mouse to temporarily cancel Sticky Mode.

Sticky Selections is on by default.

Lock Selections

Prevents any changes to the selection status of files by clicking or clicking and dragging the mouse. Note that this only applies to actions of the mouse. You can still change selections with toolbar buttons, menu commands and keyboard.

(Note 1: None of these commands, or any other select command, will affect entries that have been hidden. Hidden files are those that can't be seen because they are inactive. )

(Note 2: Selecting and deselecting files with the keyboard can be done even with the selection status is locked. Locking only prevents the selection state from being changed with the mouse.)

Ref: HTDE_SELECTING_FILES


Find Files: Quick Overview

Find the files you want

Find Files that:

· Fit one or more name patterns more
· Have been recently modified, created or accessed more
· Haven't been changed or used recently more
· Contain specific text more
· Have long filenames, paths or both combined more
· Have a size within a specified range more
· Which have specific file attributes more
· Which have specific advanced NTFS attributes more
· By a combination of all of the above more

Do what you need to do

FileBoss will put all the files it finds into a virtual folder. Virtual folders can hold from 1 to millions of files and you can work with them in almost exactly the same way as you can in a normal Explore tab, i.e. copy, rename, delete and much more.

Ref: HTDE_FIND_MODIFIED_FILES


Find Files: By Name

Quick Start: Finding Files by Name

Select which locations to search

Select the folder(s), paths(s) or drive(s) you want to search in either the left or right windows. The Find dialog will default to searching these selections but they can be easily changed in the dialog itself.

Open the Find Dialog

· Press Ctrl+Shift+F
· Or select Find > Files... from the main menu
· Or, click the Search button normally on the main toolbar

Enter the Filenames or Patterns to Search for

Enter the file patterns you are looking for. Multiple patterns are separated by either a semi-colon (;) or a bar character (|). You can even specify folders to exclude by preceding the name with a minus sign. For complete details right-click the field in the program

Hint: You can limit your search (and thus speed it up and make its results more meaningful) by specifying one or more folders to search instead of just a whole drive. You can also, in the Patterns field, specify only certain files to search file such as *.doc | *.jpg | *.jpeg | *.html | *.htm

Click OK to search and create a Virtual Folder of all matching files

Using Relative File times: The Nitty, Gritty

Searches can be across a drive, path or multiple drives and paths

Such as C:\ | \\Corp-backup\C\Accounting

Specific folders can be excluded making results more meaningful

C:\ | -Windows | -Program Files would exclude the folders Windows and Program Files and all their subfolders

Specific patterns can be searched for

*.doc | *.rtf would check only files with names ending in doc or rtf.

Specific patterns can be excluded

-*.bak | -*.tmp | -~* search for all files except those that have the extension bak, tmp or that start with the tilde character.

Uses the power of Virtual Folders

The results of the search are put into a Virtual Folder so that the found files can be manipulated individually, in groups or all together (copy, rename, delete, move and more).

The Search can be saved for later use

So the search can be used over and over again.

Ref: HTDE_FIND_MODIFIED_FILES


Find Files: Recently Modified

Quick Start: Finding Recently Modified Files

Select What to Search

Select the folder(s), paths(s) or drive(s) you want to search in either the left or right windows. The Find dialog will default to searching these selections but they can be easily changed in the dialog itself.

Open the Find Dialog

· Select Find > Recent Files... from the main menu

Enter the Filenames or Patterns to Search for

· Enter the file patterns you are looking for. Multiple patterns are separated by either a semi-colon (;) or a bar character (|). You can even specify folders to exclude by preceding the name with a minus sign. For complete details right-click the field in the program
· Hint: You can limit your search (and thus speed it up and make its results more meaningful) by specifying one or more folders to search instead of just a whole drive. You can also, in the Patterns field, specify only certain files to search file such as *.doc | *.jpg | *.jpeg | *.html | *.htm
· Then select the time frame you are looking for. There are three types of time frames, During, In the Last and Between.
· Select the type of time you are looking for. Normally it is best to use the Modified or possibly Accessed time. The Created time can be very misleading as Windows tends to reset the Created times inconsistently.
· In the above example FileBoss will search for all files last modified since mid-night on the current day

Click OK to search and create a Virtual Folder of all matching files

Nitty, Gritty Details

Using Relative File times

Relative times allow you to find files that were modified, accessed or created within a specified time period. The time frame is calculated every time the search is run meaning that if you create a Virtual Folder today and it is reloaded when you start FileBoss tomorrow, or you save it and open it again another day, the new Virtual Folder will be created based on that future time and not the time when you first clicked the OK button on this dialog.

The one exception is the last option, where you specify a fixed start and end time for the search. These remain constant.

Relative times allow you to find files that were modified, accessed or created within a specified time period. The time frame is calculated every time the search is run meaning that if you create a Virtual Folder today and it is reloaded when you start FileBoss tomorrow, or you save it and open it again another day, the new Virtual Folder will be created based on that future time and not the time when you first clicked the OK button on this dialog.

The one exception is the last option, where you specify a fixed start and end time for the search. These remain constant.

Searches can be based on any type of time

Modified, Accessed or Created

Times can be relative

Such as Today, This Week, This Month and In the Last 15 Minutes

Times can be absolute

Between any two dates and times

Searches can be across a drive, path or multiple drives and paths

Such as C:\ | \\Corp-backup\C\Accounting

Specific folders can be excluded making results more meaningful

C:\ | -Windows | -Program Files would exclude the folders Windows and Program Files and all their subfolders

Specific patterns can be searched for

*.doc | *.rtf would check only files with names ending in doc or rtf.

Specific patterns can be excluded

-*.bak | -*.tmp | -~* search for all files except those that have the extension bak, tmp or that start with the tilde character.

Allows you to find files that were recently modified

or modified in any specified time periods

Uses the power of Virtual Folders

The results of the search are put into a Virtual Folder so that the found files can be manipulated individually, in groups or all together (copy, rename, delete, move and more).

The Search can be saved for later use

So the search can be used over and over again.

To Search for Files based on their times

· Activate or open an Explore View
· Make sure that the column for showing the Modified, Accessed and/or Created file times is visible (if not see the next section for how to display the column).
· Click on the appropriate Column header twice to sort all entries by most recent file times

· As you move from folder to folder the files will remain sorted according to chosen time.

Hint: If you are looking at folders that contain lots of files you can and you know the extension or possible extensions of the file(s) you are looking for you can use a File Filter to only display those files.

Or you can even used Advanced Filtering to only show files with Modified times in the range you want.

Displaying the File Times in the Contents Window

(If the file times are not already displayed in the Contents Window)

· This works the same in both Explore Views and Virtual Virtual Folders.
· Move the mouse over the column headers (the column headers are at the top of the Contents Window and have titles like Filename, Ext and Size.)
· Right-click the to display a list of columns that can be displayed
· Check the boxes next to Modified, Accessed or Created as appropriate.
· Click the Close Menu button.

Hint: You can change the order of the columns by clicking a header with the left mouse button and, while holding the mouse button down, dragging the column to its new location.

Sorting by File Times

Simply click on the header of one of the file time columns. To reverse the sort click the column header again.

Ref: HTDE_FIND_MODIFIED_FILES


Find Files: Unused

Quick Start: Finding Recently Modified Files

Select What to Search

Select the folder(s), paths(s) or drive(s) you want to search in either the left or right windows. The Find dialog will default to searching these selections but they can be easily changed in the dialog itself.

Open the Find Dialog

· Select Find > Old Files... from the main menu

Enter the Filenames or Patterns to Search for

· Select the drives or paths you want to check. Multiple paths are separated with the bar character (|). You can even specify folders to exclude by preceding the name with a minus sign. For complete details right-click the field in the program.
· Select the type of time you are looking for. Normally it is best to use the Modified or possibly Accessed time. The Created time can be very misleading as Windows tends to reset the Created times inconsistently.
· Then select the time frame you are looking for. There are three types of time frames, During, In the Last and Between.
· Select the type of time you are looking for. Normally it is best to use the Modified or possibly Accessed time. The Created time can be very misleading as Windows tends to reset the Created times inconsistently.
· In the above example FileBoss will search for all files that have not been changed or accessed since mid-night on the current day

Hint: You can limit your search (and thus speed it up and make its results more meaningful) by specifying one or more folders to search instead of just a whole drive. You can also, in the Patterns field, specify only certain files to search file such as *.doc | *.jpg | *.jpeg | *.html | *.htm.

Click OK to search and create a Virtual Folder of all matching files

Nitty, Gritty Details

Using Relative File times

Relative times allow you to find files that were modified, accessed or created within a specified time period. The time frame is calculated every time the search is run meaning that if you create a Virtual Folder today and it is reloaded when you start FileBoss tomorrow, or you save it and open it again another day, the new Virtual Folder will be created based on that future time and not the time when you first clicked the OK button on this dialog.

The one exception is the last option, where you specify a fixed start and end time for the search. These remain constant.

Relative times allow you to find files that were modified, accessed or created within a specified time period. The time frame is calculated every time the search is run meaning that if you create a Virtual Folder today and it is reloaded when you start FileBoss tomorrow, or you save it and open it again another day, the new Virtual Folder will be created based on that future time and not the time when you first clicked the OK button on this dialog.

The one exception is the last option, where you specify a fixed start and end time for the search. These remain constant.

Searches can be based on any type of time

Modified, Accessed or Created

Times can be relative

Such as Today, This Week, This Month and In the Last 15 Minutes

Times can be absolute

Between any two dates and times

Searches can be across a drive, path or multiple drives and paths

Such as C:\ | \\Corp-backup\C\Accounting

Specific folders can be excluded making results more meaningful

C:\ | -Windows | -Program Files would exclude the folders Windows and Program Files and all their subfolders

Specific patterns can be searched for

*.doc | *.rtf would check only files with names ending in doc or rtf.

Specific patterns can be excluded

-*.bak | -*.tmp | -~* search for all files except those that have the extension bak, tmp or that start with the tilde character.

Allows you to find files that were recently modified

or modified in any specified time periods

Uses the power of Virtual Folders

The results of the search are put into a Virtual Folder so that the found files can be manipulated individually, in groups or all together (copy, rename, delete, move and more).

The Search can be saved for later use

So the search can be used over and over again.

To Search for Files based on their times using an Explore View

· Activate or open an Explore View
· Make sure that the column for showing the Modified, Accessed and/or Created file times is visible (if not see the next section for how to display the column).
· Click on the appropriate Column header twice to sort all entries by most recent file times
· As you move from folder to folder the files will remain sorted according to chosen time.

Hint: If you are looking at folders that contain lots of files you can and you know the extension or possible extensions of the file(s) you are looking for you can use a File Filter to only display those files.

Or you can even used Advanced Filtering to only show files with Modified times in the range you want.

Displaying the File Times in the Contents Window

(If the file times are not already displayed in the Contents Window)

· This works the same in both Explore Views and Virtual Virtual Folders.
· Move the mouse over the column headers (the column headers are at the top of the Contents Window and have titles like Filename, Ext and Size.)
· Right-click the to display a list of columns that can be displayed
· Check the boxes next to Modified, Accessed or Created as appropriate.
· Click the Close Menu button.

Hint: You can change the order of the columns by clicking a header with the left mouse button and, while holding the mouse button down, dragging the column to its new location.

Sorting by File Times

Simply click on the header of one of the file time columns. To reverse the sort click the column header again.

Ref: HTDE_FIND_MODIFIED_FILES


Find Files: With Long Names

Find Files: With Long Filenames

Quick Start: Finding Long Filenames

Select What to Search

Select the folder(s), paths(s) or drive(s) you want to search in either the left or right windows. The Find dialog will default to searching these selections but they can be easily changed in the dialog itself.

Open the Find Dialog

· Select Find > Long Filenames... from the main menu

Enter the Filenames or Patterns to Search for

· Enter the file patterns you are looking for. Multiple patterns are separated by either a semi-colon (;) or a bar character (|). You can even specify folders to exclude by preceding the name with a minus sign. For complete details right-click the field in the program.
· Select minimum filename lengths you are looking for. The most common is to search for combined path and filename lengths but the others are available if you need them.
· In the above example FileBoss will search for all files that have a combined path and filename length greater than 255 characters.

Hint: You can limit your search (and thus speed it up and make its results more meaningful) by specifying one or more folders to search instead of just a whole drive. You can also, in the Patterns field, specify only certain files to search file such as *.doc | *.jpg | *.jpeg | *.html | *.htm

Click OK to search and create a Virtual Folder of all matching files

Nitty, Gritty Details

Searches can be based on three different lengths

Path, Filename or Total length (Path + Filename)

Searches can be across a drive, path or multiple drives and paths

Such as C:\ | \\Corp-backup\C\Accounting

Specific folders can be excluded making results more meaningful

C:\ | -Windows | -Program Files would exclude the folders Windows and Program Files and all their sub-folders

Uses the power of Virtual Folders

The results of the search are put into a Virtual Folder so that the found files can be manipulated individually, in groups or all together (copy, rename, delete, move and more).

The Search can be saved for later use

So the search can be used over and over again.

Use FileBoss's Easy but Powerful Rename Routines to Shorten Names

One by one or thousands at a time FileBoss has the right tool to help you rename files easily and quickly.

Sorting by Filename Lengths in Virtual Folders and Explore View

Always Available!

You don't need to create a special Virtual Folder. FileBoss has columns that will display the lengths of the filenames, paths, and total of both that can be sorted just like any other column in the contents window. And, of course, they are available in both Explore and Virtual Folders.

To turn columns on and off in any contents window simply right-click over a the column header bar (the bar at the top of the columns that display the column names) and select the columns you want.

Make sure that the column for showing the column for showing the filename length your are interested in is visible (if not see the next section for how to display the column).

Click on the appropriate column header to sort all entries by length. Click the column header again to reverse the sort order.

If you are in Explore View then as you move from folder to folder the files will remain sorted according to chosen lengths.

Hint: If you are looking at folders that contain lots of files you can and you know the extension or possible extensions of the file(s) you are looking for you can use a File Filter to only display those files.

Or you can even used Advanced Filtering to only show files with Modified times in the range you want.

Displaying the Filename Lengths in the Contents Window

(If the filename lengths are not already displayed in the Contents Window)

This works the same in both Explore Views and Virtual Virtual Folders.

Move the mouse over the column headers (the column headers are at the top of the Contents Window and have titles like Filename, Ext and Size.)

Right-click the to display a list of columns that can be displayed

Check the boxes next to items you want displayed.

Click the Close Menu button.

Hint: You can change the order of the columns by clicking a header with the left mouse button and, while holding the mouse button down, dragging the column to its new location.

Rename the Files

Note that when renaming files to make the total path length shorter it is often convenient to rename one of the folder names. Just make sure that renaming the folder won't break any of the other programs on you system.

Select the files you want to rename.

If each of the files must be manually renamed press Alt+Ctrl+R to rename each file by hand. (Note that the rename dialog conveniently separates the root name and the extension so that you won't accidentally change the extension of a file.)

or if the files can be renamed in groups, press Ctrl+R and use one of FileBoss's powerful renaming tools.

Ref: HTDE_CREATE_FILESET_LONG_PATHS


Find Files: By Size

Quick Start: Finding Files by Size

Select What to Search

Select the folder(s), paths(s) or drive(s) you want to search in either the left or right windows. The Find dialog will default to searching these selections but they can be easily changed in the dialog itself.

Open the Find Dialog

Select Find > Files by Size... from the main menu

Enter the Filenames or Patterns to Search for

· Enter the file patterns you are looking for. Multiple patterns are separated by either a semi-colon (;) or a bar character (|). You can even specify folders to exclude by preceding the name with a minus sign. For complete details right-click the field in the program.
· Then enter the smallest and largest size for which you are looking. The sizes are in bytes but following the number by a K or an M indicates kilobytes and megabytes respectively. Enter Zillions or -1 for unlimited size.
· In the above example FileBoss will find all files C drive and all of its sub-folders. The search will be for ZIP files greater than four megabytes in size.

Hint: You can limit your search (and thus speed it up and make its results more meaningful) by specifying one or more folders to search instead of just a whole drive. You can also, in the Patterns field, specify only certain files to search file such as *.doc | *.jpg | *.jpeg | *.html | *.htm

Click OK to search and create a Virtual Folder of all matching files

Displaying the File Sizes in the Contents Window

(If the file sizes are not already displayed in the Contents Window)

This works the same in both Explore Views and Virtual Virtual Folders.

Move the mouse over the column headers (the column headers are at the top of the Contents Window and have titles like Filename, Ext and Size.)

Right-click the to display a list of columns that can be displayed

Check the boxes next to items you want displayed.

Click the Close Menu button.

Hint: You can change the order of the columns by clicking a header with the left mouse button and, while holding the mouse button down, dragging the column to its new location.

Sorting by File Size

Simply click on the Size column header. To reverse the sort click the column header again.

Specifying File Sizes

When Limit by Size is checked FileBoss will only include files that fall between the From and To sizes, inclusive. Make both entries the same to only return files of a specific size.

E.g. entering '0' for both fields will only return files of zero length.

This field only affects files - not folders. As far as Windows is concerned folders always have a size of 0.

Unlimited Sizes

To specify an unlimited size for files (i.e. up to any amount) enter -1 or Zillions into the To field of the Sizes area. (Actually, to specify an unlimited size you can enter Zillions or any other word(s) as long as it is not a number, e.g. I Love FileBoss would work just fine).

Megabytes & Kilobytes

In addition, M, MB, Megs, KB and K (in any case) can follow a number to signify megabytes or kilobytes as desired. But note that these numbers will be translated into bytes when they are redisplayed.

Easy Reading

Commas can be used in numbers if it makes you feel better.

Ref: HTDE_CREATE_FILESET_SIZE


Find Files: By Attributes

Quick Start: Finding Files by Their Attributes

Select What to Search

Select the folder(s), paths(s) or drive(s) you want to search in either the left or right windows. The Find dialog will default to searching these selections but they can be easily changed in the dialog itself.

Open the Find Dialog

· Select Find > Files by Attributes...from the main menu

Enter the Filenames or Patterns to Search for

· Enter the file patterns you are looking for. Multiple patterns are separated by either a semi-colon (;) or a bar character (|). You can even specify folders to exclude by preceding the name with a minus sign. For complete details right-click the field in the program.
· Select the Attributes you are looking for and whether FileBoss should include the file if it matches all the specified (Match All) attributes or just one of them (Match Any).
· If you want exclude files containing a specific attribute check the appropriate boxes under Exclude these Files.

In the above example FileBoss will search drive C: for all directories that have both the System and Hidden attributes set except for the folders Windows and Program Files and all of their sub-folders.

Hint: You can limit your search (and thus speed it up and make its results more meaningful) by specifying one or more folders to search instead of just a whole drive. You can also, in the Patterns field, specify only certain files to search file such as *.doc | *.jpg | *.jpeg | *.html | *.htm

Click OK to search and create a Virtual Folder of all matching files

Find Files with Specific File Attributes

Searches can be based on any combination of file attributes

Archive, Not Archive, System, Hidden, Read Only, Directory.

Specific attributes can be excluded from the search

Such as excluding all files that are Hidden or System files.

Searches can be across a drive, path or multiple drives and paths

Such as C:\ | \\Corp-backup\C\Accounting

Specific folders can be excluded making results more meaningful

C:\ | -Windows | -Program Files would exclude the folders Windows and Program Files and all their sub-folders

Uses the power of Virtual Folders

The results of the search are put into a Virtual Folder so that the found files can be manipulated individually, in groups or all together (copy, rename, delete, move and more).

The Search can be saved for later use

So the search can be used over and over again.

Find Files with NTFS Attributes

To find files with the advanced NTFS attributes simply expand the dialog to expose those options.

Displaying the a File's Attributes

(A column that displays file attributes is present by default but if it is turned off you can turn it back on using the following procedure. Attributes are displayed as A, S, H, and R.)

This works the same in both Explore Views and Virtual Virtual Folders.

Move the mouse over the column headers (the column headers are at the top of the Contents Window and have titles like Filename, Ext and Size.)

Right-click the to display a list of columns that can be displayed

Check the box next to Attributes.

Click the Close Menu button.

Hint: You can change the order of the columns by clicking a header with the left mouse button and, while holding the mouse button down, dragging the column to its new location.

Sorting by Attributes

Simply click on the Attributes column header. To reverse the sort click the column header again.

Include Options

All
All files will be considered for inclusion regardless of their attributes. When this button is selected the attribute options below it will be grayed and will not be used.

Match Any
Any file that matches one or more of the checked attributes will be included in the new Virtual Folder (as long as any other criteria are met).

Match All
Any file that matches All of the checked attributes will be included in the new Virtual Folder (as long as any other criteria are met).

Exclude Options

Excludes any file that matches any of the check attributes. Note that checking both the Archive and No Archive boxes at the same time will cause an error and FileBoss will not continue until only one (or neither) of the boxes is checked.

Ref: HTDE_CREATE_FILESET_ATTRIBUTES


Find Files: Containing Specific Text

Quick Start: Finding Files Containing Specific Text

Select What to Search

Select the folder(s), paths(s) or drive(s) you want to search in either the left or right windows. The Find dialog will default to searching these selections but they can be easily changed in the dialog itself.

Open the Find Dialog

· Select Find > Files Containing Text... from the main menu

Enter the Filenames or Patterns to Search for

· Enter the file patterns you are looking for. Multiple patterns are separated by either a semi-colon (;) or a bar character (|). You can even specify folders to exclude by preceding the name with a minus sign. For complete details right-click the field in the program.
· Then enter the type of search and the text or pattern you want to find.
· In the above example FileBoss will find all htm and html files in the Hamlet and Macbeth folders on drive S for for sooth.

Hint: You can limit your search (and thus speed it up and make its results more meaningful) by specifying one or more folders to search instead of just a whole drive. You can also, in the Patterns field, specify only certain files to search file such as *.doc | *.jpg | *.jpeg | *.html | *.htm

Click OK to search and create a Virtual Folder of all matching files

More Options and Possibilities

Searches can be across a drive, path or multiple drives and paths

Such as C:\ | \\Corp-backup\C\Accounting

Specific folders can be excluded making results more meaningful

C:\ | -Windows | -Program Files would exclude the folders Windows and Program Files and all their subfolders

Exact Match Searching

finds files with the exact text (except for white space) you specify, with optional case matching. All white space is treated the same and multiple white space characters are treated as one.

Normal Searching

Normal Searching allows the use of the question mark (?) and asterisk (*) to match one and one or more characters respectively. All white space is treated the same and multiple white space characters are treated as one.

RegEx Searches

RegEx mode uses a basic set of Unix style regular expressions.

All Searches are Binary

FileBoss will search for text correctly in DLLs, EXE and other binary file types as well as in text and document files.

Uses the power of Virtual Folders

The results of the search are put into a Virtual Folder so that the found files can be manipulated individually, in groups or all together (copy, rename, delete, move and more).

The Search can be saved for later use

So the search can be used over and over again.

Method for Matching the Search Pattern

Search Method

Three different types of searching can be performed.

FileBoss supports smart white space matching where the white space (spaces and tabs) does not have to be exact for a match to occur. This allows the search pattern to specify one space or tab and FileBoss will still match even if the source text contains two or more consecutive spaces or tabs or a mixture of both.

The type of search to be done is specified by choosing on of the following options:

Exact

Matches the search pattern exactly (no wild cards have special meaning) except for capitalization and white space. Capitalization is controlled by the 'Match capitalization' check box and all white space is considered to be the same, e.g. spaces, tabs and new lines are considered to be the same. In addition multiple spaces will match one space and vice-a-versa.

Normal

In normal searching, FileBoss recognizes two wild card characters: the question mark and the asterisk.

The question mark (?) matches any one character.

The asterisk (*) matches any number of any characters up until the next character in the search pattern. For instance, the search pattern F*ss, would match FileBoss

To enter an asterisk or question mark as literals, i.e. without special meaning, precede them with a backslash.

Unix Style

See Unix Style Searches for a complete definition of FileBoss's Unix style search implementation.

Match Capitalization

Selecting this option tells FileBoss that searches should be case sensitive. Thus, if this option is selected and "Blue" is searched for, FileBoss will find "Blue" but not "blue" or "bLue." If this option is not selected, FileBoss will match any combination of capitals and lowercase letters, no matter what was used for the search string.

Note that this option does not affect searches when Unix mode is turned on.

Ref: HTDE_FIND_FILES_WITH_TEXT


Find Files: Advanced

Quick Start: Advanced File Find

Select What to Search

Select the folder(s), paths(s) or drive(s) you want to search in either the left or right windows. The Find dialog will default to searching these selections but they can be easily changed in the dialog itself.

Open the Find Dialog:

· Select Find > Advanced File Search... from the main menu

Enter the Filenames or Patterns to Search for

· Enter the file patterns you are looking for. Multiple patterns are separated by either a semi-colon (;) or a bar character (|). You can even specify folders to exclude by preceding the name with a minus sign. For complete details right-click the field in the program.
· Then enter the search criteria. You can search on multiple criteria by checking the appropriate check box to activate that section.

Hint: You can limit your search (and thus speed it up and make its results more meaningful) by specifying one or more folders to search instead of just a whole drive. You can also, in the Patterns field, specify only certain files to search file such as *.doc | *.jpg | *.jpeg | *.html | *.htm

Click OK to search and create a Virtual Folder of all matching files

More About Virtual Folders (Search Results)?

Virtual Folders are similar to Explore Views

but rather than containing the files in one folder they can contain files in multiple folders, all folders on a drive and even in multiple drives across networks.

Almost all commands and operations

that can be applied to files and folders in an Explore View can be applied to Virtual Folders.

Virtual Folders allow hundreds of thousands

of files, let alone tens or hundreds of files, to be manipulated together: copied, renamed, duplicated and many other powerful routines built into FileBoss.

Virtual Folders can be created simply,

for example by telling FileBoss to use all files in and below the My Documents folder.

Virtual Folders can be created with great finesse,

for example by telling FileBoss to use all files on drive C: and D: with the extension EXE, COM, DLL but not in the Windows folder or anywhere in and below the Program Files folders and not any files that have names beginning with a tilde (~) character (and that is just a simple finesse!)

Virtual Folders can be saved for quick recall later.

They can be saved on disk as a definition file that when opened immediately research for all files that meet the search definition associated with the Virtual Folder. They can also be saved where every entry is saved to disk. When reopened no search is performed, every entry is displayed just as they were when the Virtual Folder was saved.

Virtual Folders allow you to quickly sort

and group files to see what is on your computer.

Virtual Folders is the underlying technology

for comparing folders, paths or drives so that once you have seen one you have seen both.

Virtual Folders are perfect for collecting files of a similar type

or for a similar use for quick access in other applications.

Definition based Virtual Folders are perfect

for repeatedly backing up project files, duplicating frequently used files or updating a working set of files.

Ref: HTDE_CREATE_FILESET


Find Files: Duplicates

Available in both Explore Views [image] and Virtual Folders

Quick Start: Finding Duplicate Files

First either navigate to the Folder you want to check in Explore View or create a Virtual Folder of the files you want to check (Virtual Folders).

Then

· Select Tools > Find Duplicates... from the main menu to open the Find Duplicate Files command dialog
· Check the options FileBoss should use when considering whether or not two files are duplicates.
· Optionally specify the file types that should be included (or excluded) in the search for duplicates.
· Click the OK Button to close the dialog have FileBoss search for duplicate files.
· FileBoss will sort the files, evaluate which are duplicates and which are not, hide all files that are not duplicates and display those that are.
· You can then look at the files and Delete, Recycle or perform any other normal FileBoss Action

Hint: If too many files are displayed you can either perform the operation again redefining what makes a duplicate a duplicate or which files should be included in the evaluation. Or you can select whole groups of files and hide (click the Hide Selected Files button) and then examine what is left.

More Information

Files can be checked in one Folder, Multiple folders or Finding Duplicate Filespaths and even across network drives simply make the View active and then select Tools > Find Duplicates... from the main menu.

If you want to search across multiple folders or drives, simply create a Virtual Folder of those folders first and then check for duplicates. Creating a Virtual Folder first makes the process quick, easy to repeat and easy to refine. In addition all of the normal file manipulation routines are available while reviewing the duplicate files.

Finds Duplicates in Explore View (a single Folder)

by ignoring the names and checking for duplicates by the files' size and content.

Can restrict search to Selected Files

or all the files in a folder (Explore View) or a Virtual Folder can be checked.

Comparisons can be restricted to file matching specific patterns

such as *.bmp or *.doc thus eliminating wasted time comparing files you don't care about.

For all the details on how to use this dialog and Find Duplicates see Finding Duplicates

Ref: DOC_GENERAL_FEATURES_DUPS


Load Files from Text File

Quick Start: Load Filenames from a file

Create the text file

Create a plain ASCII text file with one file to a line with its full path, e.g.

\\corpnet\backup\user files\london\expense.doc

\\corpnet\backup\user files\london\notes.doc

\\corpnet\backup\user files\london\ideas.doc

...

The entries can be in any order and folders need not be entered unless they are expressly needed.

Open the Import Dialog

· Press Alt+F,D,I
· Or select File > New Dynamic File Set > Import from Text File... from the main menu

Enter or Browse for the input file

Browse for the file you want to input using the 'Browse' button and then press the OK button.

FileBoss will then read the text file and load each file into a Dynamic File Set.

Don't Validate Files

If the Don't Validate Files box is checked FileBoss will check each entry for existence and if an entry in the text file can't be found FileBoss will display it in red. If there are many network entries that can't be found FileBoss will take quite sometime as checking for missing files on a network is very time consuming.

Create Navigation Structure

If the Create Navigation Structure box is checked FileBoss will attempt to create a file structure for the files. But if the imported files are pretty much at random, file structure wise the structure FileBoss creates may be quite ugly..

Once the entries are loaded successfully you can manage them with all of FileBoss's tools just the same as in any other view.

Ref: HTDE_LOAD_FROM_TEXT_FILE


Copying: Quick Overview

Copying to the Max Advantages

Retry option for files that failed to copy

If FileBoss cannot copy a file it will give you the option of trying again (such as if you have to close a file that is in use) or just skip the file. Of course FileBoss will log any files that were skipped due to copy errors.

Option to Skip Problem Files

Rather than stopping and asking what to do when a problem file is encountered FileBoss can just log the error and continue. Use check the Skip errors (Don't ask - just log and continue) option on the copy dialog.

Copying to Multiple Destinations

Specialized Copy Functions

· Backup if Newer (or new). Click here for more...
· Duplicate Files. Click here for more...
· Duplicate Folders. Click here for more...
· Create Multiple Copies. Click here for more...
· Copy Files/Folders to multiple destinations. Click here for more...
· Copy Tree Structures (without files). Click here for more...
· Update (refresh) Files. Click here for more...
· Structured Coping. Click here for more...
· Create Shortcuts (Links). Click here for more...
· Enhanced Drag & Drop. Click here for more...
· Drop Zones. Click here for more...
· Copy just Filenames to the Clipboard. Click here for more...
· Copying to several destinations at once. Click here for more...

Flexible Overwrite Options

When FileBoss encounters encounters a file that already exists you can tell it to:

· overwrite
· overwrite only if newer
· skip
· rename the old file
· rename the new file

And, of course, each option can be applied to files automatically or you can decide on a case by case basis as the copy process continues.

Complete Logging

The Results window keeps a complete log of what was copied, what was not and what errors occurred if any. These logs can even be automatically written to disk as simple text files for future reference.

Detailed and Configurable Warnings

You can tell FileBoss when to ask you what to do if the file being copied already exists. You can tell it to never warn you, or if it has one or more of the following attributes: Hidden, System, Read-only, Archive and even if the file is executable (e.g. has an extension of EXE, COM, DLL, OCX or BAT).

Multi-folder copying

When copying from a Virtual Folder FileBoss can copy Files in multiple folders, retaining their original folder structure (the default behavior) or all files to one folder.

Ref: HTDE_COPY_FILES


Copying: Minimize FileBoss while Copying

Hiding FileBoss while Copying

Available in both Explore Views [image] and Virtual Folders

How to Minimize FileBoss when Copying

FileBoss can be hidden during a long copy operation by either hiding FileBoss's main window leaving just the progress dialog visible or by minimizing everything to the system tray.

When just FileBoss's main window is hidden clicking the button on the progress dialog will display it again. And when everything is minimized to the system tray clicking the FileBoss's icon will restore FileBoss's application window and the progress dialog.

Whether FileBoss is minimized or hidden it will be fully restored when the copy operation completes.

Hiding FileBoss when at the start of a copy

All the dialogs for copy based actions have a Hide FileBoss check box near the bottom of the dialog. When this is checked and the copy operation starts FileBoss will be hidden so that only the progress dialog is displayed.

The Hide FileBoss setting is remembered along with the other settings in the dialog.

Hiding FileBoss from the progress dialog while copying

The progress dialog as shown below now has two button for hiding and showing FileBoss's main window (on the top-left) and minimizing both FileBoss and the progress dialog to the system tray (on the top-right).

When FileBoss is just hidden, the left button can be used to display it again and when FileBoss and the progress dialog are minimized they can be displayed by clicking on the FileBoss icon in the system tray (normally at the bottom right of your screen).

Advanced methods of hiding FileBoss when copying

In addition to the Hide FileBoss check box on the copy dialogs FileBoss can also be hidden using double slash meta commands placed in the same field as the destination folder(s).

The two meta commands are //HideFileBoss (or //HF) and //HideAll (or //HA) these commands can be placed anywhere in the destination field, for instance:

W:\ ; V:\ //hidefileboss, W:\ ; //hidefileboss V:\ and //HF W:\ ; V:\ will all produce the same result, i.e. hide FileBoss's main window while still showing the progress dialog.

Meta commands override the settings in the dialog box at all times.

The difference between using these meta commands and using the check box on the dialog is that they are instance specific, in other words you can specify that FileBoss be hidden only on copy operations you know will take a long time while leaving the default to not hide FileBoss.

Ref: HTDE_COPY_HIDING_FILEBOSS


Copying: Copy or Move Files & Folders

Available in both Explore Views [image] and Virtual Folders

Quick Start: To Copy or Move Files

First select the files you want to Copy or Move.

(Click here to find out more about FileBoss's advanced selection methods.)

Open the Copy / Move Dialog

· Press F7 (to copy) or Ctrl+F7 (to move)
· Select Actions > Copy To... or Actions > Move To... from the main menu
· Click the Copy or Move Files

Copying to Multiple destinations at once

Files and Folders can be copied to more than one destination in the same operation for most copy operations (Moving being a notable exception. Click here for more...

[****]

Simple and Advanced Command Modes

If you want to quickly copy a bunch of files without worrying about any advanced settings just close up (or leave closed-up) the dialog by pressing the Simple button (if the dialog is already closed up the button will read Advanced. Like all other expanding dialogs in FileBoss this copy move dialog reverts to default options when it is close up. So you don't have to worry about some option being set that you can't even see.

Advanced Hint: The default options for copying are can be set to your particular preferences so that when the dialog is closed up it will set the hidden options to the defaults you have specified. To learn more about this advanced feature click here.

Sample Options and Settings

Below are just some of the other options you can set (remember there is a simple mode too where you don't have to worry about these details). For a complete list of options see the documentation for the Copy / Move Dialog.

Remove Read-Only Bits from CD Files

Many files stored on CDs have their Read-Only bit set and it is transferred with the files when they are copied to a hard disk.

By default FileBoss will detect when files are being copied from a CD or DVD and make sure that the Read-Only bit is cleared on the copied file. This behavior can be deactivated. It is a global setting that affects all files copied by FileBoss from CDs (e.g. the setting also affects files copied using Drag & Drop and to Drop Zones.) To change whether or not FileBoss removes the Read-Only bit on files copied from CDs select Options > Program Options... from the main menu and select the Copy Files panel then check or uncheck the Clear Read-Only bit when copying files form CDs/DVD box.

Copy Only if Target Exists

Will copy each selected file if, and only if, a file with the same name already exists in the destination folder.

This effectively updates the files in the destination folder without adding any new files. Good for when you want to back up files with copying a bunch of junk or temporary files that may be on the source drive or folder.

Actions when Destination Entry Already Exists

No / Yes / Ask / Only if Newer

The first four options determine whether or not files can be overwritten by the files being copied.

When Only if Newer is selected the times the files were last modified are used for comparison.

Rename

Rather than overwriting files that exist, you can instruct FileBoss to rename either the new or the existing files.

Select New File to rename the file that is being copied (the existing file will not be changed).

Select Existing File to rename the existing file, the new file will then be copied using the old name.

Whether you choose to rename the existing file or the new file depends only on what you are doing and your personal preference.

Click on Set... to specify how the files - either new or existing - will be renamed. You can add text and/or sequential numbers to the new filenames.

Setting New File Attributes

These options affect files created or overwritten by the copy or move operation.

(Note that a file is considered new even if it overwrites an existing file of the same name.)

You can add, remove or leave the four attributes unchanged.

If an attribute is marked as No Change it will be set to the same setting on the source file or folder.

Setting When FileBoss will Ask for Confirmation

These options determine when FileBoss will alert you that a file is going to be overwritten by the copy or move process. The warnings are fired when an existing file has one of the checked attributes. For instance if the EXE box is checked FileBoss will ask you what to do before copying a source file over an existing target file that has an extension of .EXE, .COM, .DLL, .DRV, .OCX or .BAT. When asked what to do your options will be to skip that one file, cancel all remaining files, overwrite that one file, overwrite all remaining files or even rename the file.

None
This is a master check box that, when checked, turns off all warnings. You'll note that when it is checked the other check boxes are grayed indicating that they have no effect. To enable the other check boxes uncheck this 'None' check box.

Hidden
Marked by Windows as a Hidden File. Normally files marked with this attribute should not be modified.

System
Marked by Windows as a System File. Normally files marked with this attribute should not be modified.

Read-Only
FileBoss will stop and ask permission whenever one of these attributes is set on the existing target file. Note that changing (which overwriting a file certainly does) any file with the Hidden, System or Read-Only attribute may disrupt the stability of your system, if not render it totally unusable.

Archive
The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backed up and, after backing up the file reset (clear) the Archive bit.

EXE
FileBoss considers files with the following extensions to be executable files: .EXE, .COM, .DLL, .DRV, .OCX and .BAT.

Newer
FileBoss will compare the two file times and warn if the file on the target drive is newer (had been modified more recently) than the source file.
This option is only present when the warnings are being used for copy or move operations (i.e. not for deleting or touching as there is no 'source' file).

Ref: HTDE_COPY_FILES


Copying: Quick Backup

Available in both Explore Views [image] and Virtual Folders

Quick Start: To Copy or Move Files

First select the folders and/or files you want to backup

This action is applied to selected files and folders. If no folders or files have been selected the menu command will be unavailable.
(Click here to find out more about FileBoss's advanced selection methods.)

Open the Copy / Move Command Dialog

· Select Actions > Backup if Newer... or (Ctrl+Shift+F7) from the main menu to open the Backup dialog.
· Select Actions > Copy To... or Actions > Move To... from the main menu

Enter the Destination Folder

· Enter the folder to which you want to copy the files. If you have used the dialog before you can select a previous destination from the drop down list box.

Optionally Enter Files to Copy (or not to be Copied)

· To copy all files leave the Patterns field blank or enter and asterisk (*).
· To copy only particular files specify one or more file patterns. Separate multiple patterns with the bar character (|), e.g. *.htm | *.html | *.css.
· To prevent certain files from being copied enter their pattern(s) preceding each with a minus sign, e.g. -*.bak | -*.tmp | -~*.
· You can even combine files to copy and files to exclude, e.g. *.htm | *.html | *.css | -~* (note that order in which the file patterns are listed is not significant).

Click the OK button and FileBoss will start the copying and display a progress window.

Copying to Multiple destinations at once

Files and Folders can be copied to more than one destination in the same operation for most copy operations (Moving being a notable exception. Click here for more...

Ref: HTDE_COPY_MERGE_FILES_QUICKLY


Copying: Backup & Sync

Available in both Explore Views [image] and Virtual Folders

Making a backup folder / path the same as the source

The Backup and Sync command is a great way to quickly synchronize a backup and a source folder or path. It will copy all files from the source that are new or newer than files in backup and then delete any files in the backup that no longer exist in the source folder.

To only backup newer files without deleting any files from the backup folder use the Backup if Newer... command instead. And if you need more control check out the Compare, Merge & Prune routine for ultimate control.

Note that in the above dialog there are three destinations one each on T:\, D:\ and \\CorpNet01. You can have only one destination or many. To easily add and manage more than one destination use the Edit button to the right of the field.

Quick Start: To Backup & Sync

First select the folders and/or files you want to backup.

This action is applied to selected files and folders. If no folders or files have been selected the menu command will be unavailable.
(Click here to find out more about FileBoss's advanced selection methods.)

Open the Copy / Move Command Dialog

· Select Actions > Backup & Sync... to open the Backup dialog.

Enter the Destination Folder

· Enter one or more destination folders to which you want to copy the files (separate multiple destinations with a semi-colon or coma). If you have used the dialog before you can select a previous destination from the drop down list box.

Optionally Enter Files to Copy (or not to be Copied)

· To copy all files leave the Patterns field blank or enter and asterisk (*).
· To copy only particular files specify one or more file patterns. Separate multiple patterns with the bar character (|), e.g. *.htm | *.html | *.css.
· To prevent certain files from being copied enter their pattern(s) preceding each with a minus sign, e.g. -*.bak | -*.tmp | -~*.
· You can even combine files to copy and files to exclude, e.g. *.htm | *.html | *.css | -~* (note that order in which the file patterns are listed is not significant).

Click the OK button and FileBoss will start the copying and display a progress window.

Copying to Multiple destinations at once

Files and Folders can be copied to more than one destination in the same operation for most copy operations (Moving being a notable exception. Click here for more...

Ref: HTDE_COPY_MERGE_FILES_QUICKLY


Copying: To Several Destinations

Available in both Explore Views [image] and Virtual Folders

You can easily copy files and folders to multiple destinations by listing each destination in the Destination(s) field of any copy based dialog such as Copy To, Backup if Newer, Backup & Sync and more. (Multiple destinations can not be use with the Move To copy action.)

Entering multiple folders

You can enter as many paths as you want up to a limit of 32,000 characters.

Enter the list of folders you want the selected files and / or folders in the Destination(s) field as shown highlighted in yellow above. Each path must be separated with a comma, semi-colon or the bar character (, ; or |).

Clicking the Browse button will display a folder picker when you can select one or more folders that FileBoss will enter into the Destination(s) field for you.

And you can always click the Edit button to bring up a dialog where you can add, edit and order the paths. This is especially handy when dealing with more than three or four paths.

Edit dialog for copy destinations

To enter multiple target folders easily use the Browse button to the right of the field. This special dialog will allow you to select multiple folders at once by checking the Multiple Selections box near the bottom of the dialog. To manage multiple destinations use the Edit button to the right of the Browse button. This will allow you to edit the paths that are currently displayed.

Entering comments in the Destination field

Sometimes it is convenient to have a title for a long list of destination folders. You can enter a comment anywhere in the string (though at the beginning is normally best so that it can be seen) in the form

<cmt: your text here>

for example

<cmt: network backup>

This would make the Destination(s) field in the above dialog look something like:

<cmt: network backup> D:\backup ; N:\backup ; \\Corp\c\backup

Ref: HTDE_COPY_HIDING_FILEBOSS


Copying: To Many Folders

Copying to Multiple Folders

Available in both Explore Views [image] and Virtual Folders

Quick Start: Copying to Multiple Destinations

Copying to several destinations at once

While this action is aimed at copying to many folders at once there is a simple way to copy to a few destinations at the same time.

Files and Folders can be copied to more than one destination in the same operation for most copy operations (Moving being a notable exception. Click here for more...

Copying to many destinations at once

First select the files you want to copy

(Click here to find out more about FileBoss's advanced selection methods.)

· Press Ctrl+C
· or select Edit > Copy from the main menu

Second select the folders you want to copy to

· If you are distributing to folders that are all in the same root folder select them in Explore View.
· If you will be distributing to folders on multiple paths, drives or even network drives, create a Virtual Folder first and then select the folders.

Finally paste the files on the clipboard into the selected folders

· Select Actions > More Copy Actions > Paste into Selected Folders... from the main menu.

Distributes one or more files to multiple folders

Quickly and easily distribute new or updated files throughout your computer or network

Can distribute any file or folder that can be copied to the clipboard

The files and folders can be copied to the clipboard in the normal manner using either FileBoss or other programs such as Windows Explorer

Distribution folders can be all on one level or multiple levels across multiple drives

Select the folders you want the files copied to in either Explore or Virtual Folders.

Complete logging of what names was copied and how

The Summary and Details panes of the Results window will show you exactly what was copied and to where.

Ref: HID_ACTION_PASTE_INTO_SELECTED


Copying: Directory Tree Structure

Available in both Explore Views [image] and Virtual Folders

Make a copy of a folder structure

of a part of your file system without copying any of the files it may contain.

Two methods to suit you needs best

Use the Actions > Duplicate... command to quickly create a copy of the folder tree in the same folder as the current. See Making Duplicates of Folders for more on how to do this.

Use Actions > More Copy Actions > Copy Folder Trees... to copy the folder trees of one or more selected files to a location of your choosing.

Quick Start: Copy a Directory Tree

(Note: You can quickly duplicate a tree structure in the same folder as the original using the Duplicate Folder Command. See Duplicating Folders for more.)

Select one directory you wan to duplicate

1. Select one or more folders to be duplicated in the Contents window.
2. Select the Actions > Advanced > Copy Folder Trees... command from the main menu:

1. Enter the Destination Folder.

4. Click OK.

Copying to Multiple destinations at once

Files and Folders can be copied to more than one destination in the same operation for most copy operations (Moving being a notable exception. Click here for more...

Hint 2: You can quickly duplicate a tree structure in the same folder as the original using the Duplicate Folder Command, see Make Duplicate Folders for more.

Ref: HTDE_MAKE_DUPLICATE_FILES


Copying: Structured

Structured Copying - Copy [image] or Move [image] to the Max

Available in Virtual Folders

Virtual Folders and Intelligent Copying

Structured Copying combines the power of Virtual Folders with the flexibility of FileBoss's Advanced Copy Engine to copy files like you have never done before.

Structured Copying allows you to select files from multiple levels of a path and then copy those files, and only those files, to a destination retaining their original folder structure.

Simple Example

Consider the following, extremely simple example. (Remember that FileBoss can do this with thousands of files as easily as it can with the five files in this example.)

Here we want to copy some photographs to a folder that will eventually be made into an album for our grandmother. But we only want to copy the files that are the end result of our labor (i.e. we don't want to copy the temporary or original files) and we want to copy them retaining the same folder structure as our originals.

To copy from here...

To create this with just one copy

First Select the files:

Then all the folders:

Ref: HTDE_COPY_FILES


Copying: Making Duplicate Files

Making Duplicating Files

Available in both Explore Views [image] and Virtual Folders

Quick Start: Duplicating Files

First select the files you want to duplicate.

· Press Shift+F7
· or select Actions > Duplicate... from the main menu,
· or click the Duplicate button on the Actions toolbar

Formatting the new names

The Duplicate File Dialog will appear where you can set the form of the new (i.e. duplicated) filenames. By default the new files or folders will have a sequential number appended to the root name. For example FileBoss.exe would be duplicated as 'FileBoss (001).exe'.

Details

For complete details about each field on the Duplicate Files dialog see below.

To Duplicate Folders

Duplicate Folders the same way you duplicate files (see above).

If one or more folders are being duplicated the dialog will activate the check box 'Copy Folders Only'. If you check this box only the tree structure will be copied - no files will copied. If it is not checked then all files in the folder will also be duplicated.

Making a Duplicate Creates

an exact copy of your file(s) in the same folder as the original but with a different name. Typically the new name consists of the original name with a sequence number added.

Duplicate Complete Folders and Paths

when a Folder is selected. This will create a new folder, in the same place as the selected item, but with a new name. All of files and subfolders and in the original will be copied to the new folder.

(If you would like to create duplicates of just the files in multiple folders, first create a Virtual Folder, select all the files (not folders) and then use the Duplicate command)

Duplicate the Structure of a Path

by selecting the Copy Folders Only option when duplicating a folder.

In Virtual Folders Duplicate Selected Files

form different folders all at the same time.

Add Sequential Numbers

guaranteeing unique names. Sequential numbers can be added before or after the name or extension. You can even replace the extension or name with a sequential number.

Change the Extension

of the duplicated files to identify them better.

Add Plain Text to the Names

of the duplicated files if you want. Text can be added before or after the name or extension.

Files can be duplicated multiple times

so that more than one copy of the original is available. Sequential numbering (including a ? in the name pattern) will insure that each filename is unique.

Creating Multiple Copies in One Operation

For quick information on how to create up to one-thousand copies of selected files and folders at one time see Creating Multiple Copies of Files and Folders.

The Duplicate Command Center

When you duplicate files and folders the following dialog will appear allowing you to specify how the duplicate files will be named. The choices you make here - just like almost all Dialogs in FileBoss - will be saved even when FileBoss is closed.

As you make changes keep an eye on the box under Sample for: FileBossIsGreat.txt as it will give you an idea as to how the names will be transformed for the new files.

Duplicating Files

Pattern for new names

The pattern will be included in the names of the duplicated files, inserted at the position indicated by the Insert Where selection below.

If a question mark (?) is included it will be replaced with an incremental number ensuring a unique name.

FileBoss does not require that the ? be included (though you will get a warning if it is not) but it is usually best to have one to ensure unique names.

Specifying where the pattern will be inserted in the names

Mutually exclusive options that determine where the pattern for the new name will be inserted in the old name. Select one and then look at the sample near the bottom of the dialog to check if this is the way you want the duplicated files named.

Adding Sequential numbers to filenames

How to Setup Sequential numbering

1. Insert the \? meta flag in the New Name field where you want the sequential number to appear. Use the \? meta flag only once.
2. Set the number of digits you want displayed. E.g. setting it to 3 will insert 001, 002, 003, etc where the \? meta flag is.
3. Set the Start A: number. While this will normally be '1' you might want to set it to another number if some files have already been renamed with this routine.
4. Check the Sample at the bottom of the screen to see how the sequential numbers will fit into the name along with any other formats you have chosen.

Num. of Digits
1 to 6, pads the number with leading zeros to get the desired number of digits. This is a good option so that the files will be sorted correctly when displayed in FileBoss Windows Explorer and various programs' File Open Dialogs.

Start At
1 on up to highest number allowed by the number of digits you have specified.

Increment By
The amount each consecutive number should be increase. For instance if the sequence starts at 1 and the increment is set to 5 the the numbers would be 1, 5, 10, ...

Examples:

Long Beach #\?.jpeg (Digits set to 3 and Start At set to 1)

Long Beach #001.jpeg, Long Beach #002.jpeg, Long Beach #003.jpeg

\? Long Beach.jpeg (Digits set to 2 and Start At set to 10)

10 Long Beach.jpeg, 11 Long Beach.jpeg, 12 Long Beach.jpeg

Sample Filename

Displays a sample name with the settings you have chosen.

Every time you change a setting the sample will change

Ref: HTDE_MAKE_DUPLICATE_FILES


Copying: Making Duplicate Folders

Available in both Explore Views [image] and Virtual Folders

Quick Start: To Duplicate Folders

Start the duplication process

· Press Shift+F7
· or select Actions > Duplicate... from the main menu
· or click the Duplicate button on the Actions menu

Formatting the new names

The Duplicate File Dialog will appear where you can set the form of the new (i.e. duplicated) filenames. By default the new files or folders will have a sequential number appended to the root name. For example My Documents would be duplicated as My Documents (001).

Duplicating Folders

If one or more folders are being duplicated the dialog will activate the check box Copy Folders Only. If you check this box on the tree structure will be copied - no files will copied.

Details

For complete details about each field on the Duplicate Files dialog see below.

Creating duplicates of folders

is exactly the same process as creating duplicate files except that there is one extra option: whether or not to copy the everything in the folder or just the folder structure (e.g. not to copy any files).

Duplicating a folders is the process of creating

copies of folders in the same folder as the originals but with a new name. Typically the new name consists of the original name with a sequence number inserted in the name.

Duplicate everything or just the structure,

you have the choice of duplicating everything in the folder (e.g. including the files) or just duplicating the tree structure of the folder (i.e. no files are copied).

Flexible naming of duplicated files

just as when duplicating files.

Folders can be duplicated any number of times,

each with unique names.

Creating Multiple Copies in One Operation

For quick information on how to create up to one-thousand copies of selected files and folders at one time see Creating Multiple Copies of Files and Folders.

The Duplicate Command Center

When you duplicate files and folders the following dialog will appear allowing you to specify how the duplicate files will be named. The choices you make here - just like almost all Dialogs in FileBoss - will be saved even when FileBoss is closed.

As you make changes keep an eye on the box under Sample for: FileBossIsGreat.txt as it will give you an idea as to how the names will be transformed for the new files.

Duplicating Files

Pattern for new names

The pattern will be included in the names of the duplicated files, inserted at the position indicated by the Insert Where selection below.

If a question mark (?) is included it will be replaced with an incremental number ensuring a unique name.

FileBoss does not require that the ? be included (though you will get a warning if it is not) but it is usually best to have one to ensure unique names.

Specifying where the pattern will be inserted in the names

Mutually exclusive options that determine where the pattern for the new name will be inserted in the old name. Select one and then look at the sample near the bottom of the dialog to check if this is the way you want the duplicated files named.

Adding Sequential numbers to filenames

How to Setup Sequential numbering

1. Insert the \? meta flag in the New Name field where you want the sequential number to appear. Use the \? meta flag only once.
2. Set the number of digits you want displayed. E.g. setting it to 3 will insert 001, 002, 003, etc where the \? meta flag is.
3. Set the Start A: number. While this will normally be '1' you might want to set it to another number if some files have already been renamed with this routine.
4. Check the Sample at the bottom of the screen to see how the sequential numbers will fit into the name along with any other formats you have chosen.

Num. of Digits
1 to 6, pads the number with leading zeros to get the desired number of digits. This is a good option so that the files will be sorted correctly when displayed in FileBoss Windows Explorer and various programs' File Open Dialogs.

Start At
1 on up to highest number allowed by the number of digits you have specified.

Increment By
The amount each consecutive number should be increase. For instance if the sequence starts at 1 and the increment is set to 5 the the numbers would be 1, 5, 10, ...

Examples:

Long Beach #\?.jpeg (Digits set to 3 and Start At set to 1)

Long Beach #001.jpeg, Long Beach #002.jpeg, Long Beach #003.jpeg

\? Long Beach.jpeg (Digits set to 2 and Start At set to 10)

10 Long Beach.jpeg, 11 Long Beach.jpeg, 12 Long Beach.jpeg

Sample Filename

Displays a sample name with the settings you have chosen.

Every time you change a setting the sample will change

See also:

Copying/Moving Files

Updating Files

Duplicating Directory Structures

Copying Filenames

Creating Multiple Copies of Files and Folders

Ref: HTDE_MAKE_DUPLICATE_FOLDERS


Copying: Creating Multiple Copies

Creating Multiple Copies of Files and Folders

Available in both Explore Views [image] and Virtual Folders

Create up to one thousand copies at a time

FileBoss can create up to a thousand copies of each selected item. If a selected item is a folder FileBoss can create up to one thousand copies of that folder and all its contents.

Example: Creating a thousand files in a thousand folders

· Create an empty folder
· Create one file or copy one file to that new folder
· Select the new file and use the Actions > Duplicate... command from the main menu to create 999 copies of that file (as explained below)
· Navigate up to the parent folder and select the new folder that contains the 1,000 files
· Use the Actions > Duplicate... command again to create 1,000 copies of that folder. (You might want to brew a cup of tea while FileBoss works its magic.)

There will now be 1,000 folders each containing 1,000 files. One million total.

Example: Creating one million files in one folder

· Create an empty folder
· Create one file or copy one file to that new folder
· Select the new file and use the Actions > Duplicate... command from the main menu to create 999 copies of that file (as explained below)
· Select the 1,000 files files in that folder and again use the Actions > Duplicate... command from the main menu to create 999 copies of each of the 1,000 files. (You might want to go and get a cup of coffee while FileBoss does your bidding.)

There will now be 1,000,000 files in the original folder.

Renaming New Files

When FileBoss spins out more than one copy of a file or folder it will add a sequential number to each file according to a pattern you specify.

If you want specific, individual names for each one simply:

Select the newly created files

Use the Actions > Rename > Quick Rename... command from the main menu (or press Ctrl+Shift+R) to start renaming the files one by one (each filename will be displayed in a special small dialog).

The Duplicate Command Center

When you duplicate files and folders a dialog will appear allowing you to specify how the duplicate files will be named. The choices you make here - just like almost all dialogs in FileBoss - will be saved even when FileBoss is closed.

Most significant for creating multiple copies is the Number of Copies field at the bottom of the dialog:

Number of Copies

Specifies how many copies of the file / folder will be made. The maximum number of copies is 1,000. So if 1,000 items are selected and this is set to 1,000 then 1,000,000 items will be created! If one or more of the selected items are a folder many more than 1,000,000 items can be created.

When creating a large number of files (in excess of 500,000) always be aware of special problems affecting large file systems.

For complete information on all the fields and options available in this dialog see Duplicating Files or Duplicating Folders.

Ref:HTDE_MAKING_MULTIPLE_COPIES


Copying: Updating Files

Available in both Explore Views [image] and Virtual Folders

Quick Start: To Update Files

What is Updating Files?.

The Update copy action will copy a file to the destination if and only if that file already exists in the destination folder and it is older than the file in the source folder.

Start the Update Command by

· Press Alt+F7
· or select Actions > Update... from the main menu,

Hint: You can also update files from the main Copy / Move dialog. Simply check the Copy Only if Target Exists option in the Advanced area of the Copy Files dialog.

Using the Update command directly just simplifies the operation by pre-selecting the most common options.

Copies Selected Files only if a file with the same name already exists

in the destination folder and the file to be copied is newer.

Great for Syncing two Folders or Paths without

copying a bunch of junk (e.g. temporary or work) files.

Updating is a convenient sub function of the Copy command

and can be accomplished from the Copy dialog if you want more control.

More Control when Updating Files

Note: The process described above will quickly accomplish the task. But if you want more control over the operation you can use the Copy Files action ( [image]) instead. Just make sure that in the Copy / Move Files Dialog the Copy Only if Target Exists box is checked.

Ref: HTDE_REFRESH_FILES


Copying: Creating Shortcuts (Links)

Available in both Explore Views [image] and Virtual Folders

How to Create Shortcuts
(Links to Files & Folders)

Dropping files on FileBoss is comfortably similar to dropping files on other programs such as Windows Explorer.

But with the following great improvements:

· Select Create Shortcuts [image] as the default operation when files are dropped on FileBoss.
The default operation is easily switched between Copy, Move and Create Shortcuts by simply clicking on the Command button ( [image] [image] [image]) or selecting the Options > Default Drop Mode > command from the main menu.
(Naturally you can still force the drop mode when dragging files by holding down the Alt, Ctrl or Shift key as appropriate.)
· Drag & Drop with the right button produces a popup menu from which you can select how to drop : Copy, Move or Create Shortcut(s).
· Before dropping files (i.e. releasing the mouse button) press and hold down the Ctrl and Shift keys. This will force FileBoss (and most other programs) to create shortcuts to the source files rather than copy or move them.

Also Consider Using Drop Zones

If you will be creating shortcuts to more than just a couple of files consider using one or more Drop Zones set to create shortcuts in their associated folders.

See Using Drop Zones for all the great details on Drop Zones.

Ref: HTDE_CREATE_SHORTCUTS


Copying: Drag & Drop to the Max

Enhanced Drag & Drop

Dropping Files on FileBoss

Dropping files on FileBoss is comfortably similar to dropping files on other programs such as Windows Explorer with the following great improvements:

· You can change the default Drop action by clicking: buttons or using the Edit > Default Drop Mode > menu.
(Naturally you can still force the drop mode when dragging files by holding down the Alt, Ctrl or Shift key as appropriate.)
· Drag & Drop with the right button produces a popup menu from which you can select how to drop: Copy, Move or Create Shortcut(s).
· You can tell FileBoss to use the common Windows copy Engine or use FileBoss Advanced Copy Engine. The FileBoss Copy engine allows you to control overwrite notifications and actions as well flexible options when one file cannot be copied (such as retry).
· To setup whether FileBoss will copy dropped file using Windows' or FileBoss's (and even how FileBoss's engine will copy) use the Options > Program Options.. command from the main menu and select the Advanced 2 tab.

Ref: HTDE_DRAG_AND_DROP


Copying: Dragging to Covered Windows

Dragging to a Covered Window

Dragging files to a Tabbed Window that is completely covered is really easy, just drag the files across the Tab of the desired window first. As the mouse (dragging the files) crosses the tab the window will become active and displayed on top of all others.

Even better use Tab Groups so both tabs are visible at the same time.

Ref: HTDE_DRAG_BETWEEN_WINDOWS


Copying: Using Drop Zones

Available in both Explore Views [image] and Virtual Folders

Drop Zones are graphic drop targets

that make sorting, copying, moving and deleting files and folders easier than ever before

Represent folders

to which files can be copied, moved or linked

Special Drop Zones

for quickly deleting files or sending them to the Recycle Bin

File and folders can be dropped from any program

that supports Drag & Drop (e.g. Windows Explorer) onto Drop Zones

Drop Zones can remain active

and visible even when FileBoss is minimized

Drop Zones can be saved and restored in sets

for reuse later. Multiple sets can be created and saved.

Drop Zones are automatically restored

when FileBoss starts if they were displayed when FileBoss last closed

Can either use the Windows Copy Engine or FileBoss's intelligent copy engine

and FileBoss's copy engine can be configured handle copy operations the way that is best for you. (Click here to see how.)

How to display the Drop Zone Box

To toggle the Drop Zone Box on and off:

· Select Windows > Drop Zones > Show from the main menu.
· or press Ctrl+F8
· or click the Drop Zones menu item under the Windows button on the main menu

Creating Drop Zones

To create a new Drop Zone:

· Drag any folder over the Drop Zone Box (but not over one of the existing Drop Zones) and let go. By default a Copy Drop Zone will be created.
· If you want a Move Drop Zone hold down an Shift key while dropping.
· To create a Shortcut Drop Zone hold down the Alt key while dropping.

Changing individual Drop Zone options

· Right-click on any Drop Zone in the box to display a popup menu.
· Change the Drop Zone type by selecting Copy, Move or Shortcuts

You can use the other options to change the folder to which the Drop Zone is attached, show the contents of the folder (using a normal FileBoss Explore view) and Remove the Drop Zone from the list.

Setting options for the Drop Zone Box

Use the buttons at the top of the Drop Zone list to change their order and to add or remove the special Delete and Recycle Drop Zones.

Ref: HTDE_USING_DROP_ZONES


Time Controlled Copying

Time Controlled Copying

Available in both Explore Views [image] and Virtual Folders

What is Time-Controlled Copying (TCC)?

Time-Controlled Copying allows you to:

· Insert pauses between one file being copied and another
· Specify a minimum time that FileBoss spends copying a file. If a file takes a shorter time to copy than the minimum time specified FileBoss will insert a pause afterward to make up the difference.
· Insert pauses between batches of files, e.g. pause for ten minutes after every 50,000 files have been copied.

Better resource management

Time-Controlled Copying is most often used when copying a large number of files to regulate computer and network resources.

Prevent system crashes

TCC is also a must on fast, modern computers when copying hundreds of thousands of files which sometimes will crash Windows. On really fast machines where small files can be copied up to 50,000 a second or more copying more than 500,000 thousand file will often cause system failure: sometimes windows will crash, sometimes just the application performing the copy (even Windows Explorer) will crash and sometimes everything will just slow down to a crawl.

These problems can be prevented by either pausing after each file or by processing the files in batches with pauses in between.

The dialog below shows the options you can specify. (For a detailed explanation of these settings see Time Controlled Copying Options)

Quick Start: Time Controlled Copying (TCC)

First select the files you want to Copy

(Click here to find out more about FileBoss's advanced selection methods.)

Open TCC Dialog

· Select Actions > More Copy Actions > Time Controlled Copying from the main menu
· Fill in how you want the time delays
· Click the OK to Copy

Simple and Advanced Command Modes

If you want to quickly copy a bunch of files without worrying about any advanced settings just close up (or leave closed-up) the dialog by pressing the Simple button (if the dialog is already closed up the button will read Advanced). Like all other expanding dialogs in FileBoss this copy move dialog reverts to default options when it is close up. So you don't have to worry about some option being set that you can't even see.

Sample Options and Settings

The advanced area of this dialog has the same options and settings as the normal and Advanced areas or the normal Copy Dialog. For a detailed explanation of these options see the Copy Dialog.

Ref: HTDE_TIME_CONTROLLED_COPYING


Copy Filenames to Clipboard

Available in both Explore Views [image] and Virtual Folders

One filename or thousands

with or without the full path, can be copied to the Windows Clipboard.

All selected names or just the current name

can be copied. So you don't have to stop selecting files for some other operation just to copy one filename to the clipboard

Just the name or the name and path

can be copied using different command and hot-keys. So you could copy to the clipboard just the text FileBoss.exe or C:\Program Files\FileBoss\FileBoss.exe.

The Format of the Copied Text is Up to You

since you can specify what comes before and after each name or group of names (such as quote marks and line feeds). See Copying Filenames for more information about defining how names are copied to the clipboard.

Complete logging of what names was copied and how

The Summary and Details panes of the Results window will show you exactly what was copied to the clipboard.

Quick Start: Copying Selected Filenames (Your Way)

First select the files you want

(Click here to find out more about FileBoss's advanced selection methods.)

To copy filenames with paths, e.g. "C:\My Stuff\Mom's Letter.DOC"):

· Press Shift+F10
· or select Edit > Copy Filenames to Clipboard > Selected Filenames from the main menu

To copy filenames only e.g. "Mom's Letter.DOC")

· Press Ctrl+Shift+F10
· or select Edit > Copy Filenames to Clipboard > Selected Filenames No Paths from the main menu

Copying the Current Filename Only

Click on the entry in the Contents Window of the file you want to copy.

To copy the filename and path e.g. "C:\My Stuff\Mom's Letter.DOC")

· Press F10
· or select 'Edit > Copy Filenames to Clipboard > Current Filename' from the main menu

To copy filenames only, e.g. "Mom's Letter.DOC")

· Press Ctrl+F10
· or select Edit > Copy Filenames to Clipboard > Current Filename No Patsh from the main menu

Hint: You can change how filenames are formatted when copied to the clipboard. Simply select 'Options > Program Options...' from the main menu and then select the 'Copy Filenames'

Ref: HTDE_COPY_FILENAMES


Copying: Delete & Recycle Drop Zones

The power of Drop Zones for Deleting and Recycling Files

The Drop Zones for Deleting and Recycling files and folders are special zones in the normal Drop Zone List.

For complete details on these and other Drop Zones see Using Drop Zones.

Ref: HTDE_CREATE_DEL_DROPZONES


Flattening Folders

Available in both Explore Views [image] and Virtual Folders

Quick Start: Flattening Folders

First select the folders you want to flatten.

In either the navigation window or the contents window.

(Click here to find out more about FileBoss's advanced selection methods.)

Start Flattening folders by

Select Actions > Flatten Folders... from the main menu.

Enter the Destination Folder

Enter the folder to which you want to copy the files which will be flattened. Enter Self to flatten to the selected folder.

Enter optional file patterns

specify optional file patterns to process or exclude and, the destination folder for all the files.

Formatting the new names

In the advanced area you tell FileBoss what to do when files with the same names are flattened.

Pattern for new names

The pattern will be included in the names of any duplicated files, inserted at the position indicated by the Insert Where selection below.

If a question mark (?) or the <seq> variable is included it will be replaced with an incremental number ensuring a unique name.

FileBoss does not require that the <seq> be included (though you will get a warning if it is not) but it is usually best to have one to ensure unique names.

Specifying where the pattern will be inserted in the names

Mutually exclusive options that determine where the pattern for the new name will be inserted in the old name.

Sample Filename

Displays a sample name with the settings you have chosen.

Every time you change a setting the sample will change

Ref: HTDE_FLATTEN_FOLDERS


Concatenating Files

Available in both Explore Views [image] and Virtual Folders

Quick Start: Concatenating Folders

First select the folders you want to flatten.

In either the navigation window or the contents window.

(Click here to find out more about FileBoss's advanced selection methods.)

Start Flattening folders by

Select Actions > Concatenate Files... from the main menu.

Enter the Destination File

Enter the filename to which you want to concatenate all the other files. If the target file exists it will be overwritten unless the Append option is checked.

Select Appropriate Options

specify any characters you want inserted before, after and between the files.

Ref: HTDE_FLATTEN_FOLDERS


Cleaning Folders

Available in both Explore Views [image] and Virtual Folders

Quick Start: Cleaning Folders

First select the folders you want to clean.

In either the navigation window or the contents window.

(Click here to find out more about FileBoss's advanced selection methods.)

Start Cleaning Folders by

· Select Actions > Clean Folders... from the main menu.

Enter optional file patterns

· Specify optional file patterns to delete or not delete.

If no patterns are entered all the files will be deleted.

Ref: HTDE_CLEANING_FOLDERS


Renaming: Overview

Renaming to the Max

Fast, Flexible, Tailored Renaming of Files and Folders

From renaming one file on the fly to renaming a hundred-thousand files across several disks with sophisticated transformations FileBoss has a facility to make the process easier and quicker.

Rename them your Way

Convert case, change extensions, add sequential numbers, insert text, convert spaces to other characters or remove completely, add file times, convert to true 8.3 DOS names and more.

Worry-free Confirmations

After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically

Quick Start: Rename Selected Files

First select the files you want to rename.

(Click here to find out more about FileBoss's advanced selection methods.)

Start the Rename Selected Files Command by

· Press Ctrl+R
· Select Actions > Rename... from the main menu
· Click the Rename Selected Files button:
· In the dialog choose the panel that best suits your needs, select the options and click OK
· Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Using the Quick Rename Command

· Select the files you want to rename.
· Press Ctrl+Shift+R
· Select Actions > Quick Rename... from the main menu
· A Rename dialog will open where each selected file will be presented sequentially for renaming.
For each name you can change it, skip it, or skip all the rest.

Hint: If you only want to rename one file, especially without disturbing any selections you may have made for other reasons, see the topic Renaming Individual Files.

Fast, Flexible, Tailored Renaming of Files and Folders

From renaming one file on the fly to renaming a hundred-thousand files across several disks with sophisticated transformations FileBoss has a facility to make the process easier and quicker.

This section describes how to rename a group of selected files. If it is invoked from Explore View it can be used to rename files in one folder. But if it is invoked from a Virtual Folder containing files from different folders, different disks, indeed from different computers across a network, it can rename all the files at one time. (To see additional ways of renaming single files and folders see the topic Renaming Individual Files.)

But whether renaming files in groups is invoked for a few files in one folder or many files in many folders the process is the same.

Rename them your Way

The following screen shots will give you a quick overview of the different tools at your disposal for renaming files. For complete information on these dialogs click the Help button on the dialogs.

Worry-free Confirmations

You don't have to worry about pressing the OK button and suddenly renaming thousands of files you didn't want to or incorrectly. After you press the OK button the files will be displayed one-by-one showing the original name and the new name FileBoss has created for it based on your directions. You can then skip that file, rename it as suggestion, change the suggested new name or confirm that you want to rename all remaining files according to the selections you have made.

Ref: HTDE_RENAME_FILES_IN_GROUPS


Renaming: Individual Files

Convenient Ways to Rename Individual Files

Hint: This topic explains the various ways of naming files individually. To see powerful ways FileBoss provides to rename tens, hundreds or even thousands of files in multiple folders - or even on multiple drives - see the topic Renaming Groups of Files

The Right-Click Method

This will edit files in-place, i.e. not in a dialog box

· Right-click the entry you want to rename
· In the popup menu select either Rename or Current Entry > Rename. (Which item is present will depend on the menu that popups up.
· Press Enter or click outside of the name to finish
· Press the ESC key to abandon any changes you have made

The Two Click Method

Note: The Two Click method is only available when Sticky Select Mode is turned off. (To learn more about Sticky Select see Using Sticky Select Mode)

· Click the entry you want to rename.
· Hesitate just a little
· Click the entry again
· Edit the name
· Press Enter or click outside of the name to finish
· Press the ESC key to abandon any changes you have made

Using the Quick Rename Command

(Note: This method actually works with selected files but since it allows quickly renaming files individually it is included here)

· Select the files you want to rename. See Selecting Files for more info.
· Press Ctrl+Shift+R
· Select Actions > Quick Rename... from the main menu
· A Rename dialog will open where each selected file will be presented sequentially for renaming.
For each name you can change it, skip it, or skip all the rest.

Ref: HTDE_RENAME_FILES_INDIVIDUALLY


Renaming: Change Spaces to Underscores

Convert Spaces to Underscores in Filenames

Converts all Spaces to underscores in Selected Filenames

with just a couple of clicks

Worry-free Confirmations

After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

Quick Start: To Change Spaces to Underscores

First select the files you want to rename.

(Click here to find out more about FileBoss's advanced selection methods.)

Open the Rename dialog

· Press Ctrl+R
· or select Actions > Rename... from the main menu
· or click the Rename Selected Files button:
· Select the Change Spaces Tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Select the desired Change to option

Click the OK button

Confirm each file or tell FileBoss to do them all

Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Important Note

When you click the OK button FileBoss will apply the changes indicated in the active panel only. For example if the Quick Sets panel is active then FileBoss will ignore the setting in the Sequential and Search & Replace panels.

Tip: You can preview how FileBoss will change the names using the Quick Sets or Sequential panels by looking at the sample name at the bottom. It will be modified according to your choices.

Transforming Filenames

Ref: HTDE_REN_SPACES_TO_UNDER


Renaming: Converting to Lower Case (or Upper)

Setting Filenames to Lower Case (or Upper)

Converts names to Upper, Lower or even Word Cap case

with just a couple of clicks

Change just the Root name, Extension, or both

independently. Can even change the case of the root name and the text of the extension at the same time.

Worry-free Confirmations

After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

Quick Start: Change Filenames to Lower (or Upper) Case

First select the files you want to rename.

(Click here to find out more about FileBoss's advanced selection methods.)

Open the Rename dialog and display the Change Case panel

· Pressing Ctrl+R
· or select Actions > Rename... from the main menu
· or click the Rename Selected Files button:
· Select the Change Case Tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Select Lower Case

Click the OK button

Confirm each file or tell FileBoss to do them all

Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Important Note

When you click the OK button FileBoss will apply the changes indicated in the active panel only. For example if the Change Case panel is active then FileBoss will ignore the setting in the Sequential and Search & Replace panels.

Tip: You can preview how FileBoss will change the names by looking at the sample name at the bottom. It will be modified according to your choices.

Transforming Filenames

Ref: HTDE_REN_LOWER_CASE


Renaming: Converting to True 8.3 Format

Converting to TRUE 8.3 DOS names

Converts Filenames to 8.3 format used by DOS

Converts to TRUE 8.3 names

unlike many other programs that convert to a name conforming to the 8.3 standard but is made up arbitrarily by the program. If the original name is FileBoss Is Super Great.DOC and its equivalent DOS 8.3 name is FILEBO~1.DOC (as reported by the file system) FileBoss will rename the file to FILEBO~1.DOC not some other, made up, name.

(Due to limitations imposed by Windows renaming files, you cannot directly rename a long name to a file's current short name so many other programs don't even try!)

Worry-free Confirmations

After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

Quick Start: Create 8.3 DOS Filenames

First select the files you want to rename.

(Click here to find out more about FileBoss's advanced selection methods.)

Open the Rename dialog and display the Change to 8.3 Name panel

· Pressing Ctrl+R
· or select Actions > Rename... from the main menu
· or click the Rename Selected Files button:
· Select the Change to 8.3 Name Tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Note that there are no options for the 8.3 renaming option.

Click the OK button

Confirm each file or tell FileBoss to do them all

Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Important Note

When you click the OK button FileBoss will apply the changes indicated in the active panel only. For example if the Change to 8.3 Name panel is active then FileBoss will ignore the settings in the other panels.

Tip: You can preview how FileBoss will change the names by looking at the sample name at the bottom. It will be modified according to your choices.

Transforming Filenames

Ref: HTDE_REN_8DOT3


Renaming: Changing Extensions

Change Filename Extensions

Changes the Extensions for Selected Filenames

with just a couple of clicks

Worry-free Confirmations

After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

To Change Filename Extensions

First select the files you want to change

(Click here to find out more about FileBoss's advanced selection methods.)

Open the Rename dialog and display the Change Extension panel

· Pressing Ctrl+R
· or select Actions > Rename... from the main menu
· or click the Rename Selected Files button:
· Select the Change Extension Tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Select the way you want to change the extensions

Removing extensions completely

To remove the extensions completely select the Change to: option and leave the field to its right empty.

Click the OK button

Confirm each file or tell FileBoss to do them all

Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Important Note

When you click the OK button FileBoss will apply the changes indicated in the active panel only. For example if the Change to 8.3 Name panel is active then FileBoss will ignore the settings in the other panels.

Tip: You can preview how FileBoss will change the names by looking at the sample name at the bottom. It will be modified according to your choices.

Transforming Filenames

Ref: HTDE_REN_CHANGE_EXTENSIONS


Renaming: Sequentially

Renaming File Sequentially

Numbers can be padded with zeros

for generating formatted numbers like 01 and 098, 099, 100

Add optional prefix and/or suffix to the sequential numbers

any text that would like, e.g. Grandma as in Grandma 001.jpg

Add optional file time and / or folder name

add the time of the last modification and / or the name of the folder the file is in, e.g. My Documents 09.jpg, 09 05-10-01.jpg or even My Documents 09 05-10-01.jpg

Even more options and flexibility

To have all the features of the renaming files sequentially but with much greater control and flexibility use the Advanced panel. Click here to learn more.

Worry-free Confirmations

After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

To Rename Files Sequentially

First select the files you want to rename.

(Click here to find out more about FileBoss's advanced selection methods.)

Open the Rename dialog and display the Sequential panel

· Pressing Ctrl+R
· or select Actions > Rename... from the main menu
· or click the Rename Selected Files button:
· Select the Add Sequence Numbers Tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Select the options for the new names

· The number to start at
· The number of digits to pad the numbers with, for example setting this to 3 would give names like 001.jpg, 021.jpg and 737.jpg.
· How much to increment each number. Normally the default of 1 is best. If Increment By is set to 5 the names would be 001.jpg, 005.jpg, 010.jpg etc.

· Prefix: Text that will be inserted before the number
· Suffix: Text that will be inserted after the number
· Include File Time: inserts the time the file was last modified after the number
· Include Folder Name: Includes the name of the file's folder before the number

Click the OK button

Confirm each file or tell FileBoss to do them all

Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Important Note

When you click the OK button FileBoss will apply the changes indicated in the active panel only. For example if the Change to 8.3 Name panel is active then FileBoss will ignore the settings in the other panels.

Tip: You can preview how FileBoss will change the names by looking at the sample name at the bottom. It will be modified according to your choices.

Renaming File Sequentially

Ref: HTDE_REN_ADD_SEQ_NUM


Renaming: Search & Replace

Replacing Text in Filenames

Can also be used to Remove Text from Filenames

simply don't supply any replacement text

Worry-free Confirmations

After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

The Powerful Search & Replace

(For simple text replacement see Simple Text Replacement.)

First select the files you want to rename

(Click here to find out more about FileBoss's advanced selection methods.)You can use wildcards (* and ? ) and even RegX expressions to search for text.

Open the Rename dialog and display the Search & Replace panel

· Pressing Ctrl+R
· or select Actions > Rename... from the main menu
· or click the Rename Selected Files button:
· Select the Search & Replace tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Set the Options

· Enter the Pattern to find
· Enter the replacement text

· Select the type of search you want, Normal, Exact, or Unix.
· Check the Match Capitalization box if appropriate

Click the OK button

Confirm each file or tell FileBoss to do them all

Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Important Note

When you click the OK button FileBoss will apply the changes indicated in the active panel only. For example if the Change to 8.3 Name panel is active then FileBoss will ignore the settings in the other panels.

Tip: You can preview how FileBoss will change the names by looking at the sample name at the bottom. It will be modified according to your choices.

Renaming: Search & Replace Panel

Ref: HTDE_REN_SEARCH_REPLACE


Renaming: Inserting Text

Inserting Text into Filenames

Quick Set Routine for adding

text before or after names and extensions.

Worry-free Confirmations

After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

To Add Text to Filenames

First select the files you want to rename

(Click here to find out more about FileBoss's advanced selection methods.)

Open the Rename dialog and display the Add to Filename panel

· Pressing Ctrl+R
· or select Actions > Rename... from the main menu
· or click the Rename Selected Files button:
· Select the Add to Filename tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Select where and what text you want inserted

While multiple boxes can be checked allowing multiple insertions at one time, normally one insertion at a time is best.

e.g. 2004-07-26 Draft of How to Earn a Billion Dollars.txt

e.g. Draft of How to Earn a Billion Dollars - backup.txt

e.g. Draft of How to Earn a Billion Dollars.txt.obsolete

(Note that because there is a dot before 'obsolete' the file has a new extension!)

Click the OK button

Confirm each file or tell FileBoss to do them all

Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Important Note

When you click the OK button FileBoss will apply the changes indicated in the active panel only. For example if the Change to 8.3 Name panel is active then FileBoss will ignore the settings in the other panels.

Tip: You can preview how FileBoss will change the names by looking at the sample name at the bottom. It will be modified according to your choices.

Transforming Filenames

Ref: HTDE_REN_ADD_TEXT


Renaming: Removing Text

Worry-free Confirmations

After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

Removing Text in Filenames

First select the files you want to rename.

(Click here to find out more about FileBoss's advanced selection methods.)

Open the Rename dialog and display the Simple Replace tab

· Pressing Ctrl+R
· or select Actions > Rename... from the main menu
· or click the Rename Selected Files button:
· Select the Simple Replace Tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Set the Options

· Enter the text to look for
· Leave the With field blank
· Check the Ignore case box if appropriate

Click the OK button

Confirm each file or tell FileBoss to do them all

Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Important Note

When you click the OK button FileBoss will apply the changes indicated in the active panel only. For example if the Change to 8.3 Name panel is active then FileBoss will ignore the settings in the other panels.

Tip: You can preview how FileBoss will change the names by looking at the sample name at the bottom. It will be modified according to your choices.

Ref: HTDE_REN_REPLAC


Renaming: Removing Spaces

Removes all Spaces from Selected Filenames

with just a couple of clicks

Worry-free Confirmations

After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

To Remove Spaces from Filenames

First select the files you want to rename.

(Click here to find out more about FileBoss's advanced selection methods.)

Open the Rename dialog and display the Change Spaces tab

· Pressing Ctrl+R
· or select Actions > Rename... from the main menu
· or click the Rename Selected Files button:
· Select the Change Spaces Tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Select the 'Remove' option in the Spaces area

Click the OK button

Confirm each file or tell FileBoss to do them all

Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Important Note

When you click the OK button FileBoss will apply the changes indicated in the active panel only. For example if the Change to 8.3 Name panel is active then FileBoss will ignore the settings in the other panels.

Tip: You can preview how FileBoss will change the names by looking at the sample name at the bottom. It will be modified according to your choices.

Transforming Filenames

Ref: HTDE_REN_REMOVE_SPACES


Renaming: Adding File Times

Adding File Times to Filenames

Inserts each File's time

not a generic time for all files (though you can add generic times by simply typing them into the pattern as normal text)

Accessed, Created or Modified times

can be inserted (or any combination thereof).

Where the Time is Inserted

is easily controlled by a simple filename format.

Worry-free Confirmations

After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

To Remove Spaces from Filenames

First select the files you want to rename.

(Click here to find out more about FileBoss's advanced selection methods.)

Open the Rename dialog and display the Change Spaces tab

· Pressing Ctrl+R
· or select Actions > Rename... from the main menu
· or click the Rename Selected Files button:
· Select the Change Spaces Tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Select the 'Remove' option in the Spaces area

Click the OK button

Confirm each file or tell FileBoss to do them all

Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Important Note

When you click the OK button FileBoss will apply the changes indicated in the active panel only. For example if the Change to 8.3 Name panel is active then FileBoss will ignore the settings in the other panels.

Tip: You can preview how FileBoss will change the names by looking at the sample name at the bottom. It will be modified according to your choices.

The following file times can included:

<modified> = Last modified time
<created> = When the file was created
<accessed> = When the file was last accessed.

The times can be formatted in many different ways. You can select from the drop down list or create your own format (click the More Formats button for details on formatting times.)

Hint: Remember to look at the bottom of the dialog where a sample name will be formatted according to your current choices. It is a good way to quickly determine if what you have specified is really what you want.

Advanced File Renaming

Ref: HTDE_REN_ADD_FILE_DATES


Destroying Files

Destroying Files, Permanently

Eradicates files from your hard disk

making them invulnerable to restore utilities.

To Destroy Selected Files

First select the files you want to Destroy

(Click here to find out more about FileBoss's advanced selection methods.)

· Select the files you want to Destroy.

· Select Actions > Advanced > Destroy... from the main menu
· Confirm that you want to destroy the selected files.

Warning: Destroying files will scrub them from your disk so you will not be able to retrieve them again.

But:

· Will destroying files keep my spouse from finding out what I'm giving for our Anniversary? Probably Yes.
· Will destroying files keep my boss from seeing my new resume? Probably
· Will destroying files keep a government, any government, from knowing what was in them? Probably Not

Please remember that destroying files does not guarantee that the information in those files is no longer on your computer. Programs that used the file and even Windows itself may have cached the contents of the file somewhere else.

Ref: HTDE_DESTROY_FILES


Delete / Recycle / Files & Folders

Delete & Recycle Files & Folders

Delete and Recycle Files & Folders

FileBoss has a number of ways to Recycle and Delete Files

which one is most convenient depends on the number of files you will be deleting and your personal preferences.

Single Files can be Recycled or Deleted

by right-clicking and selecting the appropriate command from the menu

Selected Files can be Recycled or Deleted

by right-clicking and selecting the appropriate command from the menu under the Selected Entries submenu.

The traditional short-cut keys 'Del' and 'Shift-Del' can be used

as they are in other programs

Special Drop Zones,

can be used to drop files into the Recycle Bin or just plain deleted,

To Delete / Recycle One File or Folder

· Right-Click on the file or folder you want to delete
· If the entry is in the folders list (the window to the left) select Delete or Recycle as appropriate
· If the entry is in the contents window (the window to the right) select Current Entry > Delete or Current Entry > Recycle as appropriate.

Warning: Do not use the Del key to delete just one entry when other entries are selected. These buttons and keys will delete All selected entries, not just on the current entry.

To Delete/Recycle Selected Files

First select the files you want to Touch

(Click here to find out more about FileBoss's advanced selection methods.)

· Press Del to Recycle or Shift+Del to Delete permanently
· If asked to confirm press Yes or No

Using Drop Zones to Delete or Recycle

It is simply a matter of displaying the Drop Zone list and then dragging the files and folders you want to delete over to the list and dropping them on the appropriate zone.

To Activate the Delete or Recycle Drop Zone

Select Windows > Drop Zones...from the main menu.

Ref: HTDE_DELETE_RECYCLE_DESTROY


About: Long Filenames

About Too Long Filenames

This discussion is relevant to Windows NTFS file system as used by Windows NT and later, unless the FAT file system is specifically mentioned.

How long is too long for a filename?

Anything over 259 characters including the drive specifier, e.g. C:\ or \\Corpnet\w, the path and the filename itself.

As long as the full pathname is less than 259 characters there should not be any problem working with the files except that some programs, and even older file managers, will have shorter limits on the files they can handle, for instance you may be able to copy and rename a file in FileBoss and Windows Explorer but not be able to open it in another program such as a drawing program or word processor.

However once the the length of full pathnames are longer than 259 characters there can be and will be problems.

Unfortunately the exact nature of the problems will depend on the version of Windows, the file system, the location of the storage media (such as across a network) and the programs accessing the file.

Even using Windows Explorer, handling files with filenames longer than 259 characters can be extremely erratic.

FileBoss handles filenames up to 2048 bytes long to varying degrees depending on the version of Windows and the file system in use. On a few systems they can be used almost the same as other files but on most Windows systems there are some limitations, e.g. they may be able to be renamed but not copied or deleted.

Renaming is best

So renaming is always the best option. Once the names, or the folders above the files, have been renamed so that the total path plus the name and extension is 259 bytes or less, the files can be copied, deleted and otherwise manipulated.

Even with extremely long filenames there is still on limit that must be observed, any one element of the full pathname can not be longer than 255 characters. That means that the name of anyone folder in the path, the filename itself and the extension can not be longer than characters bytes. If this limit is exceeded the chances of renaming the file are extremely low.

Why do some say the maximum length is 255 and others 260?

Sometimes it is said that the total length is 255 or 260 characters. The 255 is left over from the days of Windows 95 - when Windows first introduced a version of long filenames - and did not include the dot and three character extension. The 260 is used by programmers as it includes the 259 characters and a trailing null byte that terminates the name.


Changing File Times & Attributes

Changing File Attributes & Times

Changing File Attributes & Times

Can change the attributes and times of one file or thousands

of selected files at the same time

Similar to the Touch command

that can be used for changing attributes and file times quickly and can even touch files and folders beneath any selected folders. (Click here for more about the Touch command)

Can change Modified, Accessed and Created times

individually or together

Recurse through folders

When you are touching files in and Explore view you can decide whether to recursive touch entries in selected folders or not.

To Change Attributes or Times of Selected Files

First select the files you want to change.

(Click here to find out more about FileBoss's advanced selection methods.)

Then

· Select Actions > Change Attributes.. from the main menu
· or click the Change Attributes button
· A dialog will appear where you can specify what you want changed

Hint: You can also use the Touch command to change file times and attributes. It is very similar to the Change Attributes routine but can be much quicker for repetitive actions.

The Change Attributes Dialog

Ref: HTDE_CHG_ATTS


Touching Files & Folders

Touching Files and Folders

Changes the attributes and times of one file or thousands

of selected files at the same time

Similar to the Change Attributes command

that can be used for changing attributes and file times on selected files through a dialog interface. (Click here for about the Change Attributes command.)

Changes Modified, Accessed and/or Created

times individually or together

Individual Attributes can be removed, set or left unchanged

including the Archive, Read-only, Hidden and System bits

Recursing through folders

When you are touching files in and Explore view you can decide whether to recursive touch entries in selected folders or not.

To Touch Files in the Contents Window

First select the files you want to Touch.

(Click here to find out more about FileBoss's advanced selection methods.)

Start the Touch Command by

· Press Ctrl+R
· Select Actions > Touch from the main menu
· or click the Touch button
· To setup how files are touched select Actions > Advanced > Touch Setup... from the main menu or press Ctrl-F9.
· Touching files can be automatic or confirmed each time it is invoked. See the Confirm Touch dialog below.

Hint: If the Ctrl key is held down while the touch button is clicked, the Actions > Touch command from the main menu is selected or the F9 shortcut key is pressed then the Touch Setup dialog will be displayed instead of the Touch command itself being executed.

The Optional Touch Confirmation Screen

Ref: HTDE_TOUCH


Changing Advanced NTFS Attributes

Changing Advanced NTFS File Attributes

This is an extremely advanced operation and should not be used by anyone who does not have a thorough understanding of the inner workings of the NTFS file system, of these specific attributes and who does not have a very specific need to change them.

Making changes to these attributes can really screw up your computer and even render it useless.

Can change the NTFS attributes of one file or thousands

of selected files at the same time

Recurse through folders

When you are touching files in and Explore view you can decide whether to recursive touch entries in selected folders or not.

To Change NTFS Attributes

First select the files you want to change.

(Click here to find out more about FileBoss's advanced selection methods.)

Then:

· Select Actions > Advanced > Change Advanced (NTFS) Attributes.. from the main menu
· A dialog will appear where you can specify what you want changed.
· Select the attributes you want changed and press OK.

The Change NTFS Attributes Dialog

Ref: HTDE_CHG_NTFS_ATTS


Compare, Merge or Purge Folders & Paths

Compare Folders, Paths and Drives

Use the power of Virtual Folders to Compare

Folders, Paths, Drives and even Network storage areas. Comparing folders creates a new Virtual Folder with two folders, paths or drives of your choosing and once evaluated arranges the files for viewing.

Once compared both Folders / Paths

· can be merged together
· one updated from the other
· only selected files merged
· lonely or other files copied or deleted
· and much, much more.

Automatic, Semi-automatic and Manual merging

allows you to merge only what you want

Comparison results can be easily used to remove files as well

You can select files by their status (Same, Newer, Older, Lonely) and then do anything with them you like such as deleting them.

Detailed control if necessary

After selecting a group of files you inspect them individually to decide if they should be included in any merge operation.

Hide files and folders that are not relevant

so that you can better see and work with files that are newer, older, lonely or the same depending on your needs.

Almost all of File Boss' normal file manipulations routines

are available to you so you can clean up the folders or paths

To Compare Two Folders or Paths (and to merge and purge)

To start comparing folders or paths

· Select Tools > Compare Folders... from the main menu
· or click the Compare button
· Complete the Dialog and press OK to start have FileBoss collect and compare the folders.
· When FileBoss has finished comparing the files it will display them in a special Virtual Folder window:

Using the Compare / Merge Dialog

The Compare / Merge Dialog is where you specify which two folders or paths should be compared.
Note you can also specify specific folders to exclude. For example, specifying C:\My Documents | -My Pictures in the Folder 1 field would exclude the folder My Documents from being included in the comparison.

The Patterns field is optional (if it is empty all files will be included). You can specify specific files to be compared or specific files not to be compared (precede the file pattern with a '-') or both to include and exclude.

Time resolution and time zone offsets can also be specified to further refine the comparison.

Using the Merge Dialog

The top half of the Merge dialog shows the status of the files in the compared paths/folders.

The Which Folders to Update section allows you to specify which folders you want to merge to:

Both Files will be copied both ways making the folders equal when done.

Folder 1 Newer, Lonely and/or selected files from Folder or Path 1 will be copied to Folder 1. Folder 2 will not be changed even if there are newer files in Folder 1

Folder 2 Folder 2 will be updated as above. Folder 1 will not be changed.

Selected Selected files in will be copied from the folder / path they are in to the appropriate place in the other folder / path. If a file is selected it will be copied regardless of whether it is older, newer, the same or lonely, i.e. if it is selected it will be copied.
This can be used, for instance, to copy older files (perhaps backup files) back to their original folder.

The Merge What section determines which files will be updated:

Newer Newer files will be copied

Lonely Lonely files (those without a comparable file in the other folder/path) will be copied.

Pressing Merge will perfume the indicated copy operations.

Pressing the Close This Dialog button will close this dialog but will not exit the comparison mode. You can close the dialog and then use the Tool box to examine and mark the files to perform more precise merging.

You can always return to this dialog again by pressing the Merge button on the toolbox.

Working in the Comparison Window

The comparison window is a special version of a Virtual Folder. File from the two paths are displayed together sorted by path, name and modified date. The status column to the left shows:

N Newer - the other folder's file is older (by modified time)

O Older the other folder's file is newer (by modified time)

L Lonely the other folder has no matching file
_ The two files are the same as far as name and times are concerned.

Alternating colored bands are used to display files that are comparable (Newer, 0lder or the Same).

Most normal FileBoss commands (such as hide, delete, copy, rename) are available even though files are being compared. If an action is performed that can corrupt the integrity of the comparison, FileBoss will re compare the files. You always can force a re-comparison by selecting the Edit > Refresh Virtual Folder command from the main menu or clicking its command button.

Using the Compare Toolbox

This Compare Folders Toolbox allows you to quickly manipulate the compared files.

Since the tool box floats you can go back and forth between it and the Virtual Folder to select or hide the various types of compared files using the toolbox and then looking at them performing actions on them using normal FileBoss commands.

The Merge Button

The Merge button invokes the Merge Dialog where you can instruct FileBoss to merge the compared folders according to your directions.

You can go in out of the Merge Dialog as often as you like.

The Select Buttons

The Select section allows you to select all files of a certain type and in a specific folder. For instance if you would like to look at which files are lonely hearts in Folder 2 click that button in the second column. Then you can use the F4 key to jump to the first selected file (and then the next and the next and ....).

You might then decide, after seeing which files were lonely-hearts, to delete them or merge them to the other folder or even copy them somewhere else using FileBoss's normal copy routines.

The Hide Buttons

The Hide section provides a convenient way to hide files that are not relevant to what you are doing.

If there are only a few files that are different among many that are the same it is often convenient to hide all the 'Same' files. Or if there are a lot of 'Lonely' that are temporary or working files you don't want to merge simply hide them.

Hidden files are never copied as part of the merge process not matter their type (and hidden files loose their selected state.

Miscellaneous Buttons

Show Comparison Info...
Displays the Properties dialog showing information about the compared files.

Options
Displays the dialog for setting time resolution and other comparison options.

Close & Exit
Closes this tool box and exits Compare mode.

Ref: HTDE_COMPARE


The Command Bar - Direct Command Entry

Using the Command Bar

The Command Bar provides a quick way to enter FileBoss commands directly by typing. And it keeps a record of the last significant commands entered so that you can simply select the command in the drop down list box and click the button at the right to execute the command.

Using the command bar can really speed up some tasks as it can perform some actions without having to invoke a dialog, go to the appropriate field, enter the data and then click on the OK button.

How to Display the Command Bar

Press F8, select Window | Command Bar from the main menu or right-click on any toolbar and select Command Bar from the popup menu. All three methods will display the Command Bar if it is hidden. F8 will display the bar if hidden and will shift the input focus directly to the bar so you can just start typing.

Hint: Even if the Command Bar is visible just press F8 to move the input focus to the Command Bar so you can enter a command without having to use the mouse to get there first.

Pressing F8 while in the Command Bar will select / deselect all the text currently in the bar.

(Pressing Ctrl+F will display the command bar and enter Find as the command.)

Entering Commands Directly

While the Command Bar accepts many different commands - all detailed below - the three most common uses are:

Setting the Explore View to a Specific Folder

Type or paste the full path of the folder into the command bar. Meta-variables representing paths can be used, e.g. <md>\FileBoss would display the FileBoss data folder in the user's documents folder.

You can also enter bookmarks you have added to the Favorites list, just enclose the bookmark title between the angle brackets. For instance if you have a favorite named Dog Pictures just enter <dog pictures> and you will be taken to that folder.

To force the folder to open in a new tab use the Explore command followed by the path, e.g.:

Explore C:\Pictures\Animals\Dogs

For more about this command and meta variables see Displaying a Specific Folder.

Finding files in the current view

To find and go to a specific file, or one of matching a file pattern, type in Find followed by a partial name or file pattern, e.g.

Find fido*.jpg

Find fido

To to go to the next or previous matching files press F3 or Shift+F3 respectively or click one of the arrows on the Command Bar.

(Pressing Ctrl+F will display the command bar and enter Find as the command allowing you to start typing the file pattern immediately.)

Turning file filters on and off

To set a temporary file filter just type Show followed by one or more file patterns, e.g.

Show *.jpg ; *.jpeg ; *.gif

Running in Administrator mode

To start a new instance of FileBoss running in Administrator mode enter:

Run as Admin

Selecting Files

For example if you want to select all files having the extensions bmp, jpeg and gif simply type

select *.bmp | *.jpeg | *.gif

and then press the Enter key.

Chaining Multiple Commands

Starting with FileBoss version 1.5 commands can be chained together so that they are executed one after the other. To chain commands type " <> " between them.

For example consider the following Command Bar entry:

goto <md>\FileBoss Data <> show *.fbopts* <> select files

The three commands are separated by <>:

goto <md>\FileBoss Data

Tells FileBoss to display the folder <md>\FileBoss Data in the current Explore View (or create a new Explore view if necessary). (Note that <md> is a meta-folder representing the current user's My Documents folder.

show *.fbopts*

Tells FileBoss to set a filter so only files matching the following pattern are displayed.

select files

Tells FileBoss to select all visible files. (Note that step two can be skipped by making this command select *.fbopts*.)

There is no limit to the number of commands that can be chained other than the line can not be more than 32,000 characters long.

Navigation and Viewing Commands

In the following examples:

Commands shown with upper case letters followed by lower case letters can be entered with only the upper case part. For instance to enter the command to select all files you can enter sel files or select files.

sel refers to the selected entries in the Contents window

cur refers to the highlighted entry in the Contents window

nav refers to the highlighted folder in the Navigation window (this is the folder whose contents are displayed in Contents Widow

<pathname> must be a fully qualified path to a folder such as C:\FileBoss\Testimonials or \\CORP\c\FileBoss

<pattern> is a file specification typically using one or more of the wildcards, * and ?. Such as *.jpeg or 00??.doc

<pathname>, e.g. c:\FileBoss\Testimonials
If an Explore view is active the contents of <pathname> is displayed in it. If another view is active a new Explore view is created and set to <pathname>.
This is exactly the same as entering the command view <pathname>

<pattern>, e.g. *.jpg | *.bmp
Sets a temporary filter of the view. The temporary filter will remain until it is changed with another command, turned off (filter off) or the View is closed. Unlike permanent filters, these temporary filters only apply to the View for which they were set.
If a view has a local filter it can be turned off and on using filter on and filter off.
This is exactly the same as entering filter <pattern>.

VIEW <pathname>
If an Explore view is present it is set to show the contents of <pathname>. If another type of view or no view is active a new Explore view is created and set to <pathname>.
This is exactly the same as just entering <pathname> on the command line all by itself.
To force the folder to be displayed in a new Explore view use the command explore <pathname>.
Compare to EXPLORE view. For a full list of meta folders click here.
ex:
explore C:\Windows
explore <pf>
explore <md>\My Docs

EXPlore ( cur | nav | <pathname> )

NEW ( cur | nav | <pathname> )
Creates a new Explore View and displays <pathname>. If <pathname> points to a file rather than a folder FileBoss will simply display the folder itself..
To display a different folder in a current Explore view use
the VIEW command.
ex:
explore C:\Windows
explore cur
explore <pf>
explore <md>\My Docs

NEW FOLder or NEW DIR ( <folder name> )

CREATE FOLder or CREATE DIR ( <folder name> )
Creates a new folder below the current folder in the Navigation Window renaming it to <folder name> if specified. For Explore Views this is the folder displayed in the Contents window on the right.
ex:
create folder vacation pictures
new folder

FILTer or F ( <pattern> | on | off )
Temporarily filters what is displayed according to the
specified pattern. These filters only apply to the current
view and are not stored unlike the normal, persistent, global filters.
ex:
filter *.bmp | *.jpeg | *.gif | Pics*.doc
filter off
(Also see SHOW)

SHOW or S ( <pattern> | all | files | folders )
Shows specific types or groups of files
If a pattern is specified a temporary filter is set that filters
what is displayed. Temporary filters only apply to the current
view and are not stored unlike the normal, persistent, global filters.
ex:
show *.bmp | *.jpeg
show all
Compare to HIDE

HIDE (<pattern> | files | folders | selected | reverse | off )
Hides files and folders by type or by a pattern

Hides the specified files or changes the status
of hidden files (reverse | off)
ex:
hide *.bak | *.tmp | ~*
hide files
hide folders
hide off (same as using the 'SHOW ALL')

FOLders (on | off | top | bottom )
Display Folder in Explore View

Tells FileBoss where to display the folder entries
in an Explore View's Contents window. This command
correlates to the "Explore | Display Folders At..." main menu.
Applies to this and all Explore Views.
ex:
folders off
folder top
fol bottom

GOTO or GO to or G ( <pattern> | selected | error | folder )
Move to a specific file or type of file

Moves the highlight in the Contents window to the
next entry that matches the pattern or specified type
ex:
goto *.jpeg
goto sel

SELect ( <patterns> | all | files | folders | reverse | off )
Select Files & Folders

With no arguments displays the Select dialog
Selects the specified entries in the contents window.
If no argument is given the Select Files dialog is displayed.
ex:
sel *.bak | ~*
sel * | -*.bak | -*.tmp
sel files
sel none
sel (will display the select dialog)

DESelect ( <patterns> | all | files | folders )
Deselect Files & Folders

Deselects the specified entries in the contents window.
If no argument is given the Deselect Files dialog is displayed.
ex:
des *.bak | ~*
des files
des all

UP
Moves up one folder in the navigation tree.
Available only in Explore Views

UP

BACK
Moves back one folder in the navigation tree.
Available only in Explore Views.

BACK

FORward
Moves forward one folder in the navigation tree.
Available only in Explore Views.

FORward

SEArch (cur | nav | sel | <fullpath>)
Search and a Create Virtual Folder

Opens the Create Virtual Folder (Search) dialog and sets
the folder(s) to search to those specified.
ex:
search cur
search sel
search <md> (the 'My Documents' folder)
search c:\Accounts

CLOse
Closes the current view
Same as selecting File | Close from the main menu.

CLOSE ALL or CLOSEALL
Closes all open views.
Same as selecting Window | Close All Windows from the main menu.

Action Commands

The Actions commands are comparable to the commands found on the Actions main menu.

COPY

MOVE

REFresh

DUPlicate or STAMP
These invoke the same action dialogs as their equivalent items on the Actions menu, e.g. Actions | Copy To... on the main menu.

COPY
Displays the Copy To dialog.
Requires that entries be selected first.

MOVE
Displays the Move To dialog.
Requires that entries be selected first.
Make Copies of Files & Folders

DUPlicate / STAMP
Makes copies of the selected items in the same folder
as they are in first displaying a dialog where the names for
the copies can be specified.
Requires that entries be selected first.
ex:
duplicate
stamp

REFresh
Copies selected files to a specified destination
only if the destination files exist and are older
than the source files
(Requires selected files or folders)
ex:
refresh

COPY TREE or COPYTREE or TREE
Copies the structure of the selected folders to a destination
you provide. While the structure is copied no files are copied.
ex:
copy folder
copy tree

DELete ( current | nav | selected )
Deletes the specified entry or entries.
ex:
Delete nav
Delete selected

RECycle ( current | nav | selected )
Send the specified entries to the Recycle Bin. If no argument is specified selected is assumed.
ex:
Recycle nav
Recycle selected

DROP or DROP ZONE or DZ
Displays or hides the List of Drop Zones.
ex:
drop zone

DOS ( cur | nav | <pathname> )
Opens a DOS window (cmd.exe or command.com) and sets the active directory to the specified path if given.
If no argument is given nav is assumed.
ex:
dos c:\program files\fileboss
dos <pf>\fileboss
dos cur
dos
OPEN or EXEcute or X or RUN ( cur | nav | <pathname> )
Opens the specified files or executes the specified programs as appropriate.
ex:
execute nav
execute sel
run regedit
execute c:\program files\fileboss

NEW ( cur | nav | <pathname> )
If no arguments are given opens new explore window to the last folder.
ex:
new c:\My Pictures

HELp or ? (command)
Displays full help for the command bar.
HELP GUIDE or GUIDE or HELPG
Displays (or hides) the floating Help Guide for finding
how to accomplish specific tasks in FileBoss.
LAST
Repeats the last significant Action command, e.g. Copy, Move, Rename, etc.
ex:
LAST

REN ( sequential | replace | transform | advanced | manual | again )
Rename Selected Entries

Displays the Rename Dialog for renaming the
selected files. If one of the optional rename types
is given the appropriate renaming page will be
displayed, e.g. sequential, search and replace,
transform or advanced. If the option is 'manual'
the selected files will be displayed one by one
for renaming.
ex:
ren seq
ren advanced
(Also see RENS, RENA, RENT, RENM, RENQ)

RENS / REN SEQ
Rename Selected Entries Sequentially
RENS / REN SEQ

Displays the Rename Dialog for renaming the selected
files with the Sequential panel open.
Same as REN REP.
ex:
rens

RENA / REN ADV
Displays the Rename Dialog for renaming the
selected files with the Advanced panel open.
Same as REN ADV.
ex:
rena

RENT / REN TRANsform
Rename selected entries using transformations

Displays the Rename Dialog for renaming the
selected files with the Transform panel open.
Same as REN TRANS.
ex:
rent
RENM / REN MANUAL
Rename selected entries manually

Presents each selected entry in the Rename box
one by one where they can be manually given
new names or skipped as appropriate.
Same as REN MANUAL.
ex:
renm

RENQ
Rename Selected Entries Sequentially

Displays the Rename Dialog for renaming the
selected files with sequential numbers
Same as REN SEQ.
ex:
renq

CHAnge
Change Times and Attributes

Changes selected entries through a dialog interface
ex:
change

Set Accessed to ( modified | created | now )

Set Created to ( modified | accessed | now )

Set Modified to ( accessed | created | now )
Set the selected file's specified times (modified/accessed/created)
to another one of its times or to the current time.

Equates two of a file's times. In the following example each selected file will have its created time set to its modified time making them the same.
ex:
set created to modified

TOUch
Touch Selected Entries

Touches selected entries changing
specified attributes and file times
ex:
touch

Commands to set Options and Settings

The Actions commands are comparable to the commands found on the Actions main menu.

Turn Modeless Copy ( ON | OFF )

When turned on FileBoss can still be minimized or used for other actions when copying.
When turned off FileBoss will not allow any other actions until the copy process is complete.

Turn Modeless Find ( ON | OFF )
When turned on FileBoss can still be minimized or used for other actions when searching for files.
When turned off FileBoss will not allow any other actions until the search operation is complete.

Turn RecycleBinCheck ( ON | OFF )
Turns on or off the check for the Recycle Bin window being open before moving more than fifty files and/or folders to the Recycle Bin (deleting).
complete.

Miscellaneous Commands

Run As Admin / Elevate

Normally only useful in Windows Vista issuing this command will start a new instance of FileBoss running with administrator privileges.

LogS, LogD, LogE <text string>

Enters the give text string into the applicable history window, i.e. Summary, Details, or Errors. Most meta-variables can be used, e.g. <user>, <today>, etc.

Turn Tab Shad(ing) ( ON | OFF )

Turns tab shading on or off. Tab shading is used to darken inactive tabs..

Time by A(ge) ( ON | OFF )

Turns the By Age File Time Display Mode on or off.

Turn Time by C(alendar) ( ON | OFF )

Turns the By Calendar File Time Display Mode on or off.

Turn Time by D(ate) ( ON )

Turns the normal File Time Display Mode on.

Make Portable
Starts the process to create a portable version of FileBoss on a removable drive or media. Follow the onscreen instructions.

Available Commands and Arguments

select

Selects or deselects as appropriate the specified files. Files can be specified by patters or by group (e.g. folders, files, none, all, etc)
Arguments:
Alternative commands: create and explore.

Ref: H_TOOBAR_CUSTOMIZE


Displaying a Specific Folder

Navigating to a Specific Folder

To navigate to a specific folder use the command bar.

· Press F8 to display and go to the Command Bar
· Type or past the full path to the folder you want displayed
· Press Enter

For more about the command bar click here.


Using Favorite Places

Using Favorite Places

Quick Navigation to Folders

in an Explore View by selecting a bookmark listed clicking the down arrow

Create New Explore View Directly to Folder

by selecting the a bookmark to create the window from

Easily Create from a Folder

simply right-click on a folder name in the list of folders (the right-hand pane) and select More Folder Tools | Add to Favorites from the popup menu. (Or click the down arrow next to the favorites button and select the Add command.)

Default Bookmarks

are created by FileBoss when the program is first run. The defaults consist of the drives connected to the computer and common folders such as My Documents and My Pictures (the exact folders will depend on the version of Windows and the setup of your computer).

Dynamic Bookmarks

Point to the current drives on your computer and are updated whenever the list of bookmarks is displayed. These dynamic bookmarks to drives can be displayed at the top or bottom of the bookmark list or disabled. In addition you can specify that they display the drive's full name, e.g. System C:\ or traditional letter notation, e.g. C:\..

Default and User Defined Names

Default names are given to new bookmarks based on the name of the folder they refer too. These can be manually changed when editing bookmarks

Working with Bookmarks

To Create a Bookmark

· Right-click a folder in the folder list (the left window pane) and select More Folder Tools | Add to Favorites from the popup menu
· or highlight the folder, click the down arrow next to the bookmark button and select the Add command.

To Go To a Bookmark

· Click the down arrow and select the bookmark from the list
· or select a bookmark from the File | Favorites > main menu item. (Only available when an Explore View is active.)

To Start a new Explore View using a Bookmark

· Click the down arrow and select a bookmark from the list
· or select a bookmark from the File | Favorites > main menu item.

To Delete a Bookmark

· Click the down arrow next to the bookmark button and select the Edit Favorites command.
· or select File | Favorites | Edit Favorites command from the main menu.

Then

· In the Edit Bookmarks dialog highlight the bookmark and click the Delete button.

To Rename a Bookmark

· Click the down arrow next to the bookmark button and select the Edit Favorites command.
· or select File | Favorites | Edit Favorites command from the main menu.

Then

· In the Edit Bookmarks dialog highlight the bookmark and click the Edit button. In the Edit dialog everything before an open chevron (>) is the title and everything after it is the bookmark. (If there is no chevron the whole string is both the title and the bookmark.

Reset Bookmarks to the Default List

· Click the down arrow next to the bookmark button and select the Edit Favorites command.
· or select File | Favorites | Edit Favorites command from the main menu.

Then

· In the Edit Bookmarks dialog click the Delete All button and then the OK button to close the dialog.

The next time you access the bookmarks (by selecting one to go to or to create an Explore View from, FileBoss will repopulate the bookmark list with default values

Ref: HTDE_USING_BOOKMARKS


See Only the Files / Folders You Want

See Only the Files and Folders You Need

Controlling Which Files & Folders are Displayed

Available in Explore Views

Filtering and limiting the files and folders displayed in the contents window can save an immense amount of time when you are only interested in a specific group of files out of many.

There are several ways
you can limit what files are listed in folders.

There are four ways
to control which files and folders appear in the contents window (the right hand pane) of Explore Views.

Showing folders at the top, at the bottom or not at all

This is a simple what to configure your Contents window. Using the Explore | Display Folders at > main menu command you can specify that all folders will appear at the top of the list, at the bottom or not at all.

This setting is global (pertains to all Explore Views) and persistent (will be remembered by FileBoss between sessions.

You can also set where Explore folders are displayed using the command buttons on the Explore toolbar, [image] [image] [image]. Either click the down arrow to make a selection or just click the button to cycle through the settings.

Filtering by Extensions and Filename Patterns

The name filters (Explore | Edit Filename Filters... and Explore | Filename Filters On or the command button [image] ) will tell which files to show and/or which files to not show. A filter can be as simple as *.doc or more complex like:

*.jpeg | *.jpg | *.gif | *.bmp | *.png | -~*

which tells FileBoss to show files with the extension jpeg, jpg, gif, bmp and png unless the name begins with the tilde (~) character.

FileBoss will remember recent filters you have used for easy recall.

The most recent filter can be turned on and off simply by clicking the icon or using the main menu command.

Note that file filters are automatically turned off each time FileBoss first starts. To enable the last file filter again simply click its icon [image].

Advanced File Attribute Filters

The Advanced file filter is much like the filename filter except it gives much greater control over what is displayed. Filtering can be based on names, file times, attributes, filename lengths and even whether or not files contain specific text.

Like filename filters the Advanced filter is automatically turned off each time FileBoss first starts. To enable the Advanced file filter use the command from the main menu.

To turn the Advanced filter on us Explore | Advanced Filter On and to edit the filter use Explore | Edit Advanced Filter...

Hiding Folders (and even Files)

You can also tell FileBoss to simply hide all folders ( [image]), or even all files as you view folders. (You can even hide specific files you have selected but, of course, once you change to a different folder all files will be displayed again.

The Hide command are on the View | Hide/Unhide > menu. And from that same menu you can show the Hide toolbar (it is off by default) for quick access to these commands.

The Hide Toolbar:

Ref: HTDE_USING_FILENAME_FILTERS


Filename Filters

Using Filename Filters

Using File Filters to Browse Specific File Types

Available in Explore Views

Restricts files displayed in the Explore Views

to files you explicitly tell FileBoss to display or excludes files you don't want to see

Filters can have multiple file types and filename patterns to

specifying which files should be included and/or excluded

Filters are Persistent

they are stored by FileBoss from one session to another

Filters never more that two clicks away

making them easy to turn on and off as needed

Filters are editable

making them easy to adjust and reuse

Quick Start: Using Filename Filters

While viewing an Explore View

To activate the last filter used

· Click the Filter button
· or select Explore | Filename Filter On from the main menu
· (Note that both the menu item and the toolbar button will change when a filter is active.)
· Click the button or select the menu item again to turn the filter off.

To select a different filter

· Click arrow to the right of the filter button:
· Select a filter from the pop down list.

or

· Choose a filter from the list at the main menu item Explore | Select Filename Filter >

To create a new filter

· Click arrow to the right of the filter button:
· Select the first menu item, Add Filter
· Type in the new filter such as *.bmp or D*.bmp | H*.bmp (remember you can use more than one file spec just separate them with the bar character (|). You can also enter file specs to exclude certain types of files just precede the file spec with a minus sign (-), e.g. -*.jpeg | -*.jpg would prevent any jpeg files from being displayed.

or

· Choose a filter from the list at the main menu item Explore | Edit Filename Filters... where you can add, delete, re-arrange and edit filename filters.

When Filename Filters are Active

When a filename filter is active the first line in the Explore View will show you what filter is active.

Hint:

You can Hide all the Folders in the Contents Window by

Clicking the Hide Folders Button button (note that hiding folders is a toggled state, i.e. issuing the command doesn't just hide the current folders it will keep all folders hidden, even as you move around the file system, until the command is issued again)

Hint: Whenever FileBoss has hidden files it will display a green banner across the top of the Contents window telling you that there are hidden files. Typically they will resemble one of the following:

Below are some notice lines you may see starting with the first screen where no files or folders are hidden:

Ref: HTDE_USING_FILENAME_FILTERS


How to 'Go To' Files in a View

Going To Files in a View, By Name, Selected or Folders

Going to Files in the Contents Window

The Go To Toolbar

The Go To bar is used to quickly find and go to specific files in the Contents window in both Explore and Virtual Folders.

To go to a specific file

simply click in text field (or use Ctrl+F) and type in the pattern of the name you want to find, e.g. *.DLL and Alice*.jpg. Then to move to the next or previous file that matches that pattern simply click the appropriate arrow button or press F3 or Shift+F3.

To go to the next file that is Selected

press Ctrl+F3 (or use the Edit | Go To | Selected File command from the main menu). Note that the Go To box now displays ':Selected'. You can now use the up and down arrow button (or F3 and Shift+F3) to go to the next and previous entries.

More options

can be found on the Edit | Go To > menu.

Hint: To quickly go to files beginning with a specific character simply press that character on your keyboard. Repeatedly pressing the same character will jump to the next files beginning with the same character.

Ref: HID_TB_FIND_COMBO


How to Find Special Windows Folders

How to Find Special Folders

Need to know the actual location of the My Document folder? Or of the CD Burn Area? Or where your cookies are stored?

Simple, Select Tools | Special Folders... from the main menu to display the Special Folders dialog.

The Special Folders Dialog

Displays Folders Special to Windows

along with their current path, if any.

Open a folder in a New explore View

either by highlighting it and clicking Display Folder button or double-clicking the entry itself.

My Documents & Program Files are among the common

folders that have special paths

Availability and Paths are Windows Version and User Dependent

normally only some of the special folders will be available

FileBoss's Help File Contains more Information for Each Folder

including intended use, typical paths, and their CSIDL_xxxx constants for programmers.

Displaying Information about Special Folders

Select Tools | Special Folders... from the main menu

Special Folders List (Tools | Special Folders...)

Ref: HTDE_SPECIAL_FOLDERS


External Tools

External Tools

Dynamically Associate Programs to Files

allowing you to choose which program to open files at runtime.

Appear on Main Menu and Popup Menus depending

on where you decide they should go on a tool by tool basis

Will be available on the menus only

for the file type(s) you specify. Separate and multiple file masks can be specified for displaying each tool on the main menu (Tools | Tools >) and for the right-click popup menu. This keeps the menus from being cluttered with tools that are not relevant to the current file.

Multiple External Tools (i.e. Programs)

can be associated with one or more file types and/or file specifications (e.g. *.BMP and S*.DLL

Apply to Focus Entry or all Selected Entries

Each tool can be set to apply to only the currently highlighted entry or to all selected entries.

Can be Easily Enabled and Disabled

without uninstalling the tool by simply checking and unchecking check boxes.

Can be used to Search the Internet

for information on filenames or file types.

Similar to External Auto-Viewers

that are automatically called whenever a file of the correct type or matching the specified file mask is selected. To learn more about External Auto-Viewers.

To Add, Change, Edit or Remove External Tools

Open the External Tools Setup Panel by:

· Select Options > Program Options... from the main menu
· or click the Options button
· In the Options dialog select the Tools Panel.
· or select Tools > Tools > Setup from the main menu to display the options page directly

The tools will be then be displayed on the main menu and right-click menus when a file they apply to is highlighted.

Main Menu

Right-Click Menu

Ref: HTDE_EXTERNAL_TOOLS


Export Folder Lists & Search Results

Exporting File Lists

What is Exporting Search Results

Exports all the information in the contents window (the right-window), i.e. filenames, sizes, dates etc. The data is exported in the same order and in the same format as the columns on screen and in the same order.

The the entries are written to an ASCII text file either tab or comma delimited.

The contents of any tab can be exported no matter if it is the result of a search or a normal explore view.

Exporting a Directory Tree

To export a tree (more than one folder) first create a Virtual Folder by searching, e.g. use the Find > Files... command from the main menu. Then export the results of the search as described below.

Exporting the file information

Exporting is a simple process of selecting the entries to be exported, specify a few simple options and then let FileBoss do the work.

Select the files and folders you want to export in the List window (right-hand window)

Use the File > Export... command from the main menu.

Enter an output filename, select the appropriate options and click OK

To Export a Folder or Search Results

Open the External Tools Setup Panel by:

· Select File > Export... from the main menu
· Fill in the fields (described below) and press OK

Export Options

· Automatically Overwrite Existing Output
when checked FileBoss will not prompt you for a new name if the it already exists.
· Only Include Selected Entries
when checked only the selected entries will be written to the file. Otherwise all files in the contents view will be exported.
· Include Path and Extension with File Names
when checked the Name field in the report will include the full path and the extension. This overrides the setting for the Name column in the Contents field. If it is not checked just the name of each file, without the path, will be written to the report
· Enclose each Field in Double Quotation Marks
when checked each field (column) will be enclosed in quotation marks.
· Tab Delimited or Comma Delimited
determines whether tabs or commas will be separate each of the fields in the report.

Ref: HTDE_EXTERNAL_TOOLS


External Auto-Viewers

Using External Auto-Viewers

External Auto-Viewers

Dynamically Associate Programs to Files

typically used display the contents of a file at runtime.

Appear on Main Menu and Popup Menus depending

on where you decide they should go on a tool by tool basis

Will be available on the menus only

for the file type(s) you specify. Separate and multiple file masks can be specified for displaying each tool on the main menu (Tools | Auto-Viewers >) and for the right-click popup menu. This keeps the menus from being cluttered with Auto-Viewers that are not relevant to the current file.

External Auto-Viewers (i.e. Programs) can be associated

with multiple file types and/or file specifications (e.g. *.BMP and S*.DLL

Can be easily Enabled and Disabled

without uninstalling the Auto-Viewer by simply checking and unchecking check boxes.

Can be used to Search the Internet

for information on filenames or file types

Similar to External Tools

that are automatically called whenever a file of the correct type or matching the specified file mask is selected. To learn more about External Tools.

To Add, Change, Edit or Remove External Viewers

Open the External Viewers Setup Panel by:

· Select Options > Program Options... from the main menu
· or click the Options button
· In the Options dialog select the Viewers Panel.
· or select Tools > Auto-Viewers > Setup... from the main menu to display the options page directly

The tools will be then be displayed on the main menu and right-click menus when a file they apply to is highlighted.

Main Menu with active External Viewers

(showing that the WordPad tool is active. Select a viewer to toggle it on and off.)

Ref: HTDE_EXTERNAL_VIEWERS


Internal Image Viewer

FileBoss's Internal Image Viewer

To Display the Image Viewer

· Select Window > Preview Window... from the main menu
· or click the Options button:
· or press Shift+F5
· To hide the Viewer simply do the same thing again.

To Switch between Thumbnail and Regular Views

Double-click anywhere in the preview window:

Image Viewer - Full View

Image Viewer - Docked

Really handy when renaming, sorting and pruning photos

FileBoss's viewer allows you to see the current image (as a thumbnail, full sized or zoomed) without interfering with your work. You can rename, copy, delete or perform any other file operation making these operations - and most importantly the decisions behind them - much easier.

Floats on top of other windows

The image viewer, when not docked, floats on top of all other FileBoss windows or on the desktop. Put it anywhere you want and get on with your work.

Can rotate images and automatically save them

If you want you can quickly rotate images using the Arrow keys on the key pad while holding down the Alt key. And if you are doing many you can tell FileBoss to automatically save the changes when you move to a new picture so that you aren't constantly interrupted to confirm that the file should be saved. Naturally you can turn this option on and off.

Thumbnail, full sized or zoomed views with just two clicks

The Image view has two states: thumbnail and regular window. The thumbnail state shows the graphic sized to completely fit within the viewer. When the viewer is a regular window the graphic will be displayed normal size or zoomed to a size of your choice (see the graphic links below).

To change between the two views simply double-click the Image viewer window.

Supported Image Types

The image view supports the following types of image files (though there may be variations of some types that are not supported):

BMP, GIF, ICO, J2K, JAS, JBG, JPG, MNG, PCX, PNG, TGA, TIF, WBMP, and WMF.

Ref: HTDE_IMAGE_VIEWER


Vista: Running FileBoss with Admin Privileges

Running FileBoss with Administrator Privileges

Windows Vista introduced a number of changes designed to prevent malicious software running without your knowledge especially when you are running Windows with Administrator privileges (which are given to you by default) and these have continued in more recent versions of Windows.

One of these changes forces every program to run with normal privileges unless you expressly tell Windows to us Admin privileges each time you run it.

Run using the right-click menu

You can run any program as with the elevated privileges (assuming you have Admin privileges yourself) by right-clicking on the program or its shortcut and clicking the Run as Administrator item.

If you need the Admin privileges frequently it can be more convenient to tell Windows to always run the program in Administrator mode.

Run a second, elevated, instance from within FileBoss

Go to the command bar, F8, and type in Run as Admin and then press Enter.

Tell Windows to always run FileBoss with Admin privileges

· Click on a shortcut or program to highlight it
· Right click the item and select Properties from the popup menu.
· In the Properties dialog click on the Compatibility tab and check the Run this program as an administrator box.

Properties Box

Now, whenever you run FileBoss you will receive the prompt to run the program in Administrator mode.

Ref: HTDE_V_RUN_AS_ADMINISTRATOR


Toolbars & Toolbar Commands

Showing and Hiding Toolbars

Toolbars can be displayed either by right-clicking anywhere in a toolbar area and selecting them from the popup menu or by selecting the Windows > Toolbars > command from the main menu. Or right-click over any toolbar or toolbar empty area.

Changing Size & Style of Toolbars

Both small and large toolbars are available and there are a number of different styles. To change the style of the toolbars use the Options > Themes & Toolbar Styles... command from the main menu. To add, remove and arrange toolbar buttons (and menu items as well). use the Options > Customize Toolbar Commands... command from the main menu.

Ref: H_TOOBAR_OVERVIEW


Customize Toolbars

How to Customize the Toolbars

The tool bar buttons can be dragged to different positions of the same tool bar or, dragged out of th toolbar area, removed. In addition each tool bar can be customized to add, move or delete buttons using a special dialog interface.

Moving and Deleting Button by Dragging

To move a button
on a tool bar hold down a Alt key and then click on the button and drag it to its new location on the tool bar.

To copy a button
on a tool bar hold down a Alt+Ctrl keys and then click on the button and drag it to its new location on the tool bar.

To remove a button
hold down a Alt key and then click on the button and drag it to well off the tool and release the mouse button. To get the button back use the customize dialog described below.

Using the Customize Dialog

In the dialog you can move buttons around by either selecting them and use the dialog controls such as Add, Remove, Move Up or Move Down or you can drag and drop them between the windows in the dialog.

Adding and Removing Spacers (the bars between buttons)

Spacers are a property of the button to their right. They indicate that that button starts a group.

You can create and delete the pacers while in Customize mode

To move a spacer
(we call them a starter of a group) delete the current one and then add it where you want.

To remove a spacer
right-click on the button to its right and uncheck the Begin Group item at the bottom of the popup menu.

To add a spacer
right-click on the button to the right of where you want it, i.e. the button that will be the first of a group, and check the Begin Group item at the bottom of the popup menu.

To display the Customize Toolbar dialog right-click on the tool bar you want to change and select Add/Remove Buttons from the popup menu.

Ref: H_TOOBAR_CUSTOMIZE


Displaying Drive Informaton

How to Customize the Toolbars

The tool bar buttons can be dragged to different positions of the same tool bar or, dragged out of th toolbar area, removed. In addition each tool bar can be customized to add, move or delete buttons using a special dialog interface.

Moving and Deleting Button by Dragging

To move a button
on a tool bar hold down a Alt key and then click on the button and drag it to its new location on the tool bar.

To copy a button
on a tool bar hold down a Alt+Ctrl keys and then click on the button and drag it to its new location on the tool bar.

To remove a button
hold down a Alt key and then click on the button and drag it to well off the tool and release the mouse button. To get the button back use the customize dialog described below.

Using the Customize Dialog

In the dialog you can move buttons around by either selecting them and use the dialog controls such as Add, Remove, Move Up or Move Down or you can drag and drop them between the windows in the dialog.

Adding and Removing Spacers (the bars between buttons)

Spacers are a property of the button to their right. They indicate that that button starts a group.

You can create and delete the pacers while in Customize mode

To move a spacer
(we call them a starter of a group) delete the current one and then add it where you want.

To remove a spacer
right-click on the button to its right and uncheck the Begin Group item at the bottom of the popup menu.

To add a spacer
right-click on the button to the right of where you want it, i.e. the button that will be the first of a group, and check the Begin Group item at the bottom of the popup menu.

To display the Customize Toolbar dialog right-click on the tool bar you want to change and select Add/Remove Buttons from the popup menu.

Ref: H_TOOBAR_CUSTOMIZE


How to Make FileBoss the Default Folder Viewer

Using FileBoss as the Default Folder Viewer

At your discretion FileBoss can be used as the default viewer (e.g. instead of Windows Explorer) for File Folders. It is simple to set up and simple to control.

Highlights

Listing on Context Menus

This is the default option. It puts the FileBoss command on the shell context menus for file folders and drives. (Note that is it not on the context menus for virtual folders such as My Network, My Computers or, on some systems, My Documents.)

Common Popup Menu
with FileBoss Added

FileBoss can be set as the Default Viewer for File System Objects

FileBoss can be set to be the default viewer for File Folders. Meaning that it will be displayed when a folder on the Desktop or in other Windows listings is double-clicked.

Easily Configured

You are in control of how, and how much, FileBoss is integrated into the Windows' Shell. FileBoss will not intrude where it is not wanted.

To Change Shell Integration Options

Use the Options | Program Options... command from the main menu (or click its command button) and select Windows Integration from the list of option pages on the left side.

Options for Integrating FileBoss with Windows

For complete details see Windows Integration Topic.

Ref: HTDE_INTEGRATE_WITH_WINDOWS


Working with Profiles

Overview

FileBoss can have thirty-six different configurations in addition to the default configuration. (A configuration consists of the menu and toolbar configurations, which tabs are present, dialog settings and all other settings and options.)

Saving Current Configuration to a Profile

When you would like to save the FileBoss's current configuration (the toolbars, open tabs and all other settings and options use the Options | Set Special Profile... command from the main menu.Â Use the drop down list box to select any number or letter to identify the profile (0-9 and A-Z).

After the profile has been changed all settings, including toolbar layout and the tabs will be saved to the new profile when FileBoss exits.

Starting using a Different Profile

· Hold down the Ctrl key
· Click on the FileBoss icon
· Release the Ctrl key when the Startup Options dialog appears (If you do not see the Window below within a couple of seconds look for it on the task bar - its tab with the FileBoss logo will be there - and click on it.)
· Set the profile you want to load and work in.
· Click OK to start FileBoss

Selecting any option other than Normally will force FileBoss to display the Exit Options dialog described below. This prevents your current options and settings from being lost by mistake.

Setting up a Profile Shortcut

To create another icon on the desktop for special profile you have created:

1. Click on the original icon
2. Press Ctrl-C to copy the shortcut
3. Press Ctrl-V to paste a duplicate icon on the desktop
4. Rename the new icon to something like FileBoss D
5. Right-click on the new icon and select the Shortcut tab
6. In the Target field add /profileD to the end of the line as shown below
7. Click OK

Seeing Current Profile Name

To see your current profile you can either use the use the Options > Set Special Profile... command from the main menu or look at the Program Status tab of the About box (Help > About FileBoss from the main menu.)

Ref: HTDE_WORKING_WITH_PROFLIES


Keyboard Shortcuts

Keyboard Accelerators

Keyboard Accelerators

By Key

Ctrl+A | Selects all entries in the Contents Window of the active view. The entries in the Contents Windows are selected even if you are working in the Navigation window.
 | Applies to both Explore and Virtual Folders
Ctrl+C | Copies all selected entries to the clipboard. Depending on the application they are pasted into either files or filenames will be pasted. In FileBoss, the files themselves will be copied to the folder they are pasted into.
 | To force only filenames to be copied to the clipboard use the F10 series of commands.
Ctrl+D | Goes to the first folder in the Contents view and thereafter to each folder in succession.
Ctrl+E | Cancels all selections in the Contents window.
Ctrl+Shift+E | Goes to the first entry that had an error on the last operation.
Ctrl+F | Displays a small dialog box for entering a file specification (such as "*.bmp" or "Dog *.jpeg" or even "Dog*.jpg | Dog*.jpeg | Dog*.gif | Dog*.bmp" of a file you want to find in the Contents view. Once a file has been found, pressing F3 will move to the next matching file.
Ctrl+G | Displays the Help Guide from which you can find out how to perform many common and uncommon file operations. The Help Guide can remain open while you work in FileBoss.
 | Selecting this command again will hide the Help Guide.
Ctrl+Shift+H | Tile windows horizontally
Ctrl+L | In Virtual Folders will find and display the folder in the Navigation Window that contains the highlighted file in the Contents view. By default this action is performed each time you highlight a file in the Contents view but automatic locating can be turned off. (Use the Options | Program Options… command from the main menu and then choose the General panel.
Ctrl+M | Displays FileBoss's modeless properties box that has information on the current file, folders and sub-folders, selected files, the current Virtual Folder or Folder and more.
 | What is available in properties box depends on the type of the current view and the status of FileBoss.
Ctrl+N | Creates a New Virtual Folder by opening the Create Virtual Folder dialog
Ctrl+Shift+N | When a Virtual Folder is active the dialog for redefining the Search Definition for the current Virtual Folder.
 | Any other time it is the same as pressing Ctrl-N
Ctrl+O | Presents the Open dialog for opening a previously saved Virtual Folder file or definition file.
Ctrl+Q | Toggles the Filename Filter on and off. Valid in Explore View only.
Ctrl+Alt+Q | Toggles the Advanced File Filter on and off. Valid in Explore View only.
Ctrl+R | Opens dialog for specifying how selected entries are to be renamed. Requires selected files
Ctrl+Alt+R | Reapplies the rename options previously used. No files are renamed until you confirm the action.
Ctrl+Shift+R | Presents each selected file to you for renaming. For each selected file you will be able to choose whether to give it a new name, skip it or skip all the renaming.
Ctrl+S | Saves the current Virtual Folder to disk
Ctrl+Alt+S | Saves the current Virtual Folder to disk under a new filename you specify.
Ctrl+Shift+V | Tile windows vertically
Ctrl+W | Displays and hides the Results windows. Even when the results windows are closed they still store the results. This means that you can open the Results window after an action and still see what happened.
Tab | Alternates the focus between the Navigation and Contents windows
Shift+Tab | Alternates the focus between the Navigation and Contents windows
Ctrl+Insert | Copies the selected files to the clipboard.
Shift+Insert | If files are stored on the clipboard they are copied to the currently highlighted folder or folder in the Contents window as appropriate.
Delete | Sends the selected files (Contents window) or the highlighted file (Navigation window) to the Windows Recycle bin.
Ctrl+Delete | Removes the selected files (Contents window) from the Virtual Folder. This does command only affects removes the file entries from FileBoss it does not touch the actual files on disk.
Shift+Delete | Permanently deletes the selected files (Contents window) or the highlighted file in the Navigation window as appropriate.
F1 | Help for the current view, window or operation
Ctrl+F1 | Invokes the main help system
Shift+F1 | Invokes the help pointer that can be used to click on any menu item or toolbar button for a brief explanation of what that command does.
F2 | Begins in-place editing of the currently highlighted file or folder entry.
Ctrl+Alt+F2 | Replicates selected folders, i.e. copies the folder structure without copying any files.
F3 | Moves to the next file or folder. What 'next' means depends on previous actions. It can mean the next selected file, the next filename that matches a previous search for a filename or the next file that had an error on the last operation.
Shift+F3 | Moves to the previous file or folder. What 'previous' means depends on previous actions. It can mean the next selected file, the next filename that matches a previous search for a filename or the next file that had an error on the last operation.
Ctrl+F3 | Go to the next selected file.
Alt+F3 | Resort the entries so that all selected files are displayed at the top of the list
F4 |
Ctrl+F4 | Closes the current View.
Alt+F4 | Exits FileBoss
F5 | Refreshes the current Window
Ctrl+F5 | Opens a new Explore View
F6 | Alternates the focus between the Navigation and Contents windows.
 | Same as the Tab key
Shift+F6 | Alternates the focus between the Navigation and Contents windows.
 | Same as the Tab key
F7 | Invokes the dialog for Copying the selected files
Ctrl+F7 | Invokes the dialog for Moving the selected files
Alt+F7 | Invokes the dialog for Refreshing files with the selected files
Shift+F7 | Duplicates the current files or folders
F8 | Shows the Command Bar for entering paths and commands directly. Go to a named folder you specify by either typing or pasting from the clipboard the complete path of the file or folder.
Shift+F8 | Executes whatever command is in the Command Bar no matter what window has the focus.
Ctrl+F8 | Displays the List of Drop Zones. If the Drop Zone list box is already displayed it is hidden.
F9 | Touches the currently selected files.
 | In Explore view you have the option of touching files recursively through any selected folders.
 | The first time Touch is activated the setup dialog will be displayed.
Ctrl+F9 | Invokes the Setup Dialog for touching files.
Shift+F9 | Finds text in files in the currently Virtual Folder or in the Contents window of an Explore View
F10 | Copies the one highlighted filename (in either the Navigation or Contents window) including its full path to the clipboard.
 | The format of the copied filenames can be setup up using the Options | Program Options… command from the main menu and selecting the Copy Filenames panel.
Ctrl+F10 | Copies the one highlighted filename (in either the Navigation or Contents window) without its full path to the clipboard.
 | The format of the copied filenames can be setup up using the Options | Program Options… command from the main menu and selecting the Copy Filenames panel.
Shift+F10 | Copies the selected filenames in the Contents window to the clipboard. Each name includes the file's full path.
 | The format of the copied filenames can be setup up using the Options | Program Options… command from the main menu and selecting the Copy Filenames panel.
Ctrl+Shift+F10 | Copies the selected filenames in the Contents window to the clipboard. Only the filenames are copied not the path to the file.
 | The format of the copied filenames can be setup up using the Options | Program Options… command from the main menu and selecting the Copy Filenames panel.
F11 | Shows all hidden entries in a Virtual Folder or Explore View and cancels any Hide Folders and Hide Files modes.
Alt+F11 | Hides all folders from view. If the current view is an Explore View folders will keep being hidden as you navigate to other folders.
 | Pressing again will show all folders.
Shift+F11 | Hides all files from view. If the current view is an Explore View files will keep being hidden as you navigate to other folders
 | Pressing again will show all files.
Ctrl+F11 | Hides all selected entries in the Contents window.
Ctrl+Left Arr. | In Explore View goes back to the previous folder that was displayed.
Ctrl+Right Arr. | In Explore View goes forward one folder. Only active if the back command (Ctrl+Left Arr.) has been used.
Ctrl+Up Arr. | In Explore View selects and displays the parent folder of the current item.
Alt+Left Arr. | If the image preview window is open, rotates the image 90 degrees to the left.
Alt+Right Arr. | If the image preview window is open, rotates the image 90 degrees to the right.
Alt+Down Arr. | If the image preview window is open, rotates the image 180 degrees.
Alt++ | If the image preview window is open and is not in thumbnail mode zooms in on the image.
Alt+- | If the image preview window is open and is not in thumbnail mode zooms the image out.
Enter | Displays the Properties dialog for the currently highlighted file or folder. This is the same properties dialog that is displayed in Internet Explorer and other browsers.

Ref: HTDE_KEYBOARD


Removing Entries from a Virtual Folder

Removing Entries from Virtual Folders

What It Does

Removing files (by either selecting the Edit | Remove from Virtual Folder command or pressing Ctrl+Del) removes the files from FileBoss's Virtual Folder but does not delete, recycle or in any way alter them on disk. If the Virtual Folder is refreshed or, in Explore View the folder is re-visited the files will again appear in File Boss.

Use the Hide Commands Instead

While a simple command, Remove Entries is normally used for advanced operations that users may have. Normally hiding the files (using the View | Hide/Unhide > command or the appropriate button is a better option and, since these commands do not permanently remove the files from a Virtual Folder, give you greater control over what is displayed when. (See the Hide/Unhide commands for more information.)

Ref: HID_ACTION_FS_REMOVE


Large File Systems

Large File Systems

What are Large File Systems

While there is no specific definition of large file systems they typically have either have hundreds of thousands of files on one disk or have thousands of files and subfolders in one folder.

While the most immediately noticeable problem with large file systems is frequently long delays between clicking on a folder (in almost any program including Windows Explorer) and the contents of the folder being displayed, another major problem is copying 100,000s of thousands of files from one location to another

Navigating Directory Trees Quickly

Due to routines deep in the Windows Operating system navigating down through folders that contain thousands of file and subfolders can cause long waits (several minutes) between clicking on a folder and seeing its contents. Because the problem is buried deep in Windows it affects almost all programs whether they are part of Windows itself or third party products.

But FileBoss has an option that will virtually eliminate this delay. When it this option, Fast Folder Navigation, is turned on the long delays will be eliminated. See Fast Folder Navigation for complete details.

Copy Errors

If FileBoss cannot copy a file it will give you the option of trying again (such as if you have to close a file that is in use) or just skip the file. Of course FileBoss will log any files that were skipped due to copy errors.

See Copying or Moving Files & Folders for complete details.

Ref: HTDE_Large_File_Systems_Intro


Fast Folder Navigation

Fast Folder Naviation

Navigating through large and deep folder trees

Eliminate Long Pauses when Opening a Folder

Due to routines deep in the Windows operating system navigating down through folders that contain thousands of file and subfolders can cause a long delay (several minutes) between clicking on a folder and seeing its contents. Because the problem is buried deep in Windows it affects almost all programs whether they are part of Windows itself or third party products.

But FileBoss has an option that virtually eliminates this delay. When Fast Folder Navigation is turned on the long delays will be eliminated.

How it Works

The Fast Folder Navigation option tells Windows not to check for whether or not subfolders have sub folders of their own. It is this routine that is the cause of the horrendous delays in Window Explorer and other programs when navigating large file systems. In essence FileBoss just reports that all folders have subfolders.

The result is that all folders will have the plus sign '+' next to them even if they don't contain any subfolders. If a plus sign is clicked and the there are no subfolders the plus sign will simply be removed.

Fast Folder Navigation in Action

The first fragment below shows a typical folder list under normal circumstances.

This second fragment shows a typical folder list when Fast Folder Navigation is turned on. Note that every folder has the plus sign to the left of the folder name.

Turning Fast Folder Navigation On and Off

FFN can be turned off and on for each Explore view or as a global setting. (The Global setting is the default that will be used by any new Explore View.)

To set toggle FFN of and on for the current view either use the Explorer > Fast Folder Navigation command from the main menu or press Ctrl+K. As shown in the menu fragment below.

Setting the Default for New Explore Views

To change the global setting for FFN use the Options > Program Options... command from the main menu and select Advanced Options from the list of pages on the left side and use the third option in the Explorer Views section.

Fast Folder Navigation When checked FileBoss will speed up all new Explore Views in Fast Folder Navigation mode. To change the mode for individual Explore Views use Explore > Fast Folder Navigation from the main menu or press Ctrl+K. Fast Folder Mode allows you to navigate down through huge folders containing thousands of files and folders with the frustrating delays normally associated Windows Explorer and other programs.

Ref: HTDE_Fast_Folder_Navigation


Introduction

Wizard Pages - Next >>

To Display the Configuration Wizard

Use the Options > Configuration Wizard... command from the main menu or press Ctrl+Alt+W.

This is the same Wizard that is displayed the first time FileBoss is run on a computer.

Why Use the Configuration Wizard

The Configuration is a quick way to set the most commonly configured options. And unlike most option pages much of what you change you can see immediately in the back ground.

How To Use the Configuration Wizard

Once started you can maneuver through the pages using the Next and Back buttons. But remember that you can click the Close button at any time - you do not have to complete the Wizard for your changes to take effect.

Ref: H_CONFIG_WIZARD_INTRO


Toolbars

<< Previous - Wizard Pages - Next >>

To Display the Configuration Wizard

Use the Options > Configuration Wizard... command from the main menu or press Ctrl+Alt+W.

The Styles

The preset styles allow you to change the look of the toolbars. For all of the styles, except for the Optimized (Icon and Text) style, you can also set the size of the icons, small or large.

Note that any changes you make to these setting will be immediately reflected in the FileBoss workspace behind this dialog. You can quit the Wizard at any time and these change will remain in effect.

The Styles

The preset styles allow you to change the look of the toolbars. For all of the styles, except for the Optimized (Icon and Text) style, you can also set the size of the icons, small or large.

Changing Selected Toolbars

The options on the right of the dialog allow you to just change specific toolbars. Simply uncheck the All checkbox and then select the toolbars you want to change.

The Special View Toolbar

The View toolbar is special amongst FileBoss's toolbars as it changes depending the type of tab that has the focus, e.g. an Explorer Tab, a Virtual Folder or a Dynamic Virtual Folder.

Ref: H_CONFIG_WIZARD_TOOLBARS


General Appearance

<< Previous - Wizard Pages - Next >>

To Display the Configuration Wizard

Use the Options > Configuration Wizard... command from the main menu or press Ctrl+Alt+W.

Note that any changes you make to these setting will be immediately reflected in the FileBoss workspace behind this dialog. You can quit the Wizard at any time and these change will remain in effect.

Themes

Select the theme that looks best to you on your computer. There is no single best theme as the different themes will look different on different versions of Windows and under different configurations.

When FileBoss is first installed it will set either Modern or Vee as as the default.

Naturally you can change - and change again - these settings at any time.

Ref: H_CONFIG_WIZARD_THEME


Tab Groups

<< Previous - Wizard Pages - Next >>

To Display the Configuration Wizard

Use the Options > Configuration Wizard... command from the main menu or press Ctrl+Alt+W.

Note that if you create a second tab group here it will remain, i.e. it can not be removed in this wizard. But you can easily close it at any time by either dragging all its tabs to another group or by closing all of its tabs.

When all the tabs in a tab group have been moved or closed the tab group will automatically close.

Ref: H_CONFIG_WIZARD_DUAL_PANES


Dimming Inactive Tags

<< Previous - Wizard Pages - Next >>

To Display the Configuration Wizard

Use the Options > Configuration Wizard... command from the main menu or press Ctrl+Alt+W.

Shading is only active when more than one tab group is present. It shades the inactive group making it easier to see which tab is active (had the input focus).

This setting can be changed later using the Options > Program Options... from the main menu and selecting the Darken Inactive Tabs option on the General panel.

Ref: H_CONFIG_WIZARD_DIMMING_TABS


File Time Modes

<< Previous - Wizard Pages - Next >>

To Display the Configuration Wizard

Use the Options > Configuration Wizard... command from the main menu or press Ctrl+Alt+W.

FileBoss support three modes for displaying the dates and times of files.

Normal

The is the normal mode used by Windows Explorer and other file managers

By Age

Shows how old the files and folders are, e.g. 9 hours ago, 3 months ago.

By Calendar

Shows file times by calendar period, e.g. yesterday, in February, 2006.

Changing File Times Display Modes

Use the View > File Times > items on the main menu or the tool bar button to change the the File Time mode.

Using the Time Mode toolbar button.

Click the top part of the button to cycle through the three modes or click its associated down-arrow to select the desired mode directly.

Ref: H_CONFIG_WIZARD_FILE_TIME_MODES


Sticky Select

<< Previous

To Display the Configuration Wizard

Use the Options > Configuration Wizard... command from the main menu or press Ctrl+Alt+W.

Sticky Select Mode

When Sticky Select is active clicking on entries acts as though the Ctrl key is pressed at the same time, i.e. previous selections will not be canceled. Sticky Select is especially useful when a folder or Virtual Folder contains more than one screen full of entries as it makes selecting multiple files and multiple groups of files easy and worry free.

Changing Sticky Select Mode

You can Sticky Select mode on and off using the Select > Sticky Selections toggle from the main menu.

Ref: H_CONFIG_WIZARD_STICKY_SELECT


Command Line Options

General

FileBoss has a rich set of command line options that can be used to tailor how the program starts and acts. Most users will never need any of these and fewer still will ever use more than just a few. But when needed they can be very useful.

Normally command line options are entered in the Properties dialog of a shortcut to a program such as FileBoss. (To display the Properties Dialog, right-click on the Program's Icon on your desktop and select 'Properties…' from the menu.)

Note: Modifying start modes at runtime

Hold down the Shift and Control keys while starting FileBoss to mimic starting the program for the first time.

Hold down the Control key to prevent the default explorer view from loading. (Note that this does not override any command line arguments.)

This can be helpful if the default Explore View is set to a problem network connection and the operating system takes a lengthy time to tell FileBoss that it is not available, i.e. FileBoss waits too long for the folder to become available for browsing.

Restarting Previously Opened Windows

/winlist "X:\path\<File containing the WindowsList>"

Specifies a file containing a list of windows (i.e. FileBoss Virtual Folders and/or folders to explore) to open when FileBoss first starts. These files can only be created by using the 'File | Save View List...' command from the main menu.

e.g.:  /winlist "c:\My Documents\Graphics.fbwins"

Note that by default when FileBoss first starts it reloads the windows that were open when it last closed (they are stored in a file named FileBoss.fbwins). This behaviour can be changed using the 'Options > Program Options...' command and then selecting the Startup Options pane.

Specifying a Defined Virtual Folder to be Loaded on Startup

"X:\path\<Virtual Folder definition file>"

The name on the command line - enclosed in quotation marks if it contains any embedded spaces.

The specified file must be a valid Virtual Folder or Virtual Folder definition file. (By default these files end with the .fbfileset extension.)

e.g.:  "C:\My Documents\FileBoss\Drive C.fbfilest"

If the specified path points to folder rather than a file, that folder will be opened in Explorer view. See Specifying a start folder for Explorer View below.

Use Current FileBoss Instance if Available

/o

Tells FileBoss that if there already is an instance of FileBoss open to send control to that FileBoss instead of opening itself. If the path and folder is also one of the parameters that folder will be opened as a new View in the current instance of FileBoss.

If no other instance of FileBoss is available, FileBoss will open just as if this parameter had not been given.

This parameter is normally set by FileBoss itself in the registry entries that control its integration with Windows.

Specifying a Folder to Open in Explore View

"X:\path\<Folder Name>"

The name on the command line - enclosed in quotation marks if it contains any embedded spaces.

The specified path must point to a folder, not to a file.

e.g.:  "C:\My Documents\FileBoss"

If the specified path points to folder rather than a file FileBoss will attempt to open folder in Explore View.

See Specifying a Defined Virtual Folder to be Loaded on Startup above.

Forcing a Explorer View to be Displayed on Startup

/explore

Forces a Explorer view to be displayed. This is normally FileBoss' default behavior, but if a Virtual Folder has been specified on the command line (see the command line option immediately above) no Explorer View will be displayed unless this parameter is specified.

See also the /expfolder option below.

Preventing Explorer View being Displayed on Startup

/noexplore

Prevents Explorer view from being displayed when FileBoss starts up. This switch over ride the /explore and /expfolder switches if they appear on the same command line.

See also the /expfolder option below.

Specifying the Initial Folder for Explorer View

/expfolder "X:\path\Explorer start folder"

Specifies the startup Folder for an Explorer View. If this is not specified the startup folder will be set according to the settings in the ' Explorer HIDD_OPTIONS_RECON' pane of the options dialog - use the Options > Program Options... command from the main menu. (The default option is to use the last folder.)

e.g.:  /expfolder "C:\Program Files"

Specifying Different Options and Settings

/optionsfile "X:\path\options file"

This option tells FileBoss to load and save its options and settings from the specified file rather than the one it normally uses.

Most of the options and settings used by FileBoss are stored in a file rather than in the registry. Normally the file name is fileboss.fbopts, but where the file is located depends on which version of Windows is installed and how the System Administrator has configured windows.

e.g.:  /optionsfile "C:\My Documents\FileBoss\FileBoss Options Safe.fbopts"

Hide the Splash Screen at Startup

/nosplash

Prevents the splash screen from being displayed when FileBoss starts. This can also be set in the General panel of the Options dialog. (Use the Options > Program Options... command from the main menu.)

Using Default Options

/nooptions

This will start FileBoss as if it was the first time after installation: no options or settings will be loaded.

When you exit FileBoss and this setting has been specified, FileBoss will ask you if you want to save the current options and settings or not. Answer 'No' if you don't want your old options file overwritten.

Another way of starting FileBoss in 'No Options' mode is to hold down the Ctrl and Shift keys while the program starts. This is exactly the same as specifying the /nooptions command line argument.

Suppressing Auto Help

/autohelpoff

Prevents all balloon help from being displayed for the current session of FileBoss only (i.e. no permanent changes are made to any options or settings). Note that only balloons providing help is turned off – balloons that point out critical errors or invalid entries in dialogs will still be displayed.

Command String

/cmdbar "command string"

/commandbar "command string"

/commands "command string"

Executes the commands in "command string" just as if they had been entered in the Command Bar. Note that as in the Command Bar commands can be chained together

e.g.:  /cmdbar "<curdir> <> show *.bak | *.tmp <> select *.bak | *.tmp <> recycle sel"

See The Command Bar for more information about what commands can be used. In fact testing the command string in the command bar can make using them on the command line error free.

Advanced Options

FileBoss has a rich set of command line options that can be used to tailor how the program starts and acts. Most users will never need any of these and fewer still will ever use more than just a few. But when needed they can be very useful.

Alternate Registry Key

/altregkey

The default registry key for FileBoss is The Utility Factory\FileBoss. But when the this option is specified FileBoss with use The Utility Factory\FileBoss Alternate. This alternate registration key will also be used when the ESC key is held down while FileBoss starts.

Removing File Type Associations

/r_types

Removes any associations to present linking FileBoss to its standard file types No windows are displayed and no messages are given. This parameter can only be used in conjunction with /r_ctx and /r_mainkeys, all other parameters will be ignored.

Removing Window Integration Registry Entries

/r_ctx

Removes all registry entries that control FileBoss's integration into the Windows Shell, i.e. the registry entries that list FileBoss on the system context menus and/or make FileBoss the default explore application for File Folders. No windows are displayed and no messages are given. This parameter can only be used in conjunction with /r_types and /r_mainkeys, all other parameters will be ignored.

Removing Main Options Keys

/r_mainkeys

Removes FileBoss's main registry keys where options and settings are stored. And then exits the program. No windows are displayed and no messages are given. This parameter can only be used in conjunction with /r_ctx and /r_types, all other parameters will be ignored.

Force New Instance of FileBoss

/forcenewinstance

Forces FileBoss to start a new instance even if the user has set the option to only allow one instance of FileBoss.

e.g.:  /forcenewinstance

Ref: Command_Line_Options


Starting FileBoss with Default Options

Hold down the Ctrl key while starting FileBoss to display the Startup Option dialog.

Note that whenever FileBoss is started in any way other than Normal it will remember how it was started so that when it is closed it will ask you whether or not to save the current options and settings. If you answer No then it will use the old options and settings when it starts up the next time.

This can be helpful if the default Explore View is set to some problem network connection and the operating system takes a lengthy time to tell FileBoss that it is not available, i.e. FileBoss waits too long for the folder to become available for browsing.

For more about special exit options see Exit FileBoss without Saving Changes.

Ref: H_START_FILEBOSS_SPECIAL


Exit FileBoss without Saving Changes

Exit without saving options

To Exit FileBoss without saving any changes to FileBoss's optons or open windows

Hold down the Ctrl key while clicking on the File > Exit menu item (or the x in the upper right corner of FileBoss's main window).

FileBoss with then display a screen asking if you want to

· exit normally
· exit without saving and changes to the options and preferences files (this includes various choices and settings you may have made in any of FileBoss' dialogs), or
· exit and remove all registry settings.

FileBoss with then display a screen asking if you want to

For more about starting FileBoss without loading any options and/or windows see Starting FileBoss with Default Options.

Ref: H_EXIT_FILEBOSS_OPTIONS


Introduction to Setting Options

Introduction to Setting Options

Use the Options > Program Options... command from the main menu (or click its command button) to display the options dialog.

List of Options Panels

Ref: INTRO_TO_OPTION_SETTINGS


General

General Options Page

To Display the General Options Page

Use the Options > Program Options... command from the main menu (or click its command button [image]) and select 'General' from the list of option pages.

General Options

General Options

Prompt to Save Altered Document on Close

When checked will ask you each time whether or not to save an altered Virtual Folder document whenever you attempt to close it.

When not checked you must remember to save any changes you have made to Virtual Folder before attempting to close them.

Silent Mode (No Beeps, Whistles or Yahoos)

When checked all noises FileBoss may make are suppressed.

When not checked FileBoss will beep from time to time when a mouse is clicked in the wrong place or an error balloon or message is displayed.

Automatically save changed Images (refers to the Image Viewer Window)

When checked and an image has been changed in the image viewer - typically rotated one way or another - FileBoss will save the image automatically before loading another image.

When not checked you will be prompted to save any changes that have been made.

Always On Top

When checked FileBoss will always be on top of all other applications possibly hiding them from view even when you are not working in FileBoss.

When not checked FileBoss will act like a normal window.

Checking this box is the same as using the 'View > Always On Top' command from the main menu or clicking the command's button [image].

Auto Locate Entries (applies to Virtual Folders only)

When checked the Contents Window (the right window pane in Virtual Folders) will be linked to the folder list in the left window pane so that whenever an entry is highlighted on the right side the list of folders on the left side will be scrolled to that folder.

Note that this setting is only used when the Virtual Folder is sorted by its Path.

Darken inactive tabs

When checked and more than one tab group is displayed FileBoss will darken the tab(s) that are not active but leave the active tab (the one that you are working on) normal. Which is best is a personal preference and very much depends on how FileBoss is being used.

Show error window automatically

When checked FileBoss will automatically display the Errors history window after an action operation, e.g. copy, touch, rename, if errors occurred and FileBoss was set to skip errors, i.e. just log and continue.

Set Actions for Touching Files

Opens the dialog where you can setup what actions to take when Touching ( [image]) files and folders such as setting archive bits and file times.

This same dialog can be displayed using the Actions > Touch Setup... command from the main menu, pressing Ctrl-F9 or by holding down the Ctrl key while clicking the Touch command button ( [image]).

Toolbar Size

Small - 16 x 16 pixels

Large - 24 x 24 pixels

The size of the toolbars is dependent on the size of the buttons. FileBoss ship with two sizes of buttons, 16 x 16 pixels and 24 x 24. When FileBoss runs for the first time on a new computer it determines which size buttons to use based on the size and resolution of the screen. But you can switch the size at anytime.

You can also change the toolbar size using the Tools > Toolbar > Size > menu or right-click on any toolbar and select the appropriate size from the popup menu.

Ref: HIDD_OPTIONS_GENERAL


Layout

Layout Options Page

To Display the Layou Options Page

Use the Options > Program Options... command from the main menu (or click its command button [image]) and select Layout from the list of option pages.

General Options

Note that any changes you make to these setting will be immediately reflected in the FileBoss workspace behind this dialog. You can quit the Wizard at any time and these change will remain in effect.

Toolbars

The preset styles allow you to change the look of the toolbars. For all of the styles, except for the Optimized (Icon and Text) style, you can also set the size of the icons, small or large.

Changing Selected Toolbars

The options on the right of the dialog allow you to just change specific toolbars. Simply uncheck the All checkbox and then select the toolbars you want to change.

The Special View Toolbar

The View toolbar is special amongst FileBoss's toolbars as it changes depending the type of tab that has the focus, e.g. an Explorer Tab, a Virtual Folder or a Dynamic Virtual Folder.

General Theme

Select the theme that looks best to you on your computer. There is no single best theme as the different themes will look different on different versions of Windows and under different configurations.

When FileBoss is first installed it will set either Modern or Vee as as the default.

Naturally you can change - and change again - these settings at any time.

Ref: HIDD_OPTIONS_LAYOUT


Startup

Startup Options Page

To Display this Options Page

Use the Options > Program Options... command from the main menu (or click its command button) and select 'General' from the list of option pages.

Startup Options

Initial Explore Folder

Specifies what folder will be automatically opened in the first Explore View when FileBoss starts.

Chose between:

Desktop
The Desktop folder, i.e. the root folder of your computer system

Last Folder
The last folder that was open in an Explore View

None
Do not open any default Explore View

Specific Folder
The folder specified in the field to the right

Note: That these settings subordinate to the settings in the Reopen Last Windows section, i.e. if FileBoss reopens one or more previously opened Explore View(s) no other initial folder will be opened.

Reopen Last Windows

This section specifies whether or not FileBoss should reopen any windows that were open when it last closed. And, if it should, what types of windows it should reopen.

Yes or No

A No setting tells FileBoss to never automatically open any previous windows. When No is selected, the other options will be greyed and disabled.

When Yes is selected one or more of the following options may be selected. Not selecting any of these options is equivalent to selecting No.

Explore Views
The Desktop folder, i.e. the root folder of your computer system

Virtual Folders
Any Virtual Folder that has been saved to disk. When FileBoss starts it will re-load file and display it.

Virtual Folder Definitions
Virtual Folders that were open but not saved to disk. The same options that were used to create the Virtual Folder will be used again.

Note: If FileBoss cannot load any windows according to these settings then it will open a default Explore View according to the settings in Initial Explore Folder section above.

Restarting FileBoss when Windows Starts

This section specifies if and when FileBoss should start automatically when Windows starts (either when booting the computer or logging back in on multi-user systems).

There are three options (the default is Never).

Never
FileBoss will never startup by itself when Windows starts. This is the default.

Always
FileBoss will always start whenever Windows starts.

Only if Open When Windows Last Closed
FileBoss will start with Windows, and only start with Windows, when it was active the last time that Windows was closed.

Miscellaneous Startup Options

Show Splash Screen
If checked the beautiful splash screen will be displayed every time FileBoss starts.
Note that this cannot be disabled in the unregistered version of FileBoss.

Show Help Guide at Startup
If checked displays the Help Guide [image] providing quick access help on common procedures and actions.

Show Tip-of-the-Day at Startup
If checked automatically displays a helpful hint with detailed help on how to get things done.

Auto-redisplay Image Preview at Startup
If checked displays the Image Preview window very time FileBoss starts. The Image Preview window can also be started using the View > Graphic Preview command from the main menu or by clicking the command button [image] .

Auto-redisplay Properties Box on Startup
If checked displays the Properties Box every time FileBoss starts. The Properties Box can also be started using the View > Properties command from the main menu, pressing Ctrl+M or by clicking the command button.

Allow only one FileBoss to run at a time
If checked FileBoss will only allow one instance of itself to be running at a time. If FileBoss is already running and you try to start it again FileBoss will become the active application.

Ref: HIDD_OPTIONS_STARTUP


Compare Folders

Compare Folders Options Page

To Display this Options Page

Use the Options > Program Options... command from the main menu (or click its command button) and select Compare Folders from the list of option pages.

Options for Comparing Folders

How Modified Times are Compared

Time Resolution

File Time Resolution

These two fields set how closely the modified times of files being compared must be for them to be considered the same. The default is '1' Second.

The minimum Resolution value is 0.

A value of 0 tells FileBoss to compare file times exactly as they are.

The maximum values for Resolution are:

Days | 730
Hours | 17,520
Minutes | 1,051,200
Seconds | 63,072,000

The default is 1 second.

Normally you should NOT change the default settings unless you have a very specific reason and really know what you are doing.

Note that while Windows records File Times to the nearest 100 nanoseconds (1/10,000,000 of a second) the recorded times are not that accurate and are rounded by most systems anyway.

Time Zone Offset

The value entered in this field will be added to the Modified File Times in the 2nd folder or path being compared before any comparisons are made.

For example, if most of the files in the second folder or path are two hours earlier than the times in the first group you could enter 2 here. Those files will then be considered the as having the same time.

If the times were two hours later, then enter -2 to achieve the same result.

Skip Merge Control Dialog

Specifies the number of hours to add (or subtract) from the file times of the entries in the second folder or path before comparing them. Normally used to compensate for time zone differences.

Skip Merge Control Dialog

When checked, prevents the Merge Control dialog from being automatically displayed when folders/paths are first compared.

(To display the dialog, simply click the 'Merge' button on the Compare Toolbox that is always displayed when folders/paths are being compared.)

Ref: HIDD_OPTIONS_COMPARE


Explore Mode

Explore View Options Page

To Display this Options Page

Use the Options > Program Options... command from the main menu (or click its command button [image]) and select Explore View from the list of option pages.

Options for Explore Views

Where to Display Folders in Contents View

These options control where folders will be displayed in the Contents Window: above files, below files or not at all.

Whenever the position is changed

Other Ways to Change Where Folders are Displayed

· Clicking the command button ( [image] ) that will change to indicate the current state ( [image] , [image] or [image] ).
· Clicking the down arrow next to the command button ( [image] ) and selecting one of the options from the popup menu.
· Selecting one of the options under the Explore > Display Folders At > main menu item.

Where to Put Bookmarks in the Navigation Window

Where to Put

Tells FileBoss where to display the list of bookmarks in the Navigation Window. Clicking on one of the listed bookmark will move to that folder and display it in the Contents Windows.

Clicking on one of these bookmarks is exactly the same as clicking on one of the bookmark listed when you click the down arrow of the bookmark button ( [image]).

Expand by Default

Tells FileBoss whether or not to expand the Bookmark list in the Navigation Window by default.

The list can always be expanded (and closed up) by clicking the root item (Bookmark).

Edit...

Opens the Edit Bookmarks dialog where you can edit, delete, add and rearrange the bookmarks.

You can also edit bookmarks using the Edit > Bookmarks... command from the main menu or, clicking the down arrow next to the bookmark button, , and selecting Edit Bookmarks... from the popup menu.

Hint: If you delete all of the bookmarks, the next time an Explore Window is created the Bookmark list will be repopulated with a default set. (The default set normally contains all of the drives on your computer as well as some common folders such as My Document and Program Files.

Display Text

What these Buttons Do

These setting determine how the name of the current folder will be displayed in the Tab for Explore Windows and on FileBoss's main title bar.

Options

Full Displays the whole path and folder name C:\Documents and Settings\FileBoss\My Documents\My Stuff.
Name Only Displays only the name of the folder without the path, e.g. My Stuff.
Root + ... + Name Displays the root such as C:\ and the folder name, e.g. C:\...My Stuff.

Simple (Filename) and Complex (Advanced) File Filtering [image] and

What these Buttons Do

Buttons allow you to create, edit, delete and prioritize both Filename and Advanced Filters for Explore View.

Why Filtering is Great

File filtering allows you to wander around your file system from folder to folder in Explore View and only see those files that are of interest to you.

For instance you could turn on a Filename Filter that would:

· only show *.exe and *.DLL (*.exe | *.DLL)
· only show pictures of you dog (Dog*.bmp | Dog*.jpeg)
· would not show any *.exe or *.DLL files (-*.exe | -*.DLL)

Or you could turn on an Advanced Filter that would

· only show files that had been modified within the last day, hour, month or since whenever
· not show any files with a hidden or system attribute set
· or just about any criterion or set of criteria you can imagine.

Hint:

You can also add and edit Filename and Advanced filters by clicking the down arrow next to their command buttons ( [image] and [image]) and selecting the appropriate menu item.

You can also select the Explore > Edit Filename Filters... or Explore > Edit Advanced Filters... from the main menu.

Ref: HIDD_OPTIONS_RECON


Copy / Move Files

Copy / Move Files Options Page

To Display this Options Page

Use the Options > Program Options... command from the main menu (or click its command button [image]) and select Copy Files from the list of option pages.

Options for Copying and Moving Files

Confirmation Message

These options control when you will be asked to confirm a copy or move operation The confirmation message is displayed after the OK button has been pressed on the Copy/Move dialog.

The purpose is to alert you to certain conditions that you may not want such as copying whole bunches of files that are below any selected folders or the number of items to copy is greater than normal.

Always

The confirmation message will always be displayed

When Sub-items will be copied

The confirmation message will be displayed whenever folders are selected and files or folders underneath the selected folders my be copied

# of Top Level Items Exceeds

The confirmation message will be displayed when the number of items to be copied, i.e. the number of items selected, exceeds the indicated amount to the box to the right.

Copy File Options

Clear Read-Only bit when copying files from CDs/DVDs

Clears all read-only settings for files when they are copied from a CD or DVD. (Does not affect files copied from a HD or network drive.)

Files on most CDs and DVDs are set to Read-Only, even when the original files that were copied to the CDs were not. This can be a real pain when copying those files back to a HD as many programs will refuse to modify a read-only file (such as Word Processors and Graphics programs).

(Please note that clearing the read-only file attribute does not allow copy protected CDs or DVDs to be duplicated or copied. FileBoss does not break copy protection schemes.)

Don't Change Access times of files being copied

Prevents the access time of the file being copied from being changed.

Some copy and backup programs change this time and some do not. FileBoss gives you the option. By default the times are not changed even though FileBoss technically accesses the program. There is a good reason not to change the Access time by a copy program: the time is intended to be an indication of when programs that actually use the file access it, not when utility programs make copies of it or back it up.

So why do some other programs change it? Because contrary to what would seem normal it actually takes extra work and care by the copy or backup program not to change it.

Automatically skip files that cannot be copied

Will automatically skip all files that cannot be copied and continue with the rest of the files. When this box is not checked and FileBoss cannot copy a file it will stop and ask you what you would like to do, skip, try again (giving you a chance to correct the problem) or to cancel all the rest of the files.

Logging Options

What to record

Determines what actions will be written to the Details result log. Depending on what you normally use FileBoss for you may want to have all or just some of the copied results logged.

This setting does not affect how errors are logged - they are always recorded in the error log - but rather it affects the results of normal operations.

Note that this setting does not affect the totals that are reported in the Summary results.

All
All operations will be logged whether a file was copied or not copied.

Copied
Only files copied will be mentioned in the Details result log. Files that were not copied because the target was newer or you didn't want to overwrite any files will not be recorded.

Not Copied
Only files that were not copied will be mentioned in the Details result log (either because the target was newer or you didn't want to overwrite any files). Files that were copied successfully will not be recorded in the Details result log.

Don't write when target does not exist
(when 'copy only if exist' option set)

Whether or not this box is checked controls if a log entry will be recorded when a file is not copied because the Copy Only If Exist option in the Copy Files dialog is set (or when using the Refresh Files function that implies Copy Only If Exist). This prevents a lot of unnecessary clutter in the details log.

Note that this setting does not affect the totals that are reported in the Summary results.

Copy File Options

Clear Read-Only bit when copying files from CDs/DVDs

Clears all read-only settings for files when they are copied from a CD or DVD. (Does not affect files copied from a HD or network drive.)

Files on most CDs and DVDs are set to Read-Only, even when the original files that were copied to the CDs were not. This can be a real pain when copying those files back to a HD as many programs will refuse to modify a read-only file (such as Word Processors and Graphics programs).

(Please note that clearing the read-only file attribute does not allow copy protected CDs or DVDs to be duplicated or copied. FileBoss does not break copy protection schemes.)

Don't Change Access times of files being copied

Prevents the access time of the file being copied from being changed.

Some copy and backup programs change this time and some do not. FileBoss gives you the option. By default the times are not changed even though FileBoss technically accesses the program. There is a good reason not to change the Access time by a copy program: the time is intended to be an indication of when programs that actually use the file access it, not when utility programs make copies of it or back it up.

So why do some other programs change it? Because contrary to what would seem normal it actually takes extra work and care by the copy or backup program not to change it.

Automatically skip files that cannot be copied

Will automatically skip all files that cannot be copied and continue with the rest of the files. When this box is not checked and FileBoss cannot copy a file it will stop and ask you what you would like to do, skip, try again (giving you a chance to correct the problem) or to cancel all the rest of the files.

Ref: HIDD_OPTIONS_COPY_FILES


Copy Filenames

Copy Filenames Options Page

To Display this Options Page

Use the Options > Program Options... command from the main menu (or click its command button) and select Copy Filenames from the list of option pages.

Options for Copying Filenames to Clipboard

These Settings Apply To Copying One Filename to the Clipboard

To copy the highlighted (current) filename to the clipboard:

F10
to copy full path and name

Ctrl+Shift+F10
to copy just the filename

Edit > Copy Filenames >
from the main menu for more options.

Before and After Fields

Whatever is entered in these fields will be put before and after the copied filename.

Typically these fields would consist of quotes (the defalut), open and close brackets.

Any thing you can type, FileBoss will insert.

Advanced: Three escape sequence sequences can be entered for special charactes: \r = carriage return (ASCII 13), \n = line feed (ASCII 10) and \t = tab (ASCII 9). Note: For compatilbility with other Windows programs, new lines should always be entered as \r\n. Only use\r or \n individually or in another order if you really know what you are doing.

These Settings Apply To Copying All Selected Filenames to the Clipboard
To copy all selected filenames to the clipboard:

Shift+F10
to copy paths and names

Ctrl+Shift+F10
to copy just the filenames

Edit > Copy Filenames >
from the main menu for more options.

Formatting Multiple Filenames

Locations

There are four locations in the list of copied filenames where FileBoss can insert text:

Before First
Inserted before anything else is copied.

Before Each / After Each
Inserted immediately before and after each name

After Last
Appended at the very end of all the filenames

Characters

Typically these fields would consist of quotes, open and close brackets.

Any thing you can type, FileBoss will insert.

Advanced: Three escape sequence sequences can be entered for special charactes: \r = carriage return (ASCII 13), \n = line feed (ASCII 10) and \t = tab (ASCII 9). Note: For compatilbility with other Windows programs, new lines should always be entered as \r\n. Only use\r or \n individually or in another order if you really know what you are doing. (Entering \r\n is the same as checking the New Line box).

New Line

When checked will cause a new line to be generated. For example, when this box is checked for the After Each location every entry will appear on a new line. (This is the equivalent of entering \r\n (ASCII 13, ASCII 10) in the Characters field.)

Tab

When checked will cause a tab to be inserted. For example, when this box is checked for the After Each location every entry will be separated by a tab. (This is the equivalent of entering \t in the Characters field.)

Ref: HIDD_OPTIONS_COPY_NAMES


Window Styles - Global

Window Styles - Global Options Page

To Display this Options Page

Use the Options > Program Options... command from the main menu (or click its command button [image]) and select Windows from the list of option pages.

Universal Options for File Windows

Displaying Drive Sizes

Options for how to display drive sizes in an Explore tab are in the Views panel as shown above.

The Local Hard Drives Only option will prevent FileBoss from attempting to get the drive statistics for remote, networked drives that may slow FileBoss down intolerably as it waits for information from the remote device.

How the drives are sorted if you sort by size, i.e. click on the Size column header, depends on the option chosen here. If the drive sizes are displayed as "99 of 9999 free" then they will be sorted by the amount of space available; if the sizes are "9900 of 9999 used" then they will be sorted by the amount of used space on the drives.

Info Balloons

Display

Master switch that turns the display of the Info Balloons on and off. If this box is not checked no Info Balloons will be displayed.

Restrict To

Specifies specific conditions that must be met before an Info Balloon is displayed.

Shift Key
The Shift key must be pressed in order for an Info Balloon to be displayed.

Control Key
The Ctrl key must be pressed in order for an Info Balloon to be displayed.

First Column
Info Balloons will only be displayed when the cursor is over the first column in the contents view. By default this box is checked to prevent info balloons always popping up to the annoyance of all.

Note: All three of these options can be used alone or in combination with each other.

Show What
Lists the various file attributes that can be displayed in an Info Balloon. Check the items you want displayed.

Miscellaneous Options for the Content Window

Sticky Selections

When checked Sticky Selection Mode is active. Sticky Selection Mode allows you to click on an entry in the Contents View to select it without de-selecting other entries. Sticky Select acts much like holding down the Ctrl key while clicking entries in Windows Explorer.

Note: When Sticky Select Mode is active you can click normally by holding down the Ctrl key.

And Sticky selection mode can also be turned off and on from the right-click menu.

Display File Size in K

Displays file sizes in kilobytes rather than in bytes. When active all sizes are rounded up to the nearest kilobyte and a K is displayed after the size.

Reset Default Columns and Window Colors

Reset All Window Colors

Resets all background and text colors for the Explorer and Virtual Folders to their defaults. This is simply a quick way of resetting all rather than selecting the colors for each type of window individually.


Window Styles - By Type

Window Styles - By Type Options Page

To Display this Options Page

Use the Options > Program Options... command from the main menu (or click its command button) and select one of the individual window types listed under Views.

These options can be set for individual View Types as selected in the option navigation bar on the left side of the dialog.

Note that the Explore panel has extra options for how to display drive sizes as shown below.

Options for Specific File Windows

Under normal circumstances there is little need to change the colors of the windows or text.

Note: the settings under the Columns to Display heading can also be changed by right-clicking on any column header. Doing so will display a tall dialog listing the various columns that can be added and removed from the Contents Window.

Columns Displayed in the Contents Window

These options control when you will be asked to confirm a copy or move operation The confirmation message is displayed after the OK button has been pressed on the Copy/Move dialog.

The purpose is to alert you to certain conditions that you may not want such as copying whole bunches of files that are below any selected folders or the number of items to copy is greater than normal.

Always
The confirmation message will always be displayed

When Sub-items will be copied
The confirmation message will be displayed whenever folders are selected and files or folders underneath the selected folders my be copied

# of Top Level Items Exceeds
The confirmation message will be displayed when the number of items to be copied, i.e. the number of items selected, exceeds the indicated amount to the box to the right.

File Icons to Use

These options control when you will be asked to confirm a copy or move operation The confirmation message is displayed after the OK button has been pressed on the Copy/Move dialog.

The purpose is to alert you to certain conditions that you may not want such as copying whole bunches of files that are below any selected folders or the number of items to copy is greater than normal.

Always
The confirmation message will always be displayed

When Sub-items will be copied
The confirmation message will be displayed whenever folders are selected and files or folders underneath the selected folders my be copied

# of Top Level Items Exceeds
The confirmation message will be displayed when the number of items to be copied, i.e. the number of items selected, exceeds the indicated amount to the box to the right.

Folder Names in the Contents Window

These options control when you will be asked to confirm a copy or move operation The confirmation message is displayed after the OK button has been pressed on the Copy/Move dialog.

The purpose is to alert you to certain conditions that you may not want such as copying whole bunches of files that are below any selected folders or the number of items to copy is greater than normal.

Always
The confirmation message will always be displayed

When Sub-items will be copied
The confirmation message will be displayed whenever folders are selected and files or folders underneath the selected folders my be copied

# of Top Level Items Exceeds
The confirmation message will be displayed when the number of items to be copied, i.e. the number of items selected, exceeds the indicated amount to the box to the right.

Colors for Folder and Contents Windows

These options control when you will be asked to confirm a copy or move operation The confirmation message is displayed after the OK button has been pressed on the Copy/Move dialog.

The purpose is to alert you to certain conditions that you may not want such as copying whole bunches of files that are below any selected folders or the number of items to copy is greater than normal.

Always
The confirmation message will always be displayed

When Sub-items will be copied
The confirmation message will be displayed whenever folders are selected and files or folders underneath the selected folders my be copied

# of Top Level Items Exceeds
The confirmation message will be displayed when the number of items to be copied, i.e. the number of items selected, exceeds the indicated amount to the box to the right.

Colors for Special Items and Highlighted Items

These options control when you will be asked to confirm a copy or move operation The confirmation message is displayed after the OK button has been pressed on the Copy/Move dialog.

The purpose is to alert you to certain conditions that you may not want such as copying whole bunches of files that are below any selected folders or the number of items to copy is greater than normal.

Always
The confirmation message will always be displayed

When Sub-items will be copied
The confirmation message will be displayed whenever folders are selected and files or folders underneath the selected folders my be copied

# of Top Level Items Exceeds
The confirmation message will be displayed when the number of items to be copied, i.e. the number of items selected, exceeds the indicated amount to the box to the right.

Ref: HIDD_OPTIONS_DISPLAY


Date & Time Formats

Date & Time Format Options Page

To Display this Options Page

Use the Options > Program Options... command from the main menu (or click its command button) and select Date Formats from the list of option pages on the left side.

Date And Time Format Options

File Date and Time Formats

These formats tell FileBoss how to display file times. Most notably these file times are seen in the Modified, Accessed and Created columns in the contents window of any view. The format for each of these columns can be set separately.

To set the formats use the Options > Program Options... command from the main menu (or click its command button) and select Date Formats from the list of option pages on the left side.

To see formats for entering dates and times into dialog controls click here.

Default Formats

If a format is blank the dialog controls will display dates and times in a format determined by how your version of Windows is setup.

Quick Examples

For Tuesday, 31 October 2003 at 1:15:30 in the afternoon

Dates

31-Oct-2003 dd-MMM-yyyy
10/31/2003 MM/dd/yyyy
31/10/03 dd/MM/yy
20031031 yyyyMMdd
2003 10 31 yyyy MM dd

Times

13:15:30 HH:mm:ss
01:15:30AM hh:mm:sstt
1:15:30 AM h:mm:ss tt

Complete List of Formats

d
The one- or two-digit day.

dd
The two-digit day. Single-digit day values are preceded by a zero.

ddd
The three-character weekday abbreviation.

dddd
The full weekday name.

h
The one- or two-digit hour in 12-hour format.

hh
The two-digit hour in 12-hour format. Single-digit values are preceded by a zero.

H
The one- or two-digit hour in 24-hour format.

HH
The two-digit hour in 24-hour format. Single-digit values are preceded by a zero.

m
The one- or two-digit minute.

mm
The two-digit minute. Single-digit values are preceded by a zero.

M
The one- or two-digit month number.

MM
The two-digit month number. Single-digit values are preceded by a zero.

MMM
The three-character month abbreviation.

MMMM
The full month name.

t
The one-letter AM/PM abbreviation (that is, AM is displayed as "A").

tt
The two-letter AM/PM abbreviation (that is, AM is displayed as "AM").

yy
The last two digits of the year (that is, 1996 would be displayed as "96").

yyyy
The full year (that is, 1996 would be displayed as "1996").

Ref: HIDH_FILE_DATE_FORMATSV

Entering Dates & Times in Dialogs

These formats tell FileBoss how to display file times. Most notably these file times are seen in the Modified, Accessed and Created columns in the contents window of any view. The format for each of these columns can be set separately.

To set the formats use the Options > Program Options... command from the main menu (or click its command button) and select Date Formats from the list of option pages on the left side.

To see formats for displaying file times click here.

Quick Examples

For Tuesday, 19 March 2002 at 1:15:30 in the afternoon

(Note the the colon and slashes are not used as these cannot be part of a file name!)

02-03-19 %y-%m-%d
20020319 %Y%m%d
2002-03-19 %Y-%m-%d
19-Mar-2002 %d-%b-%Y
Tuesday, March 19, 2002 %A, %B %d, %Y
Tue, 19 Mar 2002 %a, %d %b %Y
Tuesday the 078 day of 2002 %A the %j day of %Y
2002-078 %Y-%j
01-15-30PM %I-%M-%S%p

Complete Specifications

Year

%y Year without century, as decimal number (00 – 99)
%Y Year with century, as decimal number

Month

%b Abbreviated month name
%B Full month name
%m Month as decimal number (01 – 12)

Week

%w Weekday as decimal number (0 – 6; Sunday is 0)
%W Week of year as decimal number, with Monday as first day of week (00 – 53)
%U Week of year as decimal number, with Sunday as first day of week (00 – 53)

Day

%a Abbreviated weekday name
%A Full weekday name
%d Day of month as decimal number (01 – 31)
%j Day of year as decimal number (001 – 366)

Hour

%H Hour in 24-hour format (00 – 23)
%I Hour in 12-hour format (01 – 12)
%p Current locale's A.M./P.M. indicator for 12-hour clock

Minutes

%M Minute as decimal number (00 – 59)

Seconds

%S Second as decimal number (00 – 59)

Miscellaneous

%c Date and time representation appropriate for locale
%x Date representation for current locale
%X Time representation for current locale
%z (or %Z) Time-zone name or abbreviation; no characters if time zone is unknown
%% Percent sign

Alphabetical list:

%a Abbreviated weekday name
%A Full weekday name
%b Abbreviated month name
%B Full month name
%c Date and time representation appropriate for locale
%d Day of month as decimal number (01 – 31)
%H Hour in 24-hour format (00 – 23)
%I Hour in 12-hour format (01 – 12)
%j Day of year as decimal number (001 – 366)
%m Month as decimal number (01 – 12)
%M Minute as decimal number (00 – 59)
%p Current locale's A.M./P.M. indicator for 12-hour clock
%S Second as decimal number (00 – 59)
%U Week of year as decimal number, with Sunday as first day of week (00 – 53)
%w Weekday as decimal number (0 – 6; Sunday is 0)
%W Week of year as decimal number, with Monday as first day of week (00 – 53)
%x Date representation for current locale
%X Time representation for current locale
%y Year without century, as decimal number (00 – 99)
%Y Year with century, as decimal number
%z, %Z Time-zone name or abbreviation; no characters if time zone is unknown
%% Percent sign

Format Code Meaning

%#a, %#A, %#b, %#B, %#p, %#X, %#z, %#Z, %#% # flag is ignored.

%#c Long date and time representation, appropriate for current locale. For example: "Tuesday, March 14, 1995, 12:41:29".

%#x Long date representation, appropriate to current locale. For example: "Tuesday, March 14, 1995".

%#d, %#H, %#I, %#j, %#m, %#M, %#S, %#U, %#w, %#W, %#y, %#Y Remove leading zeros (if any).

Ref: HIDH_FILE_DATE_FMTS_DIALOGS


Drop Zones

Drop Zones Options Page

To Display this Options Page

Use the Options > Program Options... command from the main menu (or click its command button) and select Drop Zones from the list of option pages.

Options for Drop Zones

Choosing the Copy Engine

Select the copy engine you want FileBoss to use when files and folders are dropped on a Drop Zone.

The Windows copy engine is the same one used by Windows Explorer.

FileBoss's internal copy engine will gracefully handle errors when copying files so that you will have the opportunity to correct problems or finish a copy operation even though some files could not be copied.

To configure the FileBoss copy engine to suit your needs press click the Setup Fileboss Copy button.

Ref: HIDD_OPTIONS_DROPZONE


Warnings & Hints

Setting Overwrite & Modifcation Warnings

and Hint Balloons

 Return to Introduction

To Display this Options Page

Use the Options > Program Options... command from the main menu (or click its command button) and select Warnings & Hints from the list of option pages on the left side.

Setting File Overwrite Warnings and Hint Balloons

Warnings when Changing a File

The Set buttons allow you to set when you will be warned that the related action will change a file or folder.

For details on setting warnings for these actions see Set Action Warnings.

Confirming Deletions

Determines if you will be asked to confirm that you really want to delete or recycle a group of files. These messages are discretionary and can be turned off from the confirmation boxes themselves.

Setting Hints And Confirmations

Can turn on or off all discretionary messages the FileBoss may display.

Discretionary messages are messages that you can turn off, typically by checking a box in the lower left corner of the message box.

Ref: HIDD_OPTIONS_WARNINGS


Result & Error Logs

Result & Error Logs Options Page

To Display this Options Page

Use the Options > Program Options... command from the main menu (or click its command button) and select Result Logs from the list of option pages on the left side.

Setting Up the Result Logs

Individual Log Options

Lines To display

The number of lines in the associate result log that FileBoss will keep in memory. Once more lines that the number indicated here is reached FileBoss will delete the oldest results from memory.

The only real reason to set this number lower is to conserve memory.

Save to File

When this box is checked results will be written to a disk file. If no path is given with the log file name the log file will be stored in FileBoss's default data folder, typically My Documents\FileBoss Data.

Clearing and Starting Logs

Clear Log Files Every Time FileBoss Starts

When checked and a result log is being written to disk the disk file will be cleared every time FileBoss starts. All results from a previous FileBoss session will be lost.

Clear Log Files Every Day

When checked and a result log is being written to disk the disk file will be cleared every time starts on a new day.

New Log Files Every Day

When checked and a result log is being written to disk FileBoss will create new log files for each day that FileBoss is run. The name of the files will include the date, e.g. FileBoss Summary (2005 05 31).log.

Warn when Size Exceeds:

Sets the size in kilobytes a result log must exceed before a warning message is displayed when FileBoss starts. For instance if a this value is set to 1024 anytime a disk based result log is greater than one megabyte FileBoss will warn you when it first starts.

To cancel all size warnings enter a 0 or less.

Ref: HIDD_OPTIONS_LOGGING


External Tools

External Tools Options Page

To Display this Options Page

Use the Options > Program Options... command from the main menu (or click its command button) and select External Tools from the list of option pages on the left side.

Setup for External Tool

External tools allow you to specify programs that can be called to display or load files you have selected. When a tool is available it will be displayed on the right-click menu and/or the main menu at Tools > External >. You can match tools to file patterns so that the tool is only available for certain file types.

You can even use the special Internet protocols described below to search the internet for information on a file or file type or even a specific website for a file or type. See Configuring an Internet Tool below for all the details.

Up to one-hundred tools can be defined. If you want to keep a tool definition but don't want it active simply clear the check boxes for both Main Menu and Pop-up Menu.

Also not you may want to create two external tools using the same program. One can be used just for a file that has the current focus and the other for all selected files. (See the Apply Tool to Focus File or All Selected Files section below.)

List of Installed Tools

Displays a list of currently installed tools. The tools will be displayed on the menus in the same order as they are listed here. To change the order select a tool and use the Up and Down buttons.

Creating a new tool by duplicating the current one

To make a copy of a tool highlight it and click the Duplicate button. Making duplicates can save time when configuring the same tool for different purposes such as one instance for all selected files and one that just opens the entry with focus.

Select a tool to modify its attributes in the fields below.

Saving and Loading Definitions for External Tools

The Save and Load button in the upper-right corner...

Select a tool to modify its attributes in the fields below.

Menu Labels

Defines the text that will be displayed on the menus when the tool is active.

To add a shortcut key put an ampersand in front of the desired letter, e.g. &NotePad would display the title as NotePad and pressing the 'N' key would select that tool from the menu.

Program To Execute

Enter the name of the program that executes when this tool is selected. Sometimes, especially when the program is a standard Windows program, only the name is needed. But for other programs it is always best to use a complete path.

If this field is empty and the Arguments field contains <PathAndFilename> FileBoss will attempt to open the file using the default program for that type of files. This can be useful for standard file types such as MP3 and TXT files.

Program Arguments

Enter any arguments that should be passed to the program when the tool is selected. Typically the arguments will be some form of the of the highlighted entry's name and/or command switch's that control how a specific program starts.

Available Meta Arguments are:

<PathAndFilename>
e.g. C:\Program Files\FileBoss\FileBoss.exe

<Filename>
e.g. FileBoss.exe

<Name>
e.g. FileBoss

<Ext>
e.g. exe (Note that there is no leading period before the extension. If you need the period be sure to include it explicitly.)

It is normally best to surround each of the arguments with double quotation marks. If in doubt check the documentation for the tool's program.

Specifying a Start Folder

Enter the folder you want the program to start in. If in doubt just enter <Path> which will be substituted with the folder that contains the program.

Many programs do not use this parameter.

<Path>
e.g. C:\Program Files\FileBoss

Apply To Options

Apply to File or Folders

Determines whether the selected tool will be available for folders or for files. For instance if a file is highlighted and the tool is for folders it will not be displayed on the popup (right-click) menu.

Apply to Focus Entry or All Selected

Determines whether the tool will be applied to just the one file that has the focus or to all selected entries.

Frequently two external tools will be created using the same program. One will be designated to apply to the current file and one to all selected so that you can easily choose which way you want the tool applied from the right-click context menu.

Defining When and Where a Tool will be Displayed

Allows you to specify where and for what files a tool will be displayed. If you are using just a few tools then these fields can be left with their default values. But if you have many tools or special needs you might want to limit when or where the tool will be displayed.

Each time an entry in the contents window is highlighted FileBoss with match the entries name against the list of file patterns entered in these fields. If the file matches one of the file patterns (but not any of the excluded patterns) and the box is checked the tool will be displayed on the main menu, popup menu or both as appropriate.

In the above example this tool will be displayed on the main menu if the highlighted file's extension is rtf, doc, txt, or wrt. It will be displayed on the popup menu if its extension is rtf or doc and its name does not begin with p or my.

To always display a tool just enter an asterisk (*) for each menu.

Third Party Tools and Viewers Examples

NotePad

url: <Comes with Microsoft Windows>

Menu Text: &NotePad

Program: NotePad.exe

Arguments: "<PathAndFilename>"

Start Folder: <Path>

Main Menu / Pop-up Menu File Specs

*.txt | *.log | *.bat

WordPad

url: <Comes with Microsoft Windows>

Menu Text: &WordPad

Program: write.exe

Arguments: "<PathAndFilename>"

Start Folder: <Path>

Main Menu / Pop-up Menu File Specs

*.doc | *.rtf

Quick View Plus (Version 7)

url: http://www.avantstar.com

Menu Text: Quick View

Program: C:\Program Files\Quick View Plus\Program\qvp32.exe

Arguments: "<PathAndFilename>" -dn -da -x

Start Folder: <Path>

Filter: *

Irfan View (Version 3.95)

url: http://www.irfanview.net or http://www.irfanview.com

Menu Text: Irfan View

Program: C:\Program Files\IrfanView\i_view32.exe

Arguments: "<PathAndFilename>" /one

Start Folder: <Path>

Filter: *.bmp | *.jpeg | *.jpg | *.ico | *.gif | *. png

Filter: *

Power Point Viewer

Menu Text: &PP Viewer

Program: C:\Program Files\Microsoft Office\PowerPoint Viewer\PPTVIEW.EXE

Arguments: "<PathAndFilename>"

Start Folder: <Path>

Main Menu / Pop-up Menu File Specs

*.ppt

Confguring an Internet Tool

For the Program Field:

Either WWW, Internet or HTML. Use whichever you wish. There is no difference in the way the are executed.

For the Arguments field:

<PathAndFilename> e.g. C:\Program Files\FileBoss\FileBoss.exe
<Filename> e.g. FileBoss.exe
<Name> e.g. FileBoss
<Ext> e.g. exe (Note that there is no leading period before the extention. If you need the period be sure to include it explicitly.)

For the Start Folder field:

<Path> e.g. C:\Program Files\FileBoss

Example 1:

Menu Text: Net Search

Program: INTERNET

Arguments: http://www.google.com/search?&q="<Name>.<Ext>"

Start Folder:

If the currently highlighted file is 'FileBoss.Exe'

Will open the default browser go to the url:

http://www.google.com/search?&q="FileBoss.exe"

Example 2:

Menu Text: Internet Search

Program: INTERNET

Arguments: http://www.google.com/search?&q="<Filename>"

Start Folder:

If the currently highlighted file is 'FileBoss.Exe'

Will open the default browser go to the url:

http://www.google.com/search?&q="FileBoss.exe"

Example 3:

Menu Text: FilExt.com Extension Search

Program: INTERNET

Arguments: http://www.filext.com/detaillist.php?extdetail=<Ext>

Start Folder:

If the currently highlighted file is 'FileBoss.Exe'

Will open the default browser go to the url:

http://www.filext.com/detaillist.php?extdetail=exe

Ref: HIDD_OPTIONS_TOOLS


Auto Viewers

Auto Viewers Options Page

To Display this Options Page

Use the Options > Program Options... command from the main menu (or click its command button) and select Auto-Viewers from the list of option pages on the left side.

Setup for File Viewers

External tools allow you to specify a program that will be called whenever a entry in the contents window of any FileBoss view is highlighed. You can match tools to file patterns so that the tool is only available for certain file types.

You can even use the special Intenet protocols describbed below to search the internet for information on a file or file type or even a specific website for a file or type. See Configuring an Internet Tool below for all the details.

List of Installed Auto-Viewers

Displays a list of currently installed tools. The viewers will be displayed on the menu in the same order as they are listed here. To change the order select a tool and use the Up and Down buttons.

Select a tool to modify its attributes in the fields below.

Creating a new tool by duplicating the current one

To make a copy of a tool highlight it and click the Duplicate button. Making duplicates can save time when configuring the same tool for different purposes such as one instance for all selected files and one that just opens the entry with focus.

Select a tool to modify its attributes in the fields below.

Saving and Loading Definitions for External Tools

The Save and Load button in the upper-right corner...

Select a tool to modify its attributes in the fields below.

Enable Auto-Viewer

Enables or disables the auto-viewer. When disabled the auto-view will be active.

Note that auto-viewers can also be quickly turned on and off from the list displayed using Tools > Auto-Viewers On/Off > from the main menu.

Menu Labels

Defines the text that will be displayed on the Tools > Auto-Viewers On/Off > menu from which they can be quickly turned on and off..

To add a shortcut key put an ampersand in front of the desired letter, e.g. &NotePad would display the title as NotePad and pressing the 'N' key would select that tool from the menu.

Program To Execute

Enter the name of the program that executes when FileBoss calls this auto-viewer. Sometimes, especially when the program is a standard Windows program, only the name is needed. But for other programs it is always best to use a complete path.

If this field is empty and the Arguments field contains <PathAndFilename> FileBoss will attempt to open the file using the default program for that type of files. This can be useful for standard file types such as MP3 and TXT files.

Program Arguments

Enter any arguments that should be passed to the program when FileBoss calls the auto-viewer. Typically the arguments will be some form of the highlighted entry's name and/or command switch's that control how a specific program starts.

Available Meta Arguments are:

<PathAndFilename>
e.g. C:\Program Files\FileBoss\FileBoss.exe

<Filename>
e.g. FileBoss.exe

<Name>
e.g. FileBoss

<Ext>
e.g. exe (Note that there is no leading period before the extension. If you need the period be sure to include it explicitly.)

It is normally best to surround each of the arguments with double quotation marks. If in doubt check the documentation for the tool's program.

Specifying a Start Folder

Enter the folder you want the program to start in. If in doubt just enter <Path> which will be substituted with the folder that contains the program.

Many programs do not use this parameter.

<Path>
e.g. C:\Program Files\FileBoss

Apply Tool to Files or Folders

Apply to File or Folders

Determines whether the selected tool will be available for folders or for files. For instance if a file is highlighted and the tool is for folders it will not be displayed on the popup (right-click) menu.

Clearing and Starting Logs

Allows you to specify where and for which files an auto-viewer will be called.

Each time an entry in the contents window is highlighted FileBoss with match the entries name against the list of file patterns entered in these fields. If the file matches one of the file patterns (but not any of the excluded patterns) the auto-viewer will be executed.

In the above example this auto-viewer will be called if the highlighted file's extension is bmp, jpg, jpeg, or gif.

Third Party Tools and Viewers Examples

Quick View Plus (Version 7)

url: http://www.avantstar.com

Menu Text: Quick View

Program: C:\Program Files\Quick View Plus\Program\qvp32.exe

Arguments: "<PathAndFilename>" -dn -da -x

Start Folder: <Path>

Filter: *

Irfan View (Version 3.95)

url: http://www.irfanview.net or http://www.irfanview.com

Menu Text: Irfan View

Program: C:\Program Files\IrfanView\i_view32.exe

Arguments: "<PathAndFilename>" /one

Start Folder: <Path>

Filter: *.bmp | *.jpeg | *.jpg | *.ico | *.gif | *. png

NotePad

url: <Internal Microsoft Windows Program>

Menu Text: NotePad

Program: NotePad.exe

Arguments: "<PathAndFilename>"

Start Folder: <Path>

File Specs *.txt | *.log | *.bat

Write

url: <Internal Microsoft Windows Program>

Menu Text: Write

Program: write.exe

Arguments: "<PathAndFilename>"

Start Folder: <Path>

File Specs *.doc | *.rtf

Power Point

Menu Text: Power Point

Program: C:\Program Files\Microsoft Office\PowerPoint Viewer\PPTVIEW.EXE

Arguments: "<PathAndFilename>"

Start Folder: <Path>

File Specs *.ppt

Confguring an Internet Viewer

For the Program Field:

Either WWW, Internet or HTML. Use whichever you wish. There is no difference in the way the are executed.

For the Arguments field:

<PathAndFilename> e.g. C:\Program Files\FileBoss\FileBoss.exe
<Filename> e.g. FileBoss.exe
<Name> e.g. FileBoss
<Ext> e.g. exe (Note that there is no leading period before the extention. If you need the period be sure to include it explicitly.)

For the Start Folder field:

<Path> e.g. C:\Program Files\FileBoss

Example 1:

Menu Text: Net Search

Program: INTERNET

Arguments: http://www.google.com/search?&q="<Name>.<Ext>"

Start Folder:

If the currently highlighted file is 'FileBoss.Exe'

Will open the default browser go to the url:

http://www.google.com/search?&q="FileBoss.exe"

Example 2:

Menu Text: Internet Search

Program: INTERNET

Arguments: http://www.google.com/search?&q="<Filename>"

Start Folder:

If the currently highlighted file is 'FileBoss.Exe'

Will open the default browser go to the url:

http://www.google.com/search?&q="FileBoss.exe"

Example 3:

Menu Text: FilExt.com Extension Search

Program: INTERNET

Arguments: http://www.filext.com/detaillist.php?extdetail=<Ext>

Start Folder:

If the currently highlighted file is 'FileBoss.Exe'

Will open the default browser go to the url:

http://www.filext.com/detaillist.php?extdetail=exe

Ref: HIDD_OPTIONS_TOOLS


Windows Integration

To Display this Options Page

Use the Options > Program Options... command from the main menu (or click its command button) and select Windows Integration from the list of option pages on the left side.

Options for Integrating FileBoss with Windows

Use FileBoss as System Viewer folders

These setting determine how FileBoss is integrated into the Windows Shell, i.e. when Windows will call FileBoss to display a folder rather than call Windows Explorer.

When FileBoss is installed it will set a registry entry instructing Windows to list it as a choice on the context menus (right-click menus) for drives and file folders. That setting can be turned off here or it can be elevated to be the default action, such as when a Folder icon is double-clicked.

Common Popup Menu

with FileBoss Added

Note: The Folder settings only apply to normal File Folders. Virtual Folders such a My Network, the Recycle Bin and, on most systems, My Documents will still be opened in Window Explorer. This is by design to allow full access to objects that are not part of the physical file system.

Shell Integration for File Folders (Directories)

These three choices determine how the system will integrate with FileBoss for displaying folders from the desktop or other place (such as from standard File Open and File Save dialogs).

No
FileBoss can only be invoked as any other normal program.

List on Right-Click Menu
Whenever a File Folder is right-clicked Explore with FileBoss will be one of the options on the context menu.

Make Default Action
In addition to Explore with FileBoss being added to the context menu. It will also be the default action when a File Folder is double-clicked.

Shell Integration for Drives

These three choices determine how the system will integrate with FileBoss for displaying Drives from the desktop or other place (such as from standard File Open and File Save dialogs).

No
FileBoss can only be invoked as any other normal program.

List on Right-Click Menu
Whenever a Drive is right-clicked Explore with FileBoss will be one of the options on the context menu.

Make Default Action
In addition to Explore with FileBoss being added to the context menu. It will also be the default action when the icon for a Drive is double-clicked.

Show new folders in same FileBoss

When checked and a folder is opened from the desktop or other place and FileBoss is already running it will be displayed in a new Explore view in that FileBoss. If it is not checked a new instance of FileBoss will be used to display the folder.

Ref: HIDD_OPTIONS_REGISTRY


Advanced

Advanced Options Page

To Display this Options Page

Use the Options > Program Options... command from the main menu (or click its command button) and select Advanced Options from the list of pages on the left side.

Advanced Options

Explore View Advanced Options

Provides access to advanced options for Explore Views

Allow Explorer Filter to Reactivate
When not checked (the default) FileBoss will not reactivate any file filters that were active when FileBoss last closed. The default value prevents the mistake of thinking that all entries in a folder are displayed when in fact they are not.

Automatically open new Explore View
When checked (the default) FileBoss will automatically open a new Explore View if all views have been closed. This conveniently prevents you staring at a blank workspace.

Fast Folder Navigation
When checked FileBoss will speed up all new Explore Views in Fast Folder Navigation mode. To change the mode for individual Explore Views use Explore > Fast Folder Navigation from the main menu or press Ctrl+K. Fast Folder Mode allows you to navigate down through huge folders containing thousands of files and folders with the frustrating delays normally associated Windows Explorer and other programs. More: Fast Folder Navigation.

Update Latency
Controls the lag between an Explore view detecting a change to the current folder and processing the change, i.e. will not process any updates until the latency period has expired since the last change was detected. Having an update latency prevents the system from going nuts when a swarm of files are added, deleted or changed by and outside program.
This value should not normally be changed unless you are told to do so by FileBoss support.

Handling Hidden Entries in Saved Virtual Folders

Handling hidden entries when saving Virtual Folders
When saving a Virtual Folder to disk hidden entries can be saved as hidden. When reloaded you can have FileBoss keep hidden files hidden, unhide them or ask you what to do.

File Time Resolutions for Resolving Conflicts

File time comparison resolution
Determines the resolution FileBoss will use when comparing file times for various operations such as sorting and copying. Because of the differences in the ways different versions of Windows handle and record file times it is best to leave this at 1 second as a good compromise.

Include Folders in Search for Duplicates

Find Duplicate Folders Too
Default is off preventing FileBoss from comparing folders when looking for duplicates as this does not make any sense. It should only be turned on if you are looking for folders with identical names.

Location of User Data and the Main Options File

User Data Folder
Specifies the default location FileBoss will use to store files you create with FileBoss such as when you save a Virtual Folder or Window List.
Typically the default User Data Folder is My Documents\FileBoss Data

Program Data Folder
Specifies the default location FileBoss will use to store files it automatically creates and saves such as the main options file and the window list file that is used to restore Explore Views and Virtual Folders when FileBoss re-starts. Note that the specific options file can be set to a different name or even a different folder using the next option.
Typically the default Program Data Folder is My Documents\FileBoss Data

Options File
Allows you to change the default options file (the file to which FileBoss will load and save its options and settings when it starts and ends.
Typically the default options file is My Documents\FileBoss Data\FileBoss.fbopts.

Ref: HIDD_OPTIONS_ADVANCED


Advanced 2

Advanced 2 Options Page

To Display this Options Page

Use the Options > Program Options... command from the main menu (or click its command button) and select Advanced Options 2 from the list of option pages on the left side.

More Advanced Options

Activating Right-Click Context Help

These two boxes control if and when right-clicking on a dialog control or menu item will display context help.

To turn context help off check the first box.

Checking the second box will display context help if the Shift key is down when the menu item or control is right-clicked.

Normally there should be no reason to disable right-click help.

Never Allow Text Search as a Default

Checking this box prevents the Create Virtual Folder dialog from searching for text in files when first invoked no matter how it was set the last time FileBoss was used.

The default is checked so that the FileBoss will not search files for text without you expressly telling it to.

Activating Intelligent Scrolling

The Intelligent Scrolling option tells FileBoss how to determine which window, Navigation or Contents, when a scroll wheel is turned (such as on a mouse). When checked FileBoss will scroll the Navigation or Contents window depending which window the mouse is hovering over.

Then this option is cleared the window that was last active will be scrolled as is common in most applications.

Maximum Explore Views Allowed

Determines how many Explore Views FileBoss will allow to be open at one time. When the maximum number of windows is open new operations will use a current Explore View rather than start another.

Drop Timeout on other Applications

This advanced setting determines how long FileBoss will wait for a receiving application (i.e. an application on which files have been dropped) to respond.

When a large number of files are dropped on some applications they will take a long time to process those files before returning control back to FileBoss.

This setting determines the number of seconds FileBoss will wait before it displays a message asking you what you would like to.

Copy Engine for Dropped Files

Select the copy engine you want FileBoss to use when files and folders are dropped onto a folder in either the Navigation or Contents windows.

The Windows copy engine is the same one used by Windows Explorer.

FileBoss's internal copy engine will gracefully handle errors when copying files so that you will have the opportunity to correct problems or finish a copy operation even though some files could not be copied.

To configure the FileBoss copy engine to suit your needs press click the Setup FileBoss Copy button.

Note: This setting only affects how FileBoss copies files when they are dropped on FileBoss. If you drag files from FileBoss and drop them on another application that receiving application will handle the copy operation, i.e. FileBoss has no control over how those files will be copied.

Ref: HIDD_OPTIONS_ADVANCED_2


Current File Set

Current Virtual Folder Options Page

To Display this Options Page

Use the Options > Program Options... command from the main menu (or click its command button) and select Current Virtual Folder from the list of option pages on the left side.

Note: This pane is only available when a Virtual Folder is the current view. It has no meaning for Explore Views

Options for Current Virtual Folder

Ref:H IDD_OPTIONS_CURDOC


Entering Multiple File Patterns

Many FileBoss routines allow you enter one or more file patterns that will control which files selected, copied or processed depending on the routine.

Entering File Patterns

Many FileBoss dialogs allow you enter a series of file patterns that will be included (or excluded) for whatever operation you are performing. *.doc or Seattle*.jpg.

Leaving a field empty is the same as specifying a single asterisk (*) or the traditional (*.*) - all three of which mean to include all files.

Multiple File Patterns

You can list a series of file names an file patterns up to over 32,000 characters long. By default you can separate the patterns with a semi-colon, comma or the bar character ( ; , | ). This can be set in the Advanced

Wildcards in File Patterns

The common wildcard characters (*) and (?) can be used when specifying groups of file to be included.

The entry *.tmp | *.bak | ~* will find all files with the extension tmp and bak as well as all files beginning with the tilde character (~).

Excluding Files and Groups of Files

Specific files and groups of files can be excluded from the search by preceding their names or patterns with a minus sign, (-). If the name actually begins with a minus sign, simply put another in front of it, e.g. --notations.txt.

To exclude temporary and backup files you might use -*.tmp | -*.bak | -~*.

Note that there is no *.* or just * in the beginning. Remember that if there is no include specification then *.* (all) is assumed.

For example the these two patterns are equivalent: -*.zip and *.* | -*.zip (include all files except those with the zip extension.

Including and Excluding at the same time

Using *.jpg | *.gif | *.bmp | -~* would include all jpg, gif and bmp files except the filenames that begin with the tilde character (~).

Options

To chane whether or not the semi-colon and comma can be used to separate multiple patterns use the Options > Program Options... command from the main menu and select the Advanced 2 panel.

Ref: HMISC_ENTERING_MULTIPLE_FILE_PATTS


Find Files by Name

Finding Files by Name

This is the simplest of all the Find routines. To start this routine use the Find > Files... command from the main menu to invoke the dialog below where you can specify which files to find

.

After FileBoss has found all the files they will be collected into a virtual Virtual Folder where you can manipulate them (rename, delete, copy, move, backup, open, and more) one at a time, in groups or all at once. And, of course, like any other Virtual Folder the definition can be saved and used over and over again. Once the Virtual Folder has been created just select one of the File > Save > commands.

For more ways of finding files and creating Virtual Virtual Folders see:

Find Files,

Find Recently Modified Files,

Find Old Files,

Find Files Containing Specific Text,

Find Long Filenames,

Find Files by Attributes,

Find Files by Size and

Advanced File Find the master, do it all routine.

Paths Field

(In some dialogs the Search Subfolders will not be displayed in which case all subfolders will be searched automatically.)

Specifies one or more paths to be scanned. For instance to scan the My Documents directory on drive C: enter:

C:\My Documents

(Note: if you are comparing folders either from the Compare Folders or Paths dialog or directly in the Create Virtual Folder dialog two and only two paths must be entered in this field)

Including Multiple Paths

Separate multiple paths with the bar character '|'.

To scan the My Documents directory on drive C: and the Temp directory on drive D: enter:

C:\My Documents | D:\Temp

(The maximum length of this field is over 65,000 bytes.)

Using Wildcards

If you would like to collect files on all of drive D: and in the My Documents and My Installations folders on drive C: enter the following.

D:\ | C:\My *s

(Of course, the entry C:\My * would search all folders in the root of drive C: which began with My then a space and end with an s.)

The use of a wild card is restricted to the last element of the path. For instance, the following examples will not work:

D:\*\Backup

C:\My *\*

C:\Program Files\Iront*\FileBoss

But the following will work:

C:\My *s

(It would return files in folders C:\My Videos and C:\My Pictures if present.)

To search both the Normal and Nermal directories on drive D: you could enter either:

D:\Normal | D:\Nermal

or

D:\N?rmal

Excluding Folders

Specific folders can be excluded from the search by preceding the folder's name with a minus sign, '-'. If the name of the folder actually begins with a minus sign, simply put another in front of it, e.g. "--my folder".

Consider the following example:

C:\My Documents | -Temp|-Backup|D:\

Paths to be excluded can contain the normal wildcard characters, * and ?. (Use full paths, e.g. C:\house\pictures) to avoid excluding all paths, e.g. every folder named 'pictures'. This can be especially important when using wildcards.)

Note that the order of the entries is ignored: in the above example any Temp and Backup folders will be ignored on drive D: as well in C:\My Documents

Using Wildcards in Folders to be Excluded

Using wildcards in folders to be excluded is almost exactly the same as it is to use them in paths to be scanned. For instance:

C:\ | -C:\C*s

Would search all of drive C: except for files and folders in and below any root folders beginning with a 'C' and ending in 's'.

File Patterns (Include or Exclude)

Enter the names or name patterns of files and folders you want included in the search.

Leaving the field empty is the same as specifing a single asterisk '*' or the traditional '*.*' meaning include all files.

Multiple File Patterns

Separate multiple patterns with the bar character '|'.

Wildcards in File Patterns

The common wildcard characters '*' and '?' can be used when specifing groups of file to be inclucded.

The entry *.tmp | *.bak | ~* will find all files with the extension tmp and bak as well as all files beginning with the tilde character '~'.

Excluding Files and Groups of Files

Specific files and groups of files can be excluded from the search by preceding the files with a minus sign, '-'. If the name actually begins with a minus sign, simply put another in front of it, e.g. --notations.txt.

To create a Virtual Folder that includes all files except temporary and backup files you could enter

-*.tmp | -*.bak | -~*

(Note that there is no *.* or just * in the beginning. Remember that if there is no include specification then *.* (all) is assumed.

For example the these two patterns are equivalent: -*.zip and *.* | -*.zip (include all files except those with the zip extension).

User Defined & Default Patterns

While the drop down list box will remember the most recently used patterns, even when FileBoss is closed, you can use predefined

Predefined Patterns

The [ >> ] button displays a pop up menu of predefined file patterns that can be quickly added to the 'Patterns' field to the left.

You can edit this drop down menu to include the file patterns you use the most (use the 'Edit Menu' option at the bottom.)

The patterns fly out can hold up to a maximum of twenty entries.

Opens a list of default search patterns, which can be used to quickly fill in the Patterns: field. You can edit this drop down menu to include the file patterns you use the most (use the 'Edit Menu' option at the bottom.)

The patterns fly out can hold up to a maximum of twenty entries.

Edit Allows you to edit the contents of the Patterns: drop-down list box.

What to include in the Search

Determines what will be included in the find operation, file, folders or both. The default is that only files will be included in the search.

Ref: HIDD_CREATE_FILESET_BY_NAME


Find Modified Files

Finding Recently Modified Files

The settings in the above dialog will find all files modified on the current day in the two paths specified in the first field (each path is separated by the bar character, '|'. Note that when finding recently modified files subfolders are automatically searched.

To find files that have been modified recently or within a specific date range use the Find > Recently Modified Files... command from the main menu to invoke the dialog below where you can specify which files to find.

After FileBoss has found all the files they will be collected into a virtual Virtual Folder where you can manipulate them (rename, delete, copy, move, backup, open, and more) one at a time, in groups or all at once. And, of course, like any other Virtual Folder the definition can be saved and used over and over again. Once the Virtual Folder has been created just select one of the File > Save > commands.

For more ways of finding files and creating Virtual Virtual Folders see:

Find Files,

Find Recently Modified Files,

Find Old Files,

Find Files Containing Specific Text,

Find Long Filenames,

Find Files by Attributes,

Find Files by Size and

Advanced File Find the master, do it all routine.

Using Relative File times

Relative times allow you to find files that were modified, accessed or created within a specified time period. The time frame is calculated every time the search is run meaning that if you create a Virtual Folder today and it is reloaded when you start FileBoss tomorrow, or you save it and open it again another day, the new Virtual Folder will be created based on that future time and not the time when you first clicked the OK button on this dialog.

The one exception is the last option, where you specify a fixed start and end time for the search. These remain constant.

Relative times allow you to find files that were modified, accessed or created within a specified time period. The time frame is calculated every time the search is run meaning that if you create a Virtual Folder today and it is reloaded when you start FileBoss tomorrow, or you save it and open it again another day, the new Virtual Folder will be created based on that future time and not the time when you first clicked the OK button on this dialog.

The one exception is the last option, where you specify a fixed start and end time for the search. These remain constant.

Paths Field

(In some dialogs the Search Subfolders will not be displayed in which case all subfolders will be searched automatically.)

Specifies one or more paths to be scanned. For instance to scan the My Documents directory on drive C: enter:

C:\My Documents

(Note: if you are comparing folders either from the Compare Folders or Paths dialog or directly in the Create Virtual Folder dialog two and only two paths must be entered in this field)

Including Multiple Paths

Separate multiple paths with the bar character '|'.

To scan the My Documents directory on drive C: and the Temp directory on drive D: enter:

C:\My Documents | D:\Temp

(The maximum length of this field is over 65,000 bytes.)

Using Wildcards

If you would like to collect files on all of drive D: and in the My Documents and My Installations folders on drive C: enter the following.

D:\ | C:\My *s

(Of course, the entry C:\My * would search all folders in the root of drive C: which began with My then a space and end with an s.)

The use of a wild card is restricted to the last element of the path. For instance, the following examples will not work:

D:\*\Backup

C:\My *\*

C:\Program Files\Iront*\FileBoss

But the following will work:

C:\My *s

(It would return files in folders C:\My Videos and C:\My Pictures if present.)

To search both the Normal and Nermal directories on drive D: you could enter either:

D:\Normal | D:\Nermal

or

D:\N?rmal

Excluding Folders

Specific folders can be excluded from the search by preceding the folder's name with a minus sign, '-'. If the name of the folder actually begins with a minus sign, simply put another in front of it, e.g. "--my folder".

Consider the following example:

C:\My Documents | -Temp|-Backup|D:\

Paths to be excluded can contain the normal wildcard characters, * and ?. (Use full paths, e.g. C:\house\pictures) to avoid excluding all paths, e.g. every folder named 'pictures'. This can be especially important when using wildcards.)

Note that the order of the entries is ignored: in the above example any Temp and Backup folders will be ignored on drive D: as well in C:\My Documents

Using Wildcards in Folders to be Excluded

Using wildcards in folders to be excluded is almost exactly the same as it is to use them in paths to be scanned. For instance:

C:\ | -C:\C*s

Would search all of drive C: except for files and folders in and below any root folders beginning with a 'C' and ending in 's'.

File Patterns (Include or Exclude)

Enter the names or name patterns of files and folders you want included in the search.

Leaving the field empty is the same as specifing a single asterisk '*' or the traditional '*.*' meaning include all files.

Multiple File Patterns

Separate multiple patterns with the bar character '|'.

Wildcards in File Patterns

The common wildcard characters '*' and '?' can be used when specifing groups of file to be inclucded.

The entry *.tmp | *.bak | ~* will find all files with the extension tmp and bak as well as all files beginning with the tilde character '~'.

Excluding Files and Groups of Files

Specific files and groups of files can be excluded from the search by preceding the files with a minus sign, '-'. If the name actually begins with a minus sign, simply put another in front of it, e.g. --notations.txt.

To create a Virtual Folder that includes all files except temporary and backup files you could enter

-*.tmp | -*.bak | -~*

(Note that there is no *.* or just * in the beginning. Remember that if there is no include specification then *.* (all) is assumed.

For example the these two patterns are equivalent: -*.zip and *.* | -*.zip (include all files except those with the zip extension).

User Defined & Default Patterns

While the drop down list box will remember the most recently used patterns, even when FileBoss is closed, you can use predefined

Predefined Patterns

The [ >> ] button displays a pop up menu of predefined file patterns that can be quickly added to the 'Patterns' field to the left.

You can edit this drop down menu to include the file patterns you use the most (use the 'Edit Menu' option at the bottom.)

The patterns fly out can hold up to a maximum of twenty entries.

Opens a list of default search patterns, which can be used to quickly fill in the Patterns: field. You can edit this drop down menu to include the file patterns you use the most (use the 'Edit Menu' option at the bottom.)

The patterns fly out can hold up to a maximum of twenty entries.

Edit Allows you to edit the contents of the Patterns: drop-down list box.

What to include in the Search

Determines what will be included in the find operation, file, folders or both. The default is that only files will be included in the search.

Ref: HIDD_CREATE_FILESET_MODIFIED


Find Old Files

Finding Old Files

The settings in the above dialog will find all files modified on the current day in the two paths specified in the first field (each path is separated by the bar character, '|'. Note that when finding recently modified files sub folders are automatically searched.

To find files that have been modified recently or within a specific date range use the Find > Old Files... command from the main menu to invoke the dialog below where you can specify the time period and the type of file time to look for.

After FileBoss has found all the files they will be collected into a virtual Virtual Folder where you can manipulate them (rename, delete, copy, move, backup, open, and more) one at a time, in groups or all at once. And, of course, like any other Virtual Folder the definition can be saved and used over and over again. Once the Virtual Folder has been created just select one of the File > Save > commands.

For more ways of finding files and creating Virtual Virtual Folders see:

Find Files,

Find Recently Modified Files,

Find Old Files,

Find Files Containing Specific Text,

Find Long Filenames,

Find Files by Attributes,

Find Files by Size and

Advanced File Find the master, do it all routine.

Using Relative File times

Relative times allow you to find files that were modified, accessed or created within a specified time period. The time frame is calculated every time the search is run meaning that if you create a Virtual Folder today and it is reloaded when you start FileBoss tomorrow, or you save it and open it again another day, the new Virtual Folder will be created based on that future time and not the time when you first clicked the OK button on this dialog.

The one exception is the last option, where you specify a fixed start and end time for the search. These remain constant.

Relative times allow you to find files that were modified, accessed or created within a specified time period. The time frame is calculated every time the search is run meaning that if you create a Virtual Folder today and it is reloaded when you start FileBoss tomorrow, or you save it and open it again another day, the new Virtual Folder will be created based on that future time and not the time when you first clicked the OK button on this dialog.

The one exception is the last option, where you specify a fixed start and end time for the search. These remain constant.

Paths Field

(In some dialogs the Search Subfolders will not be displayed in which case all subfolders will be searched automatically.)

Specifies one or more paths to be scanned. For instance to scan the My Documents directory on drive C: enter:

C:\My Documents

(Note: if you are comparing folders either from the Compare Folders or Paths dialog or directly in the Create Virtual Folder dialog two and only two paths must be entered in this field)

Including Multiple Paths

Separate multiple paths with the bar character '|'.

To scan the My Documents directory on drive C: and the Temp directory on drive D: enter:

C:\My Documents | D:\Temp

(The maximum length of this field is over 65,000 bytes.)

Using Wildcards

If you would like to collect files on all of drive D: and in the My Documents and My Installations folders on drive C: enter the following.

D:\ | C:\My *s

(Of course, the entry C:\My * would search all folders in the root of drive C: which began with My then a space and end with an s.)

The use of a wild card is restricted to the last element of the path. For instance, the following examples will not work:

D:\*\Backup

C:\My *\*

C:\Program Files\Iront*\FileBoss

But the following will work:

C:\My *s

(It would return files in folders C:\My Videos and C:\My Pictures if present.)

To search both the Normal and Nermal directories on drive D: you could enter either:

D:\Normal | D:\Nermal

or

D:\N?rmal

Excluding Folders

Specific folders can be excluded from the search by preceding the folder's name with a minus sign, '-'. If the name of the folder actually begins with a minus sign, simply put another in front of it, e.g. "--my folder".

Consider the following example:

C:\My Documents | -Temp|-Backup|D:\

Paths to be excluded can contain the normal wildcard characters, * and ?. (Use full paths, e.g. C:\house\pictures) to avoid excluding all paths, e.g. every folder named 'pictures'. This can be especially important when using wildcards.)

Note that the order of the entries is ignored: in the above example any Temp and Backup folders will be ignored on drive D: as well in C:\My Documents

Using Wildcards in Folders to be Excluded

Using wildcards in folders to be excluded is almost exactly the same as it is to use them in paths to be scanned. For instance:

C:\ | -C:\C*s

Would search all of drive C: except for files and folders in and below any root folders beginning with a 'C' and ending in 's'.

File Patterns (Include or Exclude)

Enter the names or name patterns of files and folders you want included in the search.

Leaving the field empty is the same as specifing a single asterisk '*' or the traditional '*.*' meaning include all files.

Multiple File Patterns

Separate multiple patterns with the bar character '|'.

Wildcards in File Patterns

The common wildcard characters '*' and '?' can be used when specifing groups of file to be inclucded.

The entry *.tmp | *.bak | ~* will find all files with the extension tmp and bak as well as all files beginning with the tilde character '~'.

Excluding Files and Groups of Files

Specific files and groups of files can be excluded from the search by preceding the files with a minus sign, '-'. If the name actually begins with a minus sign, simply put another in front of it, e.g. --notations.txt.

To create a Virtual Folder that includes all files except temporary and backup files you could enter

-*.tmp | -*.bak | -~*

(Note that there is no *.* or just * in the beginning. Remember that if there is no include specification then *.* (all) is assumed.

For example the these two patterns are equivalent: -*.zip and *.* | -*.zip (include all files except those with the zip extension).

User Defined & Default Patterns

While the drop down list box will remember the most recently used patterns, even when FileBoss is closed, you can use predefined

Predefined Patterns

The [ >> ] button displays a pop up menu of predefined file patterns that can be quickly added to the 'Patterns' field to the left.

You can edit this drop down menu to include the file patterns you use the most (use the 'Edit Menu' option at the bottom.)

The patterns fly out can hold up to a maximum of twenty entries.

Opens a list of default search patterns, which can be used to quickly fill in the Patterns: field. You can edit this drop down menu to include the file patterns you use the most (use the 'Edit Menu' option at the bottom.)

The patterns fly out can hold up to a maximum of twenty entries.

Edit Allows you to edit the contents of the Patterns: drop-down list box.

What to include in the Search

Determines what will be included in the find operation, file, folders or both. The default is that only files will be included in the search.

Ref: HIDD_CREATE_FILESET_OLD


Find Files Containing Specific Text

Finding Files that Contain Specific Text

This dialog is used to search for files that contain text that matches a pattern you specify. Virtual Folders (the results of a search) can contain one file or all the files and folders on multiple drives. The great advantage of Virtual Folders over Explore Views is that files in multiple folders can be manipulated at the same time, e.g. copied, renamed, deleted and much, much more.

For more ways of finding files and creating Virtual Virtual Folders see:

Find Files,

Find Recently Modified Files,

Find Old Files,

Find Files Containing Specific Text,

Find Long Filenames,

Find Files by Attributes,

Find Files by Size and

Advanced File Find the master, do it all routine.

And, of course, like any other Virtual Folder the definition can be saved and used over and over again. Once the Virtual Folder has been created just select one of the File > Save > commands.

To start the dialog use the Find > Files Containing Text... command from the main menu.

Method for Matching the Search Pattern

Search Method

Three different types of searching can be performed.

FileBoss supports smart white space matching where the white space (spaces and tabs) does not have to be exact for a match to occur. This allows the search pattern to specify one space or tab and FileBoss will still match even if the source text contains two or more consecutive spaces or tabs or a mixture of both.

The type of search to be done is specified by choosing on of the following options:

Exact

Matches the search pattern exactly (no wild cards have special meaning) except for capitalization and white space. Capitalization is controlled by the 'Match capitalization' check box and all white space is considered to be the same, e.g. spaces, tabs and new lines are considered to be the same. In addition multiple spaces will match one space and vice-a-versa.

Normal

In normal searching, FileBoss recognizes two wild card characters: the question mark and the asterisk.

The question mark (?) matches any one character.

The asterisk (*) matches any number of any characters up until the next character in the search pattern. For instance, the search pattern F*ss, would match FileBoss

To enter an asterisk or question mark as literals, i.e. without special meaning, precede them with a backslash.

Unix Style

See Unix Style Searches for a complete definition of FileBoss's Unix style search implementation.

Match Capitalization

Selecting this option tells FileBoss that searches should be case sensitive. Thus, if this option is selected and "Blue" is searched for, FileBoss will find "Blue" but not "blue" or "bLue." If this option is not selected, FileBoss will match any combination of capitals and lowercase letters, no matter what was used for the search string.

Note that this option does not affect searches when Unix mode is turned on.

Paths Field

(In some dialogs the Search Subfolders will not be displayed in which case all subfolders will be searched automatically.)

Specifies one or more paths to be scanned. For instance to scan the My Documents directory on drive C: enter:

C:\My Documents

(Note: if you are comparing folders either from the Compare Folders or Paths dialog or directly in the Create Virtual Folder dialog two and only two paths must be entered in this field)

Including Multiple Paths

Separate multiple paths with the bar character '|'.

To scan the My Documents directory on drive C: and the Temp directory on drive D: enter:

C:\My Documents | D:\Temp

(The maximum length of this field is over 65,000 bytes.)

Using Wildcards

If you would like to collect files on all of drive D: and in the My Documents and My Installations folders on drive C: enter the following.

D:\ | C:\My *s

(Of course, the entry C:\My * would search all folders in the root of drive C: which began with My then a space and end with an s.)

The use of a wild card is restricted to the last element of the path. For instance, the following examples will not work:

D:\*\Backup

C:\My *\*

C:\Program Files\Iront*\FileBoss

But the following will work:

C:\My *s

(It would return files in folders C:\My Videos and C:\My Pictures if present.)

To search both the Normal and Nermal directories on drive D: you could enter either:

D:\Normal | D:\Nermal

or

D:\N?rmal

Excluding Folders

Specific folders can be excluded from the search by preceding the folder's name with a minus sign, '-'. If the name of the folder actually begins with a minus sign, simply put another in front of it, e.g. "--my folder".

Consider the following example:

C:\My Documents | -Temp|-Backup|D:\

Paths to be excluded can contain the normal wildcard characters, * and ?. (Use full paths, e.g. C:\house\pictures) to avoid excluding all paths, e.g. every folder named 'pictures'. This can be especially important when using wildcards.)

Note that the order of the entries is ignored: in the above example any Temp and Backup folders will be ignored on drive D: as well in C:\My Documents

Using Wildcards in Folders to be Excluded

Using wildcards in folders to be excluded is almost exactly the same as it is to use them in paths to be scanned. For instance:

C:\ | -C:\C*s

Would search all of drive C: except for files and folders in and below any root folders beginning with a 'C' and ending in 's'.

File Patterns (Include or Exclude)

Enter the names or name patterns of files and folders you want included in the search.

Leaving the field empty is the same as specifing a single asterisk '*' or the traditional '*.*' meaning include all files.

Multiple File Patterns

Separate multiple patterns with the bar character '|'.

Wildcards in File Patterns

The common wildcard characters '*' and '?' can be used when specifing groups of file to be inclucded.

The entry *.tmp | *.bak | ~* will find all files with the extension tmp and bak as well as all files beginning with the tilde character '~'.

Excluding Files and Groups of Files

Specific files and groups of files can be excluded from the search by preceding the files with a minus sign, '-'. If the name actually begins with a minus sign, simply put another in front of it, e.g. --notations.txt.

To create a Virtual Folder that includes all files except temporary and backup files you could enter

-*.tmp | -*.bak | -~*

(Note that there is no *.* or just * in the beginning. Remember that if there is no include specification then *.* (all) is assumed.

For example the these two patterns are equivalent: -*.zip and *.* | -*.zip (include all files except those with the zip extension).

User Defined & Default Patterns

While the drop down list box will remember the most recently used patterns, even when FileBoss is closed, you can use predefined

Predefined Patterns

The [ >> ] button displays a pop up menu of predefined file patterns that can be quickly added to the 'Patterns' field to the left.

You can edit this drop down menu to include the file patterns you use the most (use the 'Edit Menu' option at the bottom.)

The patterns fly out can hold up to a maximum of twenty entries.

Opens a list of default search patterns, which can be used to quickly fill in the Patterns: field. You can edit this drop down menu to include the file patterns you use the most (use the 'Edit Menu' option at the bottom.)

The patterns fly out can hold up to a maximum of twenty entries.

Edit Allows you to edit the contents of the Patterns: drop-down list box.

What to include in the Search

Determines what will be included in the find operation, file, folders or both. The default is that only files will be included in the search.

Ref: HIDD_CREATE_FILESET_TEXT


Find Long Filenames

Finding Files with Long Filenames

To start the search for long filenames use the Find > Long File... command from the main menu. Files can be found by the length of their names, paths or a total of both. In addition you can specify a folder or drive that should be searched and even multiple drives or paths.

Virtual Folders (the results of a search) can contain one file or all the files and folders on multiple drives. The great advantage of Virtual Folders over Explore Views is that files in multiple folders can be manipulated at the same time, e.g. copied, renamed, deleted and much, much more.

And, of course, like any other Virtual Folder the definition can be saved and used over and over again. Once the Virtual Folder has been created just select one of the File > Save > commands.

For more ways of finding files and creating Virtual Virtual Folders see:

Find Files,

Find Recently Modified Files,

Find Old Files,

Find Files Containing Specific Text,

Find Long Filenames,

Find Files by Attributes,

Find Files by Size and

Advanced File Find the master, do it all routine.

Limit Search by Name & Path Lengths

Setting minimum path lengths is frequently used to check for long filenames before copying to media, such as some CD ROM formats that cannot accommodate filenames as long as Windows can.

Normally on the Shortest Total Lth field is necessary.

Note that you can also check for long filenames in any Virtual Folder or Explore view by turning on the appropriate column headers and then sorting by one of the three lengths shown above.

Paths Field

(In some dialogs the Search Subfolders will not be displayed in which case all subfolders will be searched automatically.)

Specifies one or more paths to be scanned. For instance to scan the My Documents directory on drive C: enter:

C:\My Documents

(Note: if you are comparing folders either from the Compare Folders or Paths dialog or directly in the Create Virtual Folder dialog two and only two paths must be entered in this field)

Including Multiple Paths

Separate multiple paths with the bar character '|'.

To scan the My Documents directory on drive C: and the Temp directory on drive D: enter:

C:\My Documents | D:\Temp

(The maximum length of this field is over 65,000 bytes.)

Using Wildcards

If you would like to collect files on all of drive D: and in the My Documents and My Installations folders on drive C: enter the following.

D:\ | C:\My *s

(Of course, the entry C:\My * would search all folders in the root of drive C: which began with My then a space and end with an s.)

The use of a wild card is restricted to the last element of the path. For instance, the following examples will not work:

D:\*\Backup

C:\My *\*

C:\Program Files\Iront*\FileBoss

But the following will work:

C:\My *s

(It would return files in folders C:\My Videos and C:\My Pictures if present.)

To search both the Normal and Nermal directories on drive D: you could enter either:

D:\Normal | D:\Nermal

or

D:\N?rmal

Excluding Folders

Specific folders can be excluded from the search by preceding the folder's name with a minus sign, '-'. If the name of the folder actually begins with a minus sign, simply put another in front of it, e.g. "--my folder".

Consider the following example:

C:\My Documents | -Temp|-Backup|D:\

Paths to be excluded can contain the normal wildcard characters, * and ?. (Use full paths, e.g. C:\house\pictures) to avoid excluding all paths, e.g. every folder named 'pictures'. This can be especially important when using wildcards.)

Note that the order of the entries is ignored: in the above example any Temp and Backup folders will be ignored on drive D: as well in C:\My Documents

Using Wildcards in Folders to be Excluded

Using wildcards in folders to be excluded is almost exactly the same as it is to use them in paths to be scanned. For instance:

C:\ | -C:\C*s

Would search all of drive C: except for files and folders in and below any root folders beginning with a 'C' and ending in 's'.

What to include in the Search

Determines what will be included in the find operation, file, folders or both. The default is that only files will be included in the search.

Ref: HIDD_CREATE_FILESET_LONG_PATHS


Find Files by Attributes

Find Files with Specific File Attributes

This dialog is used to search for files that have specific attributes. Virtual Folders (the results of a search) can contain one file or all the files and folders on multiple drives. The great advantage of Virtual Folders over Explore Views is that files in multiple folders can be manipulated at the same time, e.g. copied, renamed, deleted and much, much more.

For more ways of finding files and creating Virtual Virtual Folders see:

Find Files,

Find Recently Modified Files,

Find Old Files,

Find Files Containing Specific Text,

Find Long Filenames,

Find Files by Attributes,

Find Files by Size and

Advanced File Find the master, do it all routine.

And, of course, like any other Virtual Folder the definition can be saved and used over and over again. Once the Virtual Folder has been created just select one of the File > Save > commands.

To start the dialog use the Find > Files by Attributes... command from the main menu

Include Options

All
All files will be considered for inclusion regardless of their attributes. When this button is selected the attribute options below it will be grayed and will not be used.

Match Any
Any file that matches one or more of the checked attributes will be included in the new Virtual Folder (as long as any other criteria are met).

Match All
Any file that matches All of the checked attributes will be included in the new Virtual Folder (as long as any other criteria are met).

Exclude Options

Excludes any file that matches any of the check attributes. Note that checking both the Archive and No Archive boxes at the same time will cause an error and FileBoss will not continue until only one (or neither) of the boxes is checked.

Paths Field

(In some dialogs the Search Subfolders will not be displayed in which case all subfolders will be searched automatically.)

Specifies one or more paths to be scanned. For instance to scan the My Documents directory on drive C: enter:

C:\My Documents

(Note: if you are comparing folders either from the Compare Folders or Paths dialog or directly in the Create Virtual Folder dialog two and only two paths must be entered in this field)

Including Multiple Paths

Separate multiple paths with the bar character '|'.

To scan the My Documents directory on drive C: and the Temp directory on drive D: enter:

C:\My Documents | D:\Temp

(The maximum length of this field is over 65,000 bytes.)

Using Wildcards

If you would like to collect files on all of drive D: and in the My Documents and My Installations folders on drive C: enter the following.

D:\ | C:\My *s

(Of course, the entry C:\My * would search all folders in the root of drive C: which began with My then a space and end with an s.)

The use of a wild card is restricted to the last element of the path. For instance, the following examples will not work:

D:\*\Backup

C:\My *\*

C:\Program Files\Iront*\FileBoss

But the following will work:

C:\My *s

(It would return files in folders C:\My Videos and C:\My Pictures if present.)

To search both the Normal and Nermal directories on drive D: you could enter either:

D:\Normal | D:\Nermal

or

D:\N?rmal

Excluding Folders

Specific folders can be excluded from the search by preceding the folder's name with a minus sign, '-'. If the name of the folder actually begins with a minus sign, simply put another in front of it, e.g. "--my folder".

Consider the following example:

C:\My Documents | -Temp|-Backup|D:\

Paths to be excluded can contain the normal wildcard characters, * and ?. (Use full paths, e.g. C:\house\pictures) to avoid excluding all paths, e.g. every folder named 'pictures'. This can be especially important when using wildcards.)

Note that the order of the entries is ignored: in the above example any Temp and Backup folders will be ignored on drive D: as well in C:\My Documents

Using Wildcards in Folders to be Excluded

Using wildcards in folders to be excluded is almost exactly the same as it is to use them in paths to be scanned. For instance:

C:\ | -C:\C*s

Would search all of drive C: except for files and folders in and below any root folders beginning with a 'C' and ending in 's'.

What to include in the Search

Determines what will be included in the find operation, file, folders or both. The default is that only files will be included in the search.

Ref: HIDD_CREATE_FILESET_ATTRIBUTES


Find Files by Size

Find Files of a Certain Size

This dialog is used to search for files that contain text that matches a pattern you specify. Virtual Folders (the results of a search) can contain one file or all the files and folders on multiple drives. The great advantage of Virtual Folders over Explore Views is that files in multiple folders can be manipulated at the same time, e.g. copied, renamed, deleted and much, much more.

For more ways of finding files and creating Virtual Virtual Folders see:

Find Files,

Find Recently Modified Files,

Find Old Files,

Find Files Containing Specific Text,

Find Long Filenames,

Find Files by Attributes,

Find Files by Size and

Advanced File Find the master, do it all routine.

And, of course, like any other Virtual Folder the definition can be saved and used over and over again. Once the Virtual Folder has been created just select one of the File > Save > commands.

To start the dialog use the Find > Files by Size... command from the main menu.

Specifying File Sizes

When Limit by Size is checked FileBoss will only include files that fall between the From and To sizes, inclusive. Make both entries the same to only return files of a specific size.

E.g. entering '0' for both fields will only return files of zero length.

This field only affects files - not folders. As far as Windows is concerned folders always have a size of 0.

Unlimited Sizes

To specify an unlimited size for files (i.e. up to any amount) enter -1 or Zillions into the To field of the Sizes area. (Actually, to specify an unlimited size you can enter Zillions or any other word(s) as long as it is not a number, e.g. I Love FileBoss would work just fine).

Megabytes & Kilobytes

In addition, M, MB, Megs, KB and K (in any case) can follow a number to signify megabytes or kilobytes as desired. But note that these numbers will be translated into bytes when they are redisplayed.

Easy Reading

Commas can be used in numbers if it makes you feel better.

Paths Field

(In some dialogs the Search Subfolders will not be displayed in which case all subfolders will be searched automatically.)

Specifies one or more paths to be scanned. For instance to scan the My Documents directory on drive C: enter:

C:\My Documents

(Note: if you are comparing folders either from the Compare Folders or Paths dialog or directly in the Create Virtual Folder dialog two and only two paths must be entered in this field)

Including Multiple Paths

Separate multiple paths with the bar character '|'.

To scan the My Documents directory on drive C: and the Temp directory on drive D: enter:

C:\My Documents | D:\Temp

(The maximum length of this field is over 65,000 bytes.)

Using Wildcards

If you would like to collect files on all of drive D: and in the My Documents and My Installations folders on drive C: enter the following.

D:\ | C:\My *s

(Of course, the entry C:\My * would search all folders in the root of drive C: which began with My then a space and end with an s.)

The use of a wild card is restricted to the last element of the path. For instance, the following examples will not work:

D:\*\Backup

C:\My *\*

C:\Program Files\Iront*\FileBoss

But the following will work:

C:\My *s

(It would return files in folders C:\My Videos and C:\My Pictures if present.)

To search both the Normal and Nermal directories on drive D: you could enter either:

D:\Normal | D:\Nermal

or

D:\N?rmal

Excluding Folders

Specific folders can be excluded from the search by preceding the folder's name with a minus sign, '-'. If the name of the folder actually begins with a minus sign, simply put another in front of it, e.g. "--my folder".

Consider the following example:

C:\My Documents | -Temp|-Backup|D:\

Paths to be excluded can contain the normal wildcard characters, * and ?. (Use full paths, e.g. C:\house\pictures) to avoid excluding all paths, e.g. every folder named 'pictures'. This can be especially important when using wildcards.)

Note that the order of the entries is ignored: in the above example any Temp and Backup folders will be ignored on drive D: as well in C:\My Documents

Using Wildcards in Folders to be Excluded

Using wildcards in folders to be excluded is almost exactly the same as it is to use them in paths to be scanned. For instance:

C:\ | -C:\C*s

Would search all of drive C: except for files and folders in and below any root folders beginning with a 'C' and ending in 's'.

What to include in the Search

Determines what will be included in the find operation, file, folders or both. The default is that only files will be included in the search.

Ref: HIDD_CREATE_FILESET_SIZE


Advanced File Find

Search and Create a Virtual Folder

This dialog is used to search for files which are then put into a Virtual Folder. Virtual Folders (the results of a search) can contain one file or all the files and folders on multiple drives. The great advantage of Virtual Folders over Explore Views is that files in multiple folders can be manipulated at the same time, e.g. copied, renamed and much, much more.

For more ways of finding files and creating Virtual Virtual Folders see:

Find Files,

Find Recently Modified Files,

Find Old Files,

Find Files Containing Specific Text,

Find Long Filenames,

Find Files by Attributes,

Find Files by Size and

Advanced File Find the master, do it all routine.

And Virtual Folder definitions can be saved to be reused again and can even be written to disk. When these files are opened File Boss will automatically start and perform the defined search.

Whenever the dialog is closed up to the simple form many of the options in the advanced section of the dialog are reset to their default settings.

Create Virtual Folder

Paths Field

(In some dialogs the Search Subfolders will not be displayed in which case all subfolders will be searched automatically.)

Specifies one or more paths to be scanned. For instance to scan the My Documents directory on drive C: enter:

C:\My Documents

(Note: if you are comparing folders either from the Compare Folders or Paths dialog or directly in the Create Virtual Folder dialog two and only two paths must be entered in this field)

Including Multiple Paths

Separate multiple paths with the bar character '|'.

To scan the My Documents directory on drive C: and the Temp directory on drive D: enter:

C:\My Documents | D:\Temp

(The maximum length of this field is over 65,000 bytes.)

Using Wildcards

If you would like to collect files on all of drive D: and in the My Documents and My Installations folders on drive C: enter the following.

D:\ | C:\My *s

(Of course, the entry C:\My * would search all folders in the root of drive C: which began with My then a space and end with an s.)

The use of a wild card is restricted to the last element of the path. For instance, the following examples will not work:

D:\*\Backup

C:\My *\*

C:\Program Files\Iront*\FileBoss

But the following will work:

C:\My *s

(It would return files in folders C:\My Videos and C:\My Pictures if present.)

To search both the Normal and Nermal directories on drive D: you could enter either:

D:\Normal | D:\Nermal

or

D:\N?rmal

Excluding Folders

Specific folders can be excluded from the search by preceding the folder's name with a minus sign, '-'. If the name of the folder actually begins with a minus sign, simply put another in front of it, e.g. "--my folder".

Consider the following example:

C:\My Documents | -Temp|-Backup|D:\

Paths to be excluded can contain the normal wildcard characters, * and ?. (Use full paths, e.g. C:\house\pictures) to avoid excluding all paths, e.g. every folder named 'pictures'. This can be especially important when using wildcards.)

Note that the order of the entries is ignored: in the above example any Temp and Backup folders will be ignored on drive D: as well in C:\My Documents

Using Wildcards in Folders to be Excluded

Using wildcards in folders to be excluded is almost exactly the same as it is to use them in paths to be scanned. For instance:

C:\ | -C:\C*s

Would search all of drive C: except for files and folders in and below any root folders beginning with a 'C' and ending in 's'.

File Patterns (Include or Exclude)

Enter the names or name patterns of files and folders you want included in the search.

Leaving the field empty is the same as specifing a single asterisk '*' or the traditional '*.*' meaning include all files.

Multiple File Patterns

Separate multiple patterns with the bar character '|'.

Wildcards in File Patterns

The common wildcard characters '*' and '?' can be used when specifing groups of file to be inclucded.

The entry *.tmp | *.bak | ~* will find all files with the extension tmp and bak as well as all files beginning with the tilde character '~'.

Excluding Files and Groups of Files

Specific files and groups of files can be excluded from the search by preceding the files with a minus sign, '-'. If the name actually begins with a minus sign, simply put another in front of it, e.g. --notations.txt.

To create a Virtual Folder that includes all files except temporary and backup files you could enter

-*.tmp | -*.bak | -~*

(Note that there is no *.* or just * in the beginning. Remember that if there is no include specification then *.* (all) is assumed.

For example the these two patterns are equivalent: -*.zip and *.* | -*.zip (include all files except those with the zip extension).

User Defined & Default Patterns

While the drop down list box will remember the most recently used patterns, even when FileBoss is closed, you can use predefined

Predefined Patterns

The [ >> ] button displays a pop up menu of predefined file patterns that can be quickly added to the 'Patterns' field to the left.

You can edit this drop down menu to include the file patterns you use the most (use the 'Edit Menu' option at the bottom.)

The patterns fly out can hold up to a maximum of twenty entries.

Opens a list of default search patterns, which can be used to quickly fill in the Patterns: field. You can edit this drop down menu to include the file patterns you use the most (use the 'Edit Menu' option at the bottom.)

The patterns fly out can hold up to a maximum of twenty entries.

Edit Allows you to edit the contents of the Patterns: drop-down list box.

Saving & Using Templates

Saving & Using Templates

Templates allow you to save the current settings in the dialog as a named group that can be selected and reused later. (FileBoss stores and remembers the Templates even when the program is closed.)

To save the current settings
as a named template click the Template button.

To use a template
simply select it from the drop down list (click the down arrow to the left of the field).

Searching for Text

Specifies text which must be in a file in order for it to be included in the Virtual Folder. Text searches in FileBoss can be very simple or very sophisticated depending on your needs.

Text Search
When the checked text search is active.

Set
Opens a dialog where you can define what text to search for and how the search should be conducted. The options range from a simple search to sophisticated expression searching.

Compare Folders

When checked the two paths specified in the Paths field will be compared and the results displayed in the special compare, merge and purge format. When this item is checked the must be two and only two paths specified to be search otherwise a error message will be displayed when the OK button is clicked.

Include Options

All
All files will be considered for inclusion regardless of their attributes. When this button is selected the attribute options below it will be grayed and will not be used.

Match Any
Any file that matches one or more of the checked attributes will be included in the new Virtual Folder (as long as any other criteria are met).

Match All
Any file that matches All of the checked attributes will be included in the new Virtual Folder (as long as any other criteria are met).

Exclude Options

Excludes any file that matches any of the check attributes. Note that checking both the Archive and No Archive boxes at the same time will cause an error and FileBoss will not continue until only one (or neither) of the boxes is checked.

Limit Search by File Sizes

When Limit by Size is checked FileBoss will only include files that fall between the From and To sizes, inclusive. Make both entries the same to only return files of a specific size.

E.g. entering '0' for both fields will only return files of zero length.

This field only affects files - not folders. As far as Windows is concerned folders always have a size of 0.

Unlimited Sizes

To specify an unlimited size for files (i.e. up to any amount) enter -1 or Zillions into the To field of the Sizes area. (Actually, to specify an unlimited size you can enter Zillions or any other word(s) as long as it is not a number, e.g. I Love FileBoss would work just fine).

Megabytes & Kilobytes

In addition, M, MB, Megs, KB and K (in any case) can follow a number to signify megabytes or kilobytes as desired. But note that these numbers will be translated into bytes when they are redisplayed.

Easy Reading

Commas can be used in numbers if it makes you feel better.

Limit Search by Filetimes

Relative times allow you to find files that were modified, accessed or created within a specified time period. The time frame is calculated every time the search is run meaning that if you create a Virtual Folder today and it is reloaded when you start FileBoss tomorrow, or you save it and open it again another day, the new Virtual Folder will be created based on that future time and not the time when you first clicked the OK button on this dialog.

The one exception is the last option, where you specify a fixed start and end time for the search. These remain constant.

Relative times allow you to find files that were modified, accessed or created within a specified time period. The time frame is calculated every time the search is run meaning that if you create a Virtual Folder today and it is reloaded when you start FileBoss tomorrow, or you save it and open it again another day, the new Virtual Folder will be created based on that future time and not the time when you first clicked the OK button on this dialog.

The one exception is the last option, where you specify a fixed start and end time for the search. These remain constant.

Limit Search by Name & Path Lengths

Setting minimum path lengths is frequently used to check for long filenames before copying to media, such as some CD ROM formats that cannot accommodate filenames as long as Windows can.

Normally on the Shortest Total Lth field is necessary.

Note that you can also check for long filenames in any Virtual Folder or Explore view by turning on the appropriate column headers and then sorting by one of the three lengths shown above.


Setting the Advanced Filter

Details for each control is exactly the same as for when Creating a New Virtual Folder see.

Ref: HIDH_ADVANCED_FILTER_HELP


Select One or More Paths

Selecting Multiple Paths to Search

This Dialog is used to select multiple folders to search. When you click the OK button all folders that have a check mark to their left will be pasted into the appropriate field in the calling dialog, each separated with the bar character (|)

To select folders simply click the mouse over the check box to the folder's right. If you change your mind simply uncheck the box.

The folders you select do not have to be on the same path or drive, you can mix and match however you like.

However, you cannot select virtual folders such as My Computer. (Virtual folders do not represent file system objects.) If you select a virtual folder File Boss will tell you that it is not allowed when you press the OK button.

Ref: HIDH_SELECT_SEARCH_PATHS


Details of Paths & Patterns

Include / Exclude Details

Folders and File Patterns for Seaching

This dialog is displayed when using the Create Virtual Folder dialog and the Paths or Patterns buttons to the left of their respective fields are pressed.

Enter paths and patterns to include in the appropriate box on the left side and optional paths and patterns to exclude in the appropriate right boxes.

Note that while the paths to be included must be full paths (e.g. C:\Program Files, C:\My *, or \\CorpNet\c) the paths to exclude can just be folder names in which case they will be excluded whenever they are encountered.

When OK is pressed the data in this dialog will replace the data in the Paths and Patterns fields in the Create Virtual Folder dialog.

Ref: HIDH_ADD_SEARCH_PATHS


Add/Edit File Set Search Definitions

Add Virtual Folder Definition

Adding a Search Definition as a Template

The settings in a Advanced Find dialog (see) be saved as a template. These templates can then be used from within the Create Virtual Folder dialog to quickly reset all of its fields.

Even more importantly Virtual Folders can be created directly from a template by using the File > New Virtual Folder from Template > command from the main menu and selecting one of the saved templates.

To Create a New Template

Type the name of the new template into the Enter Name for Virtual Folder Definition field at the top of the dialog.

Press Add to just add the definition or press OK to add the definition and exit the dialog.

To Save Current Settings to an Existing Template

Click on the name of the template to which you want to save the current setting.

Press Add to add the definition or press OK to add the definition and exit the dialog.

Or simply double-click the name of the template and the new definition will be saved under that name and the dialog will close.

Ref: HIDD_EDIT_SEARCH_HISTORY


Scanning… Notice

Progress Dialog when Creating Virtual Folders

This dialog displays the progress FileBoss is making as it finds files to create the Virtual Folder. It displays how many files have been found and how many bytes total the found files have.

You can click the Stop button at any time quit. When the Stop button is pressed you will be asked if you would like to continue, create a Virtual Folder from the files already found or simply abort the whole search.

Ref: HIDD_SEARCHING


Copy / Move Files

To use this dialog

Select the files and folders you want to copy and then use the Actions > Copy To... or Actions > Move To... commands from the main menu.

Copy File Dialog - Simple

Simple vs Advanced Options

The image above is of the dialog in simple mode. To expand the dialog so that all options are available click on the Advanced button. The full dialog is shown below.

Copy File Dialog - Advanced

Special Notes About Closing the Advanced Area:

· Closing up the dialog to hide the Advanced area resets all the options in that area to their defaults. (E.g. normally the Overwrite option will revert to Ask and the Copy to One Folder and Copy Only if Target Exists check boxes will be cleared.)
· Changing the default settings. You can change the default copy settings These are the settings used when the dialog's Advanced area is closed. To do so:
1. Click on the Options button. If the Advanced area is closed, open it up to expose the Options button.
3. The Copy Files Options dialog that opens click on the Copy Files Dialog button. This will open a dialog with many of the same options as the main Copy Files Dialog. Set the options as you desire for the defaults and click OK. Now when the Copy Files dialog is closed the options in the Advanced area will be set to the new settings.

(Note that this same Options dialog can be accessed by opening the main Program Options dialog - Options > Program Options... from the main menu - and selecting the Copy Files panel.)

Information on the Selected Files to be Copied

Source Files

For easy reference this area displays information about the selected files that FileBoss will attempt to copy, move or update.

Top Level:

The Top Level section shows how many folders and files will be copied directly to the destination folder. All other folders and files will be copied below one of the top level folders (or sub-folders of a top level folder)

Destination for the Copy / Move Operation

Destination

Displays the folder to which the selected files will be copied/moved.

The list of previous destination folders - accessed by clicking the down arrow to the right - is remembered even when FileBoss is closed.

To change folders you can:

· select one from the drop-down list
· type in a new path, or
· select the Browse button to locate the folder you want.

The number above the destination folder is the amount of free space on the selected folder's drive or storage media.

Do it your way:

Don't like the list of destination folders in the drop down list? Want to delete some of them or change their order for some reason? Simple. Just hold down the Alt key and click on the word Destination. A dialog will open where you can edit the list of entries.

Optional Patterns

If the Field is Bank

All selected files will be copied. If folders are to be copied all files in all subfolders will be copied unless specified otherwise in that particular routine.

Leaving the filed blank is exactly the same as entering * or *.* all three tell FileBoss to copy all files.

Wildcards in File Patterns

The common wildcard characters (*) and (?) can be used when specifying groups of file to be copied.

The entry *.tmp | *.bak | ~* will copy all files with the extension tmp and bak as well as all files beginning with the tilde character (~).

Multiple File Patterns

You can enter a series of file names and patterns - up to over 32,000 characters long. Simple separate each name or pattern with the bar character: |

Excluding Files and Groups of Files

Specific files and groups of files can be excluded from being copied by preceding them with a minus sign, (-). If the name actually begins with a minus sign, simply put another in front of it, e.g. --notations.txt.

To exclude temporary and backup files you might use -*.tmp | -*.bak | -~*.

Note that there is no *.* or just * in the beginning. Remember that if there is no include specification then *.* (all) is assumed.

For example the these two patterns are equivalent: -*.zip and *.* | -*.zip (include all files except those with the zip extension.

Including and Excluding at the same time

Using *.jpg | *.gif | *.bmp | -~* would include all jpg, gif and bmp files except the filenames that begin with the tilde character (~).

Copying all Files to One Folder

(Note: this option is only available when copying from Virtual Folders. It is meaningless when copying from an Explore View and thus disabled.)

When checked this option forces all selected files and folders to be copied directly to the destination folder regardless of their relationship to each other.

Normal Copying

Normally folders and files are copied along with their folder structure. For instance, suppose the following three files were selected in a Virtual Folder:

C:\Setup.txt

C:\My Documents

C:\My Documents\Parents.doc

If the Destination folder was D:\Backup then the two files and one folder above would be copied as:

D:\Backup\Setup.txt

D:\Backup\My Documents

D:\Backup\My Documents\Parents.doc

Copying to One Folder

All selected files and folders will be copied directly to the destination folder:

D:\Backup\Setup.txt

D:\Backup\My Documents

D:\Backup\Parents.doc

Copy Only if Target Exists

Will copy each selected file if, and only if, a file with the same name already exists in the destination folder.

This effectively updates the files in the destination folder without adding any new files. Good for when you want to back up files with copying a bunch of junk or temporary files that may be on the source drive or folder.

Actions when Destination Entry Already Exists

No / Yes / Ask / Only if Newer

The first four options determine whether or not files can be overwritten by the files being copied.

When Only if Newer is selected the times the files were last modified are used for comparison.

Rename

Rather than overwriting files that exist, you can instruct FileBoss to rename either the new or the existing files.

Select New File to rename the file that is being copied (the existing file will not be changed).

Select Existing File to rename the existing file, the new file will then be copied using the old name.

Whether you choose to rename the existing file or the new file depends only on what you are doing and your personal preference.

Click on Set... to specify how the files - either new or existing - will be renamed. You can add text and/or sequential numbers to the new filenames.

Setting When FileBoss will Ask for Confirmation

These options determine when FileBoss will alert you that a file is going to be overwritten by the copy or move process. The warnings are fired when an existing file has one of the checked attributes. For instance if the EXE box is checked FileBoss will ask you what to do before copying a source file over an existing target file that has an extension of .EXE, .COM, .DLL, .DRV, .OCX or .BAT. When asked what to do your options will be to skip that one file, cancel all remaining files, overwrite that one file, overwrite all remaining files or even rename the file.

None
This is a master check box that, when checked, turns off all warnings. You'll note that when it is checked the other check boxes are grayed indicating that they have no effect. To enable the other check boxes uncheck this 'None' check box.

Hidden
Marked by Windows as a Hidden File. Normally files marked with this attribute should not be modified.

System
Marked by Windows as a System File. Normally files marked with this attribute should not be modified.

Read-Only
FileBoss will stop and ask permission whenever one of these attributes is set on the existing target file. Note that changing (which overwriting a file certainly does) any file with the Hidden, System or Read-Only attribute may disrupt the stability of your system, if not render it totally unusable.

Archive
The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backed up and, after backing up the file reset (clear) the Archive bit.

EXE
FileBoss considers files with the following extensions to be executable files: .EXE, .COM, .DLL, .DRV, .OCX and .BAT.

Newer
FileBoss will compare the two file times and warn if the file on the target drive is newer (had been modified more recently) than the source file.
This option is only present when the warnings are being used for copy or move operations (i.e. not for deleting or touching as there is no 'source' file).

Setting New File Attributes

These options affect files created or overwritten by the copy or move operation.

(Note that a file is considered new even if it overwrites an existing file of the same name.)

You can add, remove or leave the four attributes unchanged.

If an attribute is marked as No Change it will be set to the same setting on the source file or folder.

Specifying Dates and Times of New Files

These options affect files created or overwritten by a copy or move operation.

(Note that a file is considered new even if it overwrites an existing file of the same name.)

There are three options:

Original
The copied / moved file and folders will have the same file times as the original files

Now
All new and overwritten files will have their file times set to the time the copy / move operation began.

Specified
All new and overwritten files will have their file times set to the time specified in the date and time fields immediately below these three option buttons.

Special Notes:

· All three file times - Created, Last Accessed and Last Modified - are set by these options.
· Frequently the file times of the copied files will not exactly match those of the original files or of the time specified. When this happens it is because how Windows stores file times depends on the Version of Windows and on the underlying file system of the storage media, e.g. NTFS and FAT. Just as one example some systems store access times to the nearest two seconds others to the nearest day. So In that case when a file is copied from the former to the latter, the access time will be rounded down to midnight of the day. Then, when the file times are compared they will be different. FileBoss can account for this difference by setting the resolution of file times when in compare mode.

Removing the Archive Flag from Original File

Remove Archive Bit from Source Files

Clears the Archive flag from the source file. When the Archive flag is cleared it indicates to some programs that the file has not changed since it was last backed up.

More about Archive Bits

The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backup and, after backing up the file reset (clear) the Archive bit.

Specifying how Folders will be Copied

There are two ways Folders can be copied.

Everything In & Below
The first is the normal, recursive, method (used by Windows Explorer and most other programs) where the folder entry is copied along with all folders and files below that folder with the original folder structure copied to the destination.

As an Empty Folder
Only the folder itself is created. No folders or files below that folder are copied unless they too are selected.

There are a number of uses for the As an Empty Folder option. One of the most noticeable is to copy an entire folder structure without any of the files it contains. Just select all the folders and then, in the Advanced section of the Copy dialog, make sure the As an Empty Folder option is selected before copying.

Special Notes:

This option is only available when the files being copied are from a Virtual Folder. When in Explore View these options are grayed and all folders are copied in the traditional manner, i.e. as if the Everything In & Below option was selected.

Expanding the Copy / Move dialog to Display Advance Options

Simple / Advanced Button

Opens and closes the Advanced area at the bottom of the dialog. (When the Advanced area is open this button changes to read Simple.)

Special Notes:

· Closing up the dialog to hide the Advanced area resets all the options in that area to their defaults. (E.g. normally the Overwrite option will revert to Ask and the Copy to One Folder and Copy Only if Target Exists check boxes will be cleared.)
· Changing the default settings. You can change the default copy settings used when the dialog's Advanced area is closed to whatever you want. To do so:
1. If the Advanced area is closed, open it up to expose the Options button.
2. Click on the Options button.
3. The Copy Files Options dialog that opens click on the Copy Files Dialog button. This will open a dialog with many of the same options as the main Copy Files Dialog. Set the options as you desire for the defaults and click OK. Now when the Copy Files dialog is closed the options in the Advanced area will be set to the new settings.

(Note that this same Options dialog can be accessed by opening the main Program Options dialog - Options > Program Options... from the main menu - and selecting the Copy Files panel.)

More Copy / Move Options

Provides quick and direct access to the main Program panel for setting global Copy / Move Options inlcuding how files are copied form CDs/DVDs, retaining Access times and how results of copy / move operations are logged to the Results windows.

You can also set the defaults options for the Copy Files dialog.

(Note that this same Options dialog can be accessed by opening the main Program Options dialog - Options > Program Options... from the main menu - and selecting the Copy Files panel.)

Ref: HIDD_COPY_FILES


Time Controlled Copying

To use this dialog

Select the files and folders you want to copy and then use the Actions > Copy To... or Actions > Move To... commands from the main menu.

Time Controlled Copying Dialog- Simple

Simple vs Advanced Options

The image above is of the dialog in simple mode. To expand the dialog so that all options are available click on the Advanced button. The full dialog is shown below.

Time Controlled Copying Dialog- Advanced Area

Special Notes About Closing the Advanced Area

· Closing up the dialog to hide the Advanced area resets all the options in that area to their defaults. (E.g. normally the Overwrite option will revert to Ask and the Copy to One Folder and Copy Only if Target Exists check boxes will be cleared.)
· Changing the default settings. You can change the default copy settings These are the settings used when the dialog's Advanced area is closed. To do so:
1. Click on the Options button. If the Advanced area is closed, open it up to expose the Options button.
3. The Copy Files Options dialog that opens click on the Copy Files Dialog button. This will open a dialog with many of the same options as the main Copy Files Dialog. Set the options as you desire for the defaults and click OK. Now when the Copy Files dialog is closed the options in the Advanced area will be set to the new settings.

(Note that this same Options dialog can be accessed by opening the main Program Options dialog - Options > Program Options... from the main menu - and selecting the Copy Files panel.)

Information on the Selected Files to be Copied

Source Files

For easy reference this area displays information about the selected files that FileBoss will attempt to copy, move or update.

Top Level:

The Top Level section shows how many folders and files will be copied directly to the destination folder. All other folders and files will be copied below one of the top level folders (or sub-folders of a top level folder)

Destination for the Copy / Move Operation

Destination

Displays the folder to which the selected files will be copied/moved.

The list of previous destination folders - accessed by clicking the down arrow to the right - is remembered even when FileBoss is closed.

To change folders you can:

· select one from the drop-down list
· type in a new path, or
· select the Browse button to locate the folder you want.

The number above the destination folder is the amount of free space on the selected folder's drive or storage media.

Do it your way:

Don't like the list of destination folders in the drop down list? Want to delete some of them or change their order for some reason? Simple. Just hold down the Alt key and click on the word Destination. A dialog will open where you can edit the list of entries.

Optional Patterns

If the Field is Bank

All selected files will be copied. If folders are to be copied all files in all subfolders will be copied unless specified otherwise in that particular routine.

Leaving the filed blank is exactly the same as entering * or *.* all three tell FileBoss to copy all files.

Wildcards in File Patterns

The common wildcard characters (*) and (?) can be used when specifying groups of file to be copied.

The entry *.tmp | *.bak | ~* will copy all files with the extension tmp and bak as well as all files beginning with the tilde character (~).

Multiple File Patterns

You can enter a series of file names and patterns - up to over 32,000 characters long. Simple separate each name or pattern with the bar character: |

Excluding Files and Groups of Files

Specific files and groups of files can be excluded from being copied by preceding them with a minus sign, (-). If the name actually begins with a minus sign, simply put another in front of it, e.g. --notations.txt.

To exclude temporary and backup files you might use -*.tmp | -*.bak | -~*.

Note that there is no *.* or just * in the beginning. Remember that if there is no include specification then *.* (all) is assumed.

For example the these two patterns are equivalent: -*.zip and *.* | -*.zip (include all files except those with the zip extension.

Including and Excluding at the same time

Using *.jpg | *.gif | *.bmp | -~* would include all jpg, gif and bmp files except the filenames that begin with the tilde character (~).

Copying all Files to One Folder

(Note: this option is only available when copying from Virtual Folders. It is meaningless when copying from an Explore View and thus disabled.)

When checked this option forces all selected files and folders to be copied directly to the destination folder regardless of their relationship to each other.

Normal Copying

Normally folders and files are copied along with their folder structure. For instance, suppose the following three files were selected in a Virtual Folder:

C:\Setup.txt

C:\My Documents

C:\My Documents\Parents.doc

If the Destination folder was D:\Backup then the two files and one folder above would be copied as:

D:\Backup\Setup.txt

D:\Backup\My Documents

D:\Backup\My Documents\Parents.doc

Copying to One Folder

All selected files and folders will be copied directly to the destination folder:

D:\Backup\Setup.txt

D:\Backup\My Documents

D:\Backup\Parents.doc

Copy Only if Target Exists

Will copy each selected file if, and only if, a file with the same name already exists in the destination folder.

This effectively updates the files in the destination folder without adding any new files. Good for when you want to back up files with copying a bunch of junk or temporary files that may be on the source drive or folder.

Actions when Destination Entry Already Exists

No / Yes / Ask / Only if Newer

The first four options determine whether or not files can be overwritten by the files being copied.

When Only if Newer is selected the times the files were last modified are used for comparison.

Rename

Rather than overwriting files that exist, you can instruct FileBoss to rename either the new or the existing files.

Select New File to rename the file that is being copied (the existing file will not be changed).

Select Existing File to rename the existing file, the new file will then be copied using the old name.

Whether you choose to rename the existing file or the new file depends only on what you are doing and your personal preference.

Click on Set... to specify how the files - either new or existing - will be renamed. You can add text and/or sequential numbers to the new filenames.

Setting When FileBoss will Ask for Confirmation

These options determine when FileBoss will alert you that a file is going to be overwritten by the copy or move process. The warnings are fired when an existing file has one of the checked attributes. For instance if the EXE box is checked FileBoss will ask you what to do before copying a source file over an existing target file that has an extension of .EXE, .COM, .DLL, .DRV, .OCX or .BAT. When asked what to do your options will be to skip that one file, cancel all remaining files, overwrite that one file, overwrite all remaining files or even rename the file.

None
This is a master check box that, when checked, turns off all warnings. You'll note that when it is checked the other check boxes are grayed indicating that they have no effect. To enable the other check boxes uncheck this 'None' check box.

Hidden
Marked by Windows as a Hidden File. Normally files marked with this attribute should not be modified.

System
Marked by Windows as a System File. Normally files marked with this attribute should not be modified.

Read-Only
FileBoss will stop and ask permission whenever one of these attributes is set on the existing target file. Note that changing (which overwriting a file certainly does) any file with the Hidden, System or Read-Only attribute may disrupt the stability of your system, if not render it totally unusable.

Archive
The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backed up and, after backing up the file reset (clear) the Archive bit.

EXE
FileBoss considers files with the following extensions to be executable files: .EXE, .COM, .DLL, .DRV, .OCX and .BAT.

Newer
FileBoss will compare the two file times and warn if the file on the target drive is newer (had been modified more recently) than the source file.
This option is only present when the warnings are being used for copy or move operations (i.e. not for deleting or touching as there is no 'source' file).

Setting New File Attributes

These options affect files created or overwritten by the copy or move operation.

(Note that a file is considered new even if it overwrites an existing file of the same name.)

You can add, remove or leave the four attributes unchanged.

If an attribute is marked as No Change it will be set to the same setting on the source file or folder.

Specifying Dates and Times of New Files

These options affect files created or overwritten by a copy or move operation.

(Note that a file is considered new even if it overwrites an existing file of the same name.)

There are three options:

Original
The copied / moved file and folders will have the same file times as the original files

Now
All new and overwritten files will have their file times set to the time the copy / move operation began.

Specified
All new and overwritten files will have their file times set to the time specified in the date and time fields immediately below these three option buttons.

Special Notes:

· All three file times - Created, Last Accessed and Last Modified - are set by these options.
· Frequently the file times of the copied files will not exactly match those of the original files or of the time specified. When this happens it is because how Windows stores file times depends on the Version of Windows and on the underlying file system of the storage media, e.g. NTFS and FAT. Just as one example some systems store access times to the nearest two seconds others to the nearest day. So In that case when a file is copied from the former to the latter, the access time will be rounded down to midnight of the day. Then, when the file times are compared they will be different. FileBoss can account for this difference by setting the resolution of file times when in compare mode.

Removing the Archive Flag from Original File

Remove Archive Bit from Source Files

Clears the Archive flag from the source file. When the Archive flag is cleared it indicates to some programs that the file has not changed since it was last backed up.

More about Archive Bits

The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backup and, after backing up the file reset (clear) the Archive bit.

Specifying how Folders will be Copied

There are two ways Folders can be copied.

Everything In & Below
The first is the normal, recursive, method (used by Windows Explorer and most other programs) where the folder entry is copied along with all folders and files below that folder with the original folder structure copied to the destination.

As an Empty Folder
Only the folder itself is created. No folders or files below that folder are copied unless they too are selected.

There are a number of uses for the As an Empty Folder option. One of the most noticeable is to copy an entire folder structure without any of the files it contains. Just select all the folders and then, in the Advanced section of the Copy dialog, make sure the As an Empty Folder option is selected before copying.

Special Notes:

This option is only available when the files being copied are from a Virtual Folder. When in Explore View these options are grayed and all folders are copied in the traditional manner, i.e. as if the Everything In & Below option was selected.

Expanding the Copy / Move dialog to Display Advance Options

Simple / Advanced Button

Opens and closes the Advanced area at the bottom of the dialog. (When the Advanced area is open this button changes to read Simple.)

Special Notes:

· Closing up the dialog to hide the Advanced area resets all the options in that area to their defaults. (E.g. normally the Overwrite option will revert to Ask and the Copy to One Folder and Copy Only if Target Exists check boxes will be cleared.)
· Changing the default settings. You can change the default copy settings used when the dialog's Advanced area is closed to whatever you want. To do so:
1. If the Advanced area is closed, open it up to expose the Options button.
2. Click on the Options button.
3. The Copy Files Options dialog that opens click on the Copy Files Dialog button. This will open a dialog with many of the same options as the main Copy Files Dialog. Set the options as you desire for the defaults and click OK. Now when the Copy Files dialog is closed the options in the Advanced area will be set to the new settings.

(Note that this same Options dialog can be accessed by opening the main Program Options dialog - Options > Program Options... from the main menu - and selecting the Copy Files panel.)

More Copy / Move Options

Provides quick and direct access to the main Program panel for setting global Copy / Move Options inlcuding how files are copied form CDs/DVDs, retaining Access times and how results of copy / move operations are logged to the Results windows.

You can also set the defaults options for the Copy Files dialog.

(Note that this same Options dialog can be accessed by opening the main Program Options dialog - Options > Program Options... from the main menu - and selecting the Copy Files panel.)

Ref: HIDD_COPY_FILES


Copy Defaults

Copy Move - Default Options

How to Display this Dialog

To see these default options either use Options > Program Options... command from the main menu (or click on its command button) or, click the Options button in the Advanced area of the Copy / Move Dialog itself.

When in Options select the Copy Files panel, and then click the Copy Files Dialog button.

Note: The options in this dialog are the same as those in the general purpose Copy File Dialog.

Configure Defaults for Copy / Move Engine

Purpose

This dialog configures how the default options for how FileBoss will copy or move files.

These options are used by the Copy / Move Files Dialog whenever that dialog is in Simple mode, i.e. the Advanced area is not displayed.

Actions when Destination Entry Already Exists

No / Yes / Ask / Only if Newer

The first four options determine whether or not files can be overwritten by the files being copied.

When Only if Newer is selected the times the files were last modified are used for comparison.

Rename

Rather than overwriting files that exist, you can instruct FileBoss to rename either the new or the existing files.

Select New File to rename the file that is being copied (the existing file will not be changed).

Select Existing File to rename the existing file, the new file will then be copied using the old name.

Whether you choose to rename the existing file or the new file depends only on what you are doing and your personal preference.

Click on Set... to specify how the files - either new or existing - will be renamed. You can add text and/or sequential numbers to the new filenames.

Setting When FileBoss will Ask for Confirmation

These options determine when FileBoss will alert you that a file is going to be overwritten by the copy or move process. The warnings are fired when an existing file has one of the checked attributes. For instance if the EXE box is checked FileBoss will ask you what to do before copying a source file over an existing target file that has an extension of .EXE, .COM, .DLL, .DRV, .OCX or .BAT. When asked what to do your options will be to skip that one file, cancel all remaining files, overwrite that one file, overwrite all remaining files or even rename the file.

None
This is a master check box that, when checked, turns off all warnings. You'll note that when it is checked the other check boxes are grayed indicating that they have no effect. To enable the other check boxes uncheck this 'None' check box.

Hidden
Marked by Windows as a Hidden File. Normally files marked with this attribute should not be modified.

System
Marked by Windows as a System File. Normally files marked with this attribute should not be modified.

Read-Only
FileBoss will stop and ask permission whenever one of these attributes is set on the existing target file. Note that changing (which overwriting a file certainly does) any file with the Hidden, System or Read-Only attribute may disrupt the stability of your system, if not render it totally unusable.

Archive
The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backed up and, after backing up the file reset (clear) the Archive bit.

EXE
FileBoss considers files with the following extensions to be executable files: .EXE, .COM, .DLL, .DRV, .OCX and .BAT.

Newer
FileBoss will compare the two file times and warn if the file on the target drive is newer (had been modified more recently) than the source file.
This option is only present when the warnings are being used for copy or move operations (i.e. not for deleting or touching as there is no 'source' file).

Setting New File Attributes

These options affect files created or overwritten by the copy or move operation.

(Note that a file is considered new even if it overwrites an existing file of the same name.)

You can add, remove or leave the four attributes unchanged.

If an attribute is marked as No Change it will be set to the same setting on the source file or folder.

Specifying Dates and Times of New Files

These options affect files created or overwritten by a copy or move operation.

(Note that a file is considered new even if it overwrites an existing file of the same name.)

There are three options:

Original
The copied / moved file and folders will have the same file times as the original files

Now
All new and overwritten files will have their file times set to the time the copy / move operation began.

Specified
All new and overwritten files will have their file times set to the time specified in the date and time fields immediately below these three option buttons.

Special Notes:

· All three file times - Created, Last Accessed and Last Modified - are set by these options.
· Frequently the file times of the copied files will not exactly match those of the original files or of the time specified. When this happens it is because how Windows stores file times depends on the Version of Windows and on the underlying file system of the storage media, e.g. NTFS and FAT. Just as one example some systems store access times to the nearest two seconds others to the nearest day. So In that case when a file is copied from the former to the latter, the access time will be rounded down to midnight of the day. Then, when the file times are compared they will be different. FileBoss can account for this difference by setting the resolution of file times when in compare mode.

Removing the Archive Flag from Original File

Remove Archive Bit from Source Files

Clears the Archive flag from the source file. When the Archive flag is cleared it indicates to some programs that the file has not changed since it was last backed up.

More about Archive Bits

The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backup and, after backing up the file reset (clear) the Archive bit.

Ref: HIDD_COPY_FILES_DROP


Drag & Drop Copy Options

How to Display this Dialog

The only way to get to this dialog is to use the Options > Program Options... command from the main menu (or click on its command button. When in Options select the Advanced 2 panel, and then select FileBoss as the Copy/Move Engine and click on the Setup FileBoss Copy button as shown below.

Note: The options in this dialog are the same as those in the general purpose Copy File Dialog.

Configure Copy Engine for Drag & Drop

Purpose

This dialog configures how FileBoss will copy / move files when they are dropped on a FileBoss Window. Note that these settings are only used when files and folders are dropped on FileBoss (not when they are dropped on other programs even if the were drug from FileBoss) and the FileBoss copy engine is used for drop operation rather than the internal Windows copy engine.

Hint: When Dragging and Dropping files and folders it is the receiving application that performs the actual copy, move or create shortcut operation, i.e. once the files have been dropped on a program that program takes control of the process. For that reason when files are dragged from FileBoss and dropped on another application they will be copied, moved or opened by that program, using that program's code rather than by FileBoss. This is why these settings only apply when files and folders are dropped on FileBoss.

Actions when Destination Entry Already Exists

No / Yes / Ask / Only if Newer

The first four options determine whether or not files can be overwritten by the files being copied.

When Only if Newer is selected the times the files were last modified are used for comparison.

Rename

Rather than overwriting files that exist, you can instruct FileBoss to rename either the new or the existing files.

Select New File to rename the file that is being copied (the existing file will not be changed).

Select Existing File to rename the existing file, the new file will then be copied using the old name.

Whether you choose to rename the existing file or the new file depends only on what you are doing and your personal preference.

Click on Set... to specify how the files - either new or existing - will be renamed. You can add text and/or sequential numbers to the new filenames.

Setting When FileBoss will Ask for Confirmation

These options determine when FileBoss will alert you that a file is going to be overwritten by the copy or move process. The warnings are fired when an existing file has one of the checked attributes. For instance if the EXE box is checked FileBoss will ask you what to do before copying a source file over an existing target file that has an extension of .EXE, .COM, .DLL, .DRV, .OCX or .BAT. When asked what to do your options will be to skip that one file, cancel all remaining files, overwrite that one file, overwrite all remaining files or even rename the file.

None
This is a master check box that, when checked, turns off all warnings. You'll note that when it is checked the other check boxes are grayed indicating that they have no effect. To enable the other check boxes uncheck this 'None' check box.

Hidden
Marked by Windows as a Hidden File. Normally files marked with this attribute should not be modified.

System
Marked by Windows as a System File. Normally files marked with this attribute should not be modified.

Read-Only
FileBoss will stop and ask permission whenever one of these attributes is set on the existing target file. Note that changing (which overwriting a file certainly does) any file with the Hidden, System or Read-Only attribute may disrupt the stability of your system, if not render it totally unusable.

Archive
The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backed up and, after backing up the file reset (clear) the Archive bit.

EXE
FileBoss considers files with the following extensions to be executable files: .EXE, .COM, .DLL, .DRV, .OCX and .BAT.

Newer
FileBoss will compare the two file times and warn if the file on the target drive is newer (had been modified more recently) than the source file.
This option is only present when the warnings are being used for copy or move operations (i.e. not for deleting or touching as there is no 'source' file).

Setting New File Attributes

These options affect files created or overwritten by the copy or move operation.

(Note that a file is considered new even if it overwrites an existing file of the same name.)

You can add, remove or leave the four attributes unchanged.

If an attribute is marked as No Change it will be set to the same setting on the source file or folder.

Specifying Dates and Times of New Files

These options affect files created or overwritten by a copy or move operation.

(Note that a file is considered new even if it overwrites an existing file of the same name.)

There are three options:

Original
The copied / moved file and folders will have the same file times as the original files

Now
All new and overwritten files will have their file times set to the time the copy / move operation began.

Specified
All new and overwritten files will have their file times set to the time specified in the date and time fields immediately below these three option buttons.

Special Notes:

· All three file times - Created, Last Accessed and Last Modified - are set by these options.
· Frequently the file times of the copied files will not exactly match those of the original files or of the time specified. When this happens it is because how Windows stores file times depends on the Version of Windows and on the underlying file system of the storage media, e.g. NTFS and FAT. Just as one example some systems store access times to the nearest two seconds others to the nearest day. So In that case when a file is copied from the former to the latter, the access time will be rounded down to midnight of the day. Then, when the file times are compared they will be different. FileBoss can account for this difference by setting the resolution of file times when in compare mode.

Removing the Archive Flag from Original File

Remove Archive Bit from Source Files

Clears the Archive flag from the source file. When the Archive flag is cleared it indicates to some programs that the file has not changed since it was last backed up.

More about Archive Bits

The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backup and, after backing up the file reset (clear) the Archive bit.

Ref: HIDD_COPY_FILES_DROP


Drop Zone Copy Options

How to Display this Dialog

The only way to get to this dialog is to use the Options > Program Options... command from the main menu (or click on its command button. When in Options select the Drop Zone panel, and then select FileBoss as the Copy/Move Engine and click on the Setup FileBoss Copy button as shown below.

Note: The options in this dialog are the same as those in the general purpose Copy File Dialog.

Configure Copy Engine for Drop Zones

Purpose

This dialog configures how FileBoss will copy / move files when they are dropped on a Drop Zone. This dialog is almost exactly the same as the one for Drag & Drop Copy Options.

Actions when Destination Entry Already Exists

No / Yes / Ask / Only if Newer

The first four options determine whether or not files can be overwritten by the files being copied.

When Only if Newer is selected the times the files were last modified are used for comparison.

Rename

Rather than overwriting files that exist, you can instruct FileBoss to rename either the new or the existing files.

Select New File to rename the file that is being copied (the existing file will not be changed).

Select Existing File to rename the existing file, the new file will then be copied using the old name.

Whether you choose to rename the existing file or the new file depends only on what you are doing and your personal preference.

Click on Set... to specify how the files - either new or existing - will be renamed. You can add text and/or sequential numbers to the new filenames.

Setting When FileBoss will Ask for Confirmation

These options determine when FileBoss will alert you that a file is going to be overwritten by the copy or move process. The warnings are fired when an existing file has one of the checked attributes. For instance if the EXE box is checked FileBoss will ask you what to do before copying a source file over an existing target file that has an extension of .EXE, .COM, .DLL, .DRV, .OCX or .BAT. When asked what to do your options will be to skip that one file, cancel all remaining files, overwrite that one file, overwrite all remaining files or even rename the file.

None
This is a master check box that, when checked, turns off all warnings. You'll note that when it is checked the other check boxes are grayed indicating that they have no effect. To enable the other check boxes uncheck this 'None' check box.

Hidden
Marked by Windows as a Hidden File. Normally files marked with this attribute should not be modified.

System
Marked by Windows as a System File. Normally files marked with this attribute should not be modified.

Read-Only
FileBoss will stop and ask permission whenever one of these attributes is set on the existing target file. Note that changing (which overwriting a file certainly does) any file with the Hidden, System or Read-Only attribute may disrupt the stability of your system, if not render it totally unusable.

Archive
The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backed up and, after backing up the file reset (clear) the Archive bit.

EXE
FileBoss considers files with the following extensions to be executable files: .EXE, .COM, .DLL, .DRV, .OCX and .BAT.

Newer
FileBoss will compare the two file times and warn if the file on the target drive is newer (had been modified more recently) than the source file.
This option is only present when the warnings are being used for copy or move operations (i.e. not for deleting or touching as there is no 'source' file).

Setting New File Attributes

These options affect files created or overwritten by the copy or move operation.

(Note that a file is considered new even if it overwrites an existing file of the same name.)

You can add, remove or leave the four attributes unchanged.

If an attribute is marked as No Change it will be set to the same setting on the source file or folder.

Specifying Dates and Times of New Files

These options affect files created or overwritten by a copy or move operation.

(Note that a file is considered new even if it overwrites an existing file of the same name.)

There are three options:

Original
The copied / moved file and folders will have the same file times as the original files

Now
All new and overwritten files will have their file times set to the time the copy / move operation began.

Specified
All new and overwritten files will have their file times set to the time specified in the date and time fields immediately below these three option buttons.

Special Notes:

· All three file times - Created, Last Accessed and Last Modified - are set by these options.
· Frequently the file times of the copied files will not exactly match those of the original files or of the time specified. When this happens it is because how Windows stores file times depends on the Version of Windows and on the underlying file system of the storage media, e.g. NTFS and FAT. Just as one example some systems store access times to the nearest two seconds others to the nearest day. So In that case when a file is copied from the former to the latter, the access time will be rounded down to midnight of the day. Then, when the file times are compared they will be different. FileBoss can account for this difference by setting the resolution of file times when in compare mode.

Removing the Archive Flag from Original File

Remove Archive Bit from Source Files

Clears the Archive flag from the source file. When the Archive flag is cleared it indicates to some programs that the file has not changed since it was last backed up.

More about Archive Bits

The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backup and, after backing up the file reset (clear) the Archive bit.

Ref: HIDD_COPY_FILES_DROPZONE


Copy to Multiple Folders

How to Display this Dialog

This dialog is displayed whenever files and folders are on the clipboard are about to be pasted into multiple folders using the Actions > More Copy Actions > Paste into Multiple Folders command from the main menu.

Note: The options in this dialog are the same as those in the general purpose Copy File Dialog.

Actions when Destination Entry Already Exists

No / Yes / Ask / Only if Newer

The first four options determine whether or not files can be overwritten by the files being copied.

When Only if Newer is selected the times the files were last modified are used for comparison.

Rename

Rather than overwriting files that exist, you can instruct FileBoss to rename either the new or the existing files.

Select New File to rename the file that is being copied (the existing file will not be changed).

Select Existing File to rename the existing file, the new file will then be copied using the old name.

Whether you choose to rename the existing file or the new file depends only on what you are doing and your personal preference.

Click on Set... to specify how the files - either new or existing - will be renamed. You can add text and/or sequential numbers to the new filenames.

Setting When FileBoss will Ask for Confirmation

These options determine when FileBoss will alert you that a file is going to be overwritten by the copy or move process. The warnings are fired when an existing file has one of the checked attributes. For instance if the EXE box is checked FileBoss will ask you what to do before copying a source file over an existing target file that has an extension of .EXE, .COM, .DLL, .DRV, .OCX or .BAT. When asked what to do your options will be to skip that one file, cancel all remaining files, overwrite that one file, overwrite all remaining files or even rename the file.

None
This is a master check box that, when checked, turns off all warnings. You'll note that when it is checked the other check boxes are grayed indicating that they have no effect. To enable the other check boxes uncheck this 'None' check box.

Hidden
Marked by Windows as a Hidden File. Normally files marked with this attribute should not be modified.

System
Marked by Windows as a System File. Normally files marked with this attribute should not be modified.

Read-Only
FileBoss will stop and ask permission whenever one of these attributes is set on the existing target file. Note that changing (which overwriting a file certainly does) any file with the Hidden, System or Read-Only attribute may disrupt the stability of your system, if not render it totally unusable.

Archive
The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backed up and, after backing up the file reset (clear) the Archive bit.

EXE
FileBoss considers files with the following extensions to be executable files: .EXE, .COM, .DLL, .DRV, .OCX and .BAT.

Newer
FileBoss will compare the two file times and warn if the file on the target drive is newer (had been modified more recently) than the source file.
This option is only present when the warnings are being used for copy or move operations (i.e. not for deleting or touching as there is no 'source' file).

Setting New File Attributes

These options affect files created or overwritten by the copy or move operation.

(Note that a file is considered new even if it overwrites an existing file of the same name.)

You can add, remove or leave the four attributes unchanged.

If an attribute is marked as No Change it will be set to the same setting on the source file or folder.

Specifying Dates and Times of New Files

These options affect files created or overwritten by a copy or move operation.

(Note that a file is considered new even if it overwrites an existing file of the same name.)

There are three options:

Original
The copied / moved file and folders will have the same file times as the original files

Now
All new and overwritten files will have their file times set to the time the copy / move operation began.

Specified
All new and overwritten files will have their file times set to the time specified in the date and time fields immediately below these three option buttons.

Special Notes:

· All three file times - Created, Last Accessed and Last Modified - are set by these options.
· Frequently the file times of the copied files will not exactly match those of the original files or of the time specified. When this happens it is because how Windows stores file times depends on the Version of Windows and on the underlying file system of the storage media, e.g. NTFS and FAT. Just as one example some systems store access times to the nearest two seconds others to the nearest day. So In that case when a file is copied from the former to the latter, the access time will be rounded down to midnight of the day. Then, when the file times are compared they will be different. FileBoss can account for this difference by setting the resolution of file times when in compare mode.

Removing the Archive Flag from Original File

Remove Archive Bit from Source Files

Clears the Archive flag from the source file. When the Archive flag is cleared it indicates to some programs that the file has not changed since it was last backed up.

More about Archive Bits

The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backup and, after backing up the file reset (clear) the Archive bit.

Ref: HIDH_PASTE_INTO_MULIPLE_FODLERS


Duplicating Files

Duplicated Files and Folders

The Duplicate Command Center

When you duplicate files and folders in the same folder as the originals the following dialog will appear allowing you to specify how the duplicate files will be named. The choices you make here - just like almost all Dialogs in FileBoss - will be saved even when FileBoss is closed.

As you make changes keep an eye on the box under Sample for: "FileBossIsGreat.txt" as it will give you an idea as to how the names will be transformed for the new files.

Duplicating Files

When you duplicate files and folders the following dialog will appear allowing you to specify how the duplicate files will be named. The choices you make here - just like almost all Dialogs in FileBoss - will be saved even when FileBoss is closed.

As you make changes keep an eye on the box under Sample for: "FileBossIsGreat.txt" as it will give you an idea as to how the names will be transformed for the new files.

Pattern for new names

The pattern will be included in the names of the duplicated files, inserted at the position indicated by the Insert Where selection below.

If a question mark (?) is included it will be replaced with an incremental number ensuring a unique name.

FileBoss does not require that the ? be included (though you will get a warning if it is not) but it is usually best to have one to ensure unique names.

Specifying where the pattern will be inserted in the names

Mutually exclusive options that determine where the pattern for the new name will be inserted in the old name. Select one and then look at the sample near the bottom of the dialog to check if this is the way you want the duplicated files named.

Adding Sequential numbers to filenames

How to Setup Sequential numbering

1. Insert the \? meta flag in the New Name field where you want the sequential number to appear. Use the \? meta flag only once.
2. Set the number of digits you want displayed. E.g. setting it to 3 will insert 001, 002, 003, etc where the \? meta flag is.
3. Set the Start A: number. While this will normally be '1' you might want to set it to another number if some files have already been renamed with this routine.
4. Check the Sample at the bottom of the screen to see how the sequential numbers will fit into the name along with any other formats you have chosen.

Num. of Digits
1 to 6, pads the number with leading zeros to get the desired number of digits. This is a good option so that the files will be sorted correctly when displayed in FileBoss Windows Explorer and various programs' File Open Dialogs.

Start At
1 on up to highest number allowed by the number of digits you have specified.

Increment By
The amount each consecutive number should be increase. For instance if the sequence starts at 1 and the increment is set to 5 the the numbers would be 1, 5, 10, ...

Examples:

Long Beach #\?.jpeg (Digits set to 3 and Start At set to 1)

Long Beach #001.jpeg, Long Beach #002.jpeg, Long Beach #003.jpeg

\? Long Beach.jpeg (Digits set to 2 and Start At set to 10)

10 Long Beach.jpeg, 11 Long Beach.jpeg, 12 Long Beach.jpeg

Duplicating only the folders not their contents

When checked only the folders (and sub-folders) will be copied, duplicating the folder structure of the selected folders.

This option will be disabled if not folders have been selected. If both folders and files have been selected it will be applied to the selected folders and the selected files will be copied normally (in other words selecting this option will not prevent selected files from being duplicated).

Sample Filename

Displays a sample name with the settings you have chosen.

Every time you change a setting the sample will change

Number of Copies

Specifies how many copies of the file / folder will be made. The maximum number of copies is 1,000. So if 1,000 items are selected and this is set to 1,000 then 1,000,000 items will be created! If one or more of the selected items are a folder many more than 1,000,000 items can be created.

When creating a large number of files (in excess of 500,000) always be aware of special problems affecting large file systems.

Ref: HIDD_COPY_FILES_DUPLICATE


Flattening Folders

Flattening Folders

Flattening Folders copies all the files (or all the files matching the patterns in the optional Patterns field) to the specified folder. To Flatten, i.e. copy, all the files to the top selected folders simply type SELF into the Destination field.

Advanced options

The Advanced area of the dialog contains options for what to do when two files have the same name. And is explained below.

Flatten Folders

Flatten Folders

The Duplicate Command Center

When you duplicate files and folders the following dialog will appear allowing you to specify how the duplicate files will be named. The choices you make here - just like almost all Dialogs in FileBoss - will be saved even when FileBoss is closed.

As you make changes keep an eye on the box under Sample for: "FileBossIsGreat.txt" as it will give you an idea as to how the names will be transformed for the new files.

Pattern for new names

The pattern will be included in the names of the duplicated files, inserted at the position indicated by the Insert Where selection below.

If a question mark (?) is included it will be replaced with an incremental number ensuring a unique name.

FileBoss does not require that the ? be included (though you will get a warning if it is not) but it is usually best to have one to ensure unique names.

Specifying where the pattern will be inserted in the names

Mutually exclusive options that determine where the pattern for the new name will be inserted in the old name. Select one and then look at the sample near the bottom of the dialog to check if this is the way you want the duplicated files named.

Adding Sequential numbers to filenames

How to Setup Sequential numbering

1. Insert the \? meta flag in the New Name field where you want the sequential number to appear. Use the \? meta flag only once.
2. Set the number of digits you want displayed. E.g. setting it to 3 will insert 001, 002, 003, etc where the \? meta flag is.
3. Set the Start A: number. While this will normally be '1' you might want to set it to another number if some files have already been renamed with this routine.
4. Check the Sample at the bottom of the screen to see how the sequential numbers will fit into the name along with any other formats you have chosen.

Num. of Digits
1 to 6, pads the number with leading zeros to get the desired number of digits. This is a good option so that the files will be sorted correctly when displayed in FileBoss Windows Explorer and various programs' File Open Dialogs.

Start At
1 on up to highest number allowed by the number of digits you have specified.

Increment By
The amount each consecutive number should be increase. For instance if the sequence starts at 1 and the increment is set to 5 the the numbers would be 1, 5, 10, ...

Examples:

Long Beach #\?.jpeg (Digits set to 3 and Start At set to 1)

Long Beach #001.jpeg, Long Beach #002.jpeg, Long Beach #003.jpeg

\? Long Beach.jpeg (Digits set to 2 and Start At set to 10)

10 Long Beach.jpeg, 11 Long Beach.jpeg, 12 Long Beach.jpeg

Sample Filename

Displays a sample name with the settings you have chosen.

Every time you change a setting the sample will change

Ref: HIDD_COPY_FILES_FLATTEN_FOLDERS


Caution Notice Before Copying Files

Target: I:\FileBoss Backups\

0 files and

2 folders will be copied/moved to the target folder.

7,451 files and folders will be copied/moved to folders below the target.

Are you sure you want to continue?

Or

Target: I:\FileBoss Backups\

7,125 files and

0 folders will be copied/moved directly to the target folder itself.

This exceeds the warning level of 20 entries.

Are you sure you want to continue?

These are simple warning messages giving you a chance to confirm copying a large number of files.

If you do not want to see these messages again check the box in the lower left corner of the message box.

These message can be turned on again by selecting Options > Program Options... then choosing the Warnings & Hints panel and pressing Turn all ON in the Confirmations group.

Ref: HIDH_COPY_FILES_WARNINGS


Progress Meter

Normal Progress Bar

The Normal Progress window is displayed when FileBoss knows the number and size of the files to be copied or moved. The percent complete and the position of the bar are based on the number of bytes to be copied rather than the number of files.

General Progress Bar

The General Progress window is displayed when FileBoss does not know the number or size of the files to be copied or moved.

Ref: HIDD_PROGRESS


Refresh Files

Update Files

Updating Files with the Refresh Command

Select the Files and then Open the Refresh Dialog

This action is applied to selected files and folders. If no folders or files have been selected the menu command will be unavailable.

Select Actions > Update... or (Alt+F7) from the main menu to open the Merge dialog.

The Update Files Dialog

Information on the Selected Files to be Copied

Source Files

For easy reference this area displays information about the selected files that FileBoss will attempt to copy, move or update.

Top Level:

The Top Level section shows how many folders and files will be copied directly to the destination folder. All other folders and files will be copied below one of the top level folders (or sub-folders of a top level folder)

Destination for the Copy / Move Operation

Destination

Displays the folder to which the selected files will be copied/moved.

The list of previous destination folders - accessed by clicking the down arrow to the right - is remembered even when FileBoss is closed.

To change folders you can:

· select one from the drop-down list
· type in a new path, or
· select the Browse button to locate the folder you want.

The number above the destination folder is the amount of free space on the selected folder's drive or storage media.

Do it your way:

Don't like the list of destination folders in the drop down list? Want to delete some of them or change their order for some reason? Simple. Just hold down the Alt key and click on the word Destination. A dialog will open where you can edit the list of entries.

Ref: HIDD_COPY_FILES_IF_EXIST


Backup if Newer (Quick Merge)

To Quickly Backup, if Newer, Selected Files and Folders

This will quickly copy all files in the source folders (or selected files) that either are newer than those on the target folder or if they don't exist on the target. For a more complete synchronizing function that also removes orphaned files on the target see the Actions > Backup & Sync... (see) function.

Select the Files and then Open the Merge Dialog

This action is applied to selected files and folders. If no folders or files have been selected the menu command will be unavailable.

Select Actions > Backup if Newer... or (Ctrl+Shift+F7) from the main menu to open the Merge dialog.

Merge Selected Files/Folders To...

Information on the Selected Files to be Copied

Source Files

For easy reference this area displays information about the selected files that FileBoss will attempt to copy, move or update.

Top Level:

The Top Level section shows how many folders and files will be copied directly to the destination folder. All other folders and files will be copied below one of the top level folders (or sub-folders of a top level folder)

Destination for the Copy / Move Operation

Destination

Displays the folder to which the selected files will be copied/moved.

The list of previous destination folders - accessed by clicking the down arrow to the right - is remembered even when FileBoss is closed.

To change folders you can:

· select one from the drop-down list
· type in a new path, or
· select the Browse button to locate the folder you want.

The number above the destination folder is the amount of free space on the selected folder's drive or storage media.

Do it your way:

Don't like the list of destination folders in the drop down list? Want to delete some of them or change their order for some reason? Simple. Just hold down the Alt key and click on the word Destination. A dialog will open where you can edit the list of entries.

File Patterns (Include or Exclude)

Enter the names or name patterns of files and folders you want included in the search.

Leaving the field empty is the same as specifing a single asterisk '*' or the traditional '*.*' meaning include all files.

Multiple File Patterns

Separate multiple patterns with the bar character '|'.

Wildcards in File Patterns

The common wildcard characters '*' and '?' can be used when specifing groups of file to be inclucded.

The entry *.tmp | *.bak | ~* will find all files with the extension tmp and bak as well as all files beginning with the tilde character '~'.

Excluding Files and Groups of Files

Specific files and groups of files can be excluded from the search by preceding the files with a minus sign, '-'. If the name actually begins with a minus sign, simply put another in front of it, e.g. --notations.txt.

To create a Virtual Folder that includes all files except temporary and backup files you could enter

-*.tmp | -*.bak | -~*

(Note that there is no *.* or just * in the beginning. Remember that if there is no include specification then *.* (all) is assumed.

For example the these two patterns are equivalent: -*.zip and *.* | -*.zip (include all files except those with the zip extension).

User Defined & Default Patterns

While the drop down list box will remember the most recently used patterns, even when FileBoss is closed, you can use predefined

Ref: HIDD_COPY_FILES_MERGE


Backup and Synchronize

To make a backup folder / path the same as the source

Synchronizing a source folder or path - the selected folder(s) - to a target first copies all files that either don't exist on the target or which are newer and then removes all folders and files on the target that don't exist on the source.

This is exactly the same as the Actions > Backup if Newer... (see) function with the addition of deleting orphan files and folders on the target.

Select the Files and then open the Backup & Sync dialog

This action is applied to selected files and folders. If no folders or files have been selected the menu command will be unavailable.

Select Actions > Backup & Sync... from the main menu to open the Merge dialog.

Backup and Synchronize To...

Information on the Selected Files to be Copied

Source Files

For easy reference this area displays information about the selected files that FileBoss will attempt to copy, move or update.

Top Level:

The Top Level section shows how many folders and files will be copied directly to the destination folder. All other folders and files will be copied below one of the top level folders (or sub-folders of a top level folder)

Destination for the Copy / Move Operation

Destination

Displays the folder to which the selected files will be copied/moved.

The list of previous destination folders - accessed by clicking the down arrow to the right - is remembered even when FileBoss is closed.

To change folders you can:

· select one from the drop-down list
· type in a new path, or
· select the Browse button to locate the folder you want.

The number above the destination folder is the amount of free space on the selected folder's drive or storage media.

Do it your way:

Don't like the list of destination folders in the drop down list? Want to delete some of them or change their order for some reason? Simple. Just hold down the Alt key and click on the word Destination. A dialog will open where you can edit the list of entries.

File Patterns (Include or Exclude)

Enter the names or name patterns of files and folders you want included in the search.

Leaving the field empty is the same as specifing a single asterisk '*' or the traditional '*.*' meaning include all files.

Multiple File Patterns

Separate multiple patterns with the bar character '|'.

Wildcards in File Patterns

The common wildcard characters '*' and '?' can be used when specifing groups of file to be inclucded.

The entry *.tmp | *.bak | ~* will find all files with the extension tmp and bak as well as all files beginning with the tilde character '~'.

Excluding Files and Groups of Files

Specific files and groups of files can be excluded from the search by preceding the files with a minus sign, '-'. If the name actually begins with a minus sign, simply put another in front of it, e.g. --notations.txt.

To create a Virtual Folder that includes all files except temporary and backup files you could enter

-*.tmp | -*.bak | -~*

(Note that there is no *.* or just * in the beginning. Remember that if there is no include specification then *.* (all) is assumed.

For example the these two patterns are equivalent: -*.zip and *.* | -*.zip (include all files except those with the zip extension).

User Defined & Default Patterns

While the drop down list box will remember the most recently used patterns, even when FileBoss is closed, you can use predefined

Ref: HIDD_COPY_FILES_MERGE


Rename Files - Sequentially

Available in both Explore Views and in Virtual Folders

Much More Than a Sequential Rename Routine

One filename or thousands
can be renamed with or without confimations

Just one of many ways to rename files
Convert case, change extensions, add sequential numbers, insert text, convert spaces to other characters or remove completely, add file times, convert to true 8.3 DOS names and more.

Worry-free Confirmations
After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

Complete logging of which files where renamed to what
The Summary and Details panes of the Results window will show you exactly what was renamed and to what.

How to display this Dialog

Select the files and folders you want to rename

Then:
Press Ctrl+R
or, Select Actions > Rename...' from the main menu
or, Click the Rename Selected Files button:

Then:
Select the Sequential / Formatting Panel

Renaming File Sequentially

Adding Sequential numbers to filenames

How to Setup Sequential numbering

1. Insert the \? meta flag in the New Name field where you want the sequential number to appear. Use the \? meta flag only once.
2. Set the number of digits you want displayed. E.g. setting it to 3 will insert 001, 002, 003, etc where the \? meta flag is.
3. Set the Start A: number. While this will normally be '1' you might want to set it to another number if some files have already been renamed with this routine.
4. Check the Sample at the bottom of the screen to see how the sequential numbers will fit into the name along with any other formats you have chosen.

Num. of Digits
1 to 6, pads the number with leading zeros to get the desired number of digits. This is a good option so that the files will be sorted correctly when displayed in FileBoss Windows Explorer and various programs' File Open Dialogs.

Start At
1 on up to highest number allowed by the number of digits you have specified.

Increment By
The amount each consecutive number should be increase. For instance if the sequence starts at 1 and the increment is set to 5 the the numbers would be 1, 5, 10, ...

Examples:

Long Beach #\?.jpeg (Digits set to 3 and Start At set to 1)

Long Beach #001.jpeg, Long Beach #002.jpeg, Long Beach #003.jpeg

\? Long Beach.jpeg (Digits set to 2 and Start At set to 10)

10 Long Beach.jpeg, 11 Long Beach.jpeg, 12 Long Beach.jpeg

File times: Modified (\M), Accessed (\A) and Created (\C)

Inserts the file's respective date and/or time into the filename at the location of the meta-sequence. The times inserted are the file's own time, i.e. the date and times displayed by FileBoss or Windows Explorer for that file. The format of the date and time is controlled by the format selected in the drop down list. If you would like a different format click the 'More Formats' button to see a complete list for format elements that you can use.

How to Setup and Insert File times

1. Insert the appropriate meta flag in the New Name field (\M, \A or \C) where you want the modified, accessed or created file time to appear (You can put more than one if you wish, but it would probably be confusing and create really long filenames..
2. Select or type in the format in which you want the times to appear. The drop down list contains default formats and formats you have used previously. To create new formats click the 'More Formats' button for a complete list of formats available and how to create new ones.
(Note that when a new format is selected or as it is being typed in the sample filename a the bottom of the dialog will change to reflect the new format - a good way to check the format. But for this to work, one of the file time meta-sequences (\M, \A or \C) must be present in the New Name field.)

Example:

Long Beach (\C) #\?.jpeg (Assuming the file was created on 2 July 2004 and the format is set to %d/%m/%y.)

Long Beach (2/7/04) #001.jpeg, Long Beach (2/7/04) #002.jpeg, Long Beach (2/7/04) #003.jpeg

Note that in the above example sequential numbering has also been added otherwise all files would be renamed to the same name which can't happen.

To add the last modified date to all selected entries use a format like: \N (\M).\E. This would simple insert the modified time - in parentheses - after the filename. This would change a filename like Long Beach Harbor.jpeg into Long Beach Harbor (2/7/04).jpeg.

Confirmation Dialog Format

Specifies the format for displaying the new filenames in the confirmation dialog.

Extension Display Option

When the 'With Name' option is selected the filename to be changed will be displayed in the following format:

New Filename with Extension

But when the 'Separately' option is chosen the name will be split into two parts: the name portion and the extension portion.

New Filename with Sperate Extension

Normally displaying the extension separate from the main name is the more convenient, especially if you will be manually altering the names. It allows to change the filename easily without accidentally changing the extension. (And extensions are critical for most Windows programs to recognize which files they can work with.

Renaming recursively through subfolders

Include subfolders
This checkbox will only be displayed if one or more folders are selected. When it is checked the other options to the right and below will be displayed and you can rename files down the complete directory tree beginning with the selected folder(s).

Files, Folders or Both
Determines what should be renamed just files, just folders or both. This defaults to Files.

Optional Patterns
The Optional Patterns field allows you to specify file patterns to be included or excluded from being renamed. The format of this entry is exactly the same as is used when searching for files and can be from the very simple e.g. *.txt, to just rename all files with the extension txt or highly complex with both files to include and files to exclude.

Ref: HIDD_REN_PAGE_SEQUENTIAL


Rename Files with Search and Replace

Renaming with Search and Replace

Renaming: Search & Replace Panel

or patterns you specify with other text.

Examples of renamed files with this dialog

Search / Replace | From | To
will be / is | FileBoss will be great.doc | FileBoss is great.doc
(in)|(as)|(at)|(be) / empty | FileBoss is be great.txt | FileBoss is great.txt
.jpg / .jpeg | My Dog.jpg | My Dog.jpeg

Search Method for Finding Text

Search Method

Three different types of searching can be performed.

FileBoss supports smart white space matching where the white space (spaces and tabs) does not have to be exact for a match to occur. This allows the search pattern to specify one space or tab and FileBoss will still match even if the source text contains two or more consecutive spaces or tabs or a mixture of both.

The type of search to be done is specified by choosing on of the following options:

Exact
Matches the search pattern exactly (no wild cards have special meaning) except for capitalization and white space. Capitalization is controlled by the 'Match capitalization' check box and all white space is considered to be the same, e.g. spaces, tabs and new lines are considered to be the same. In addition multiple spaces will match one space and vice-a-versa.

Normal
In normal searching, FileBoss recognizes two wild card characters: the question mark and the asterisk.
The question mark (?) matches any one character.
The asterisk (*) matches any number of any characters up until the next character in the search pattern. For instance, the search pattern F*ss, would match FileBoss
To enter an asterisk or question mark as literals, i.e. without special meaning, precede them with a backslash.

Unix (Regular Expression)
See Unix Style Searches for a complete definition of FileBoss's Unix style search implementation.
A Regular Expression. (This is an advanced technique.)

The 'Test' Button

If you would like to experiment with different patterns to see exactly what text they will and will not match, click the Test button. It will bring up a dialog where you can experiment with different formats and see how they match text that you enter.

Search Method for Finding Text to Replace

Pattern or Text to Find
The format of the text you enter is determined by the format you selected above these fields, e.g. Exact, Normal or Unix.

Replace with
The text you want to replace the text you entered in above field. If this field is left blank then any text found matching the pattern to find will simply be deleted.

Replace all
When checked all occurrences of the found text will be replaced (or deleted if Replace with is left empty.

Note that Replace all is not checked by default and that as a safety measure it is set to its default each time FileBoss is started.

Confirmation Dialog Format

Specifies the format for displaying the new filenames in the confirmation dialog.

Extension Display Option

When the 'With Name' option is selected the filename to be changed will be displayed in the following format:

New Filename with Extension

But when the 'Separately' option is chosen the name will be split into two parts: the name portion and the extension portion.

New Filename with Sperate Extension

Normally displaying the extension separate from the main name is the more convenient, especially if you will be manually altering the names. It allows to change the filename easily without accidentally changing the extension. (And extensions are critical for most Windows programs to recognize which files they can work with.

Renaming recursively through subfolders

Include subfolders
This checkbox will only be displayed if one or more folders are selected. When it is checked the other options to the right and below will be displayed and you can rename files down the complete directory tree beginning with the selected folder(s).

Files, Folders or Both
Determines what should be renamed just files, just folders or both. This defaults to Files.

Optional Patterns
The Optional Patterns field allows you to specify file patterns to be included or excluded from being renamed. The format of this entry is exactly the same as is used when searching for files and can be from the very simple e.g. *.txt, to just rename all files with the extension txt or highly complex with both files to include and files to exclude.

More ways to rename files

For complete help on how to rename files see How To Rename Groups of Files in the How To Do Everything section of this help file.

To learn about the different ways to rename individual files see How to Rename Individual Files in the How To Do Everything section of this help file.

Ref: HIDD_REN_PAGE_REPLACE


EMB_DLG_RENSEARCH_Subfolders

Renaming recursively through subfolders

Include subfolders
This checkbox will only be displayed if one or more folders are selected. When it is checked the other options to the right and below will be displayed and you can rename files down the complete directory tree beginning with the selected folder(s).

Files, Folders or Both
Determines what should be renamed just files, just folders or both. This defaults to Files.

Optional Patterns
The Optional Patterns field allows you to specify file patterns to be included or excluded from being renamed. The format of this entry is exactly the same as is used when searching for files and can be from the very simple e.g. *.txt, to just rename all files with the extension txt or highly complex with both files to include and files to exclude.


Rename Files - Advanced

Available in both Explore Views and in Virtual Folders

Much More Than a Sequential Rename Routine

One filename or thousands
can be renamed with or without confimatons

Just one of many ways to rename files
Convert case, change extensions, add sequential numbers, insert text, convert spaces to other characters or remove completely, add file times, convert to true 8.3 DOS names and more.

Worry-free Confirmations
After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

Complete logging of which files where renamed to what
The Summary and Details panes of the Results window will show you exactly what was renamed and to what.

How to display this Dialog

Select the files and folders you want to rename

Then:

Press Ctrl+R

or, Select Actions > Rename... from the main menu

or, Click the Rename Selected Files button:

Then:

Select the Sequential / Formatting Panel

Advanced File Renaming

Examples of renamed files with this dialog:

New Name format | From | To
<seq>.<ext> | P0891.jpg My Dog.jpg | 001.jpg 001.jpg
<name> <modified> (<seq>).\E | My Dog.jpg | My Dog 04-07-28 (001).jpg
<seq> - <name>.jpeg | My Dog.jpg | 001 - My Dog.jpeg
Seattle Trip <name.<ext> | My Dog.jpg | Seattle Trip My Dog.jpg
<folder> <name>.<ext> | My Dog.jpg | My Document My Dog.jpg

New Name Field

Enter the format for the new name here. Meta-characters (and their preceding backslash) will be replaced with the appropriate substitution as described below. Note that more than one meta character can be used in the format.

Sequential numbering (<seq>)

Sequential numbering inserts numbers such as 001, 002 or 10, 11, 12 in the filenames where the \? meta-sequence is located.

e.g. The format Seattle Pictures <seq>.jpg would rename the selected entries Seattle Pictures 01.jpg, Seattle Pictures 02.jpg and Seattle Pictures 03.jpg if the number of digits is set to 2 and the Start At is set to 1.

You could also use the sequential number as the extension. E.g. the format Special Data.<seq> would rename the files: Special Data.001, Special Data.003, Special Data.003...

Warning: Be sure you know what you are doing before changing file extensions. Doing so could hurt your system.

Sequential numbering by folder (<seqbyfolder>)

This is exactly the same as the <seq> meta flag described above except that when renaming recursively the sequential number is reset to it initial value for each folder.

Filename (<name>)
Filename Extension (<extension> or <ext>)

The <name> and <ext> meta-sequences will be replaced by the file or folder's filename or extension respectively. (<ext> meta-sequence does not include the dot (.) character before it so you must add it yourself). For example, to change the extension of all selected files to 'html' from just 'htm' you could use the format, <name>.html. Or if you want to add a sequential number to the current file names you might use Mother's Birthday - <name>.<ext> which would change a name like Grandmother.jpg into Mother's Birthday - Grandmother.jpg.

If you really wanted to you could even reverse the filename and extensions. Just use the format <name>.<ext>. That would change a filename like John.Doe into Doe.John.

Folder Name (<folder>)

The <folder> meta-sequence will be replaced by the name of the file's parent folder. For instance if the file Grandmother.jpg was in the C:\My Pictures\Holiday Trip folder then the sequence <folder - <name>.<ext> would change it to Holiday Trip - Grandmother.jpg.

File Times: Modified (<modified>), Accessed (<accessed>) and Created (<created>)

Inserts the file's respective date and/or time into the filename at the location of the meta-sequence. The times inserted are the file's own time, i.e. the date and times displayed by FileBoss or Windows Explorer for that file. The format of the date and time is controlled by the format selected in the drop down list. If you would like a different format click the 'More Formats' button to see a complete list for format elements that you can use.

For more details and examples either click the Help button or right-click one of the controls in the File Dates area of the dialog.

The current date (<today>)
Is replaced by the current date (Year-month-day)

The current time (<now>)
Is replaced by the current date and time.

Current User (<user>)
Adds the name of the currently logged in user, e.g. Accounts-FredW, CorpSever-Admin. Note that usually this is your login name preceded by the name of the computer or domain.

Adding Sequential numbers to filenames

How to Setup Sequential numbering

1. Insert the \? meta flag in the New Name field where you want the sequential number to appear. Use the \? meta flag only once.
2. Set the number of digits you want displayed. E.g. setting it to 3 will insert 001, 002, 003, etc where the \? meta flag is.
3. Set the Start A: number. While this will normally be '1' you might want to set it to another number if some files have already been renamed with this routine.
4. Check the Sample at the bottom of the screen to see how the sequential numbers will fit into the name along with any other formats you have chosen.

Num. of Digits
1 to 6, pads the number with leading zeros to get the desired number of digits. This is a good option so that the files will be sorted correctly when displayed in FileBoss Windows Explorer and various programs' File Open Dialogs.

Start At
1 on up to highest number allowed by the number of digits you have specified.

Increment By
The amount each consecutive number should be increase. For instance if the sequence starts at 1 and the increment is set to 5 the the numbers would be 1, 5, 10, ...

Examples:

Long Beach #\?.jpeg (Digits set to 3 and Start At set to 1)

Long Beach #001.jpeg, Long Beach #002.jpeg, Long Beach #003.jpeg

\? Long Beach.jpeg (Digits set to 2 and Start At set to 10)

10 Long Beach.jpeg, 11 Long Beach.jpeg, 12 Long Beach.jpeg

File times: Modified (\M), Accessed (\A) and Created (\C)

Inserts the file's respective date and/or time into the filename at the location of the meta-sequence. The times inserted are the file's own time, i.e. the date and times displayed by FileBoss or Windows Explorer for that file. The format of the date and time is controlled by the format selected in the drop down list. If you would like a different format click the 'More Formats' button to see a complete list for format elements that you can use.

How to Setup and Insert File times

1. Insert the appropriate meta flag in the New Name field (\M, \A or \C) where you want the modified, accessed or created file time to appear (You can put more than one if you wish, but it would probably be confusing and create really long filenames..
2. Select or type in the format in which you want the times to appear. The drop down list contains default formats and formats you have used previously. To create new formats click the 'More Formats' button for a complete list of formats available and how to create new ones.
(Note that when a new format is selected or as it is being typed in the sample filename a the bottom of the dialog will change to reflect the new format - a good way to check the format. But for this to work, one of the file time meta-sequences (\M, \A or \C) must be present in the New Name field.)

Example:

Long Beach (\C) #\?.jpeg (Assuming the file was created on 2 July 2004 and the format is set to %d/%m/%y.)

Long Beach (2/7/04) #001.jpeg, Long Beach (2/7/04) #002.jpeg, Long Beach (2/7/04) #003.jpeg

Note that in the above example sequential numbering has also been added otherwise all files would be renamed to the same name which can't happen.

To add the last modified date to all selected entries use a format like: \N (\M).\E. This would simple insert the modified time - in parentheses - after the filename. This would change a filename like Long Beach Harbor.jpeg into Long Beach Harbor (2/7/04).jpeg.

Confirmation Dialog Format

Specifies the format for displaying the new filenames in the confirmation dialog.

Extension Display Option

When the 'With Name' option is selected the filename to be changed will be displayed in the following format:

New Filename with Extension

But when the 'Separately' option is chosen the name will be split into two parts: the name portion and the extension portion.

New Filename with Sperate Extension

Normally displaying the extension separate from the main name is the more convenient, especially if you will be manually altering the names. It allows to change the filename easily without accidentally changing the extension. (And extensions are critical for most Windows programs to recognize which files they can work with.

Renaming recursively through subfolders

Include subfolders
This checkbox will only be displayed if one or more folders are selected. When it is checked the other options to the right and below will be displayed and you can rename files down the complete directory tree beginning with the selected folder(s).

Files, Folders or Both
Determines what should be renamed just files, just folders or both. This defaults to Files.

Optional Patterns
The Optional Patterns field allows you to specify file patterns to be included or excluded from being renamed. The format of this entry is exactly the same as is used when searching for files and can be from the very simple e.g. *.txt, to just rename all files with the extension txt or highly complex with both files to include and files to exclude.

Ref: HIDD_REN_PAGE_SEQUENTIAL


Rename Files Manually

When the Manual panel is active just click OK and FileBoss will offer the name of each selected file one by one for you to change or skip.

More ways to rename files

For complete help on how to rename files see How To Rename Groups of Files in the How To Do Everything section of this help file.

To learn about the different ways to rename individual files see How to Rename Individual Files in the How To Do Everything section of this help file.

Ref: HIDD_REN_PAGE_QUICK


Confirm or Edit New Filename

Confirmation Dialog

This dialog will be displayed whenever you have selected to rename a group of files. It will display the old name and the new name based on options you selected in the Rename Dialog providing you ultimate control over how individual files are names while allowing you to rename them all at once by simply pressing the 'Rename All' button.

Displaying Thumbnails of Graphics Files

If you are renaming graphic files you might want to check the View Graphics box. When checked each file you are renaming will be displayed by FileBoss's internal Image Viewer.

More ways to rename files

For complete help on how to rename files see How To Rename Groups of Files in the How To Do Everything section of this help file.

To learn about the different ways to rename individual files see How to Rename Individual Files in the How To Do Everything section of this help file.

Ref: HIDD_RENAME_FILE


Quick Rename Files & Folders

Quick Rename

To Use This Dialog

Select files and then press Ctrl+Shift+R or click the Actions > Quick Rename... item from the main menu.

After you have clicked the Rename or Skip One buttons they dialog will display the next selected filename.

More ways to rename files

For complete help on how to rename files see How To Rename Groups of Files in the How To Do Everything section of this help file.

Ref: HIDD_RENAME_FILE_QUICK


Compare Folders or Paths

Compare Folders/Paths

The Compare Folders or Paths Dialog

Compare Folders or Paths

Entering the Folders / Paths to be Compared

Enter the paths for the two folders (or in the case of comparing paths, the root folders) to be compared.

You can use the Select Folders Button will open a dialog allowing you to easily browse your file system (and network if available ) and select the two folders.

Advanced: You can also specify folders that should not be included. Simply separate each folder with the bar character (|) and precede them with a minus sign. For instance entering C:\My Documents | -work pics | -temp docs would exclude all folders named work pics and temp docs from being compared. (You could even enter something like C:\My Documents | -temp* to exclude any folder with a name beginning with temp.)

If there is a specific folder you want to exclude you should include the full or partial paths, e.g. | -C:\My Documents\temp | -D:\My Documents\temp or | My Documents\temp

Note that it makes no difference in which field (Folder 1: or Folder 2:) you enter the folders to be excluded.

Entering Patterns to be Included or Excluded

(Note: If the Patterns field is left empty all files will be included, i.e. *.* is assumed)

The Patterns field allows you to refine which files to include and/or exclude in the comparison. This can be really helpful. For instance if you want to compare the DLLs used by Windows on two different systems you could just enter the paths to the two Windows folders on the two systems but that could return thousands of files. By entering *.DLL in the Patterns field only those files will be collected and compared. (You could even refine it further by entering something like S*.DLL).

Click the Patterns button to open a dialog which will allow you enter the include / exclude patterns in a simple, line-by-line format.

Compare Two Folders or Two Paths

Select Root Folders Only to compare only the files in the specified folders.

Select All Sub-Folders all the files in and below the specified folders.

How Modified Times are Compared

Time Resolution

File Time Resolution

These two fields set how closely the modified times of files being compared must be for them to be considered the same. The default is '1' Second.

The minimum Resolution value is 0.

A value of 0 tells FileBoss to compare file times exactly as they are.

The maximum values for Resolution are:

Days | 730
Hours | 17,520
Minutes | 1,051,200
Seconds | 63,072,000

The default is 1 second.

Normally you should NOT change the default settings unless you have a very specific reason and really know what you are doing.

Note that while Windows records File Times to the nearest 100 nanoseconds (1/10,000,000 of a second) the recorded times are not that accurate and are rounded by most systems anyway.

Time Zone Offset

The value entered in this field will be added to the Modified File Times in the 2nd folder or path being compared before any comparisons are made.

For example, if most of the files in the second folder or path are two hours earlier than the times in the first group you could enter 2 here. Those files will then be considered the as having the same time.

If the times were two hours later, then enter -2 to achieve the same result.

Saving & Using Templates

Templates allow you to save the current settings in the dialog as a named group that can be selected and reused later. (FileBoss stores and remembers the Templates even when the program is closed.)

To save the current settings as a named template click the Template button.

To use a template simply select it from the drop down list (click the down arrow to the left of the field).

Ref: HIDD_CREATE_FILESET_COMPARE


Selecting Folders or Paths to Compare

Select Folders/Paths to Compare

Selecting Folder or Paths to Compare

The Two Folder Lists

Select the two folders to be compared (or the two roots of the paths you want compared) one each from the left and right lists.

These paths will automatically be inserted into the appropriate fields of the calling dialog when you click the OK button.

#1 Ignore
#2 Ignore

If you only want to select one path, such as the second path because the first path in the calling dialog is already filled in, simply check the appropriate Ignore box.

Ref: HIDD_SELECT_COMPARE_FOLDERS


Compare Folders Toolbox

The Compare Folders toolbox

The Compare Folders toolbox is always visible when comparing folders, paths or drives floating above the work area. Closing the toolbox will cancel Compare Folders mode. The Virtual Folder will remain in normal mode.

Merge Folders Button

Displays the dialog where FileBoss can Merge to one folder or the other or both folders at the same time. In addition you can specify how folders will be merged.

After viewing the dialog you can always close it and return to this current, manual merge mode.

Selecting Newer, Older and Lonely Hearts entries

Selecting
Selects the files indicated by the button clicked.
The buttons on the left select the appropriate entries from the first folder/path with the buttons on the right selecting entries in the second folder/path.

Deselecting Groups
To deselect the entries associated with a button press and hold the Ctrl key while clicking on the button.

Clear All Selections
To deselect all entries click on the Clear All Selections button.

Viewing Selected Files
Press Ctrl+F3 to locate and display the first selected entry. Press Ctrl+F3 again to locate and display the next selected entry. (Note that pressing Ctrl+F3 to go to the next selected file works at any time, not only in Compare Mode.

Hiding Groups of Files

Use the buttons in the Hide section to hide groups of files depending on how they are marked, i.e. Same, Lonely-hearts, Newer / Older or even all Folders.

To redisplay all files (unhide) click on the Show All button at the bottom of the group.

Hiding groups of files, such as all folders and files that are the same can make it easier for you to review files that are newer, order or lonely.

Show Statistics Button

Opens or returns to the Properties dialog and displays the page with information about the two folders/paths being compared.

Global Options Button

Displays the Options panel for compare mode from the global options dialogs. After reviewing and/or setting global options that affect comparing files control will return to the compare mode.

Close & Exit

Closes this toolbox and exits Compare Mode. After exiting the compared files will form a regular Virtual Folder.

Returning to Comparing Files Later

If you want to return to comparing files later use the Tools > Compare Current Folders command from the main menu.

Ref: IDD_COMPARE_FOLDERS_TOOLDLG


Merging Folders or Paths

Merging Folders & Paths

Merge Command & Control Center Dialog

When this dialog appears

This dialog appears after two folders or paths have been compared. It displays a summary of the comparison and gives you the opportunity to merge the files immediately if you so wish.

Note, however, that you can close this dialog and return to at any time by pressing the Merge button on the Merge Toolbox. After exiting this dialog you can check the files that FileBoss has compared and select / deselect the files that you specifically want to merge.. After you are satisfied you can return to this dialog and tell FileBoss to merge the folders the way you want them merged.

Comparison Statistics

Displays the results of the comparison between the two folders or paths.

You can use this information to decide what you want to merge.

And remember you can always exit this Merge dialog and examine the entries more closely and even select exactly which files you would like to merge.

Telling FileBoss What Folders to Update

FileBoss will suggest what should be merged based on the comparison results but you should check that choice and change it if necessary.

In conjunction with the Merge What section these choices will determine which entries will be copied.

Telling FileBoss What to Merge

In conjunction with telling FileBoss which folders, paths or drives you want to update you must tell FileBoss what you want to merge.

There are two options, Newer Files and Lonely Files (i.e. files that aren't matched on on the opposite drive).

If you will be replacing older files with new you can have FileBoss ask you to confirm each file by checking the Confirm Newer File box.

Closing the Merge Dialog

IMPORTANT: Closing the Merge Command & Control Center dialog does not exit Compare Mode just this dialog. After exiting this dialog the Compare Toolbox and Compare mode will still be active. You can return to this dialog to actually merge the folders, paths or drives by clicking the Merge button at the top of the Merge Toolbox.

If you wish to exit compare mode first close this dialog and then simply close the Virtual Folder or simply click the Close & Exit button at the bottom of the Compare Toolbox.

Ref: HIDD_COMPARE_FOLDERS_MERGE


Compare Folders Options

Options for Comparing Folders

Setting Options for Comparing Folders

This dialog allows you to set how folders will be compared by setting how different file times must be for them to be considered different and to set any time zone differences there may be between the two folders.

File Times (Advanced Settings)

These two fields set how closely the modified times of files being compared must be for them to be cosnsidered the same. The default is '1' Second.

The minimum Resolution value is 0.

A value of 0 tells FileBoss to compare file times exactly as they are.

The maximum values for Resolution are:

Days: | 730
Hours | 17,520
Minutes | 1,051,200
Seconds | 63,072,000

The default is 1 second. Normally you should NOT change the default settings unless you have a very specific reason and really know what you are doing.

Note that while Windows records File Times to the nearest 100 nanoseconds (1/10,000,000 of a second) the recorded times are not that accurate and are rounded by most systems anyway.

Time Zone Offset

The value entered in this field will be added to the Modified File Times in the 2nd folder or path being compared before any comparisons are made.

For example, if most of the files in the second folder or path are two hours earlier than the times in the first group you could enter 2 here and then those file would be considered the as having the same time.

If the times were two hours later, then enter -2 to achieve the same result.

Save as Default Settings

When checked the settings for Comparison Resolution and Time Zone Offsets are saved as the default for future comparison, i.e. they will be used in the initial Compare Folders Dialog.

If unchecked the setting in this dialog will only apply to the current operation.

If the dialog is 'Canceled' nothing will be saved no matter whether the box is checked or not

Ref: HIDD_COMPARE_OPTIONS


Compare Current Folder To Another

Select Second Folder To Compare

Purpose

Selects the second folder (or path) to which the currently highlighted folder should be compared.

When is this dialog displayed

This dialog is displayed when a from the popup menu when a folder is right-clicked: select Folder Tools > Compare this Folder to Another....

What happens next

After the second folder has been selected the main control dialog for comparing folders will be displayed with the fields for the folder / paths already filled in. The first folder will be the folder on which you right-clicked and the second will be the one selected in this dialog.

Ref: HIDH_SELECT_2ND_COMPARE_PATH


Changing File Attributes

How to Display This Dialog

Select Actions > Change Attributes... from the main men.

Change Attributes command button.

Attribute Identifiers

The following are displayed in the Attributes column of file listings to indicate their corresponding attributes:

Common

A The file has not been archived since it was created or modified

R Read-only

H Hidden

S System

Advanced

C Compressed

E Encrypted

M Reparse point

N Not content indexed

O Offline

S Sparse file

T Temporary

Changing the Three File Times

To change a time (modified, accessed and/or created) check the appropriate box and then set the time.

The Now buttons are simply a convient way to enter the current time into the fields.

Confirm

This option is available when using the Changing Attributes command. When Yes you will be prompted before changing the attributes of each file. When No FileBoss will immediately process all the selected files.

Ref: HIDD_CHANGE_FILE_ATTRIBUTES


Changing Advance (NTFS) File Attributes

How to Display This Dialog

Select Actions > Advanced > Change Advanced (NTFS) Attributes... from the main men.

Attribute Identifiers

The following are displayed in the Attributes column of file listings to indicate their corresponding attributes:

Common

A The file has not been archived since it was created or modified

R Read-only

H Hidden

S System

Advanced

C Compressed

E Encrypted

M Reparse point

N Not content indexed

O Offline

S Sparse file

T Temporary

This is an extremely advanced operation and should not be used by anyone who does not have a thorough understanding of the attributes and who does not have a very specific reason for changing one of them.

Using this function can destroy your data files and even your ability to start Windows.

Ref: HIDD_CHANGE_FILE_ATTRIBUTES


Changing Touch Setup

Touch Setup

How to Display This Dialog

Select Actions > Touch Setup... from the main men.

Press Ctrl+F9

Hold down the Ctrl key and click the Touch command button.

Changing File Attributes

Changes (or not) the attributes of the selected files.

Changing the System or Hidden Attributes can hurt your computer so be sure you know what you are doing before changing these.

Changing the Three File Times

To change a time (modified, accessed and/or created) check the appropriate box and then set the time.

The Now buttons are simply a convient way to enter the current time into the fields.

Using the Current Time Option When Touching Files

This option is available when Touching Files.

When the Always Use Current Time box is checked FileBoss will always the current time when it touches files and the appropriate type of file time is checked. (For Touching files Current Time refers to the time a file is actually touched not the time the setup dialog was changed or saved.

Not that when the Always Use Current Time box is checked the fields for entering times will always be grayed. This is because they are not used, the system time when the files are touched will be used.

Confirming Each Touch Operation

This option is available when using the Touch command. When checked you will be prompted before touching all the selected files. When not checked FileBoss will immediately process all the selected files whenever you issue the Touch command.

Ref: HIDD_CHANGE_FILE_ATTRIBUTES_TOUCH


ConfirmTouch

Confirm Touch Files

Ref: HIDD_TOUCH_CONFIRM


Find Files with Specified Text

Search Method

Three different types of searching can be performed.

FileBoss supports smart white space matching where the white space (spaces and tabs) does not have to be exact for a match to occur. This allows the search pattern to specify one space or tab and FileBoss will still match even if the source text contains two or more consecutive spaces or tabs or a mixture of both.

The type of search to be done is specified by choosing on of the following options:

Exact

Matches the search pattern exactly (no wild cards have special meaning) except for capitalization and white space. Capitalization is controlled by the 'Match capitalization' check box and all white space is considered to be the same, e.g. spaces, tabs and new lines are considered to be the same. In addition multiple spaces will match one space and vice-a-versa.

Normal

In normal searching, FileBoss recognizes two wild card characters: the question mark and the asterisk.

The question mark (?) matches any one character.

The asterisk (*) matches any number of any characters up until the next character in the search pattern. For instance, the search pattern F*ss, would match FileBoss

To enter an asterisk or question mark as literals, i.e. without special meaning, precede them with a backslash.

Unix Style

See Unix Style Searches for a complete definition of FileBoss's Unix style search implementation.

Match Capitalization

Selecting this option tells FileBoss that searches should be case sensitive. Thus, if this option is selected and "Blue" is searched for, FileBoss will find "Blue" but not "blue" or "bLue." If this option is not selected, FileBoss will match any combination of capitals and lowercase letters, no matter what was used for the search string.

Note that this option does not affect searches when Unix mode is turned on.

Pattern to Find

Enter the test or pattern you are looking for or select a previously entered pattern from the pull down list. If you are using any of the advanced methods you can use the 'Test' routine to see if what you enter for a pattern will find what you expect it to find.

Ref: HIDH_FIND_TEXT_IN_FILES


Text or Pattern to Find

Search Method

Three different types of searching can be performed.

FileBoss supports smart white space matching where the white space (spaces and tabs) does not have to be exact for a match to occur. This allows the search pattern to specify one space or tab and FileBoss will still match even if the source text contains two or more consecutive spaces or tabs or a mixture of both.

The type of search to be done is specified by choosing on of the following options:

Exact

Matches the search pattern exactly (no wild cards have special meaning) except for capitalization and white space. Capitalization is controlled by the 'Match capitalization' check box and all white space is considered to be the same, e.g. spaces, tabs and new lines are considered to be the same. In addition multiple spaces will match one space and vice-a-versa.

Normal

In normal searching, FileBoss recognizes two wild card characters: the question mark and the asterisk.

The question mark (?) matches any one character.

The asterisk (*) matches any number of any characters up until the next character in the search pattern. For instance, the search pattern F*ss, would match FileBoss

To enter an asterisk or question mark as literals, i.e. without special meaning, precede them with a backslash.

Unix Style

See Unix Style Searches for a complete definition of FileBoss's Unix style search implementation.

Match Capitalization

Selecting this option tells FileBoss that searches should be case sensitive. Thus, if this option is selected and "Blue" is searched for, FileBoss will find "Blue" but not "blue" or "bLue." If this option is not selected, FileBoss will match any combination of capitals and lowercase letters, no matter what was used for the search string.

Note that this option does not affect searches when Unix mode is turned on.

Pattern to Find

Enter the test or pattern you are looking for or select a previously entered pattern from the pull down list. If you are using any of the advanced methods you can use the 'Test' routine to see if what you enter for a pattern will find what you expect it to find.


Searching For Text

Search Method

Three different types of searching can be performed.

FileBoss supports smart white space matching where the white space (spaces and tabs) does not have to be exact for a match to occur. This allows the search pattern to specify one space or tab and FileBoss will still match even if the source text contains two or more consecutive spaces or tabs or a mixture of both.

The type of search to be done is specified by choosing on of the following options:

Exact

Matches the search pattern exactly (no wild cards have special meaning) except for capitalization and white space. Capitalization is controlled by the 'Match capitalization' check box and all white space is considered to be the same, e.g. spaces, tabs and new lines are considered to be the same. In addition multiple spaces will match one space and vice-a-versa.

Normal

In normal searching, FileBoss recognizes two wild card characters: the question mark and the asterisk.

The question mark (?) matches any one character.

The asterisk (*) matches any number of any characters up until the next character in the search pattern. For instance, the search pattern F*ss, would match FileBoss

To enter an asterisk or question mark as literals, i.e. without special meaning, precede them with a backslash.

Unix Style

See Unix Style Searches for a complete definition of FileBoss's Unix style search implementation.

Match Capitalization

Selecting this option tells FileBoss that searches should be case sensitive. Thus, if this option is selected and "Blue" is searched for, FileBoss will find "Blue" but not "blue" or "bLue." If this option is not selected, FileBoss will match any combination of capitals and lowercase letters, no matter what was used for the search string.

Note that this option does not affect searches when Unix mode is turned on.

Ref: ZIDD_SEARCHING_FOR_TEXT


Text Search Practice

Search Method

Three different types of searching can be performed.

FileBoss supports smart white space matching where the white space (spaces and tabs) does not have to be exact for a match to occur. This allows the search pattern to specify one space or tab and FileBoss will still match even if the source text contains two or more consecutive spaces or tabs or a mixture of both.

The type of search to be done is specified by choosing on of the following options:

Exact

Matches the search pattern exactly (no wild cards have special meaning) except for capitalization and white space. Capitalization is controlled by the 'Match capitalization' check box and all white space is considered to be the same, e.g. spaces, tabs and new lines are considered to be the same. In addition multiple spaces will match one space and vice-a-versa.

Normal

In normal searching, FileBoss recognizes two wild card characters: the question mark and the asterisk.

The question mark (?) matches any one character.

The asterisk (*) matches any number of any characters up until the next character in the search pattern. For instance, the search pattern F*ss, would match FileBoss

To enter an asterisk or question mark as literals, i.e. without special meaning, precede them with a backslash.

Unix Style

See Unix Style Searches for a complete definition of FileBoss's Unix style search implementation.

Match Capitalization

Selecting this option tells FileBoss that searches should be case sensitive. Thus, if this option is selected and "Blue" is searched for, FileBoss will find "Blue" but not "blue" or "bLue." If this option is not selected, FileBoss will match any combination of capitals and lowercase letters, no matter what was used for the search string.

Note that this option does not affect searches when Unix mode is turned on.

Text to be Searched

Enter the text you want to search. Include examples of words and phrases your search should find and some close variant that you search should not find.

Format Pattern to Find

Enter the pattern you want to search for. How the search is performed using this pattern is determined by the Search Method chosen at the top of this dialog.

Using Regular Expressions

The Advanced search mode allow search patterns to have special escape sequences that tell FileBoss to search for specific patterns. For instance \9 will match any digit, 0-9; \9\9\9 will match three digits.

A Unix search pattern is made up of one or more regular expressions (RE). An RE is a string that specifies a character or group of characters that should be matched. For instance, in the following search pattern,

[A-Za-z]* 1994

there are six elements that make up the above search string, they are:

[A-Za-z]*

a space

the four digits 1, 9, 9 and 4.

These, along with all the other forms of REs recognized by FileBoss are detailed below.

For users who are already familiar with the use of REs in Unix, at the end of this section is a list of the differences between FileBoss's implementation of REs and the common implementations in the Unix utilities awk, ed, grep, lex and regex.

Simple Regular Expressions

The simplest form of a RE is a single character or an escaped character (a character preceded by a backslash such as \.) which matches one character. There are three types of simple REs:

Ordinary Characters
A one-character RE that matches itself. The range of characters is 0-256.

Period (.)
A period is a one-character RE that matches any character.

Backslash (\)
A backslash followed by a special character is an RE that makes the special character into an ordinary character. Thus the RE \. (a backslash followed by a period) will match a period not a backslash and any character.

Ref: HIDD_FORMAT_MATCH_TEST


UNIX Style Text Searching

Regular Expression Searches

The Advanced search mode allow search patterns to have special escape sequences that tell FileBoss to search for specific patterns. For instance \9 will match any digit, 0-9; \9\9\9 will match three digits.

A Unix search pattern is made up of one or more regular expressions (RE). An RE is a string that specifies a character or group of characters that should be matched. For instance, in the following search pattern,

[A-Za-z]* 1994

there are six elements that make up the above search string, they are:

[A-Za-z]*

a space

the four digits 1, 9, 9 and 4.

These, along with all the other forms of REs recognized by FileBoss are detailed below.

For users who are already familiar with the use of REs in Unix, at the end of this section is a list of the differences between FileBoss's implementation of REs and the common implementations in the Unix utilities awk, ed, grep, lex and regex.

Simple Regular Expressions

The simplest form of a RE is a single character or an escaped character (a character preceded by a backslash such as \.) which matches one character. There are three types of simple REs:

Ordinary Characters
A one-character RE that matches itself. The range of characters is 0-256.

Period (.)
A period is a one-character RE that matches any character.

Backslash (\)
A backslash followed by a special character is an RE that makes the special character into an ordinary character. Thus the RE \. (a backslash followed by a period) will match a period not a backslash and any character.

Ref: HIDINT_UNIXSEARCES


File Version Information

View File Version Information

File Version Info

Displays header information about executable files, e.g. EXE, DLL, OCX and other executable files. As you move from one file to another in the Contents view this floating dialog will be updated to show the appropriate information for the highlighted file.

Ref: HIDD_PROP_PAGE_FILE_VERSION


File Set Properties

View Virtual Folder Properties

Virtual Folder Info

This floating information window displays information about the current Virtual Folder or Contents of an Explore View. The information is updated as the status of the Virtual Folder or Explore view changes.

Ref: HIDD_PROP_PAGE_COLLECTION_PP


Selected Entries

View Selected Properties

Information about Currently Selected Files

This floating information window displays information about the currently selected entries. The information is updated as files are selected or deselected.

Ref: HIDD_PROP_PAGE_SELECTED


Folder Statistics

View Folder Statistics

Folder Statististics

Displays summary information for the files In this folder only. It does not include files and folders contained in sub-folders. (Information about all the folder in and below the current folder can be seen by selecting the Folder - Below tab. (The Folder - Below tab is only relevant for Virtual Folders, it has no meaning for Explore views.)

Special note for Virtual Folders: The information is based on the files in the Virtual Folder. It will not reflect the size of the folder and its contents on disk if files or folders where excluded when the Virtual Folder was created or changes have been made since the Virtual Folder was last updated.

Ref: HIDD_PROP_PAGE_


Folder And Below Statistics

View Folder And Below Statistics

Displays summary information for the files In this folder and all folders below it.

Note that the information is based on the files in the Virtual Folder. It will not reflect the size of the folder and its contents on disk if files or folders where excluded when the Virtual Folder was created or changes have been made since the Virtual Folder was last updated.

Ref: HIDD_PROP_PAGE_DIR_BELOW


Cleaning Folders

Cleaning Folders

Cleaning folders deletes specified files (or all the files) from a folder and, optionally, all of its sub-folders, such a backup or intermediary files.

Deleting Problem Folders

This routine can also be used to clean out files and folders that contain undeletable files as it will not stop when it encounters a problem deleting a file but rather log the program in the Error history window and continue.

Deleting Empty Folders

To delete All folders that are already empty (without removing any files first) just turn on the Delete empty sub-folders option and enter a file pattern that doesn't exist, e.g. ASDFS792W340SDF02342L.

Delete vs Recycle

Always use the Delete option rather than Recycle when cleaning more than just a few files. The Recycle Bin was not designed, and does not handle well, the removal of a large number of files. In some instances the Recycle Bin will crash Windows if too many files are added too quickly. At the very least it will slow Windows down sometimes making it appear that Windows has locked up.

Cleaning Folders

Ref: HIDD_COPY_FILES_FLATTEN_FOLDERS


About FileBoss

The About Box Screens

Which tabs are displayed depends on the version and registration status of FileBoss.

General

Displays the version number and copyright notice. Version will be necessary when contacting FileBoss support.

Contact

Provides on click access for sending email to The Utility Factory.

If for some reason these links do not work with your email program or browser the links are:

Home Page | www.TheUtilityFactory.com
Support Pages | www.theutilityfactory.com/support/support.htm
Sales Email | sales@theutilityfactory.com
Support Email | support@theutilityfactory.com

Status

Displays the location of FileBoss and its main files on your computer.

You can copy any of the paths to the clipboard by highlighting them with mouse (they will scroll to the left if the paths are too long for the width of the dialog).

Expiration Notice

The Trial Period dialog will be displayed when a trial version of FileBoss has expired or is about to expire.

License Information

Display's specific licence information, typically this will just be the person or entity to whom the program is licensed.

Ref: HIDD_ABOUT_FILEBOSS


Expired Version Notice

The Expired Version Notice

Trial Expiration Notice

This screen appears when the free trial period has expired and FileBoss is started. If you have purchased a license for FileBoss press the Enter Registration Name & License Key button to enter that information now and unlock the full potential of FileBoss.

If you have not purchased a registration key you will not be able to use FileBoss until you do.

Clicking the BUY Now button will open your browser and connect you to the The Utility Factory's store on the Internet where you can purchase a license for FileBoss and recieve your key by email, usually within minutes.

If for some reason FileBoss cannot connect to The Utility Factory's website you can start your browser and point it to:

www.theutilityfactory.com/buy/buy_now.htm

Ref: HIDD_ABOUT_PAGE_EXPIRED


Trial Version Notice

The Trial Version Notice

Trial Version Notice

This scree appears when FileBoss is first started and the program is still in its free trial mode period. If you have purchased a license for FileBoss press the Enter Registration Name & License Key button to enter that information now and unlock the full potential of FileBoss.

You can return to this screen at any time (while still in the trial mode period) using the Help > About FileBoss command from the main menu.

Clicking the BUY Now button will open your browser and connect you to the The Utility Factory's store on the Internet where you can purchase a license for FileBoss and receive your key by email, usually within minutes.

If for some reason FileBoss cannot connect to The Utility Factory's website you can start your browser and point it to:

www.theutilityfactory.com/buy/buy_now.htm

Ref: HIDD_ABOUT_PAGE_TRIAL


Entering Your Registration Information

Entering Your Registration Name & Key

How to Display the Registration Screen

You can bring up this dialog from the Trial Reminder screen, the Expiration Notification (displayed when the trial period has expired) or by using the Help > Enter Registration Key command from the main menu.

Entering Registration Information

If you have an email with the registration name and key, simply copy the whole email to the clipboard and then press the Paste from Clipboard button. Alternately you can type in or paste the name and key code into their respective fields individually.

If you copy the email or to the clipboard before calling this dialog FileBoss will attempt to register itself immediately.

Buying FileBoss at The Utility Factory's Website

Clicking the BUY Now button will open your browser and connect you to the The Utility Factory's store on the Internet where you can purchase a license for FileBoss and receive your key by email, usually within minutes.

If for some reason FileBoss cannot connect to The Utility Factory's website you can start your browser and point it to:
ww.theutilityfactory.com/buy/buy_now.htm

Pasting Registration Information from the Clipboard

Typically you will receive an email with the name and key code that must be entered to activate you license for FileBoss.

If you have such an email either copy the whole email to the clipboard (most commonly by pressing Ctrl-A and then Ctrl-C) or use the to select the part of the email that contains the name and key as shown below:

==================================

::FileBoss Version [4.0]

::Registered Name [Alickety University]

::Key [890016-MBMQNX-7NHP2G-97N5JJ-3ITRWR-

0BC52R-9UEF2D-ED687X-MZGUYP-KHGBQW]

==================================

Once it has been selected press Ctrl-C to copy it to the clipboard.

After the information has been copied to the clipboard return to this dialog and press the Paste from Clipboard button. FileBoss will examine the clipboard and paste the name and key code into the appropriate fields.

Entering the Registration Key

Enter the registration key that was sent to you when you purchased FileBoss

The registration key code can be found in the confirmation emails that were sent to you. Typically the registration key code will appear as it does in the highlighted section below. (Do not include the brackets '[]' when entering the name.)

Usually the key code is 60 characters long separated into ten groups of six.

==================================

::FileBoss Version [4.0]

::Registered Name [Alickety University]

::Key [890016-MBMQNX-7NHP2G-97N5JJ-3ITRWR-

0BC52R-9UEF2D-ED687X-MZGUYP-KHGBQW]

==================================

Entering the Registered Name

Enter the name under which this copy of FileBoss has been registered.

The registered name is the name you gave when you purchased FileBoss and can be found in the confirmation emails that were sent to you. Typically the registered name will appear as it does in the highlighted section below. (Do not include the brackets '[]' when entering the name.)

==================================

::FileBoss Version [4.0]

::Registered Name [Alickety University]

::Key [890016-MBMQNX-7NHP2G-97N5JJ-3ITRWR-

0BC52R-9UEF2D-ED687X-MZGUYP-KHGBQW]

==================================

Ref: HIDD_ENTER_REGISTRATION_INFO


Favorites Editor

Edit List of Favorites

Using the Bookmark Editor to Edit, Add, Delete and Sort Bookmarks

Bookmark Editor

Quick Delete

In addition to using this dialog you can quickly delete a bookmark by holding down the Ctrl key while selecting it from any bookmark menu in the main program.

Separating the display name and path portions of a bookmark

The entry can be in two parts separated by the open chevron character, '>'. The first part is the name of the bookmark and is the part that is displayed in folder's pane and in the drop down list from the Explorer button. The second part is the actual path to the folder that should be displayed.

Example:
Jane's Pictures > C:\My Documents\My Picutres\Jane

Would display Jane's Pictures in the list of bookmarks and, when clicked, go to the folder: C:\My Documents\My Pictures\Jane

Resetting bookmarks to the default entries.

To refresh the default list of bookmarks delete all bookmarks and click OK. The dialog will close and the list of bookmarks will be filled with default bookmarks.

Adding and Editing Bookmarks

Highlight an item and press Edit or just press Add to edit/add new Bookmarks in a small window that will appear.

Editing a Bookmark

Ref: HIDH_EDIT_BOOKMARKS_DLG


Contents View Columns

Columns in the Contents Window

Configuring the Columns in the Contents Window

Columns in the contents window can be moved around, re-sized and added or deleted whenever you want.

FileBoss will remember the column settings individually for each type of View, Explore, Virtual Folder and Compare. So if you change the column settings in an Explore window those setting will be used for all new Explore Views but the changes will not affect Virtual Folder or Compare Views.

The Column Header Bar

To Change the order of the Columns

Click and hold the left mouse button over the title of the column you want to move (on the header bar shown above) and then drag the column to its new position.

To Change the Width of a Column

Move the cursor over the separator on the column bar and to the right of the column you want to resize and then click and drag the column to its new width.

To Add and Delete Columns

Right-click anywhere on the header bar to display the list of available columns shown below. Simply check and uncheck the columns you want to change. As you change each columns status the change will be reflected immediately on screen.

Ref: HIDD_RPT_VIEW_COLS


Delete, Recycle or Destroy Files

Recycle / Delete / Destroy Files

Confirm Recycle, Delete or Destroy One or More Files

When the Confirm option is selected FileBoss will stop and ask you to confirm a file should be deleted (or recycled) if it has special attributes, such as hidden, system, read-only, is executable etc.

You can change what type of files FileBoss will stop at using the Options > Program Options... command from the main menu (or clicking its command button ) and then selecting the Warnings panel.

Which icon is displayed depends on the operation.

Recycle, [image] Delete, [image] Destroy

Ref: HIDD_DEL_RECYCLE


Exit Options

What it does

This Exit Options dialog allows you to exit FileBoss without saving any options or setting or any other values to the registry. You can even use it to remove all entries in the Windows Registry controlled by the program.

These options are available if:

· The Ctrl key were held down when you selected the Exit item from the File menu or you clicked on the close button on the title bar
· The program was started while holding down the Ctrl key. (Doing so prevents FileBoss from loading any of its options and settings effectively making it act like this was the first time it was used.

Exit Options Dialog

Normally
All options will be saved to disk and the registry just as they would when exiting FileBoss normally

Without Saving Options
Will exit FileBoss but will not save any options to its data file nor change any registry settings.

Remove Registry Entries
Exits FileBoss just as the above option, but in addition removes the following keys from the Windows Registry:
HKEY_CURRENT_USER\Software\The Utility Factory\FileBoss and all its sub-entries

And its five file associations:

HKEY_CLASSES_ROOT\.fbexplore

HKEY_CLASSES_ROOT\.fbfileset

HKEY_CLASSES_ROOT\.fbopts

HKEY_CLASSES_ROOT\.fbwins

HKEY_CLASSES_ROOT\.fbdzones

This option is convenient if you are just using FileBoss for a short time on one computer and want to clean up after you exit. If you performed a full install of FileBoss you should use the uninstall routine to clean up FileBoss if you are removing the program from your computer.

Ref: HIDD_EXIT_OPTIONS


Image Viewer

FileBoss's Internal Image Viewer

Really handy when renaming, sorting and pruning photos
FileBoss's viewer allows you to see the current image (as a thumbnail, full sized or zoomed) without interfering with your work. You can rename, copy, delete or perform any other file operation making these operations - and most importantly the decisions behind them - much easier.

Floats on top of other windows
The image view floats on top of all other FileBoss windows. Put it anywhere you want and get on with your work.
And you can close and open the viewer simply by clicking its command button, pressing

Can rotate images and automatically save them
If you want you can quickly rotate images using the Arrow keys on the key pad while holding down the Alt key. And if you are doing many you can tell FileBoss to automatically save the changes when you move to a new picture so that you aren't constantly interrupted to confirm that the file should be saved. Naturally you can turn this option on and off.

Thumbnail, full sized or zoomed views with just two clicks
The Image view has two states: thumbnail and regular window. The thumbnail state shows the graphic sized to completely fit within the viewer. When the viewer is a regular window the graphic will be displayed normal size or zoomed to a size of your choice (see the graphic links below).
To change between the two views simply double-click the Image viewer window.

Persistent, of course
When you close the Image viewer (or FileBoss itself) FileBoss will remember how the image view was last displayed and use those settings when it is used again.

Supported Image Types
The image view supports the following types of image files (though there may be variations of some types that are not supported):
BMP, GIF, ICO, J2K, JAS, JBG, JPG, MNG, PCX, PNG, TGA, TIF, WBMP, and WMF.

Ref: HIDD_IMAGE_VIEWER


Special Folders

Information about Special Windows Folders

Windows has a number of special folders such as My Documents and My Programs that are located in different location on you system depending on the version of Windows, the way you computer is set up - both for hardware and software - and who is currently logged on to the system.

FileBoss can give you agreat deal of information about these special folders on your system.

From the main menu select Tools > Special Folders... to bring up the following dialog.

Special Folders List
( 'Tools > Special Folders...')

Below are explanations of all the possible folders through Windows 2003.

Admin Tools

File system directory used to store administrative tools for an individual user. The Microsoft Management Console (MMC) saves customized consoles to this directory, and it roams with the user.

Example: C:\Documents and Settings\John\Start Menu\Programs\Administrative Tools\

Programmer's symbol: CSIDL_ADMINTOOLS

Admin Tools, Common

Folder that contains administrative tools for all users.

Example: C:\Documents and Settings\All Users\Start Menu\Programs\Administrative Tools

Programmer's symbol: CSIDL_COMMON_ADMINTOOLS

App Data

Default folder for storing application-specific data files.

Example: C:\Documents and Settings\John\Application Data

Programmer's symbol: CSIDL_APPDATA

App Data, Common

Application data for all users.

Example: C:\Documents and Settings\All Users\Application Data

Programmer's symbol: CSIDL_COMMON_APPDATA

App Data, Local

Default folder for storing local (nonroaming) applications.

Example: C:\Documents and Settings\John\Local Settings\Application Data

Programmer's symbol: CSIDL_LOCAL_APPDATA

CD Burn Area

File system folder used to hold data for burning to a CD.

Example: C:\Documents and Settings\John\Local Settings\Application Data\Microsoft\CD Burning\

Programmer's symbol: CSIDL_CDBURN_AREA

Cookies

Default folder for storing Internet cookies.

Example: C:\Documents and Settings\John\Cookies

Programmer's symbol: CSIDL_COOKIES

Desktop

Windows desktop: All of the items you see on the screen that represent real files and folders. See also Desktop, Common and Desktop Directoy.

Example: C:\Documents and Settings\John\Desktop

Programmer's symbol: CSIDL_DESKTOP

Desktop Dir

Folder that physically stores file objects on the desktop (this may or may not be the same folder as the Desktop folder itself). See also Desktop, Common and Desktop.

Example: C:\Documents and Settings\John\Desktop

Programmer's symbol: CSIDL_DESKTOPDIRECTORY

Desktop Dir, Common

Folder that contains files and folders that appear on the desktop for all users. See also Desktop and Desktop Directoy.

Example: C:\Documents and Settings\All Users\Desktop\

Programmer's symbol: CSIDL_COMMON_DESKTOPDIRECTORY

Documents, Common

Folder containing documents that are common to all users.

Example: C:\Documents and Settings\All Users\Documents

Programmer's symbol: CSIDL_COMMON_DOCUMENTS

Favorites

Default folder for storing a user's favorite items.

Example: C:\Documents and Settings\John\Favorites

Programmer's symbol: CSIDL_FAVORITES

Favorites, Common

Default folder for storing all user's favorite items.

Example: C:\Documents and Settings\All Users\Favorites

Programmer's symbol: CSIDL_COMMON_FAVORITES

Fonts

Folder that contains the font definition files.

Example: C:\Windows\Fonts

Programmer's symbol: CSIDL_ FONTS

History

Default folder for storing Internet history items.

Example: C:\Documents and Settings\John\Local Settings\History

Programmer's symbol: CSIDL_HISTORY

Internet Temp Files

Default folder for storing temporary Internet files.

Example: C:\Documents and Settings\John\Local Settings\Temporary Internet Files

Programmer's symbol: CSIDL_INTERNET_CACHE

My Documents

Default folder for storing documents. Note that this is usually different from the virtual My Documents folder in the name space (normally on the desktop).

Example: C:\Documents and Settings\John\My Documents

Programmer's symbol: CSIDL_PERSONAL

My Music

Folder that serves as a common place to store music files.

Example: C:\Documents and Settings\John\My Music

Programmer's symbol: CSIDL_ MYMUSIC

My Music, Common

My Music folder for all users. For more information, see CSIDL_MYMUSIC.

Example: C:\Documents and Settings\All Users\Documents\My Music

Programmer's symbol: CSIDL_COMMON_MUSIC

My Pictures

My Pictures folder for current user. Typically located below the user's My Documents folder

Example: C:\Documents and Settings\John\My Documents\My Pictures

Programmer's symbol: CSIDL_MYPICTURES

My Pictures, Common

My Pictures folder for all users. For more information, see CSIDL_MYPICTURES.

Example: C:\Documents and Settings\All Users\Documents\My Pictures

Programmer's symbol: CSIDL_COMMON_PICTURES

My Video

Folder that serves as a common place to store video files.

Example: C:\Documents and Settings\John\My Video

Programmer's symbol: CSIDL_ MYVIDEO

My Video, Common

My Video folder for all users. For more information, see CSIDL_MYVIDEO.

Example: C:\Documents and Settings\All Users\Documents\My Video

Programmer's symbol: CSIDL_COMMON_VIDEO

NetHood

Contains the physical link objects that can exist in the My Network Places virtual folder.

Example: C:\Documents and Settings\John\NetHood

Programmer's symbol: CSIDL_ NETHOOD

OEM Links, Common

Folder containing links to OEM specific applications for all users.

Example: C:\

Programmer's symbol: CSIDL_COMMON_OEM_LINKS

PrintHood

Folder containing link objects that can exist in the Printers virtual folder.

Example: C:\Documents and Settings\John\PrintHood

Programmer's symbol: CSIDL_PRINTHOOD

Profile

See User Profile.

Program Files

Program Files folder.

Example: C:\Program Files

Programmer's symbol: CSIDL_PROGRAM_FILES

Program Files, Common

A folder for components that are shared across applications.

Example: C:\Program Files\Common Files

Programmer's symbol: CSIDL_PROGRAM_FILES_COMMON

Program Groups

Folder containing the user's program groups (folders). These are the entries that appear in the Programs section of the Start Menu.

Example: C:\Documents and Settings\John\Start Menu\Programs

Programmer's symbol: CSIDL_ PROGRAMS

Program Groups, Common

Folder that contains the directories for the common program groups that appear in the Start Menu for all users.

Example: C:\Documents and Settings\All Users\Start Menu\Programs

Programmer's symbol: CSIDL_COMMON_PROGRAMS

Recently Used Docs

Folder that contains the user's most recently used documents. The entries in this folder are short cuts to the actual documents.

Example: C:\Documents and Settings\John\My Recent Documents

Programmer's symbol: CSIDL_RECENT

Resources

System resource directory.

Example: C:\Windows\Resources

Programmer's symbol: CSIDL_RESOURCES

Resources, Localized

Localized resource directory. For more information, see CSIDL_RESOURCES.

Example: C:\

Programmer's symbol: CSIDL_RESOURCES_LOCALIZED

SendTo

Folder that contains Send To menu items. Normally theses are the folders, both real and virtual, that appear under the Send To item on the Edit and popup menus

Example: C:\Documents and Settings\John\SendTo

Programmer's symbol: CSIDL_SENDTO

StartMenu

Folder that contains Start Menu items.

Example: C:\Documents and Settings\John\Start Menu

Programmer's symbol: CSIDL_STARTMENU

StartMenu, Common

Folder that contains the programs and folders that appear on the Start Menu for all users.

Example: C:\Documents and Settings\All Users\Start Menu

Programmer's symbol: CSIDL_COMMON_STARTMENU

StartUp

Folder that corresponds to the user's Startup program group. The system starts these programs whenever a user logs onto Windows NT®, 2000, XP or starts Windows® 98.

Example: C:\Documents and Settings\John\Start Menu\Programs\Startup

Programmer's symbol: CSIDL_STARTUP

StartUp, Alternate

Folder that corresponds to the user's nonlocalized Startup program group.

Programmer's symbol: CSIDL_ALTSTARTUP

StartUp, Common

Folder that contains the programs that appear in the Startup folder for all users.

Example: C:\Documents and Settings\All Users\Start Menu\Programs\Start Up

Programmer's symbol: CSIDL_COMMON_STARTUP

StartUp, Common Alternate

Folder that corresponds to the nonlocalized Startup program group for all users. Programmer's symbol: CSIDL_COMMON_ALTSTARTUP

System

System folder. Contains operating system files and application extensions.

Example: C:\Windows\System32\

Programmer's symbol: CSIDL_SYSTEM

SystemX86

The x86 system directory on Reduced Instruction Set Computer (RISC) systems. (Also valid on some recent versions of Windows where it is commonly set to the same directory as System.

Example: C:\Windows\System32

Programmer's symbol: CSIDL_SYSTEMX86

Templates

Default folder for storing document templates.

Example: C:\Documents and Settings\John\Templates

Programmer's symbol: CSIDL_TEMPLATES

Templates, Common

Folder that contains the templates that are available to all users.

Example: C:\Documents and Settings\All Users\Templates

Programmer's symbol: CSIDL_COMMON_TEMPLATES

User Profile

User's profile folder.

Example: C:\Documents and Settings\John

Programmer's symbol: CSIDL_PROFILE

Windows

Windows directory or SYSROOT. This is the same as the %windir% or %SYSTEMROOT% environment variables.

Example: C:\Windows\

Programmer's symbol: CSIDL_WINDOWS

Ref: HIDD_SPECIAL_FOLDERS


Overwrite File

Confirm Overwriting Files

Overwrite File?

Why does this dialog appear?

When this dialog appears the target file to which you are copying or moving a file exists. Select how to handle the copy/move process for this file (or all remaining files with the same attributes).

FileBoss will remember the option you select so that it will be the default option the next time the dialog is displayed.

For more information about setting warnings and hints see Options - Warnings.

Ref: HIDD_WARNINGS


Add/Edit File Pattern Definition

Purpose

This dialog is displayed when creating groups of search patterns that can be quickly entered into the Create Virtual Folder Dialog (see).

Format

All strings must have two parts a title and the patterns. The parts are separated by a right angle bracket.

The title is the first part and is the text that will be displayed in the drop down menu.

The patterns part contains what FileBoss will enter into the Patterns field when a string is selected. Note that the patterns can be files to include in the search (e.g. *.txt) or patterns of file to exclude from a search (e.g. -*.dll | -*.obj) or a mixture of both.

Samples:

Executables (exe, com, bat)"*.exe|*.com|*.bat

Text Search Exclude"-*.exe|-*.dll|-*.zip|-*.obj|-*.bmp-*.jpg|-*.gif

Ref: IDH_EDIT_FILE_PATTERN


Add/Edit String

Purpose

This Add/Edit String dialog is displayed when editing a bookmark.

The string for a book mark can be just one part such as:

C:\My Documents\My Pictures\Grand Ma

in which case the whole string is both the target and the title (the title is what is displayed when a list of bookmarks is displayed).

Or the bookmark definition can be in two parts separated by a right angle bracket, '>' as in:

Pictures of Grand Ma > C:\My Documents\My Pictures\Grand Ma

in which case the first part is the title and the second part is the target.

Ref: HIDD_GET_EDIT_STRING


Advanced Sort

Purpose

Defines the advanced sort criteria and applies it to the current View.

How to Display

From the main menu select Sort > Advanced...

Using

Select up to ten different sort criteria. The entries in the view will be sorted first by criteria #1 then #2 and on down the list until the an empty (-- none --) is reached. Even if criteria are defined after and empty one they will not be processed.

To reverse how the sort any one criteria is processed check the box after the criteria.

Example

In the above example all entries with the hidden attribute set will be sorted to the top. Then entries with the hidden group will be sorted by extension first and then name. And finally all entries without the hidden attribute set will be sorted by extension and name.

Ref: HIDD_SORT_ADVANCED


Default File Search Patterns

The patterns which appear on the fly out can be deleted, added to, and edited by using the 'Configure Menu' option from the fly out. (See Configuring Default File Search Patterns

Ref: HID_SCANPOP_01


Edit Common Search Patterns

Editing Common Search Patters for the Create Virtual Folder Dialog

Purpose

Allows editing of the file-search patterns that appear on the fly out menu to the right of the Patterns: field in the Create Virtual Folder dialog as shown with the default entries below:

· Up to twenty patterns can be added to the menu
· To load FileBoss's default patterns, press the Delete All button and then OK to close the dialog. The default patterns will be loaded and will be available for editing the next time the dialog is opened.
· Patterns can have two parts: display and entry.
· The first part of the pattern is displayed on the fly out.
· The second part is loaded into the patterns field when that pattern is selected.
· The two parts are separated by the close chevron character, >.
· If the close chevron is not present in the string, the whole string will be displayed both on the fly out and entered into the field when selected.
· For example the string:
Word (*.doc; *.rtf)>*.doc | *.rtf
would display, Word (*.doc;*.rtf) on the fly out and enter *.doc | *.rtf in the patterns field when selected.

Sample Entries

You can highlight and then cut and past the following entries when adding new strings. Edited to you're own needs of course.

All
All (*.*)>*.*

Executables
Executables (exe, com, bat)>*.exe | *.com | *.bat

Backup
Backup (*.bak)>*.bak | *.bk! | *.bk1 | *.bk2 | *.bk3 | *.bk4 | *.bk5 | *.bk6 | *.bk7 | *.bk8 | *.bk9

Text
Text (*.txt)>*.txt

Word
Word (*.Doc;...)>*.doc | *.rtf | *.txt | *.dot

Graphics
Graphics (*.bmp;...)>*.bmp | *.gif | *.cgm | *.wpg | *.eps | *.jpg | *.jpeg | *.pic | *.psp | *.png | *.tif | *.tiff | *.mac | *.msp

HTML
HTML>*.htm | *.html | *.htx | *.asp | *.alx | *.stm | *.shtml | *.php | *.pl

Temp
Temp (*.tmp;~*.*)>*.tmp | ~*.*

System
System>*.dll | *.asp

C++
C++>*.c | *.cpp | *.cxx | *.tli | *.h | *.tlh | *.inl | *.rc

Delphi
Delphi (*.pas ...)>*.pas | *.inc | *.bpl | *.dpr | *.dcu | *.dfm | *.cfg | *.dof | *.res | *.dsk | *.drc

Delphi backup
Delphi backup (*.~pas ...)>*.~pas | *.~inc | *.~bpl | *.~dpr | *.~dcu | *.~dfm | *.~cfg | *.~dof | *.~res | *.~dsk | *.~drc

Text Search Exclude
Text Search Exclude>-*.exe | -*.dll | -*.zip | -*.obj | -*.bmp | -*.jpg | -*.gif

Clarion DB
Clarion DB>*.dat | *.k?? | *.mem | *.tps

Clarion Compiler
Clarion Compiler>*.app | *.dct.| *.clw | *.inc | *.equ | *.tpl | *.tpw | *.trn | *.red

Archives
Archives (*.zip...)>*.zip | *.rar |*.tar | *.gz | *.tgz | *.ace | *.jar | *.7z | *.ace | *.arc | *.arj | *.bh | *.cab | *.lha | *.lzh | *.tgz | *.uue | *.war | *.xxe | *.z | *.zoo

Visual Basic (NET)
VB (*.bas...)>*.bas | *.cls | *.vbp | *.frm | *.frx | *.vbw | *.res | *.ctl

Documents
Documents>*.doc | *.txt | *.htm | *.html | *.pdf | *.ps | *.chm | *.hlp | *.rtf

Ref: ID_SCANPOP_02


Find Duplicate Files

Using the Find Duplicate Files

Finding Duplicate Files in the Contents View

This tool will find duplicate files that are in the Contents View. For Explore Views all the files in one folder would be searched. For Virtual Folders all files in the Virtual Folder will be compared which can be in multiple folders or paths on the same drive or many drives.

After FileBoss has found duplicate files it will hide all other files and just leaving just the duplicate files displayed.

To refine the search and restrict it to the current files, select them first and then in the Find Duplicate Files dialog check the Restrict to Selected Files box.

To redisplay all files in the view use the View > Hide/Unhide > Show All from command from th main menu or simply press the F11 key.

Displaying the Find Duplicates Dialog

To find duplicates use the Tools > Find Duplicates... command from the main menu to display the Find Duplicates Dialog.

Selecting Comparison Attributes

Selecting the comparison attributes is straight forward. Note that the Names option will not be available when in an Explore View as it is meaningless in a folder where all file names must be different.

Restricting the types of files returned

You can enter optional file patters to explicitly tell FileBoss which files to include or even exclude from the search for duplicates. Separate multiple patterns with the bar character (|) and if a pattern should exclude matching files precede it with a dash (-).

For instance entering, *.jpeg | *.jpg | *.bmp | *.gif | -~* would compare all files with the extensions jpeg, jpg, bmp and gif the filename began with the tilde character (~).

Ref: HIDD_FIND_DUPLICATES


Select - Deselect Files

The full dialog is shown below. If you want to see this dialog press the Advanced button on the right side of the small dialog.

The Advanced view looks like the following.

This Dialog can be expanded for more control over what files and folders are selected or deselected.

Qualified Paths

If a pattern is fully or partially qualified such as:
C:\Windows\*
Or
My Documents\My Pictures\*.jpg

the full path of each file will be examined to determine whether or not a file should be marked. If the path is not qualified, only the filename and extension will be examined.

(Note a wildcard (*) at the beginning of My Documents\My Pictures\*.jpg is not required as it is always implicit at the beginning of partially qualified paths.

Multiple Patterns

Multiple filename patterns can entered. Separate multiple patterns the bar character '|'.

Enter one or more file patterns to mark or unmark as selected. You can include the standard wildcard characters '*' and '?'. For instance "*Boss*" would find "FileBoss.exe" and "I hate my boss.txt".

Attributes

Select the appropriate attributes. These are the same attributes used when Finding Files by Attributes

Modified and Accessed Dates

Dates are rounded to the beginning of the day for After dates and to the end of the day for 'Before' dates. This means that if you specify the same day for both values, FileBoss will search for all files modified during that day: from midnight to midnight.

Size

Minimum and maximum file sizes can be entered directly, or you can follow a number with either an 'M' or a 'K' (or even an 'm' or 'k') for megabytes or kilobytes. For an unlimited maximum size you can leave the field blank, enter –1 or enter Zillions.

Ref: HIDD_SELECT_DESELECT_FILES


Select a Folder

Selecting a Folder

What this dialog is used for

This Dialog is used to select a folder that will be used in another dialog. For instance it is used when selecting the target for anyone of the various copy operations.

How to use the Dialog

Select the folder you want and then click the OK button. If you do not want to select a new folder click the Cancel button.

You can resize this dialog by dragging any of its edges or corners (on some versions of Windows yo may need to drag by the lower, right-hand corner.

Ref: HIDD_FILE_SYSTEM_TREE


Selecting a Drop Zone Folder

Create Multiple Drop Zones

Check all the folders you want to create as Drop Zones.

After selecting the initial Drop Mode click the OK button to add the check folders to the Drop Zone list.

Ref: HIDD_DROPZONES_CREATE_MULTIPLE


Settings Action Warnings

Set Action Warnings

Select the warning for each type of file attribute. The stronger warning levels override the weaker levels, e.g. if one attribute has the Always warning level set and another has the Ask warning level set you will be asked if the operation should continue or not.

Ref: HIDD_WARNINGS_CURRENT_A


Specific DropZones Setup

Drop Zone Specific Setup

Options for Individual Drop Zones

Right-click over any Drop Zone and select Properties from the popup menu to display this dialog. Then select the particular Drop Zone to modify from the list on the left.

Ref: HIDD_DZ_DROPZONE


Edit List of Strings

Use

This dialog is called from a number of places allowing you to edit a particular list of stings such as the bookmarks in the Favorites list.

Ref: HIDD_STRING_STORE


What's New in Version 2.0

What's New in FileBoss v3

New in Version 3

For Complete Details

For a complete, up-to-date, detailed list of all that is new and is changed please see the What's New page on our website.

·

Ref: H_WHATS_NEW_THIS_VERSION


Date and Time Formats for Displaying File Times

File Date and Time Formats

These formats tell FileBoss how to display file times. Most notably these file times are seen in the Modified, Accessed and Created columns in the contents window of any view. The format for each of these columns can be set separately.

To set the formats use the Options > Program Options... command from the main menu (or click its command button) and select Date Formats from the list of option pages on the left side.

To see formats for entering dates and times into dialog controls click here.

Default Formats

If a format is blank the dialog controls will display dates and times in a format determined by how your version of Windows is setup.

Quick Examples

For Tuesday, 31 October 2003 at 1:15:30 in the afternoon

Dates

31-Oct-2003 dd-MMM-yyyy
10/31/2003 MM/dd/yyyy
31/10/03 dd/MM/yy
20031031 yyyyMMdd
2003 10 31 yyyy MM dd

Times

13:15:30 HH:mm:ss
01:15:30AM hh:mm:sstt
1:15:30 AM h:mm:ss tt

Complete List of Formats

d
The one- or two-digit day.

dd
The two-digit day. Single-digit day values are preceded by a zero.

ddd
The three-character weekday abbreviation.

dddd
The full weekday name.

h
The one- or two-digit hour in 12-hour format.

hh
The two-digit hour in 12-hour format. Single-digit values are preceded by a zero.

H
The one- or two-digit hour in 24-hour format.

HH
The two-digit hour in 24-hour format. Single-digit values are preceded by a zero.

m
The one- or two-digit minute.

mm
The two-digit minute. Single-digit values are preceded by a zero.

M
The one- or two-digit month number.

MM
The two-digit month number. Single-digit values are preceded by a zero.

MMM
The three-character month abbreviation.

MMMM
The full month name.

t
The one-letter AM/PM abbreviation (that is, AM is displayed as "A").

tt
The two-letter AM/PM abbreviation (that is, AM is displayed as "AM").

yy
The last two digits of the year (that is, 1996 would be displayed as "96").

yyyy
The full year (that is, 1996 would be displayed as "1996").

Ref: HIDH_FILE_DATE_FORMATSV


Date and Time Formats for Dialog Controls

Entering Dates & Times in Dialogs

These formats tell FileBoss how to display file times. Most notably these file times are seen in the Modified, Accessed and Created columns in the contents window of any view. The format for each of these columns can be set separately.

To set the formats use the Options > Program Options... command from the main menu (or click its command button) and select Date Formats from the list of option pages on the left side.

To see formats for displaying file times click here.

Quick Examples

For Tuesday, 19 March 2002 at 1:15:30 in the afternoon

(Note the the colon and slashes are not used as these cannot be part of a file name!)

02-03-19 %y-%m-%d
20020319 %Y%m%d
2002-03-19 %Y-%m-%d
19-Mar-2002 %d-%b-%Y
Tuesday, March 19, 2002 %A, %B %d, %Y
Tue, 19 Mar 2002 %a, %d %b %Y
Tuesday the 078 day of 2002 %A the %j day of %Y
2002-078 %Y-%j
01-15-30PM %I-%M-%S%p

Complete Specifications

Year

%y Year without century, as decimal number (00 – 99)
%Y Year with century, as decimal number

Month

%b Abbreviated month name
%B Full month name
%m Month as decimal number (01 – 12)

Week

%w Weekday as decimal number (0 – 6; Sunday is 0)
%W Week of year as decimal number, with Monday as first day of week (00 – 53)
%U Week of year as decimal number, with Sunday as first day of week (00 – 53)

Day

%a Abbreviated weekday name
%A Full weekday name
%d Day of month as decimal number (01 – 31)
%j Day of year as decimal number (001 – 366)

Hour

%H Hour in 24-hour format (00 – 23)
%I Hour in 12-hour format (01 – 12)
%p Current locale's A.M./P.M. indicator for 12-hour clock

Minutes

%M Minute as decimal number (00 – 59)

Seconds

%S Second as decimal number (00 – 59)

Miscellaneous

%c Date and time representation appropriate for locale
%x Date representation for current locale
%X Time representation for current locale
%z (or %Z) Time-zone name or abbreviation; no characters if time zone is unknown
%% Percent sign

Alphabetical list:

%a Abbreviated weekday name
%A Full weekday name
%b Abbreviated month name
%B Full month name
%c Date and time representation appropriate for locale
%d Day of month as decimal number (01 – 31)
%H Hour in 24-hour format (00 – 23)
%I Hour in 12-hour format (01 – 12)
%j Day of year as decimal number (001 – 366)
%m Month as decimal number (01 – 12)
%M Minute as decimal number (00 – 59)
%p Current locale's A.M./P.M. indicator for 12-hour clock
%S Second as decimal number (00 – 59)
%U Week of year as decimal number, with Sunday as first day of week (00 – 53)
%w Weekday as decimal number (0 – 6; Sunday is 0)
%W Week of year as decimal number, with Monday as first day of week (00 – 53)
%x Date representation for current locale
%X Time representation for current locale
%y Year without century, as decimal number (00 – 99)
%Y Year with century, as decimal number
%z, %Z Time-zone name or abbreviation; no characters if time zone is unknown
%% Percent sign

Format Code Meaning

%#a, %#A, %#b, %#B, %#p, %#X, %#z, %#Z, %#% # flag is ignored.

%#c Long date and time representation, appropriate for current locale. For example: "Tuesday, March 14, 1995, 12:41:29".

%#x Long date representation, appropriate to current locale. For example: "Tuesday, March 14, 1995".

%#d, %#H, %#I, %#j, %#m, %#M, %#S, %#U, %#w, %#W, %#y, %#Y Remove leading zeros (if any).

Ref: HIDH_FILE_DATE_FMTS_DIALOGS


Standard License Agreement

NOTICE TO USERS: CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT. USE OF THE SOFTWARE PROVIDED WITH THIS AGREEMENT (THE "SOFTWARE") CONSTITUTES YOUR ACCEPTANCE OF THESE TERMS. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL, USE, COPY, TRANSMIT OR DISTRIBUTE THIS SOFTWARE. USER'S USE OF THIS SOFTWARE IS CONDITIONED UPON COMPLIANCE BY USER WITH THE TERMS OF THIS AGREEMENT.

EVALUATION LICENSE. The Utility Factory grants you the right to install and use an unregistered copy of FileBoss on one computer for up to thirty days, after which you must either delete its files from your computer, or purchase the Licensed Version.

REGISTERED LICENSE. The Utility Factory grants you a license to use one copy of FileBoss (the SOFTWARE) on one hardware product for each license you purchase. (Except as described under the section HOME USE in this License.) "You" means the company, entity or individual whose funds are used to pay the license fee. "Use" means storing, loading, installing, executing or displaying the SOFTWARE. You may not modify the SOFTWARE or disable any licensing or control features of the SOFTWARE except as an intended part of the SOFTWARE's programming features. When you first obtain a copy of the SOFTWARE, you are granted an evaluation period of not more than 30 days, after which time you must pay for the SOFTWARE according to the terms and prices discussed in the SOFTWARE's documentation, or you must remove the SOFTWARE from your computer. This license is not transferable to any other entity, company, or individual.

OWNERSHIP. The SOFTWARE is owned and copyrighted by The Utility Factory. Your license confers no title or ownership in the SOFTWARE and should not be construed as a sale of any right in the SOFTWARE.

COPYRIGHT. The SOFTWARE is protected by United States copyright law and international treaty provisions. You acknowledge that no title to the intellectual property in the SOFTWARE is transferred to you. You further acknowledge that title and full ownership rights to the SOFTWARE will remain the exclusive property of The Utility Factory and you will not acquire any rights to the SOFTWARE except as expressly set forth in this license. You agree that any copies of the SOFTWARE will contain the same proprietary notices which appear on and in the SOFTWARE.

DISTRIBUTION. If you distribute the SOFTWARE it may not be altered in any way. Only the original, unaltered setup file may be distributed. The SOFTWARE may not be distributed for profit.

UNAUTHORIZED USE. You may not use, copy, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the SOFTWARE except as provided in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license.

You agree that the SOFTWARE will not be shipped, transferred or exported into any country or used in any manner prohibited by the United States Export Administration Act or any other export laws, restrictions or regulations.

U.S. GOVERNMENT INFORMATION. Use, duplication, or disclosure by the U.S. Government of the computer software and documentation in this package shall be subject to restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.277-7013 (Oct 1988) and FAR 52.227-19 (Jun 1987). The Contractor is The Utility Factory, 10202 40th Ave SE, Everett, WA 98208.

LIMITED WARRANTY. THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS. THE UTILITY FACTORY DOES NOT WARRANT THAT THE SOFTWARE IS ERROR FREE. THE UTILITY FACTORY DISCLAIMS ALL WARRANTIES RELATING TO THIS SOFTWARE, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. NEITHER THE UTILITY FACTORY NOR ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION, OR DELIVERY OF THIS SOFTWARE SHALL BE LIABLE FOR ANY INDIRECT, CONSEQUENTIAL, OR INCIDENTAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE SUCH SOFTWARE, EVEN IF [COMPANY] HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES OR CLAIMS. THE PERSON USING THE SOFTWARE BEARS ALL RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE.

SOME JURISDICTIONS DO NOT ALLOW LIMITATION OR EXCLUSION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS OR EXCLUSION MAY NOT APPLY TO YOU TO THE EXTENT THAT LIABILITY IS BY LAW INCAPABLE OF EXCLUSION OR RESTRICTION.

SEVERABILITY. In the event of invalidity of any provision of this license, the parties agree that such invalidity shall not affect the validity of the remaining portions of this license.

IN NO EVENT SHALL ANY THEORY OF LIABILITY EXCEED THE LICENSE FEE PAID TO THE UTILITY FACTORY.

NO LIABILITY FOR CONSEQUENTIAL DAMAGES. IN NO EVENT SHALL THE UTILITY FACTORY OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE OR USE OF THE SOFTWARE, EVEN IF THE UTILITY FACTORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL THE UTILITY FACTORY'S LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT OR ANY OTHER THEORY OF LIABILITY, EXCEED THE LICENSE FEE PAID BY YOU, IF ANY.

GOVERNING LAW. This agreement shall be governed by the laws of the State of Washington excluding the application of its conflicts of law rules and shall inure to the benefit of The Utility Factory and any successors, administrators, heirs and assigns. Any action or proceeding brought by either party against the other arising out of or related to this agreement shall be brought only in a STATE or FEDERAL COURT of competent jurisdiction located in the United States of America, Snohomish County, the State of Washington. The parties hereby consent to in personam jurisdiction of said courts. The United Nations Convention on Contracts for the International Sale of Goods is specifically disclaimed.

ENTIRE AGREEMENT. This is the entire agreement between you and The Utility Factor which supersedes any prior agreement or understanding, whether written or oral, relating to the subject matter of this license.

RESERVED RIGHTS. All rights not expressly granted here are reserved to The Utility Factory.

Copyright © 2004-2016 by The Utility Factory. All rights reserved.


command.com vs cmd.exe

Two Command Line Shells

Before Windows NT there was only one version of DOS and one command to access it, command.com. But Windows NT and all Windows operating systems since use cmd.exe as there native command line shell while still including command.com for backwards compatibility.

Better MS-DOS Compatibility

Normally, if you are using Windows NT, 2000, XP, 2003 or later you will want to use cmd.exe as you 'DOS' program. But if you are running some old 'MS-DOS' style command line programs or batch files and they do not work, try using command.com instead.

Ref: H_DOS_VERSIONS


What is Stored in the Registry

The few entries FileBoss puts into the Registry are under the key:

Software > The Utility Factory | FileBoss | <version number>

This key is normally found under the HKEY_CURRENT_USER key, but it is best to search on 'FileBoss's to find all entries.

The items stored are:

· The name of the active options files (default: FileBoss.fdb
· The list of recently opened files (the entries at the bottom of the File menu
· Whether the Tip-of-the-Day is turned on and which tip is next
· Several other minor settings depending on the version of FileBoss in use.

Most of FileBoss's options and settings are stored in an options file

xxxxx

Ref: What_is_stored_in_the_registry


FileBoss File Extensions

File Extensions used by FileBoss

.fbopts

The file that stores most of FileBoss' options, settings and dialog data. For portability reasons, most of the settings used by FileBoss are stored in disk files rather than the registry (exceptions being a pointer to the options file itself and the location and size of windows and toolbars).

Normally the default options file is FileBoss.fbopts located in the Data folder that was created when FileBoss was installed.

.fbfileset

Contains Virtual Folders that were saved to disk. These can be very small files as when the Virtual Folder was saved as a definition, or very large files when the actual entries in a Virtual Folder were saved.

.fbwins

Saves information about the windows (explore and Virtual Folders) that where open when FileBoss was last closed. This file will be read by FileBoss when it first starts to reload all the Explore and Virtual Folders that were open when it was last closed.

(Note that whether or not a default .fbwins file is processed and, if so, how it is processed can be controlled by settings in the Startup Options panel of the Options dialog (accessed by Options >Program Options... command from the main menu.

.fbwins files can also be saved and loaded while FileBoss is running. Use the File > Open Window List... and File > Save Window List..' commands from the main menu or double-clicking on an icon or shortcut.

.fbdzones

Stores information about the current state of Drop Zones. The default file is loaded by FileBoss when it first start to restore all the Drop Zones that were open when the program last closed.

.fbdzones files can also be saved and loaded while FileBoss is running. Use the 'Drop Zones | Save...' and 'Drop Zones > Load...' commands from the main menu.

Ref: FileBossExtensions


Meta-Folders & CSIDL Codes

Meta Folders allow you to enter abbreviations for system folders and bookmarks

Wherever a meta folder can be used in the place of a normal path you can enter, e.g. <My Documents>\FileBoss Data

1) The complete meta folder name, e.g. <Windows>, <My Documents>

2) The abbreviated meta folder name, e.g. <W>, <MD> or <w>, <md>

3) A Bookmark name, e.g. <predfinded bookmark>. See Using Bookmarks for more information.

4) The special meta-folder representing the current system working directory, e.g. <curdir>. The current working directory is normally the folder from which FileBoss was launched but may have changed since the program started. The <curdir> meta-folder is really only useful in command line arguments when FileBoss is started with parameters.

Admin Tools (abrev: at)

File system directory used to store administrative tools for an individual user. The Microsoft Management Console (MMC) saves customized consoles to this directory, and it roams with the user.

Example: C:\Documents and Settings\John\Start Menu\Programs\Administrative Tools\

Programmer's symbol: CSIDL_ADMINTOOLS

Admin Tools, Common

Folder that contains administrative tools for all users.

Example: C:\Documents and Settings\All Users\Start Menu\Programs\Administrative Tools

Programmer's symbol: CSIDL_COMMON_ADMINTOOLS

App Data (abrev: ad)

Default folder for storing application-specific data files.

Example: C:\Documents and Settings\John\Application Data

Programmer's symbol: CSIDL_APPDATA

App Data, Common

Application data for all users.

Example: C:\Documents and Settings\All Users\Application Data

Programmer's symbol: CSIDL_COMMON_APPDATA

App Data, Local

Default folder for storing local (nonroaming) applications.

Example: C:\Documents and Settings\John\Local Settings\Application Data

Programmer's symbol: CSIDL_LOCAL_APPDATA

CD Burn Area (abrev: cdba)

File system folder used to hold data for burning to a CD.

Example: C:\Documents and Settings\John\Local Settings\Application Data\Microsoft\CD Burning\

Programmer's symbol: CSIDL_CDBURN_AREA

Cookies (abrev: c)

Default folder for storing Internet cookies.

Example: C:\Documents and Settings\John\Cookies

Programmer's symbol: CSIDL_COOKIES

Desktop (abrev: d)

Windows desktop: All of the items you see on the screen that represent real files and folders. See also Desktop, Common and Desktop Directoy.

Example: C:\Documents and Settings\John\Desktop

Programmer's symbol: CSIDL_DESKTOP

Desktop Dir (abrev: dd)

Folder that physically stores file objects on the desktop (this may or may not be the same folder as the Desktop folder itself). See also Desktop, Common and Desktop.

Example: C:\Documents and Settings\John\Desktop

Programmer's symbol: CSIDL_DESKTOPDIRECTORY

Desktop Dir, Common

Folder that contains files and folders that appear on the desktop for all users. See also Desktop and Desktop Directoy.

Example: C:\Documents and Settings\All Users\Desktop\

Programmer's symbol: CSIDL_COMMON_DESKTOPDIRECTORY

Documents, Common

Folder containing documents that are common to all users.

Example: C:\Documents and Settings\All Users\Documents

Programmer's symbol: CSIDL_COMMON_DOCUMENTS

Favorites (abrev: f)

Default folder for storing a user's favorite items.

Example: C:\Documents and Settings\John\Favorites

Programmer's symbol: CSIDL_FAVORITES

Favorites, Common

Default folder for storing all user's favorite items.

Example: C:\Documents and Settings\All Users\Favorites

Programmer's symbol: CSIDL_COMMON_FAVORITES

Fonts

Folder that contains the font definition files.

Example: C:\Windows\Fonts

Programmer's symbol: CSIDL_FONTS

History (abrev: h)

Default folder for storing Internet history items.

Example: C:\Documents and Settings\John\Local Settings\History

Programmer's symbol: CSIDL_HISTORY

Internet Temp Files (abrev: itf)

Default folder for storing temporary Internet files.

Example: C:\Documents and Settings\John\Local Settings\Temporary Internet Files

Programmer's symbol: CSIDL_INTERNET_CACHE

My Documents (abrev: md)

Default folder for storing documents. Note that this is usually different from the virtual My Documents folder in the name space (normally on the desktop).

Example: C:\Documents and Settings\John\My Documents

Programmer's symbol: CSIDL_PERSONAL

My Music (abrev: mm)

Folder that serves as a common place to store music files.

Example: C:\Documents and Settings\John\My Music

Programmer's symbol: CSIDL_MYMUSIC

My Music, Common

My Music folder for all users. For more information, see CSIDL_MYMUSIC.

Example: C:\Documents and Settings\All Users\Documents\My Music

Programmer's symbol: CSIDL_COMMON_MUSIC

My Pictures (abrev: mp)

My Pictures folder for current user. Typically located below the user's My Documents folder

Example: C:\Documents and Settings\John\My Documents\My Pictures

Programmer's symbol: CSIDL_MYPICTURES

My Pictures, Common

My Pictures folder for all users. For more information, see CSIDL_MYPICTURES.

Example: C:\Documents and Settings\All Users\Documents\My Pictures

Programmer's symbol: CSIDL_COMMON_PICTURES

My Video (abrev: mv)

Folder that serves as a common place to store video files.

Example: C:\Documents and Settings\John\My Video

Programmer's symbol: CSIDL_MYVIDEO

My Video, Common

My Video folder for all users. For more information, see CSIDL_MYVIDEO.

Example: C:\Documents and Settings\All Users\Documents\My Video

Programmer's symbol: CSIDL_COMMON_VIDEO

NetHood

Contains the physical link objects that can exist in the My Network Places virtual folder.

Example: C:\Documents and Settings\John\NetHood

Programmer's symbol: CSIDL_NETHOOD

OEM Links, Common

Folder containing links to OEM specific applications for all users.

Example: C:\

Programmer's symbol: CSIDL_COMMON_OEM_LINKS

PrintHood

Folder containing link objects that can exist in the Printers virtual folder.

Example: C:\Documents and Settings\John\PrintHood

Programmer's symbol: CSIDL_PRINTHOOD

Profile

See User Profile.

Program Files (abrev: pf)

Program Files folder.

Example: C:\Program Files

Programmer's symbol: CSIDL_PROGRAM_FILES

Program Files, Common

A folder for components that are shared across applications.

Example: C:\Program Files\Common Files

Programmer's symbol: CSIDL_PROGRAM_FILES_COMMON

Program Groups (abrev: pg)

Folder containing the user's program groups (folders). These are the entries that appear in the Programs section of the Start Menu.

Example: C:\Documents and Settings\John\Start Menu\Programs

Programmer's symbol: CSIDL_PROGRAMS

Program Groups, Common

Folder that contains the directories for the common program groups that appear in the Start Menu for all users.

Example: C:\Documents and Settings\All Users\Start Menu\Programs

Programmer's symbol: CSIDL_COMMON_PROGRAMS

Recently Used Docs (abrev: r)

Folder that contains the user's most recently used documents. The entries in this folder are short cuts to the actual documents.

Example: C:\Documents and Settings\John\My Recent Documents

Programmer's symbol: CSIDL_RECENT

Resources

System resource directory.

Example: C:\Windows\Resources

Programmer's symbol: CSIDL_RESOURCES

Resources, Localized

Localized resource directory. For more information, see CSIDL_RESOURCES.

Example: C:\

Programmer's symbol: CSIDL_RESOURCES_LOCALIZED

SendTo (abrev: st)

Folder that contains Send To menu items. Normally theses are the folders, both real and virtual, that appear under the Send To item on the Edit and popup menus

Example: C:\Documents and Settings\John\SendTo

Programmer's symbol: CSIDL_SENDTO

StartMenu (abrev: sm)

Folder that contains Start Menu items.

Example: C:\Documents and Settings\John\Start Menu

Programmer's symbol: CSIDL_STARTMENU

StartMenu, Common

Folder that contains the programs and folders that appear on the Start Menu for all users.

Example: C:\Documents and Settings\All Users\Start Menu

Programmer's symbol: CSIDL_COMMON_STARTMENU

StartUp (abrev: su)

Folder that corresponds to the user's Startup program group. The system starts these programs whenever a user logs onto Windows NT®, 2000, XP or starts Windows® 98.

Example: C:\Documents and Settings\John\Start Menu\Programs\Startup

Programmer's symbol: CSIDL_STARTUP

StartUp, Alternate

Folder that corresponds to the user's nonlocalized Startup program group.

Programmer's symbol: CSIDL_ALTSTARTUP

StartUp, Common

Folder that contains the programs that appear in the Startup folder for all users.

Example: C:\Documents and Settings\All Users\Start Menu\Programs\Start Up

Programmer's symbol: CSIDL_COMMON_STARTUP

StartUp, Common Alternate

Folder that corresponds to the nonlocalized Startup program group for all users. Programmer's symbol: CSIDL_COMMON_ALTSTARTUP

System (abrev: s)

System folder. Contains operating system files and application extensions.

Example: C:\Windows\System32

Programmer's symbol: CSIDL_SYSTEM

SystemX86 (abrev: s86)

The x86 system directory on Reduced Instruction Set Computer (RISC) systems. (Also valid on some recent versions of Windows where it is commonly set to the same directory as System.

Example: C:\Windows\System32

Programmer's symbol: CSIDL_SYSTEMX86

Templates (abrev: t)

Default folder for storing document templates.

Example: C:\Documents and Settings\John\Templates

Programmer's symbol: CSIDL_TEMPLATES

Templates, Common

Folder that contains the templates that are available to all users.

Example: C:\Documents and Settings\All Users\Templates

Programmer's symbol: CSIDL_COMMON_TEMPLATES

User Profile (abrev: up)

User's profile folder.

Example: C:\Documents and Settings\John

Programmer's symbol: CSIDL_PROFILE

Windows (abrev: w)

Windows directory or SYSROOT. This is the same as the %windir% or %SYSTEMROOT% environment variables.

Example: C:\Windows

Programmer's symbol: CSIDL_WINDOWS

Ref: Meta_Folders_Defined


ApplyTo

Options - User Defined Tools

Apply To Options

Apply to File or Folders

Determines whether the selected tool will be available for folders or for files. For instance if a file is highlighted and the tool is for folders it will not be displayed on the popup (right-click) menu.

Apply to Focus Entry or All Selected

Determines whether the tool will be applied to just the one file that has the focus or to all selected entries.

Frequently two external tools will be created using the same program. One will be designated to apply to the current file and one to all selected so that you can easily choose which way you want the tool applied from the right-click context menu.


Argumnts

Options - User Defined Tools

Program Arguments

Enter any arguments that should be passed to the program when the tool is selected. Typically the arguments will be some form of the of the highlighted entry's name and/or command switch's that control how a specific program starts.

Available Meta Arguments are:

<PathAndFilename>
e.g. C:\Program Files\FileBoss\FileBoss.exe

<Filename>
e.g. FileBoss.exe

<Name>
e.g. FileBoss

<Ext>
e.g. exe (Note that there is no leading period before the extension. If you need the period be sure to include it explicitly.)

It is normally best to surround each of the arguments with double quotation marks. If in doubt check the documentation for the tool's program.


Add Button

Adding Bookmarks

Add Button

Prompts for a new string representing the path to the folder for the bookmark.

Simple Bookmarks

A simple bookmark is just a string that is the full path to the folder that is bookmarked.

Examples:

C:\

C:\Documents and Settings\Paul\My Documents

In the above examples, the path is also the name of the bookmark. (The name of a bookmark is the text that appears in the drop down lists of bookmarks in FileBoss.

Bookmark Names

You can also create bookmarks with separate names and paths. Simply separate the name from the path with the open angle bracket, '>'.

Examples:

My Documents > C:\Documents and Settings\Paul\My Documents

Programs > C:\Program Files

LAN Storage > \\Server\D\Storage


Delete All Button

Deleting all Bookmarks

Delete All Button

Deletes all the bookmarks in the list.

If the Bookmark Editor is cancelled no bookmarks will be deleted.

Optional Reset Button

If you want to reset all of the list of bookmarks to FileBoss' default list press the Reset button instead.

Automatic Reset

In any event if all bookmarks are deleted and the Bookmark Editor is closed, FileBoss will automatically create a default list of bookmarks the next time they are needed.

Normally the list will look something like the following:

C:\

D:\

G:\

H:\

My Documents>C:\Documents and Settings\JDoe\My Documents

My Music>C:\Documents and Settings\JDoe\My Documents\My Music

My Pictures>C:\Documents and Settings\JDoe\My Documents\My Pictures

My Video>C:\Documents and Settings\JDoe\My Documents\My Videos

Program Files>C:\Program Files

Windows>C:\WINDOWS

Favorites>C:\Documents and Settings\JDoe\Favorites


Delete Button

Delete a Bookmark

Delete Button

Deletes the currently highlighted bookmark.

If the Bookmark Editor is cancelled no bookmarks will be deleted.


Edit Button

Editing Bookmarks

Edit Button

Opens a simple dialog box where the current bookmark can be edited.

Simple Bookmarks

A simple bookmark is just a string that is the full path to the folder that is bookmarked.

Examples:

C:\

C:\Documents and Settings\Paul\My Documents

In the above examples, the path is also the name of the bookmark. (The name of a bookmark is the text that appears in the drop down lists of bookmarks in FileBoss.

Bookmark Names

You can also create bookmarks with separate names and paths. Simply separate the name from the path with the open angle bracket, '>'.

Examples:

My Documents > C:\Documents and Settings\Paul\My Documents

Programs > C:\Program Files

LAN Storage > \\Server\D\Storage


Move Up/Down Buttons

Changing the Order of Bookmarks

Move Up & Move Down Buttons

The Move Up & Move Down buttons move the selected bookmark up and down in the list.

The order in which the bookmarks appear in this list is the same order in which they will appear when displayed in the program.


Reset Button

Resetting Bookmarks to Defaults

Reset Button

Resets the list of bookmarks to the FileBoss' default list.

Which bookmarks FileBoss includes in its default list depends on the version of Windows you are running, the drives installed on your computer and which common Windows folders are available.

Normally the list will look something like the following:

C:\

D:\

G:\

H:\

My Documents>C:\Documents and Settings\JDoe\My Documents

My Music>C:\Documents and Settings\JDoe\My Documents\My Music

My Pictures>C:\Documents and Settings\JDoe\My Documents\My Pictures

My Video>C:\Documents and Settings\JDoe\My Documents\My Videos

Program Files>C:\Program Files

Windows>C:\WINDOWS

Favorites>C:\Documents and Settings\JDoe\Favorites


Browse for IncludePath

Browse Button

Browse Button

Opens a dialog where one - or more - paths can be selected.

The selected paths will be entered into the 'Paths' field to the right of this button replacing anything in that space.


ChangeFileAttributes

Changing Attributes / Touching Files and Folders

Changing File Attributes

Changes (or not) the attributes of the selected files.

Changing the System or Hidden Attributes can hurt your computer so be sure you know what you are doing before changing these.


ChangeFileTimes

Changing Attributes / Touching Files and Folders

Changing the Three File Times

To change a time (modified, accessed and/or created) check the appropriate box and then set the time.

The Now buttons are simply a convient way to enter the current time into the fields.


ChangeFileTimesCurrent

Changing Attributes / Touching Files and Folders

Using the Current Time Option When Touching Files

This option is available when Touching Files.

When the Always Use Current Time box is checked FileBoss will always the current time when it touches files and the appropriate type of file time is checked. (For Touching files Current Time refers to the time a file is actually touched not the time the setup dialog was changed or saved.

Not that when the Always Use Current Time box is checked the fields for entering times will always be grayed. This is because they are not used, the system time when the files are touched will be used.


Compare Folders Option

When checked the two paths specified in the Paths field will be compared and the results displayed in the special compare, merge and purge format. When this item is checked the must be two and only two paths specified to be search otherwise a error message will be displayed when the OK button is clicked.


Close & Exit

Exiting Compare Mode

Close & Exit

Closes this toolbox and exits Compare Mode. After exiting the compared files will form a regular Virtual Folder.

Returning to Comparing Files Later

If you want to return to comparing files later use the Tools > Compare Current Folders command from the main menu.


Global Options

Setting Global Options for Comparing Folders Directly

Global Options Button

Displays the Options panel for compare mode from the global options dialogs. After reviewing and/or setting global options that affect comparing files control will return to the compare mode.


Hide Groups

Hiding Groups of Files from being Displayed

Hiding Groups of Files

Use the buttons in the Hide section to hide groups of files depending on how they are marked, i.e. Same, Lonely-hearts, Newer / Older or even all Folders.

To redisplay all files (unhide) click on the Show All button at the bottom of the group.

Hiding groups of files, such as all folders and files that are the same can make it easier for you to review files that are newer, order or lonely.


Merge Folders

Displaying the Merge Dialog

Merge Folders Button

Displays the dialog where FileBoss can Merge to one folder or the other or both folders at the same time. In addition you can specify how folders will be merged.

After viewing the dialog you can always close it and return to this current, manual merge mode.


Select - Newer, Older, Lonely

Selecting Newer, Older or Lonely Entries

Selecting Newer, Older and Lonely Hearts entries

Selecting
Selects the files indicated by the button clicked.
The buttons on the left select the appropriate entries from the first folder/path with the buttons on the right selecting entries in the second folder/path.

Deselecting Groups
To deselect the entries associated with a button press and hold the Ctrl key while clicking on the button.

Clear All Selections
To deselect all entries click on the Clear All Selections button.

Viewing Selected Files
Press Ctrl+F3 to locate and display the first selected entry. Press Ctrl+F3 again to locate and display the next selected entry. (Note that pressing Ctrl+F3 to go to the next selected file works at any time, not only in Compare Mode.


Show Statistics

Showing Information about the Two Folders

Show Statistics Button

Opens or returns to the Properties dialog and displays the page with information about the two folders/paths being compared.


ConfirmChangeAtts

Changing Attributes / Touching Files and Folders

Confirm

This option is available when using the Changing Attributes command. When Yes you will be prompted before changing the attributes of each file. When No FileBoss will immediately process all the selected files.


ConfirmTouch

Changing Attributes / Touching Files and Folders

Confirming Each Touch Operation

This option is available when using the Touch command. When checked you will be prompted before touching all the selected files. When not checked FileBoss will immediately process all the selected files whenever you issue the Touch command.


contents_columns

Content Windows Options

Columns Displayed in the Contents Window

These options control when you will be asked to confirm a copy or move operation The confirmation message is displayed after the OK button has been pressed on the Copy/Move dialog.

The purpose is to alert you to certain conditions that you may not want such as copying whole bunches of files that are below any selected folders or the number of items to copy is greater than normal.

Always
The confirmation message will always be displayed

When Sub-items will be copied
The confirmation message will be displayed whenever folders are selected and files or folders underneath the selected folders my be copied

# of Top Level Items Exceeds
The confirmation message will be displayed when the number of items to be copied, i.e. the number of items selected, exceeds the indicated amount to the box to the right.

File Icons to Use

These options control when you will be asked to confirm a copy or move operation The confirmation message is displayed after the OK button has been pressed on the Copy/Move dialog.

The purpose is to alert you to certain conditions that you may not want such as copying whole bunches of files that are below any selected folders or the number of items to copy is greater than normal.

Always
The confirmation message will always be displayed

When Sub-items will be copied
The confirmation message will be displayed whenever folders are selected and files or folders underneath the selected folders my be copied

# of Top Level Items Exceeds
The confirmation message will be displayed when the number of items to be copied, i.e. the number of items selected, exceeds the indicated amount to the box to the right.

Folder Names in the Contents Window

These options control when you will be asked to confirm a copy or move operation The confirmation message is displayed after the OK button has been pressed on the Copy/Move dialog.

The purpose is to alert you to certain conditions that you may not want such as copying whole bunches of files that are below any selected folders or the number of items to copy is greater than normal.

Always
The confirmation message will always be displayed

When Sub-items will be copied
The confirmation message will be displayed whenever folders are selected and files or folders underneath the selected folders my be copied

# of Top Level Items Exceeds
The confirmation message will be displayed when the number of items to be copied, i.e. the number of items selected, exceeds the indicated amount to the box to the right.


CopyFolders

Copy Folders Only

Duplicating only the folders not their contents

When checked only the folders (and sub-folders) will be copied, duplicating the folder structure of the selected folders.

This option will be disabled if not folders have been selected. If both folders and files have been selected it will be applied to the selected folders and the selected files will be copied normally (in other words selecting this option will not prevent selected files from being duplicated).


Include Files

Files to Include

All
All files will be considered for inclusion regardless of their attributes. When this button is selected the attribute options below it will be grayed and will not be used.

Match Any
Any file that matches one or more of the checked attributes will be included in the new Virtual Folder (as long as any other criteria are met).

Match All
Any file that matches All of the checked attributes will be included in the new Virtual Folder (as long as any other criteria are met).


CTX_Options_Adv2_CommonRoot

Options - Advanced 2

Copying to a Common Root

Copying to a common root is an extremely advanced option that is useful in very special circumstances for when debugging copy problems.

Do not check this box without being told to do so by the good folks at FileBoss support.


CTX_Options_Adv2_CtxHelp

Options - Advanced 2

Activating Right-Click Context Help

These two boxes control if and when right-clicking on a dialog control or menu item will display context help.

To turn context help off check the first box.

Checking the second box will display context help if the Shift key is down when the menu item or control is right-clicked.

Normally there should be no reason to disable right-click help.


CTX_Options_Adv2_DefTextSearch

Options - Advanced 2

Never Allow Text Search as a Default

Checking this box prevents the Create Virtual Folder dialog from searching for text in files when first invoked no matter how it was set the last time FileBoss was used.

The default is checked so that the FileBoss will not search files for text without you expressly telling it to.


CTX_Options_Adv2_DropCopyEngine

Options - Advanced 2

Copy Engine for Dropped Files

Select the copy engine you want FileBoss to use when files and folders are dropped onto a folder in either the Navigation or Contents windows.

The Windows copy engine is the same one used by Windows Explorer.

FileBoss's internal copy engine will gracefully handle errors when copying files so that you will have the opportunity to correct problems or finish a copy operation even though some files could not be copied.

To configure the FileBoss copy engine to suit your needs press click the Setup FileBoss Copy button.

Note: This setting only affects how FileBoss copies files when they are dropped on FileBoss. If you drag files from FileBoss and drop them on another application that receiving application will handle the copy operation, i.e. FileBoss has no control over how those files will be copied.


CTX_Options_Adv2_DropTimeout

Options - Advanced 2

Drop Timeout on other Applications

This advanced setting determines how long FileBoss will wait for a receiving application (i.e. an application on which files have been dropped) to respond.

When a large number of files are dropped on some applications they will take a long time to process those files before returning control back to FileBoss.

This setting determines the number of seconds FileBoss will wait before it displays a message asking you what you would like to.


CTX_Options_Adv2_MaxViews

Options - Advanced 2

Maximum Explore Views Allowed

Determines how many Explore Views FileBoss will allow to be open at one time. When the maximum number of windows is open new operations will use a current Explore View rather than start another.


CTX_Options_Adv2_Scrolling

Options - Advanced 2

Activating Intelligent Scrolling

The Intelligent Scrolling option tells FileBoss how to determine which window, Navigation or Contents, when a scroll wheel is turned (such as on a mouse). When checked FileBoss will scroll the Navigation or Contents window depending which window the mouse is hovering over.

Then this option is cleared the window that was last active will be scrolled as is common in most applications.


 CTX_Options_Adv_Explore

Options - Advanced

Explore View Advanced Options

Provides access to advanced options for Explore Views

Allow Explorer Filter to Reactivate
When not checked (the default) FileBoss will not reactivate any file filters that were active when FileBoss last closed. The default value prevents the mistake of thinking that all entries in a folder are displayed when in fact they are not.

Automatically open new Explore View
When checked (the default) FileBoss will automatically open a new Explore View if all views have been closed. This conveniently prevents you staring at a blank workspace.

Fast Folder Navigation
When checked FileBoss will speed up all new Explore Views in Fast Folder Navigation mode. To change the mode for individual Explore Views use Explore > Fast Folder Navigation from the main menu or press Ctrl+K. Fast Folder Mode allows you to navigate down through huge folders containing thousands of files and folders with the frustrating delays normally associated Windows Explorer and other programs. More: Fast Folder Navigation.

Update Latency
Controls the lag between an Explore view detecting a change to the current folder and processing the change, i.e. will not process any updates until the latency period has expired since the last change was detected. Having an update latency prevents the system from going nuts when a swarm of files are added, deleted or changed by and outside program.
This value should not normally be changed unless you are told to do so by FileBoss support.


CTX_Options_Adv_FindDupFolders

Options - Advanced

Include Folders in Search for Duplicates

Find Duplicate Folders Too
Default is off preventing FileBoss from comparing folders when looking for duplicates as this does not make any sense. It should only be turned on if you are looking for folders with identical names.


CTX_Options_Adv_Hidden

Options - Advanced

Handling Hidden Entries in Saved Virtual Folders

Handling hidden entries when saving Virtual Folders
When saving a Virtual Folder to disk hidden entries can be saved as hidden. When reloaded you can have FileBoss keep hidden files hidden, unhide them or ask you what to do.


CTX_Options_Adv_OptsFile

Options - Advanced

Location of User Data and the Main Options File

User Data Folder
Specifies the default location FileBoss will use to store files you create with FileBoss such as when you save a Virtual Folder or Window List.
Typically the default User Data Folder is My Documents\FileBoss Data

Program Data Folder
Specifies the default location FileBoss will use to store files it automatically creates and saves such as the main options file and the window list file that is used to restore Explore Views and Virtual Folders when FileBoss re-starts. Note that the specific options file can be set to a different name or even a different folder using the next option.
Typically the default Program Data Folder is My Documents\FileBoss Data

Options File
Allows you to change the default options file (the file to which FileBoss will load and save its options and settings when it starts and ends.
Typically the default options file is My Documents\FileBoss Data\FileBoss.fbopts.


CTX_Options_Adv_Res

Options - Advanced

File Time Resolutions for Resolving Conflicts

File time comparison resolution
Determines the resolution FileBoss will use when comparing file times for various operations such as sorting and copying. Because of the differences in the ways different versions of Windows handle and record file times it is best to leave this at 1 second as a good compromise.


Drop Zones Tab

Selecting the Copy Engine

Choosing the Copy Engine

Select the copy engine you want FileBoss to use when files and folders are dropped on a Drop Zone.

The Windows copy engine is the same one used by Windows Explorer.

FileBoss's internal copy engine will gracefully handle errors when copying files so that you will have the opportunity to correct problems or finish a copy operation even though some files could not be copied.

To configure the FileBoss copy engine to suit your needs press click the Setup Fileboss Copy button.


CTX_Options_FTCDELAY_Batch

Options - FTC Timings

Batch-Based Pauses

Pause 99 seconds after every 9999 files When checked FileBoss will pause for the indicated seconds after every xxx files have been copied.


CTX_Options_FTCDELAY_Files

Options - FTC Timings

File-Based Timing and Pauses

No
FileBoss will copy every file as fast as it can.

Pause
FileBoss will pause the specified number of milliseconds after each file has been copied.

Minimum
FileBoss will monitor how long a file takes to copy a file and if that time is less than the specified milliseconds then it will pause for time difference. For instance if the specified minimum time is 10 milliseconds and the file only takes 2 milliseconds to copy FileBoss will then pause for 8 milliseconds after the file has been copied.


CTX_Options_FTCL1_Apply

Options - FTC Level 1

When to Apply Fault Tolerance

Apply Fault Tolerance To Determines which types of copying Fault Tolerant Copying will apply too in addition to the explicit FTC Copying routine. Normally it is best to only use Fault Tolerance in the explicit FTC Copying routine but sometimes it may be useful to use it in other copy routines as well.


CTX_Options_FTCL1_General

Options - FTC Level 1

General Fault Tolerance Level 1 Options

Beep on Error
Beeps the computers speaker whenever a copy error is encountered.

Flash Window on Error
Flash FileBoss's title bar whenever a copy error is encountered. Normally this just alternates the colors of the title bar to catch your attention.

Apply to Files Larger than
When checked (and the Megabytes field is greater than 0) FileBoss will only apply the fault tolerant routines to files larger than the size enter in the Megabytes field). The default is unchecked and normally this would only be checked in very special situations

Verify each file after copy
FileBoss can verify each file that is copied. The CRC method compares the CRC of the source file (tracked as it is being copied) to the CRC of the target file that is calculated by reading the target file after it has been completely copied. Full Compare compares the source and target files after each file has been completely copied. Note that verifying the files after being copied is seldom needed and doing so can more than double the time to copy files.


CTX_Options_FTCL1_ReadWrite

Options - FTC Level 1

Fault Tolerant Reading and Writing

Retry Reading/Writing Every 99 Seconds
Specifies how often FileBoss should retry to complete a copy after an error has been detected (such as a network failure).

Skip after 99 Minutes
Specifies how long FileBoss should retry a broken connection before giving up. Entering 0 means to never time out.

Allow Buffered Writing
By default FileBoss asks the operating system to turn off buffered writes to disk. In rare circumstances allowing buffered writing may speed up the copy process but it won't be by much. This option is included mainly for debugging purposes.

If a file can not opened Skip / Ask
Tells FileBoss what to do if a file can not be opened because it is in use or protected by the operating system. If a file is skipped an entry will be written to the Errors history window.


Focus Name

Copying Current Filename to Clipboard

These Settings Apply To Copying One Filename to the Clipboard

To copy the highlighted (current) filename to the clipboard:

F10
to copy full path and name

Ctrl+Shift+F10
to copy just the filename

Edit > Copy Filenames >
from the main menu for more options.

Before and After Fields

Whatever is entered in these fields will be put before and after the copied filename.

Typically these fields would consist of quotes (the defalut), open and close brackets.

Any thing you can type, FileBoss will insert.

Advanced: Three escape sequence sequences can be entered for special charactes: \r = carriage return (ASCII 13), \n = line feed (ASCII 10) and \t = tab (ASCII 9). Note: For compatilbility with other Windows programs, new lines should always be entered as \r\n. Only use\r or \n individually or in another order if you really know what you are doing.


Selected Names

Copying Selected Filenames to Clipboard

These Settings Apply To Copying All Selected Filenames to the Clipboard
To copy all selected filenames to the clipboard:

Shift+F10
to copy paths and names

Ctrl+Shift+F10
to copy just the filenames

Edit > Copy Filenames >
from the main menu for more options.

Formatting Multiple Filenames

Locations

There are four locations in the list of copied filenames where FileBoss can insert text:

Before First
Inserted before anything else is copied.

Before Each / After Each
Inserted immediately before and after each name

After Last
Appended at the very end of all the filenames

Characters

Typically these fields would consist of quotes, open and close brackets.

Any thing you can type, FileBoss will insert.

Advanced: Three escape sequence sequences can be entered for special charactes: \r = carriage return (ASCII 13), \n = line feed (ASCII 10) and \t = tab (ASCII 9). Note: For compatilbility with other Windows programs, new lines should always be entered as \r\n. Only use\r or \n individually or in another order if you really know what you are doing. (Entering \r\n is the same as checking the New Line box).

New Line

When checked will cause a new line to be generated. For example, when this box is checked for the After Each location every entry will appear on a new line. (This is the equivalent of entering \r\n (ASCII 13, ASCII 10) in the Characters field.)

Tab

When checked will cause a tab to be inserted. For example, when this box is checked for the After Each location every entry will be separated by a tab. (This is the equivalent of entering \t in the Characters field.)


 Dialogs

Date and Time Formats in Dialogs

Entering Dates & Times in Dialogs

These formats tell FileBoss how to display file times. Most notably these file times are seen in the Modified, Accessed and Created columns in the contents window of any view. The format for each of these columns can be set separately.

To set the formats use the Options > Program Options... command from the main menu (or click its command button) and select Date Formats from the list of option pages on the left side.

To see formats for displaying file times click here.

Quick Examples

For Tuesday, 19 March 2002 at 1:15:30 in the afternoon

(Note the the colon and slashes are not used as these cannot be part of a file name!)

02-03-19 %y-%m-%d
20020319 %Y%m%d
2002-03-19 %Y-%m-%d
19-Mar-2002 %d-%b-%Y
Tuesday, March 19, 2002 %A, %B %d, %Y
Tue, 19 Mar 2002 %a, %d %b %Y
Tuesday the 078 day of 2002 %A the %j day of %Y
2002-078 %Y-%j
01-15-30PM %I-%M-%S%p

Complete Specifications

Year

%y Year without century, as decimal number (00 – 99)
%Y Year with century, as decimal number

Month

%b Abbreviated month name
%B Full month name
%m Month as decimal number (01 – 12)

Week

%w Weekday as decimal number (0 – 6; Sunday is 0)
%W Week of year as decimal number, with Monday as first day of week (00 – 53)
%U Week of year as decimal number, with Sunday as first day of week (00 – 53)

Day

%a Abbreviated weekday name
%A Full weekday name
%d Day of month as decimal number (01 – 31)
%j Day of year as decimal number (001 – 366)

Hour

%H Hour in 24-hour format (00 – 23)
%I Hour in 12-hour format (01 – 12)
%p Current locale's A.M./P.M. indicator for 12-hour clock

Minutes

%M Minute as decimal number (00 – 59)

Seconds

%S Second as decimal number (00 – 59)

Miscellaneous

%c Date and time representation appropriate for locale
%x Date representation for current locale
%X Time representation for current locale
%z (or %Z) Time-zone name or abbreviation; no characters if time zone is unknown
%% Percent sign

Alphabetical list:

%a Abbreviated weekday name
%A Full weekday name
%b Abbreviated month name
%B Full month name
%c Date and time representation appropriate for locale
%d Day of month as decimal number (01 – 31)
%H Hour in 24-hour format (00 – 23)
%I Hour in 12-hour format (01 – 12)
%j Day of year as decimal number (001 – 366)
%m Month as decimal number (01 – 12)
%M Minute as decimal number (00 – 59)
%p Current locale's A.M./P.M. indicator for 12-hour clock
%S Second as decimal number (00 – 59)
%U Week of year as decimal number, with Sunday as first day of week (00 – 53)
%w Weekday as decimal number (0 – 6; Sunday is 0)
%W Week of year as decimal number, with Monday as first day of week (00 – 53)
%x Date representation for current locale
%X Time representation for current locale
%y Year without century, as decimal number (00 – 99)
%Y Year with century, as decimal number
%z, %Z Time-zone name or abbreviation; no characters if time zone is unknown
%% Percent sign

Format Code Meaning

%#a, %#A, %#b, %#B, %#p, %#X, %#z, %#Z, %#% # flag is ignored.

%#c Long date and time representation, appropriate for current locale. For example: "Tuesday, March 14, 1995, 12:41:29".

%#x Long date representation, appropriate to current locale. For example: "Tuesday, March 14, 1995".

%#d, %#H, %#I, %#j, %#m, %#M, %#S, %#U, %#w, %#W, %#y, %#Y Remove leading zeros (if any).

Ref: HIDH_FILE_DATE_FMTS_DIALOGS


 FileTimes

Date and Time Formats for Files

File Date and Time Formats

These formats tell FileBoss how to display file times. Most notably these file times are seen in the Modified, Accessed and Created columns in the contents window of any view. The format for each of these columns can be set separately.

To set the formats use the Options > Program Options... command from the main menu (or click its command button) and select Date Formats from the list of option pages on the left side.

To see formats for entering dates and times into dialog controls click here.

Default Formats

If a format is blank the dialog controls will display dates and times in a format determined by how your version of Windows is setup.

Quick Examples

For Tuesday, 31 October 2003 at 1:15:30 in the afternoon

Dates

31-Oct-2003 dd-MMM-yyyy
10/31/2003 MM/dd/yyyy
31/10/03 dd/MM/yy
20031031 yyyyMMdd
2003 10 31 yyyy MM dd

Times

13:15:30 HH:mm:ss
01:15:30AM hh:mm:sstt
1:15:30 AM h:mm:ss tt

Complete List of Formats

d
The one- or two-digit day.

dd
The two-digit day. Single-digit day values are preceded by a zero.

ddd
The three-character weekday abbreviation.

dddd
The full weekday name.

h
The one- or two-digit hour in 12-hour format.

hh
The two-digit hour in 12-hour format. Single-digit values are preceded by a zero.

H
The one- or two-digit hour in 24-hour format.

HH
The two-digit hour in 24-hour format. Single-digit values are preceded by a zero.

m
The one- or two-digit minute.

mm
The two-digit minute. Single-digit values are preceded by a zero.

M
The one- or two-digit month number.

MM
The two-digit month number. Single-digit values are preceded by a zero.

MMM
The three-character month abbreviation.

MMMM
The full month name.

t
The one-letter AM/PM abbreviation (that is, AM is displayed as "A").

tt
The two-letter AM/PM abbreviation (that is, AM is displayed as "AM").

yy
The last two digits of the year (that is, 1996 would be displayed as "96").

yyyy
The full year (that is, 1996 would be displayed as "1996").

Ref: HIDH_FILE_DATE_FORMATSV


DefaultDlg

Options - Copy Files

Copy File Dialog Default Setup

Setting Copy Defaults

Pressing this Copy Files Dialog button opens a dialog very similar to the Copy or Move Files Dialog and allows to set default options such as overwrite options, warnings, whether or not to change the file times or attributes of copied files and if the archive bit on source files should be removed.

Whatever options are set here will be used whenever the main Copy or Move dialog is in the Simple state, i.e. the Advanced area is not displayed.


DefaultOpts

Options - Copy Files

Copy File Options

Clear Read-Only bit when copying files from CDs/DVDs

Clears all read-only settings for files when they are copied from a CD or DVD. (Does not affect files copied from a HD or network drive.)

Files on most CDs and DVDs are set to Read-Only, even when the original files that were copied to the CDs were not. This can be a real pain when copying those files back to a HD as many programs will refuse to modify a read-only file (such as Word Processors and Graphics programs).

(Please note that clearing the read-only file attribute does not allow copy protected CDs or DVDs to be duplicated or copied. FileBoss does not break copy protection schemes.)

Don't Change Access times of files being copied

Prevents the access time of the file being copied from being changed.

Some copy and backup programs change this time and some do not. FileBoss gives you the option. By default the times are not changed even though FileBoss technically accesses the program. There is a good reason not to change the Access time by a copy program: the time is intended to be an indication of when programs that actually use the file access it, not when utility programs make copies of it or back it up.

So why do some other programs change it? Because contrary to what would seem normal it actually takes extra work and care by the copy or backup program not to change it.

Automatically skip files that cannot be copied

Will automatically skip all files that cannot be copied and continue with the rest of the files. When this box is not checked and FileBoss cannot copy a file it will stop and ask you what you would like to do, skip, try again (giving you a chance to correct the problem) or to cancel all the rest of the files.


DisplayFoldersWhere

Options - Explore View

Where to Display Folders in Contents View

These options control where folders will be displayed in the Contents Window: above files, below files or not at all.

Whenever the position is changed

Other Ways to Change Where Folders are Displayed

· Clicking the command button ( [image] ) that will change to indicate the current state ( [image] , [image] or [image] ).
· Clicking the down arrow next to the command button ( [image] ) and selecting one of the options from the popup menu.
· Selecting one of the options under the Explore > Display Folders At > main menu item.


Confirm Format - Show Ext Separately

Options - Renaming

Confirmation Dialog Format

Specifies the format for displaying the new filenames in the confirmation dialog.

Extension Display Option

When the 'With Name' option is selected the filename to be changed will be displayed in the following format:

New Filename with Extension

But when the 'Separately' option is chosen the name will be split into two parts: the name portion and the extension portion.

New Filename with Sperate Extension

Normally displaying the extension separate from the main name is the more convenient, especially if you will be manually altering the names. It allows to change the filename easily without accidentally changing the extension. (And extensions are critical for most Windows programs to recognize which files they can work with.


Buy Now

Buying FileBoss

Buying FileBoss at The Utility Factory's Website

Clicking the BUY Now button will open your browser and connect you to the The Utility Factory's store on the Internet where you can purchase a license for FileBoss and receive your key by email, usually within minutes.

If for some reason FileBoss cannot connect to The Utility Factory's website you can start your browser and point it to:
ww.theutilityfactory.com/buy/buy_now.htm


Code

Entering Registration Information by Hand or Cut & Paste

Entering the Registration Key

Enter the registration key that was sent to you when you purchased FileBoss

The registration key code can be found in the confirmation emails that were sent to you. Typically the registration key code will appear as it does in the highlighted section below. (Do not include the brackets '[]' when entering the name.)

Usually the key code is 60 characters long separated into ten groups of six.

==================================

::FileBoss Version [4.0]

::Registered Name [Alickety University]

::Key [890016-MBMQNX-7NHP2G-97N5JJ-3ITRWR-

0BC52R-9UEF2D-ED687X-MZGUYP-KHGBQW]

==================================


Name

Entering Registration Information by Hand or Cut & Paste

Entering the Registered Name

Enter the name under which this copy of FileBoss has been registered.

The registered name is the name you gave when you purchased FileBoss and can be found in the confirmation emails that were sent to you. Typically the registered name will appear as it does in the highlighted section below. (Do not include the brackets '[]' when entering the name.)

==================================

::FileBoss Version [4.0]

::Registered Name [Alickety University]

::Key [890016-MBMQNX-7NHP2G-97N5JJ-3ITRWR-

0BC52R-9UEF2D-ED687X-MZGUYP-KHGBQW]

==================================


Paste

Entering Registration Information by Hand or Cut & Paste

Pasting Registration Information from the Clipboard

Typically you will receive an email with the name and key code that must be entered to activate you license for FileBoss.

If you have such an email either copy the whole email to the clipboard (most commonly by pressing Ctrl-A and then Ctrl-C) or use the to select the part of the email that contains the name and key as shown below:

==================================

::FileBoss Version [4.0]

::Registered Name [Alickety University]

::Key [890016-MBMQNX-7NHP2G-97N5JJ-3ITRWR-

0BC52R-9UEF2D-ED687X-MZGUYP-KHGBQW]

==================================

Once it has been selected press Ctrl-C to copy it to the clipboard.

After the information has been copied to the clipboard return to this dialog and press the Paste from Clipboard button. FileBoss will examine the clipboard and paste the name and key code into the appropriate fields.


Atts

Copy Files - New Attributes

Setting New File Attributes

These options affect files created or overwritten by the copy or move operation.

(Note that a file is considered new even if it overwrites an existing file of the same name.)

You can add, remove or leave the four attributes unchanged.

If an attribute is marked as No Change it will be set to the same setting on the source file or folder.


Dates

Copy Files - Dates & Times

Specifying Dates and Times of New Files

These options affect files created or overwritten by a copy or move operation.

(Note that a file is considered new even if it overwrites an existing file of the same name.)

There are three options:

Original
The copied / moved file and folders will have the same file times as the original files

Now
All new and overwritten files will have their file times set to the time the copy / move operation began.

Specified
All new and overwritten files will have their file times set to the time specified in the date and time fields immediately below these three option buttons.

Special Notes:

· All three file times - Created, Last Accessed and Last Modified - are set by these options.
· Frequently the file times of the copied files will not exactly match those of the original files or of the time specified. When this happens it is because how Windows stores file times depends on the Version of Windows and on the underlying file system of the storage media, e.g. NTFS and FAT. Just as one example some systems store access times to the nearest two seconds others to the nearest day. So In that case when a file is copied from the former to the latter, the access time will be rounded down to midnight of the day. Then, when the file times are compared they will be different. FileBoss can account for this difference by setting the resolution of file times when in compare mode.

?


DelArchive

Removing Archive Flags

Removing the Archive Flag from Original File

Remove Archive Bit from Source Files

Clears the Archive flag from the source file. When the Archive flag is cleared it indicates to some programs that the file has not changed since it was last backed up.

More about Archive Bits

The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backup and, after backing up the file reset (clear) the Archive bit.


Destination

Destination Folder

Destination for the Copy / Move Operation

Destination

Displays the folder to which the selected files will be copied/moved.

The list of previous destination folders - accessed by clicking the down arrow to the right - is remembered even when FileBoss is closed.

To change folders you can:

· select one from the drop-down list
· type in a new path, or
· select the Browse button to locate the folder you want.

The number above the destination folder is the amount of free space on the selected folder's drive or storage media.

Do it your way:

Don't like the list of destination folders in the drop down list? Want to delete some of them or change their order for some reason? Simple. Just hold down the Alt key and click on the word Destination. A dialog will open where you can edit the list of entries.


HeaderInfo

Information about the Selected Files

Information on the Selected Files to be Copied

Source Files

For easy reference this area displays information about the selected files that FileBoss will attempt to copy, move or update.

Top Level:

The Top Level section shows how many folders and files will be copied directly to the destination folder. All other folders and files will be copied below one of the top level folders (or sub-folders of a top level folder)


HowFolders

Copy Files - Copying Folder Options

Specifying how Folders will be Copied

There are two ways Folders can be copied.

Everything In & Below
The first is the normal, recursive, method (used by Windows Explorer and most other programs) where the folder entry is copied along with all folders and files below that folder with the original folder structure copied to the destination.

As an Empty Folder
Only the folder itself is created. No folders or files below that folder are copied unless they too are selected.

There are a number of uses for the As an Empty Folder option. One of the most noticeable is to copy an entire folder structure without any of the files it contains. Just select all the folders and then, in the Advanced section of the Copy dialog, make sure the As an Empty Folder option is selected before copying.

Special Notes:

This option is only available when the files being copied are from a Virtual Folder. When in Explore View these options are grayed and all folders are copied in the traditional manner, i.e. as if the Everything In & Below option was selected.


IfExists

Copy only if Target Exists

Copy Only if Target Exists

Will copy each selected file if, and only if, a file with the same name already exists in the destination folder.

This effectively updates the files in the destination folder without adding any new files. Good for when you want to back up files with copying a bunch of junk or temporary files that may be on the source drive or folder.


NumCopies

Copy Files - Number of Copies

Number of Copies

Specifies how many copies of the file / folder will be made. The maximum number of copies is 1,000. So if 1,000 items are selected and this is set to 1,000 then 1,000,000 items will be created! If one or more of the selected items are a folder many more than 1,000,000 items can be created.

When creating a large number of files (in excess of 500,000) always be aware of special problems affecting large file systems.


OneDir

Copying Files to One Folder

Copying all Files to One Folder

(Note: this option is only available when copying from Virtual Folders. It is meaningless when copying from an Explore View and thus disabled.)

When checked this option forces all selected files and folders to be copied directly to the destination folder regardless of their relationship to each other.

Normal Copying

Normally folders and files are copied along with their folder structure. For instance, suppose the following three files were selected in a Virtual Folder:

C:\Setup.txt

C:\My Documents

C:\My Documents\Parents.doc

If the Destination folder was D:\Backup then the two files and one folder above would be copied as:

D:\Backup\Setup.txt

D:\Backup\My Documents

D:\Backup\My Documents\Parents.doc

Copying to One Folder

All selected files and folders will be copied directly to the destination folder:

D:\Backup\Setup.txt

D:\Backup\My Documents

D:\Backup\Parents.doc


OptionsButton

Copy Files - Global Options

More Copy / Move Options

Provides quick and direct access to the main Program panel for setting global Copy / Move Options inlcuding how files are copied form CDs/DVDs, retaining Access times and how results of copy / move operations are logged to the Results windows.

You can also set the defaults options for the Copy Files dialog.

(Note that this same Options dialog can be accessed by opening the main Program Options dialog - Options > Program Options... from the main menu - and selecting the Copy Files panel.)


Overwrite

Copy Files - Overwrite Options

Actions when Destination Entry Already Exists

No / Yes / Ask / Only if Newer

The first four options determine whether or not files can be overwritten by the files being copied.

When Only if Newer is selected the times the files were last modified are used for comparison.

Rename

Rather than overwriting files that exist, you can instruct FileBoss to rename either the new or the existing files.

Select New File to rename the file that is being copied (the existing file will not be changed).

Select Existing File to rename the existing file, the new file will then be copied using the old name.

Whether you choose to rename the existing file or the new file depends only on what you are doing and your personal preference.

Click on Set... to specify how the files - either new or existing - will be renamed. You can add text and/or sequential numbers to the new filenames.


SimpleButton

Copy Files - Advanced / Simple Dialog

Expanding the Copy / Move dialog to Display Advance Options

Simple / Advanced Button

Opens and closes the Advanced area at the bottom of the dialog. (When the Advanced area is open this button changes to read Simple.)

Special Notes:

· Closing up the dialog to hide the Advanced area resets all the options in that area to their defaults. (E.g. normally the Overwrite option will revert to Ask and the Copy to One Folder and Copy Only if Target Exists check boxes will be cleared.)
· Changing the default settings. You can change the default copy settings used when the dialog's Advanced area is closed to whatever you want. To do so:
1. If the Advanced area is closed, open it up to expose the Options button.
2. Click on the Options button.
3. The Copy Files Options dialog that opens click on the Copy Files Dialog button. This will open a dialog with many of the same options as the main Copy Files Dialog. Set the options as you desire for the defaults and click OK. Now when the Copy Files dialog is closed the options in the Advanced area will be set to the new settings.

(Note that this same Options dialog can be accessed by opening the main Program Options dialog - Options > Program Options... from the main menu - and selecting the Copy Files panel.)


Warnings

Copy Files - Confirmations

Setting When FileBoss will Ask for Confirmation

These options determine when FileBoss will alert you that a file is going to be overwritten by the copy or move process. The warnings are fired when an existing file has one of the checked attributes. For instance if the EXE box is checked FileBoss will ask you what to do before copying a source file over an existing target file that has an extension of .EXE, .COM, .DLL, .DRV, .OCX or .BAT. When asked what to do your options will be to skip that one file, cancel all remaining files, overwrite that one file, overwrite all remaining files or even rename the file.

None
This is a master check box that, when checked, turns off all warnings. You'll note that when it is checked the other check boxes are grayed indicating that they have no effect. To enable the other check boxes uncheck this 'None' check box.

Hidden
Marked by Windows as a Hidden File. Normally files marked with this attribute should not be modified.

System
Marked by Windows as a System File. Normally files marked with this attribute should not be modified.

Read-Only
FileBoss will stop and ask permission whenever one of these attributes is set on the existing target file. Note that changing (which overwriting a file certainly does) any file with the Hidden, System or Read-Only attribute may disrupt the stability of your system, if not render it totally unusable.

Archive
The archive bit indicates that a file has been changed. This attribute for a file is set by Windows whenever a file is modified by either Windows or a program such as a Word processor or paint program. Backup programs often use this attribute to determine what files need to be backed up and, after backing up the file reset (clear) the Archive bit.

EXE
FileBoss considers files with the following extensions to be executable files: .EXE, .COM, .DLL, .DRV, .OCX and .BAT.

Newer
FileBoss will compare the two file times and warn if the file on the target drive is newer (had been modified more recently) than the source file.
This option is only present when the warnings are being used for copy or move operations (i.e. not for deleting or touching as there is no 'source' file).


Dlg CTX - Copy Files

Enter topic text here.


Dlg CTX - Rename Sequential

Options - Renaming


Dlg CTX - Stamp Files

Enter topic text here.


EMB_MISC_META_FOLDERS

Meta Folder | Abbrev
Windows | W
CD Burn Area | CDBA
Cookies | C
Desktop | D
Fonts | Fonts
History | H
My Documents | MD
Favorites | F
My Music | MM
My Pictures | MP
My Video | MV
Program Files | PF
SendTo | ST
StartMenu | SM
StartUp | SU
System | S
SystemX86 | S86
Templates | T
User Profile | UP
Admin Tools | AT
Admin Tools - Common | <NA>
App Data | AD
App Data - Common | <NA>
App Data - Local | <NA>
Desktop Dir | DD
Desktop Dir - Common | <NA>
My Documents - Common | <NA>
Favorites - Common | <NA>
Internet Temp Files | ITF
curdir | current folder (in the sense of DOS)


Exclude Files

Files to Exclude

Excludes any file that matches any of the check attributes. Note that checking both the Archive and No Archive boxes at the same time will cause an error and FileBoss will not continue until only one (or neither) of the boxes is checked.


ExploreBookmarksWhere

Options - Explore View

Where to Put Bookmarks in the Navigation Window

Where to Put

Tells FileBoss where to display the list of bookmarks in the Navigation Window. Clicking on one of the listed bookmark will move to that folder and display it in the Contents Windows.

Clicking on one of these bookmarks is exactly the same as clicking on one of the bookmark listed when you click the down arrow of the bookmark button ( [image]).

Expand by Default

Tells FileBoss whether or not to expand the Bookmark list in the Navigation Window by default.

The list can always be expanded (and closed up) by clicking the root item (Bookmark).

Edit...

Opens the Edit Bookmarks dialog where you can edit, delete, add and rearrange the bookmarks.

You can also edit bookmarks using the Edit > Bookmarks... command from the main menu or, clicking the down arrow next to the bookmark button, , and selecting Edit Bookmarks... from the popup menu.

Hint: If you delete all of the bookmarks, the next time an Explore Window is created the Bookmark list will be repopulated with a default set. (The default set normally contains all of the drives on your computer as well as some common folders such as My Document and Program Files.


FileFilteringButtons

Options - Explore View

Simple (Filename) and Complex (Advanced) File Filtering [image] and

What these Buttons Do

Buttons allow you to create, edit, delete and prioritize both Filename and Advanced Filters for Explore View.

Why Filtering is Great

File filtering allows you to wander around your file system from folder to folder in Explore View and only see those files that are of interest to you.

For instance you could turn on a Filename Filter that would:

· only show *.exe and *.DLL (*.exe | *.DLL)
· only show pictures of you dog (Dog*.bmp | Dog*.jpeg)
· would not show any *.exe or *.DLL files (-*.exe | -*.DLL)

Or you could turn on an Advanced Filter that would

· only show files that had been modified within the last day, hour, month or since whenever
· not show any files with a hidden or system attribute set
· or just about any criterion or set of criteria you can imagine.

Hint:

You can also add and edit Filename and Advanced filters by clicking the down arrow next to their command buttons ( [image] and [image]) and selecting the appropriate menu item.

You can also select the Explore > Edit Filename Filters... or Explore > Edit Advanced Filters... from the main menu.


File Times

Limit by File Times

Frequently used to find files that were just changed the Modified times are the most important. Under most circumstances the Created date is useless as Windows and other programs may change it when simply making a copy of the file or during other routine operations.


File Times Relative

Specifying Relative File Times

Relative times allow you to find files that were modified, accessed or created within a specified time period. The time frame is calculated every time the search is run meaning that if you create a Virtual Folder today and it is reloaded when you start FileBoss tomorrow, or you save it and open it again another day, the new Virtual Folder will be created based on that future time and not the time when you first clicked the OK button on this dialog.

The one exception is the last option, where you specify a fixed start and end time for the search. These remain constant.

Relative times allow you to find files that were modified, accessed or created within a specified time period. The time frame is calculated every time the search is run meaning that if you create a Virtual Folder today and it is reloaded when you start FileBoss tomorrow, or you save it and open it again another day, the new Virtual Folder will be created based on that future time and not the time when you first clicked the OK button on this dialog.

The one exception is the last option, where you specify a fixed start and end time for the search. These remain constant.


GeneralDropAction

Options - General

Default Drop Action

Tells FileBoss what to do, by default, with files dropped on one of its Windows.

This setting can also be changed by:

Clicking on the command button [image] [image] [image] (the graphic changes depending on the current default drop mode)

Selecting the mode from the Edit > Default Drop Mode >'menu.

Of course the default action can be temporarily changed by holding down the standard keys:

Alt Move

Ctrl Copy

Ctrl+Shift Create shortcut


Misc

Options - General

General Options

Prompt to Save Altered Document on Close

When checked will ask you each time whether or not to save an altered Virtual Folder document whenever you attempt to close it.

When not checked you must remember to save any changes you have made to Virtual Folder before attempting to close them.

Silent Mode (No Beeps, Whistles or Yahoos)

When checked all noises FileBoss may make are suppressed.

When not checked FileBoss will beep from time to time when a mouse is clicked in the wrong place or an error balloon or message is displayed.

Automatically save changed Images (refers to the Image Viewer Window)

When checked and an image has been changed in the image viewer - typically rotated one way or another - FileBoss will save the image automatically before loading another image.

When not checked you will be prompted to save any changes that have been made.

Always On Top

When checked FileBoss will always be on top of all other applications possibly hiding them from view even when you are not working in FileBoss.

When not checked FileBoss will act like a normal window.

Checking this box is the same as using the 'View > Always On Top' command from the main menu or clicking the command's button [image].

Auto Locate Entries (applies to Virtual Folders only)

When checked the Contents Window (the right window pane in Virtual Folders) will be linked to the folder list in the left window pane so that whenever an entry is highlighted on the right side the list of folders on the left side will be scrolled to that folder.

Note that this setting is only used when the Virtual Folder is sorted by its Path.

Darken inactive tabs

When checked and more than one tab group is displayed FileBoss will darken the tab(s) that are not active but leave the active tab (the one that you are working on) normal. Which is best is a personal preference and very much depends on how FileBoss is being used.

Show error window automatically

When checked FileBoss will automatically display the Errors history window after an action operation, e.g. copy, touch, rename, if errors occurred and FileBoss was set to skip errors, i.e. just log and continue.


GeneralToolbarSize

Options - General

Toolbar Size

Small - 16 x 16 pixels

Large - 24 x 24 pixels

The size of the toolbars is dependent on the size of the buttons. FileBoss ship with two sizes of buttons, 16 x 16 pixels and 24 x 24. When FileBoss runs for the first time on a new computer it determines which size buttons to use based on the size and resolution of the screen. But you can switch the size at anytime.

You can also change the toolbar size using the Tools > Toolbar > Size > menu or right-click on any toolbar and select the appropriate size from the popup menu.


GeneralTouchActions

Options - General

Set Actions for Touching Files

Opens the dialog where you can setup what actions to take when Touching ( [image]) files and folders such as setting archive bits and file times.

This same dialog can be displayed using the Actions > Touch Setup... command from the main menu, pressing Ctrl-F9 or by holding down the Ctrl key while clicking the Touch command button ( [image]).


The View Menu

Hide/Unhide                >

Show All                  F11

Folders               Alt+F11

Files               Shift+F11

Selected             Ctrl+F11

Reverse        Ctrl+Shift+F11

This series of commands hide from view or show the specified types of files and folders. Hidden files cannot be selected and when will loose any selected status they may have had.

These commands will be disabled whenever there are no relevant matching entries for the commands.

Both the Folders and Files commands are toggled states rather than just a one time actions. When active (the button will be highlighted and the corresponding menu item will be checked) the relevant entries will be hidden from all Explore views as you navigate to different folders.

Show Toolbar

Toggles the display of the Hide toolbar. If you are using these commands a lot it might be more convenient to display the Hide toolbar and click on its command buttons.

Columns                     >

Displays a list of all the available columns for the Contents window. Columns can be activated and hidden by clicking on their entry in the list.

Columns can also be configured by right-clicking the mouse over any column header in the Contents window.

To learn more about configuring the columns in the Contents window click here.

File Tip Balloons        >

Displays the fields that can be displayed in the file tips (when the cursor hovers over a filename in the Contents window) and under what conditions these tips will be displayed. The fields and conditions can be toggled by selecting the appropriate entry in the list.

Highlight Errors

Toggles whether or not FileBoss will highlight entries that caused errors during the last action (such as when a file could not be copied because it or its target was open in another application). By default files that caused errors are highlighted in read.

You can skip from one error entry to the next using the Edit > Go To > Error File command and then repeatedly pressing F3.

View Result Logs        >

Summary

Details

Errors

Displays the appropriate result log if it has been saved to disk.

Appearance                >

Use Tabbed Documents

Toggles the display of the tabs near the top of the FileBoss window that represent the open views. The default is on. When turned off FileBoss presents a more traditional Windows interface.

Default Layout, Look & Feel...

Opens a dialog log where you can choose which visual features of FileBoss should be returned to their default state.

For more information on re-setting the default look and feel of FileBoss click here.

Always on Top

Forces FileBoss to stay on top of all other Windows even when it is not the active application. Normally this is used when a Virtual Folder is being used to frequently drop files on other applications such as paint programs, document processors etc.

Ref: HID_MENU_HELP_VIEW


Time-Controlled Copying Options Page

To Display this Options Page

Use the Options > Program Options... command from the main menu (or click its command button [image]) and select Advanced Options from the list of option pages on the left side.

Advanced Options

Globally Available

TCC is available to all routines that use the FileBoss copy engine such as normal copying, Fault Tolerant Copying, Duplicating and Merging.

This means that whatever options you set here will affect all copy routines.

File-Based Timing and Pauses

No
FileBoss will copy every file as fast as it can.

Pause
FileBoss will pause the specified number of milliseconds after each file has been copied.

Minimum
FileBoss will monitor how long a file takes to copy a file and if that time is less than the specified milliseconds then it will pause for time difference. For instance if the specified minimum time is 10 milliseconds and the file only takes 2 milliseconds to copy FileBoss will then pause for 8 milliseconds after the file has been copied.

Batch-Based Pauses

Pause 99 seconds after every 9999 files When checked FileBoss will pause for the indicated seconds after every xxx files have been copied.

Ref: HIDD_OPTIONS_ADVANCED


highlight_colors

Colors for Special Files and Folders

Colors for Special Items and Highlighted Items

These options control when you will be asked to confirm a copy or move operation The confirmation message is displayed after the OK button has been pressed on the Copy/Move dialog.

The purpose is to alert you to certain conditions that you may not want such as copying whole bunches of files that are below any selected folders or the number of items to copy is greater than normal.

Always
The confirmation message will always be displayed

When Sub-items will be copied
The confirmation message will be displayed whenever folders are selected and files or folders underneath the selected folders my be copied

# of Top Level Items Exceeds
The confirmation message will be displayed when the number of items to be copied, i.e. the number of items selected, exceeds the indicated amount to the box to the right.


Renaming: Simple Text Replacement

Replacing Text in Filenames

Available in both Explore Views [image] and Virtual Folders

Can also be used to Remove Text from Filenames

simply don't supply any replacement text

Worry-free Confirmations

After you have told FileBoss how you want the files renamed you can approve (and change individually) each file or tell FileBoss at any time to rename all the remaining files automatically.

Replacing Text: Quick & Easy

For simple text replacement this is the quickest and easiest way. If you want to use wildcards or RegX patterns in the text to search for use the more powerful Advanced Search & Replace routine.

First select the files you want to rename.

(Click here to find out more about FileBoss's advanced selection methods.)

Open the Rename dialog and display the Simple Replace tab

· Pressing Ctrl+R
· or select Actions > Rename... from the main menu
· or click the Rename Selected Files button:
· Select the Simple Replace Tab (note that FileBoss will remember which tab you used last and automatically display it when you re-open the Rename Dialog

Set the Options

· Enter the text to look for
· Enter the text to replace it with
· Check the Ignore case box if appropriate

Click the OK button

Confirm each file or tell FileBoss to do them all

Each selected file will be displayed with the old name and the recommended new name. You can then rename the file, change the new name, skip that file or tell FileBoss to go ahead and rename all remaining files according to pattern you have specified.

Important Note

When you click the OK button FileBoss will apply the changes indicated in the active panel only. For example if the Change to 8.3 Name panel is active then FileBoss will ignore the settings in the other panels.

Tip: You can preview how FileBoss will change the names by looking at the sample name at the bottom. It will be modified according to your choices.

Renaming: Search & Replace Panel

Ref: HTDE_REN_REPLAC


Including File Dates

Options - Renaming

File times: Modified (\M), Accessed (\A) and Created (\C)

Inserts the file's respective date and/or time into the filename at the location of the meta-sequence. The times inserted are the file's own time, i.e. the date and times displayed by FileBoss or Windows Explorer for that file. The format of the date and time is controlled by the format selected in the drop down list. If you would like a different format click the 'More Formats' button to see a complete list for format elements that you can use.

How to Setup and Insert File times

1. Insert the appropriate meta flag in the New Name field (\M, \A or \C) where you want the modified, accessed or created file time to appear (You can put more than one if you wish, but it would probably be confusing and create really long filenames..
2. Select or type in the format in which you want the times to appear. The drop down list contains default formats and formats you have used previously. To create new formats click the 'More Formats' button for a complete list of formats available and how to create new ones.
(Note that when a new format is selected or as it is being typed in the sample filename a the bottom of the dialog will change to reflect the new format - a good way to check the format. But for this to work, one of the file time meta-sequences (\M, \A or \C) must be present in the New Name field.)

Example:

Long Beach (\C) #\?.jpeg (Assuming the file was created on 2 July 2004 and the format is set to %d/%m/%y.)

Long Beach (2/7/04) #001.jpeg, Long Beach (2/7/04) #002.jpeg, Long Beach (2/7/04) #003.jpeg

Note that in the above example sequential numbering has also been added otherwise all files would be renamed to the same name which can't happen.

To add the last modified date to all selected entries use a format like: \N (\M).\E. This would simple insert the modified time - in parentheses - after the filename. This would change a filename like Long Beach Harbor.jpeg into Long Beach Harbor (2/7/04).jpeg.


InitialExploreWindows

Options - Startup

Initial Explore Folder

Specifies what folder will be automatically opened in the first Explore View when FileBoss starts.

Chose between:

Desktop
The Desktop folder, i.e. the root folder of your computer system

Last Folder
The last folder that was open in an Explore View

None
Do not open any default Explore View

Specific Folder
The folder specified in the field to the right

Note: That these settings subordinate to the settings in the Reopen Last Windows section, i.e. if FileBoss reopens one or more previously opened Explore View(s) no other initial folder will be opened.


Limit By Size

Limiting by Size

When Limit by Size is checked FileBoss will only include files that fall between the From and To sizes, inclusive. Make both entries the same to only return files of a specific size.

E.g. entering '0' for both fields will only return files of zero length.

This field only affects files - not folders. As far as Windows is concerned folders always have a size of 0.

Unlimited Sizes

To specify an unlimited size for files (i.e. up to any amount) enter -1 or Zillions into the To field of the Sizes area. (Actually, to specify an unlimited size you can enter Zillions or any other word(s) as long as it is not a number, e.g. I Love FileBoss would work just fine).

Megabytes & Kilobytes

In addition, M, MB, Megs, KB and K (in any case) can follow a number to signify megabytes or kilobytes as desired. But note that these numbers will be translated into bytes when they are redisplayed.

Easy Reading

Commas can be used in numbers if it makes you feel better.


Menu Options

Options - User Defined Tools

Defining When and Where a Tool will be Displayed

Allows you to specify where and for what files a tool will be displayed. If you are using just a few tools then these fields can be left with their default values. But if you have many tools or special needs you might want to limit when or where the tool will be displayed.

Each time an entry in the contents window is highlighted FileBoss with match the entries name against the list of file patterns entered in these fields. If the file matches one of the file patterns (but not any of the excluded patterns) and the box is checked the tool will be displayed on the main menu, popup menu or both as appropriate.

In the above example this tool will be displayed on the main menu if the highlighted file's extension is rtf, doc, txt, or wrt. It will be displayed on the popup menu if its extension is rtf or doc and its name does not begin with p or my.

To always display a tool just enter an asterisk (*) for each menu.


Menu Label

Options - User Defined Tools

Menu Labels

Defines the text that will be displayed on the menus when the tool is active.

To add a shortcut key put an ampersand in front of the desired letter, e.g. &NotePad would display the title as NotePad and pressing the 'N' key would select that tool from the menu.


Menu of Patterns

Menu of Pre-Defined File Patterns

The [ >> ] button displays a pop up menu of predefined file patterns that can be quickly added to the 'Patterns' field to the left.

You can edit this drop down menu to include the file patterns you use the most (use the 'Edit Menu' option at the bottom.)

The patterns fly out can hold up to a maximum of twenty entries.

Opens a list of default search patterns, which can be used to quickly fill in the Patterns: field. You can edit this drop down menu to include the file patterns you use the most (use the 'Edit Menu' option at the bottom.)

The patterns fly out can hold up to a maximum of twenty entries.

Edit Allows you to edit the contents of the Patterns: drop-down list box.


MergeDlg_Close

Exiting the Merge Dialog

Closing the Merge Dialog

IMPORTANT: Closing the Merge Command & Control Center dialog does not exit Compare Mode just this dialog. After exiting this dialog the Compare Toolbox and Compare mode will still be active. You can return to this dialog to actually merge the folders, paths or drives by clicking the Merge button at the top of the Merge Toolbox.

If you wish to exit compare mode first close this dialog and then simply close the Virtual Folder or simply click the Close & Exit button at the bottom of the Compare Toolbox.


MergeDlg_Info

Merge Statistics

Merge Statistics

Comparison Statistics

Displays the results of the comparison between the two folders or paths.

You can use this information to decide what you want to merge.

And remember you can always exit this Merge dialog and examine the entries more closely and even select exactly which files you would like to merge.


MergeDlg_What

Telling FileBoss what to Merge

Telling FileBoss What to Merge

In conjunction with telling FileBoss which folders, paths or drives you want to update you must tell FileBoss what you want to merge.

There are two options, Newer Files and Lonely Files (i.e. files that aren't matched on on the opposite drive).

If you will be replacing older files with new you can have FileBoss ask you to confirm each file by checking the Confirm Newer File box.


MergeDlg_Which

Telling FileBoss which Folders to Merge

Telling FileBoss What Folders to Update

FileBoss will suggest what should be merged based on the comparison results but you should check that choice and change it if necessary.

In conjunction with the Merge What section these choices will determine which entries will be copied.


Misc for CHM file

Enter topic text here.


Sequence Numbers

Options - Renaming

Adding Sequential numbers to filenames

How to Setup Sequential numbering

1. Insert the \? meta flag in the New Name field where you want the sequential number to appear. Use the \? meta flag only once.
2. Set the number of digits you want displayed. E.g. setting it to 3 will insert 001, 002, 003, etc where the \? meta flag is.
3. Set the Start A: number. While this will normally be '1' you might want to set it to another number if some files have already been renamed with this routine.
4. Check the Sample at the bottom of the screen to see how the sequential numbers will fit into the name along with any other formats you have chosen.

Num. of Digits
1 to 6, pads the number with leading zeros to get the desired number of digits. This is a good option so that the files will be sorted correctly when displayed in FileBoss Windows Explorer and various programs' File Open Dialogs.

Start At
1 on up to highest number allowed by the number of digits you have specified.

Increment By
The amount each consecutive number should be increase. For instance if the sequence starts at 1 and the increment is set to 5 the the numbers would be 1, 5, 10, ...

Examples:

Long Beach #\?.jpeg (Digits set to 3 and Start At set to 1)

Long Beach #001.jpeg, Long Beach #002.jpeg, Long Beach #003.jpeg

\? Long Beach.jpeg (Digits set to 2 and Start At set to 10)

10 Long Beach.jpeg, 11 Long Beach.jpeg, 12 Long Beach.jpeg


NewName

Options - Renaming

New Name Field

Enter the format for the new name here. Meta-characters (and their preceding backslash) will be replaced with the appropriate substitution as described below. Note that more than one meta character can be used in the format.

Sequential numbering (<seq>)

Sequential numbering inserts numbers such as 001, 002 or 10, 11, 12 in the filenames where the \? meta-sequence is located.

e.g. The format Seattle Pictures <seq>.jpg would rename the selected entries Seattle Pictures 01.jpg, Seattle Pictures 02.jpg and Seattle Pictures 03.jpg if the number of digits is set to 2 and the Start At is set to 1.

You could also use the sequential number as the extension. E.g. the format Special Data.<seq> would rename the files: Special Data.001, Special Data.003, Special Data.003...

Warning: Be sure you know what you are doing before changing file extensions. Doing so could hurt your system.

Sequential numbering by folder (<seqbyfolder>)

This is exactly the same as the <seq> meta flag described above except that when renaming recursively the sequential number is reset to it initial value for each folder.

Filename (<name>)
Filename Extension (<extension> or <ext>)

The <name> and <ext> meta-sequences will be replaced by the file or folder's filename or extension respectively. (<ext> meta-sequence does not include the dot (.) character before it so you must add it yourself). For example, to change the extension of all selected files to 'html' from just 'htm' you could use the format, <name>.html. Or if you want to add a sequential number to the current file names you might use Mother's Birthday - <name>.<ext> which would change a name like Grandmother.jpg into Mother's Birthday - Grandmother.jpg.

If you really wanted to you could even reverse the filename and extensions. Just use the format <name>.<ext>. That would change a filename like John.Doe into Doe.John.

Folder Name (<folder>)

The <folder> meta-sequence will be replaced by the name of the file's parent folder. For instance if the file Grandmother.jpg was in the C:\My Pictures\Holiday Trip folder then the sequence <folder - <name>.<ext> would change it to Holiday Trip - Grandmother.jpg.

File Times: Modified (<modified>), Accessed (<accessed>) and Created (<created>)

Inserts the file's respective date and/or time into the filename at the location of the meta-sequence. The times inserted are the file's own time, i.e. the date and times displayed by FileBoss or Windows Explorer for that file. The format of the date and time is controlled by the format selected in the drop down list. If you would like a different format click the 'More Formats' button to see a complete list for format elements that you can use.

For more details and examples either click the Help button or right-click one of the controls in the File Dates area of the dialog.

The current date (<today>)
Is replaced by the current date (Year-month-day)

The current time (<now>)
Is replaced by the current date and time.

Current User (<user>)
Adds the name of the currently logged in user, e.g. Accounts-FredW, CorpSever-Admin. Note that usually this is your login name preceded by the name of the computer or domain.


Path and Filename Lengths

Minimum Path and Filename Lengths

Setting minimum path lengths is frequently used to check for long filenames before copying to media, such as some CD ROM formats that cannot accommodate filenames as long as Windows can.

Normally on the Shortest Total Lth field is necessary.

Note that you can also check for long filenames in any Virtual Folder or Explore view by turning on the appropriate column headers and then sorting by one of the three lengths shown above.


Paths Button

Browsing for Paths

Press either button to display a special dialog for entering multiple paths and or file patterns with ease. When the that dialog returns the changes will be put into the fields to the right of the Paths and Patterns.


Patterm or Text to Find and Replace

Options - Renaming

Search Method for Finding Text to Replace

Pattern or Text to Find
The format of the text you enter is determined by the format you selected above these fields, e.g. Exact, Normal or Unix.

Replace with
The text you want to replace the text you entered in above field. If this field is left blank then any text found matching the pattern to find will simply be deleted.

Replace all
When checked all occurrences of the found text will be replaced (or deleted if Replace with is left empty.

Note that Replace all is not checked by default and that as a safety measure it is set to its default each time FileBoss is started.


PatternsToFind

Finding Text in Files

Specifying Paths to Search

(In some dialogs the Search Subfolders will not be displayed in which case all subfolders will be searched automatically.)

Specifies one or more paths to be scanned. For instance to scan the My Documents directory on drive C: enter:

C:\My Documents

(Note: if you are comparing folders either from the Compare Folders or Paths dialog or directly in the Create Virtual Folder dialog two and only two paths must be entered in this field)

Including Multiple Paths

Separate multiple paths with the bar character '|'.

To scan the My Documents directory on drive C: and the Temp directory on drive D: enter:

C:\My Documents | D:\Temp

(The maximum length of this field is over 65,000 bytes.)

Using Wildcards

If you would like to collect files on all of drive D: and in the My Documents and My Installations folders on drive C: enter the following.

D:\ | C:\My *s

(Of course, the entry C:\My * would search all folders in the root of drive C: which began with My then a space and end with an s.)

The use of a wild card is restricted to the last element of the path. For instance, the following examples will not work:

D:\*\Backup

C:\My *\*

C:\Program Files\Iront*\FileBoss

But the following will work:

C:\My *s

(It would return files in folders C:\My Videos and C:\My Pictures if present.)

To search both the Normal and Nermal directories on drive D: you could enter either:

D:\Normal | D:\Nermal

or

D:\N?rmal

Excluding Folders

Specific folders can be excluded from the search by preceding the folder's name with a minus sign, '-'. If the name of the folder actually begins with a minus sign, simply put another in front of it, e.g. "--my folder".

Consider the following example:

C:\My Documents | -Temp|-Backup|D:\

Paths to be excluded can contain the normal wildcard characters, * and ?. (Use full paths, e.g. C:\house\pictures) to avoid excluding all paths, e.g. every folder named 'pictures'. This can be especially important when using wildcards.)

Note that the order of the entries is ignored: in the above example any Temp and Backup folders will be ignored on drive D: as well in C:\My Documents

Using Wildcards in Folders to be Excluded

Using wildcards in folders to be excluded is almost exactly the same as it is to use them in paths to be scanned. For instance:

C:\ | -C:\C*s

Would search all of drive C: except for files and folders in and below any root folders beginning with a 'C' and ending in 's'.


PatternsToFind

Options - Find Text

Pattern to Find

Enter the test or pattern you are looking for or select a previously entered pattern from the pull down list. If you are using any of the advanced methods you can use the 'Test' routine to see if what you enter for a pattern will find what you expect it to find.


What is a FileSet

A Virtual Folder is similar to FileBoss's Explore View (and the typical Windows Explorer interface) with a tree structured list of folders on the right and the contents of the selected folder on the left. But while similar the differences are huge:

Virtual Folders

· contain contents of one folder, many folders, whole drives and even multiple drives across multiple computers
· can include only the files you wish either by expressly including certain files, excluding certain files or a combination of both.
· can be saved to disk, either as a definition or as static pointers to the files they contain.
· provide an added dimension to file manipulation including copying, renaming comparing duplicating, updating and much more.


Program

Options - User Defined Tools

Program To Execute

Enter the name of the program that executes when this tool is selected. Sometimes, especially when the program is a standard Windows program, only the name is needed. But for other programs it is always best to use a complete path.

If this field is empty and the Arguments field contains <PathAndFilename> FileBoss will attempt to open the file using the default program for that type of files. This can be useful for standard file types such as MP3 and TXT files.


ResultLogs

Options - Copy Files

Logging Options

What to record

Determines what actions will be written to the Details result log. Depending on what you normally use FileBoss for you may want to have all or just some of the copied results logged.

This setting does not affect how errors are logged - they are always recorded in the error log - but rather it affects the results of normal operations.

Note that this setting does not affect the totals that are reported in the Summary results.

All
All operations will be logged whether a file was copied or not copied.

Copied
Only files copied will be mentioned in the Details result log. Files that were not copied because the target was newer or you didn't want to overwrite any files will not be recorded.

Not Copied
Only files that were not copied will be mentioned in the Details result log (either because the target was newer or you didn't want to overwrite any files). Files that were copied successfully will not be recorded in the Details result log.

Don't write when target does not exist
(when 'copy only if exist' option set)

Whether or not this box is checked controls if a log entry will be recorded when a file is not copied because the Copy Only If Exist option in the Copy Files dialog is set (or when using the Refresh Files function that implies Copy Only If Exist). This prevents a lot of unnecessary clutter in the details log.

Note that this setting does not affect the totals that are reported in the Summary results.


Results

Finding Text in Files

Specifying Paths to Search

(In some dialogs the Search Subfolders will not be displayed in which case all subfolders will be searched automatically.)

Specifies one or more paths to be scanned. For instance to scan the My Documents directory on drive C: enter:

C:\My Documents

(Note: if you are comparing folders either from the Compare Folders or Paths dialog or directly in the Create Virtual Folder dialog two and only two paths must be entered in this field)

Including Multiple Paths

Separate multiple paths with the bar character '|'.

To scan the My Documents directory on drive C: and the Temp directory on drive D: enter:

C:\My Documents | D:\Temp

(The maximum length of this field is over 65,000 bytes.)

Using Wildcards

If you would like to collect files on all of drive D: and in the My Documents and My Installations folders on drive C: enter the following.

D:\ | C:\My *s

(Of course, the entry C:\My * would search all folders in the root of drive C: which began with My then a space and end with an s.)

The use of a wild card is restricted to the last element of the path. For instance, the following examples will not work:

D:\*\Backup

C:\My *\*

C:\Program Files\Iront*\FileBoss

But the following will work:

C:\My *s

(It would return files in folders C:\My Videos and C:\My Pictures if present.)

To search both the Normal and Nermal directories on drive D: you could enter either:

D:\Normal | D:\Nermal

or

D:\N?rmal

Excluding Folders

Specific folders can be excluded from the search by preceding the folder's name with a minus sign, '-'. If the name of the folder actually begins with a minus sign, simply put another in front of it, e.g. "--my folder".

Consider the following example:

C:\My Documents | -Temp|-Backup|D:\

Paths to be excluded can contain the normal wildcard characters, * and ?. (Use full paths, e.g. C:\house\pictures) to avoid excluding all paths, e.g. every folder named 'pictures'. This can be especially important when using wildcards.)

Note that the order of the entries is ignored: in the above example any Temp and Backup folders will be ignored on drive D: as well in C:\My Documents

Using Wildcards in Folders to be Excluded

Using wildcards in folders to be excluded is almost exactly the same as it is to use them in paths to be scanned. For instance:

C:\ | -C:\C*s

Would search all of drive C: except for files and folders in and below any root folders beginning with a 'C' and ending in 's'.


DiskOptions

Result Logs - Disk Options

Clearing and Starting Logs

Clear Log Files Every Time FileBoss Starts

When checked and a result log is being written to disk the disk file will be cleared every time FileBoss starts. All results from a previous FileBoss session will be lost.

Clear Log Files Every Day

When checked and a result log is being written to disk the disk file will be cleared every time starts on a new day.

New Log Files Every Day

When checked and a result log is being written to disk FileBoss will create new log files for each day that FileBoss is run. The name of the files will include the date, e.g. FileBoss Summary (2005 05 31).log.

Warn when Size Exceeds:

Sets the size in kilobytes a result log must exceed before a warning message is displayed when FileBoss starts. For instance if a this value is set to 1024 anytime a disk based result log is greater than one megabyte FileBoss will warn you when it first starts.

To cancel all size warnings enter a 0 or less.


LinesAndDisplay

Result Log Options

Individual Log Options

Lines To display

The number of lines in the associate result log that FileBoss will keep in memory. Once more lines that the number indicated here is reached FileBoss will delete the oldest results from memory.

The only real reason to set this number lower is to conserve memory.

Save to File

When this box is checked results will be written to a disk file. If no path is given with the log file name the log file will be stored in FileBoss's default data folder, typically My Documents\FileBoss Data.


Search Method & Test

Options - Renaming

Search Method for Finding Text

Search Method

Three different types of searching can be performed.

FileBoss supports smart white space matching where the white space (spaces and tabs) does not have to be exact for a match to occur. This allows the search pattern to specify one space or tab and FileBoss will still match even if the source text contains two or more consecutive spaces or tabs or a mixture of both.

The type of search to be done is specified by choosing on of the following options:

Exact

Matches the search pattern exactly (no wild cards have special meaning) except for capitalization and white space. Capitalization is controlled by the 'Match capitalization' check box and all white space is considered to be the same, e.g. spaces, tabs and new lines are considered to be the same. In addition multiple spaces will match one space and vice-a-versa.

Normal

In normal searching, FileBoss recognizes two wild card characters: the question mark and the asterisk.

The question mark (?) matches any one character.

The asterisk (*) matches any number of any characters up until the next character in the search pattern. For instance, the search pattern F*ss, would match FileBoss

To enter an asterisk or question mark as literals, i.e. without special meaning, precede them with a backslash.

Unix (Regular Expression)

See Unix Style Searches for a complete definition of FileBoss's Unix style search implementation.

A Regular Expression. (This is an advanced technique.)

The 'Test' Button

If you would like to experiment with different patterns to see exactly what text they will and will not match, click the Test button. It will bring up a dialog where you can experiment with different formats and see how they match text that you enter.


 SearchMethod

Options - Find Text

Search Method

Three different types of searching can be performed.

FileBoss supports smart white space matching where the white space (spaces and tabs) does not have to be exact for a match to occur. This allows the search pattern to specify one space or tab and FileBoss will still match even if the source text contains two or more consecutive spaces or tabs or a mixture of both.

The type of search to be done is specified by choosing on of the following options:

Exact

Matches the search pattern exactly (no wild cards have special meaning) except for capitalization and white space. Capitalization is controlled by the 'Match capitalization' check box and all white space is considered to be the same, e.g. spaces, tabs and new lines are considered to be the same. In addition multiple spaces will match one space and vice-a-versa.

Normal

In normal searching, FileBoss recognizes two wild card characters: the question mark and the asterisk.

The question mark (?) matches any one character.

The asterisk (*) matches any number of any characters up until the next character in the search pattern. For instance, the search pattern F*ss, would match FileBoss

To enter an asterisk or question mark as literals, i.e. without special meaning, precede them with a backslash.

Unix Style

See Unix Style Searches for a complete definition of FileBoss's Unix style search implementation.

Match Capitalization

Selecting this option tells FileBoss that searches should be case sensitive. Thus, if this option is selected and "Blue" is searched for, FileBoss will find "Blue" but not "blue" or "bLue." If this option is not selected, FileBoss will match any combination of capitals and lowercase letters, no matter what was used for the search string.

Note that this option does not affect searches when Unix mode is turned on.


Directories

Shell Integration for Drives

Shell Integration for Drives

These three choices determine how the system will integrate with FileBoss for displaying Drives from the desktop or other place (such as from standard File Open and File Save dialogs).

No
FileBoss can only be invoked as any other normal program.

List on Right-Click Menu
Whenever a Drive is right-clicked Explore with FileBoss will be one of the options on the context menu.

Make Default Action
In addition to Explore with FileBoss being added to the context menu. It will also be the default action when the icon for a Drive is double-clicked.


Drives

Options - Shell Integration

Shell Integration for File Folders (Directories)

These three choices determine how the system will integrate with FileBoss for displaying folders from the desktop or other place (such as from standard File Open and File Save dialogs).

No
FileBoss can only be invoked as any other normal program.

List on Right-Click Menu
Whenever a File Folder is right-clicked Explore with FileBoss will be one of the options on the context menu.

Make Default Action
In addition to Explore with FileBoss being added to the context menu. It will also be the default action when a File Folder is double-clicked.


OneInstance

Show New Folders in Same FileBoss

Show new folders in same FileBoss

When checked and a folder is opened from the desktop or other place and FileBoss is already running it will be displayed in a new Explore view in that FileBoss. If it is not checked a new instance of FileBoss will be used to display the folder.


Skip Merge Dlg

Options - Compare Folders

Skip Merge Control Dialog

When checked, prevents the Merge Control dialog from being automatically displayed when folders/paths are first compared.

(To display the dialog, simply click the 'Merge' button on the Compare Toolbox that is always displayed when folders/paths are being compared.)


Time Zone Offset

Options - Compare Folders

Skip Merge Control Dialog

Specifies the number of hours to add (or subtract) from the file times of the entries in the second folder or path before comparing them. Normally used to compensate for time zone differences.


Specifying Paths in Dialogs

Specifying Paths to Search

(In some dialogs the Search Subfolders will not be displayed in which case all subfolders will be searched automatically.)

Specifies one or more paths to be scanned. For instance to scan the My Documents directory on drive C: enter:

C:\My Documents

(Note: if you are comparing folders either from the Compare Folders or Paths dialog or directly in the Create Virtual Folder dialog two and only two paths must be entered in this field)

Including Multiple Paths

Separate multiple paths with the bar character '|'.

To scan the My Documents directory on drive C: and the Temp directory on drive D: enter:

C:\My Documents | D:\Temp

(The maximum length of this field is over 65,000 bytes.)

Using Wildcards

If you would like to collect files on all of drive D: and in the My Documents and My Installations folders on drive C: enter the following.

D:\ | C:\My *s

(Of course, the entry C:\My * would search all folders in the root of drive C: which began with My then a space and end with an s.)

The use of a wild card is restricted to the last element of the path. For instance, the following examples will not work:

D:\*\Backup

C:\My *\*

C:\Program Files\Iront*\FileBoss

But the following will work:

C:\My *s

(It would return files in folders C:\My Videos and C:\My Pictures if present.)

To search both the Normal and Nermal directories on drive D: you could enter either:

D:\Normal | D:\Nermal

or

D:\N?rmal

Excluding Folders

Specific folders can be excluded from the search by preceding the folder's name with a minus sign, '-'. If the name of the folder actually begins with a minus sign, simply put another in front of it, e.g. "--my folder".

Consider the following example:

C:\My Documents | -Temp|-Backup|D:\

Paths to be excluded can contain the normal wildcard characters, * and ?. (Use full paths, e.g. C:\house\pictures) to avoid excluding all paths, e.g. every folder named 'pictures'. This can be especially important when using wildcards.)

Note that the order of the entries is ignored: in the above example any Temp and Backup folders will be ignored on drive D: as well in C:\My Documents

Using Wildcards in Folders to be Excluded

Using wildcards in folders to be excluded is almost exactly the same as it is to use them in paths to be scanned. For instance:

C:\ | -C:\C*s

Would search all of drive C: except for files and folders in and below any root folders beginning with a 'C' and ending in 's'.


Specifying Files in Dialogs

Specifying File Patterns

Enter the names or name patterns of files and folders you want included in the search.

Leaving the field empty is the same as specifing a single asterisk '*' or the traditional '*.*' meaning include all files.

Multiple File Patterns

Separate multiple patterns with the bar character '|'.

Wildcards in File Patterns

The common wildcard characters '*' and '?' can be used when specifing groups of file to be inclucded.

The entry *.tmp | *.bak | ~* will find all files with the extension tmp and bak as well as all files beginning with the tilde character '~'.

Excluding Files and Groups of Files

Specific files and groups of files can be excluded from the search by preceding the files with a minus sign, '-'. If the name actually begins with a minus sign, simply put another in front of it, e.g. --notations.txt.

To create a Virtual Folder that includes all files except temporary and backup files you could enter

-*.tmp | -*.bak | -~*

(Note that there is no *.* or just * in the beginning. Remember that if there is no include specification then *.* (all) is assumed.

For example the these two patterns are equivalent: -*.zip and *.* | -*.zip (include all files except those with the zip extension).

User Defined & Default Patterns

While the drop down list box will remember the most recently used patterns, even when FileBoss is closed, you can use predefined


Pattern

Pattern for New Filenames

Pattern for new names

The pattern will be included in the names of the duplicated files, inserted at the position indicated by the Insert Where selection below.

If a question mark (?) is included it will be replaced with an incremental number ensuring a unique name.

FileBoss does not require that the ? be included (though you will get a warning if it is not) but it is usually best to have one to ensure unique names.


Sample

Sample Filename

Sample Filename

Displays a sample name with the settings you have chosen.

Every time you change a setting the sample will change


Where

Insert Position for New Filenames

Specifying where the pattern will be inserted in the names

Mutually exclusive options that determine where the pattern for the new name will be inserted in the old name. Select one and then look at the sample near the bottom of the dialog to check if this is the way you want the duplicated files named.


Start Folder

Options - User Defined Tools

Specifying a Start Folder

Enter the folder you want the program to start in. If in doubt just enter <Path> which will be substituted with the folder that contains the program.

Many programs do not use this parameter.

<Path>
e.g. C:\Program Files\FileBoss


StartupMisc

Options - Startup

Miscellaneous Startup Options

Show Splash Screen
If checked the beautiful splash screen will be displayed every time FileBoss starts.
Note that this cannot be disabled in the unregistered version of FileBoss.

Show Help Guide at Startup
If checked displays the Help Guide [image] providing quick access help on common procedures and actions.

Show Tip-of-the-Day at Startup
If checked automatically displays a helpful hint with detailed help on how to get things done.

Auto-redisplay Image Preview at Startup
If checked displays the Image Preview window very time FileBoss starts. The Image Preview window can also be started using the View > Graphic Preview command from the main menu or by clicking the command button [image] .

Auto-redisplay Properties Box on Startup
If checked displays the Properties Box every time FileBoss starts. The Properties Box can also be started using the View > Properties command from the main menu, pressing Ctrl+M or by clicking the command button.

Allow only one FileBoss to run at a time
If checked FileBoss will only allow one instance of itself to be running at a time. If FileBoss is already running and you try to start it again FileBoss will become the active application.


StartupReopenWhat

Options - Startup

Reopen Last Windows

This section specifies whether or not FileBoss should reopen any windows that were open when it last closed. And, if it should, what types of windows it should reopen.

Yes or No

A No setting tells FileBoss to never automatically open any previous windows. When No is selected, the other options will be greyed and disabled.

When Yes is selected one or more of the following options may be selected. Not selecting any of these options is equivalent to selecting No.

Explore Views
The Desktop folder, i.e. the root folder of your computer system

Virtual Folders
Any Virtual Folder that has been saved to disk. When FileBoss starts it will re-load file and display it.

Virtual Folder Definitions
Virtual Folders that were open but not saved to disk. The same options that were used to create the Virtual Folder will be used again.

Note: If FileBoss cannot load any windows according to these settings then it will open a default Explore View according to the settings in Initial Explore Folder section above.


StartupRestartWithWindows

Options - Startup

Restarting FileBoss when Windows Starts

This section specifies if and when FileBoss should start automatically when Windows starts (either when booting the computer or logging back in on multi-user systems).

There are three options (the default is Never).

Never
FileBoss will never startup by itself when Windows starts. This is the default.

Always
FileBoss will always start whenever Windows starts.

Only if Open When Windows Last Closed
FileBoss will start with Windows, and only start with Windows, when it was active the last time that Windows was closed.


TabAndTitleText

Options - Explore View

Display Text

What these Buttons Do

These setting determine how the name of the current folder will be displayed in the Tab for Explore Windows and on FileBoss's main title bar.

Options

Full Displays the whole path and folder name C:\Documents and Settings\FileBoss\My Documents\My Stuff.
Name Only Displays only the name of the folder without the path, e.g. My Stuff.
Root + ... + Name Displays the root such as C:\ and the folder name, e.g. C:\...My Stuff.


Templates

Saving & Using Templates

Saving & Using Templates

Templates allow you to save the current settings in the dialog as a named group that can be selected and reused later. (FileBoss stores and remembers the Templates even when the program is closed.)

To save the current settings
as a named template click the Template button.

To use a template
simply select it from the drop down list (click the down arrow to the left of the field).


Text Search

Specifies text which must be in a file in order for it to be included in the Virtual Folder. Text searches in FileBoss can be very simple or very sophisticated depending on your needs.

Text Search
When the checked text search is active.

Set
Opens a dialog where you can define what text to search for and how the search should be conducted. The options range from a simple search to sophisticated expression searching.


TextToSearch

Finding Text in Files

Specifying Paths to Search

(In some dialogs the Search Subfolders will not be displayed in which case all subfolders will be searched automatically.)

Specifies one or more paths to be scanned. For instance to scan the My Documents directory on drive C: enter:

C:\My Documents

(Note: if you are comparing folders either from the Compare Folders or Paths dialog or directly in the Create Virtual Folder dialog two and only two paths must be entered in this field)

Including Multiple Paths

Separate multiple paths with the bar character '|'.

To scan the My Documents directory on drive C: and the Temp directory on drive D: enter:

C:\My Documents | D:\Temp

(The maximum length of this field is over 65,000 bytes.)

Using Wildcards

If you would like to collect files on all of drive D: and in the My Documents and My Installations folders on drive C: enter the following.

D:\ | C:\My *s

(Of course, the entry C:\My * would search all folders in the root of drive C: which began with My then a space and end with an s.)

The use of a wild card is restricted to the last element of the path. For instance, the following examples will not work:

D:\*\Backup

C:\My *\*

C:\Program Files\Iront*\FileBoss

But the following will work:

C:\My *s

(It would return files in folders C:\My Videos and C:\My Pictures if present.)

To search both the Normal and Nermal directories on drive D: you could enter either:

D:\Normal | D:\Nermal

or

D:\N?rmal

Excluding Folders

Specific folders can be excluded from the search by preceding the folder's name with a minus sign, '-'. If the name of the folder actually begins with a minus sign, simply put another in front of it, e.g. "--my folder".

Consider the following example:

C:\My Documents | -Temp|-Backup|D:\

Paths to be excluded can contain the normal wildcard characters, * and ?. (Use full paths, e.g. C:\house\pictures) to avoid excluding all paths, e.g. every folder named 'pictures'. This can be especially important when using wildcards.)

Note that the order of the entries is ignored: in the above example any Temp and Backup folders will be ignored on drive D: as well in C:\My Documents

Using Wildcards in Folders to be Excluded

Using wildcards in folders to be excluded is almost exactly the same as it is to use them in paths to be scanned. For instance:

C:\ | -C:\C*s

Would search all of drive C: except for files and folders in and below any root folders beginning with a 'C' and ending in 's'.


Tools List

Options - User Defined Tools

List of Installed Tools

Displays a list of currently installed tools. The tools will be displayed on the menus in the same order as they are listed here. To change the order select a tool and use the Up and Down buttons.

Creating a new tool by duplicating the current one

To make a copy of a tool highlight it and click the Duplicate button. Making duplicates can save time when configuring the same tool for different purposes such as one instance for all selected files and one that just opens the entry with focus.

Select a tool to modify its attributes in the fields below.

Saving and Loading Definitions for External Tools

The Save and Load button in the upper-right corner...

Select a tool to modify its attributes in the fields below.


Transforming Converting to Dos3dot8

Options - Renaming

Converting Long Names to DOS 8.3 Format

Warning: Do not use this option unless you are really sure as to what you are about to do and keep the following points in mind when thinking of converting filenames in this manner.

· If the extensions of the files are longer than three characters, they associations they have with other programs will be lost after the conversion to 8.3 format.
· The only way you can get the long form of the names back is by renaming the files manually.

This option will convert all the selected filenames to their DOS 8.3 equivalent. FileBoss will convert the names to their current DOS 8.3 format. Because of the extra steps involved in renaming a file to its current DOS 8.3 format most programs that convert filenames to DOS 8.3 format give the files new names. FileBoss, on the other hand, transparently performs a double-renaming so that the end result is the file's original DOS 8.3 name.


TransformingInsertingText

Options - Renaming

Inserting Text Before and After Names and Extensions

Allows you to insert text in names before or after names and extensions.


Transforming Names & Extensions

Options - Renaming

Transforming Names and Extensions

Select the transformations you want to apply to the selected filenamess. If you do not want to apply one or both of these transformations just click 'No Change' for the appropriate option.


TransformingReplacingText

Options - Renaming

Replacing Simple Text

A quick and easy way to replace simple text in Filenames.

To deactivate this transformation simply clear the box after 'Replace'.


Transforming Spaces

Options - Renaming

Transforming Spaces in Names and Extensions

If you would like to convert all the spaces in the filenames and extensions select the change you want otherwise select the 'No Change' option.


Argumnts

Options - User Defined Viewers

Program Arguments

Enter any arguments that should be passed to the program when FileBoss calls the auto-viewer. Typically the arguments will be some form of the highlighted entry's name and/or command switch's that control how a specific program starts.

Available Meta Arguments are:

<PathAndFilename>
e.g. C:\Program Files\FileBoss\FileBoss.exe

<Filename>
e.g. FileBoss.exe

<Name>
e.g. FileBoss

<Ext>
e.g. exe (Note that there is no leading period before the extension. If you need the period be sure to include it explicitly.)

It is normally best to surround each of the arguments with double quotation marks. If in doubt check the documentation for the tool's program.


Enabled

Options - User Defined Viewers

Enable Auto-Viewer

Enables or disables the auto-viewer. When disabled the auto-view will be active.

Note that auto-viewers can also be quickly turned on and off from the list displayed using Tools > Auto-Viewers On/Off > from the main menu.


FileTypes

Options - User Defined Viewers

Clearing and Starting Logs

Allows you to specify where and for which files an auto-viewer will be called.

Each time an entry in the contents window is highlighted FileBoss with match the entries name against the list of file patterns entered in these fields. If the file matches one of the file patterns (but not any of the excluded patterns) the auto-viewer will be executed.

In the above example this auto-viewer will be called if the highlighted file's extension is bmp, jpg, jpeg, or gif.


Menu Label

Options - User Defined Viewers

Menu Labels

Defines the text that will be displayed on the Tools > Auto-Viewers On/Off > menu from which they can be quickly turned on and off..

To add a shortcut key put an ampersand in front of the desired letter, e.g. &NotePad would display the title as NotePad and pressing the 'N' key would select that tool from the menu.


Program

Options - User Defined Viewers

Program To Execute

Enter the name of the program that executes when FileBoss calls this auto-viewer. Sometimes, especially when the program is a standard Windows program, only the name is needed. But for other programs it is always best to use a complete path.

If this field is empty and the Arguments field contains <PathAndFilename> FileBoss will attempt to open the file using the default program for that type of files. This can be useful for standard file types such as MP3 and TXT files.


Start Folder

Options - User Defined Viewers

Specifying a Start Folder

Enter the folder you want the program to start in. If in doubt just enter <Path> which will be substituted with the folder that contains the program.

Many programs do not use this parameter.

<Path>
e.g. C:\Program Files\FileBoss


Tools List

Options - User Defined Viewers

List of Installed Auto-Viewers

Displays a list of currently installed tools. The viewers will be displayed on the menu in the same order as they are listed here. To change the order select a tool and use the Up and Down buttons.

Select a tool to modify its attributes in the fields below.

Creating a new tool by duplicating the current one

To make a copy of a tool highlight it and click the Duplicate button. Making duplicates can save time when configuring the same tool for different purposes such as one instance for all selected files and one that just opens the entry with focus.

Select a tool to modify its attributes in the fields below.

Saving and Loading Definitions for External Tools

The Save and Load button in the upper-right corner...

Select a tool to modify its attributes in the fields below.


Warnings

Options - Copy Files

Confirmation Message

These options control when you will be asked to confirm a copy or move operation The confirmation message is displayed after the OK button has been pressed on the Copy/Move dialog.

The purpose is to alert you to certain conditions that you may not want such as copying whole bunches of files that are below any selected folders or the number of items to copy is greater than normal.

Always

The confirmation message will always be displayed

When Sub-items will be copied

The confirmation message will be displayed whenever folders are selected and files or folders underneath the selected folders my be copied

# of Top Level Items Exceeds

The confirmation message will be displayed when the number of items to be copied, i.e. the number of items selected, exceeds the indicated amount to the box to the right.


Reset All

Reset Default Columns and Window Colors

Reset Default Columns and Window Colors

Reset All Window Colors

Resets all background and text colors for the Explorer and Virtual Folders to their defaults. This is simply a quick way of resetting all rather than selecting the colors for each type of window individually.


Options

Global Options for Windows

Info Balloons

Display

Master switch that turns the display of the Info Balloons on and off. If this box is not checked no Info Balloons will be displayed.

Restrict To

Specifies specific conditions that must be met before an Info Balloon is displayed.

Shift Key
The Shift key must be pressed in order for an Info Balloon to be displayed.

Control Key
The Ctrl key must be pressed in order for an Info Balloon to be displayed.

First Column
Info Balloons will only be displayed when the cursor is over the first column in the contents view. By default this box is checked to prevent info balloons always popping up to the annoyance of all.

Note: All three of these options can be used alone or in combination with each other.

Show What
Lists the various file attributes that can be displayed in an Info Balloon. Check the items you want displayed.

Miscellaneous Options for the Content Window

Sticky Selections

When checked Sticky Selection Mode is active. Sticky Selection Mode allows you to click on an entry in the Contents View to select it without de-selecting other entries. Sticky Select acts much like holding down the Ctrl key while clicking entries in Windows Explorer.

Note: When Sticky Select Mode is active you can click normally by holding down the Ctrl key.

And Sticky selection mode can also be turned off and on from the right-click menu.

Display File Size in K

Displays file sizes in kilobytes rather than in bytes. When active all sizes are rounded up to the nearest kilobyte and a K is displayed after the size.


ConfirmDel

Options - Warnings

Confirming Deletions

Determines if you will be asked to confirm that you really want to delete or recycle a group of files. These messages are discretionary and can be turned off from the confirmation boxes themselves.


Hints

Options - Warnings

Setting Hints And Confirmations

Can turn on or off all discretionary messages the FileBoss may display.

Discretionary messages are messages that you can turn off, typically by checking a box in the lower left corner of the message box.


Modify

Options - Warnings

Warnings when Changing a File

The Set buttons allow you to set when you will be warned that the related action will change a file or folder.


window_colors

Colors for Folder and Contents Windows

These options control when you will be asked to confirm a copy or move operation The confirmation message is displayed after the OK button has been pressed on the Copy/Move dialog.

The purpose is to alert you to certain conditions that you may not want such as copying whole bunches of files that are below any selected folders or the number of items to copy is greater than normal.

Always
The confirmation message will always be displayed

When Sub-items will be copied
The confirmation message will be displayed whenever folders are selected and files or folders underneath the selected folders my be copied

# of Top Level Items Exceeds
The confirmation message will be displayed when the number of items to be copied, i.e. the number of items selected, exceeds the indicated amount to the box to the right.